#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x6063c525, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x5fb4b45e, "_gpl");
SYMBOL_CRC(af_alg_release, 0x2ac83f4f, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x98ce7d2a, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xbea9dc99, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0xd02f010c, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xdeb30b82, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x7b6fb860, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x547f1cab, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xccd16fff, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x6aac0b99, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x01350a41, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x5f480072, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x018c4345, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x68b4b2de, "sock_init_data" },
	{ 0xfdda2ae1, "sock_kmalloc" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0xf47566b1, "sock_register" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x29f3a126, "up_read" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0x4b835230, "release_sock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2a93471d, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc61e412d, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc5f5d13, "security_sock_graft" },
	{ 0xa9019866, "security_sk_clone" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x147881cf, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd779fe5, "__folio_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8bd693e8, "extract_iter_to_sg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5af8e078, "down_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa173b39, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x420e3911, "sock_wake_async" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd57abc59, "page_address" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x70f7896, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x80c2136a, "key_put" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0664ae4, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x533759b9, "sock_no_connect" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0x68dcaae6, "sock_no_getname" },
	{ 0xb3432f19, "sock_no_ioctl" },
	{ 0x9b9e08d3, "sock_no_listen" },
	{ 0x82b5296, "sock_no_shutdown" },
	{ 0xeb6a7740, "sock_no_sendmsg" },
	{ 0xcb2f1bf9, "sock_no_recvmsg" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
