#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x07282146, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x9400894c, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x262a725d, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xa378d0fc, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x84d5890f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x511adcd8, "crypto_skcipher_encrypt" },
	{ 0xddc21a6a, "cryptd_alloc_aead" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xda2868d7, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x264855b3, "crypto_register_aead" },
	{ 0xe0795010, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xc13ae718, "crypto_register_aeads" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x2b11aa49, "crypto_aead_setauthsize" },
	{ 0x842ff46c, "crypto_aead_decrypt" },
	{ 0x4444210a, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x28d39fb4, "crypto_unregister_aeads" },
	{ 0x16d9075, "cryptd_skcipher_child" },
	{ 0xd47490c0, "crypto_skcipher_decrypt" },
	{ 0x683d1de0, "cryptd_alloc_skcipher" },
	{ 0x6f86cd97, "crypto_aead_setkey" },
	{ 0x9df006f5, "crypto_register_skcipher" },
	{ 0xe4378809, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6975ef28, "cryptd_aead_queued" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x1175db15, "crypto_unregister_skcipher" },
	{ 0x7c21313d, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64c4494c, "cryptd_skcipher_queued" },
	{ 0x333e4436, "cryptd_free_aead" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xfa8aeba, "crypto_unregister_skciphers" },
	{ 0xddd67fd3, "cryptd_free_skcipher" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
