#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x351eca60, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x9625c29c, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x5975fe82, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x93e467ce, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x43ab9bbf, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x8cfba7a1, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xf0ee990d, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x8fc7cdbc, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x960bb0ec, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x9af8585f, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x1d55fa1f, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x58a671d4, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x754602f5, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x9bd456b2, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0xec466701, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x76bb8f82, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x841fdaee, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xbafb2d90, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xcaca6d07, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff0e1f17, "phy_set_mode_ext" },
	{ 0x4f5377a, "phy_power_on" },
	{ 0xf0c8fc84, "phy_init" },
	{ 0xa95ac875, "phy_power_off" },
	{ 0xf540555f, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb30574fe, "regulator_disable" },
	{ 0x94cdff, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0xf71b022a, "devm_of_phy_get" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0xca963c27, "_dev_err" },
	{ 0xa69e3d18, "ata_host_resume" },
	{ 0xbcdc66eb, "ahci_reset_controller" },
	{ 0x653dbc52, "ahci_init_controller" },
	{ 0xc36e705e, "regulator_enable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeac9bf96, "platform_get_irq" },
	{ 0x1c5e35d8, "ahci_save_initial_config" },
	{ 0xe036b837, "ahci_set_em_messages" },
	{ 0x679fa0c2, "ata_host_alloc_pinfo" },
	{ 0x78d3b77b, "platform_get_resource" },
	{ 0x1f083139, "ata_port_desc" },
	{ 0x4308d79f, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x92f13e35, "ahci_print_info" },
	{ 0xf931819a, "ahci_host_activate" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x4c2d6167, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x616a5bca, "devres_open_group" },
	{ 0x7bb0891b, "__devres_alloc_node" },
	{ 0xb13ba4d1, "devres_add" },
	{ 0x5ac734aa, "platform_get_resource_byname" },
	{ 0xf4235fc2, "devm_platform_ioremap_resource_byname" },
	{ 0x83cef7d7, "devm_clk_bulk_get_all" },
	{ 0x2ed7e3f4, "devm_regulator_get" },
	{ 0xb30e398c, "of_get_next_child" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x2a258913, "of_device_is_available" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0xbd8fbefc, "of_platform_device_create" },
	{ 0x7ef13b8, "of_find_device_by_node" },
	{ 0x1eef3018, "regulator_get" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0xd066d2cb, "devres_release_group" },
	{ 0x41386484, "devm_platform_ioremap_resource" },
	{ 0xc63bfe1d, "devm_reset_control_array_get" },
	{ 0x73db1013, "devm_clk_get_optional" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x77e96583, "devres_remove_group" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x92bdd6a0, "ata_host_suspend" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0x99b936d9, "ahci_ops" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "7F17FF861CF0CC077B3B4ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
