#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0xb937f782, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x1f326ac3, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0xb8518148, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x0aae1b39, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0xceaeda34, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0x485fe363, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0xc902632a, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0xd4060231, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0x3ea69e22, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x6a853b54, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0xe92774eb, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x4c632461, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x611e4777, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0x7b603d57, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x4194e265, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x504f4f8c, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0x75e1789d, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0xd4d64689, "_gpl");
SYMBOL_CRC(ata_link_online, 0x9de5d6cc, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x204e121c, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0x9549a123, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x3b995928, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x92bdd6a0, "_gpl");
SYMBOL_CRC(ata_host_resume, 0xa69e3d18, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0xeb7f61d4, "_gpl");
SYMBOL_CRC(ata_port_free, 0x712850b6, "_gpl");
SYMBOL_CRC(ata_host_put, 0xfc0add9a, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0xc74a3b3a, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0x679fa0c2, "_gpl");
SYMBOL_CRC(ata_host_start, 0xdf7b26b2, "_gpl");
SYMBOL_CRC(ata_host_init, 0x170091d6, "_gpl");
SYMBOL_CRC(ata_port_probe, 0x8ba277d0, "_gpl");
SYMBOL_CRC(ata_host_register, 0x4f39078d, "_gpl");
SYMBOL_CRC(ata_host_activate, 0xabefa3b4, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x6176072c, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x5cfae3da, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0xa4c60ae4, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0xba7be331, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x2b2599aa, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0x6c76e1e0, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0xebdd8ea1, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x079b19b8, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x1b8c6f99, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x8fa84228, "_gpl");
SYMBOL_CRC(ata_wait_register, 0xbcd26fce, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x4308d79f, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0xcbf49686, "_gpl");
SYMBOL_CRC(ata_print_version, 0x3785b1e2, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0x8cc7148d, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x822bca10, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x08a88a9f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xa3d4dce0, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0xc70e16ee, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0xf80f5fc7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xc3a17b69, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0xc727f187, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0xc68c41d6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0x98c5b177, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0x9d3be861, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x9de88bc8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0x92aad517, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x68c5bf3d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0xc9715630, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0x7673788b, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0xfa9c01ad, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x82cb088b, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0x4f85d05a, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x7d1fb461, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0x27ef85de, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x75eac3d0, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0xb7c70203, "_gpl");
SYMBOL_CRC(ata_scsi_device_configure, 0xfeba8c94, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0x14d4cd77, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0xd750c692, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x2ac986f1, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x083cee8f, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x8afd1ea2, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x1f083139, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0x3e2fea0b, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0x07cff21a, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0x04e16bd6, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0x7f3a94e5, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0xf66b599a, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x22f3a679, "");
SYMBOL_CRC(ata_port_schedule_eh, 0x02d33b6f, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x5436e0a8, "_gpl");
SYMBOL_CRC(ata_port_abort, 0xe4acebb9, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x63aa628c, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0x69a21498, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0xb271aebb, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0x01ee7895, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0x28c4530e, "_gpl");
SYMBOL_CRC(ata_tport_add, 0x5c5953f8, "_gpl");
SYMBOL_CRC(ata_port_classify, 0x78c20da9, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0xb3c6d5df, "_gpl");
SYMBOL_CRC(sata_scr_read, 0x0c72eb3a, "_gpl");
SYMBOL_CRC(sata_scr_write, 0xcdc54558, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0xa2541e0c, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0xa51d870a, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x26adf725, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0xa2d2345e, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x053316dd, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0xd48dd298, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0x071c7da3, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0x0e76ae38, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x710e3606, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x4b405bec, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0xa4a5dfa1, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0xe4187805, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x2f56dada, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x84f43788, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x265f9a0c, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0x19f6e094, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0xeedc5142, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0x88f55a8c, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0xc1d52747, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0xa1a5d75c, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0xbfa97b44, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x22a90ecb, "_gpl");
SYMBOL_CRC(ata_sas_device_configure, 0x24c9dbd0, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0xf09fb532, "_gpl");
SYMBOL_CRC(sata_async_notification, 0xfb2a3ab6, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x13d550ab, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x1c35aa41, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x6bfa6d01, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x2c215692, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x89db1310, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x22b0daff, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0xf1be4b5f, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x81c558d3, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0x61a89c27, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0xe418d296, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x860d8c3a, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x0c845ade, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0xc7f3d324, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x5ba92d7f, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0xe404c0ed, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xeb9abbee, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x6c43b737, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x219c71e8, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0xcf91cb42, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x89fe8d02, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x456e0817, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0xd1d477c6, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0x95940025, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x7111610f, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0xdfcaadd4, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0xa3495962, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x1ec231b0, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0xb532c0b7, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0x4546179a, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x19c04c1c, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0xfed67e25, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0xe7a61f12, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0x5636021d, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x8791de9b, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0xb962f92f, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0xed987974, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x84677548, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0x505b0ef9, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0x2ef4d68a, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x7d85c1f1, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0x783b5641, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0xfe36daad, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x02db45d1, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x4b4a5226, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xb3e52ccf, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x7c667fdd, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x7d00d43e, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x441571bf, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0xf29f9291, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0xd0eb85aa, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x2af0aac3, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x3eab8a4f, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0xb1381cf4, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0xadd0364f, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0x9ebefd17, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0x9e0dac07, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0xccbc3a5d, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x51f52157, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0xbcf6af41, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xab86830a, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x57bab4f5, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x15ff23c9, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0x851f860c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x679929ae, "pci_save_state" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x1379cea, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd066d2cb, "devres_release_group" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3d9499e6, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x77e96583, "devres_remove_group" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xa3f9567f, "dmam_alloc_attrs" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x18aa93cf, "scsi_remove_host" },
	{ 0x476a4180, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x908994b9, "scsi_build_sense" },
	{ 0xb33ee5e1, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c919ed7, "scsi_check_sense" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xc4012c55, "sdev_evt_send_simple" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2707ca7, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6d5f794c, "of_get_next_available_child" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa8dcdd1f, "sdev_disable_disk_events" },
	{ 0xb13ba4d1, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x96cf08e5, "scsi_device_set_state" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0x2553532d, "transport_setup_device" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xd7a41716, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x580ca18a, "devm_free_irq" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xc4fea6e9, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xccbaccf3, "scsi_device_put" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xce001b17, "pcim_iomap_regions" },
	{ 0x4e59fac0, "kobject_uevent_env" },
	{ 0xc9ed7d43, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0x83156178, "scsi_host_put" },
	{ 0x1a4b1879, "transport_class_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9997954, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3cd4e68, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe458ff61, "attribute_container_register" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7bb0891b, "__devres_alloc_node" },
	{ 0x9e98c41e, "sg_miter_stop" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc043fce0, "device_link_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0x5f7c2822, "transport_configure_device" },
	{ 0x616a5bca, "devres_open_group" },
	{ 0x2e8d7e15, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x316f4bf6, "pcim_pin_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfe6d60e1, "transport_add_device" },
	{ 0xa0d0abc7, "sg_miter_start" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x418a5367, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3ac37294, "pci_restore_state" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x80f59da4, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xc3eae1f7, "scsi_rescan_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x1ceff5d9, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x55c8407f, "pm_runtime_forbid" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa73cc08d, "attribute_container_unregister" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9cd928d, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9065e1d6, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86f030a7, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0x7256e2f0, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5b01fef4, "pcim_iomap_table" },
	{ 0x7e0c6e8a, "scsi_remove_device" },
	{ 0x263184d4, "blk_abort_request" },
	{ 0x8f502df1, "scsi_add_host_with_dma" },
	{ 0xa9ad7bc, "set_primary_fwnode" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xe166a84f, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1b897fc5, "dev_pm_qos_expose_flags" },
	{ 0x62c46941, "pcim_enable_device" },
	{ 0xed2315a9, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xfd9e832c, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x70e67a9d, "device_link_add" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0xd3997af6, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8fb57f93, "acpi_pm_set_device_wakeup" },
	{ 0xa3b1e0, "pci_bus_type" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x74210dad, "transport_class_register" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "B6659219EE3F586259C528D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
