#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x0177b4f6, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0xa1609a33, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0x3025c100, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0xb60bfb71, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10b96503, "percpu_free_rwsem" },
	{ 0x6f42d26a, "gpiod_get_value_cansleep" },
	{ 0x14f3d190, "tty_set_termios" },
	{ 0xc36e705e, "regulator_enable" },
	{ 0x9b052c9c, "device_property_present" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0xea999bfb, "percpu_down_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x554c17a1, "skb_put" },
	{ 0x7cb83260, "gpiod_set_value" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x1b4c9eda, "tty_register_ldisc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8648d163, "serdev_device_set_baudrate" },
	{ 0xfb3145e2, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf4cb0850, "hci_free_dev" },
	{ 0xeac9bf96, "platform_get_irq" },
	{ 0x7e9c9f70, "btintel_check_bdaddr" },
	{ 0x9deba5f6, "btbcm_finalize" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb2f32860, "btrtl_download_firmware" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7c1b8d1, "btintel_send_intel_reset" },
	{ 0xca9ebf4a, "nvmem_cell_get" },
	{ 0x8117bdc7, "gpiod_set_value_cansleep" },
	{ 0x9884fb46, "devm_pwrseq_get" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x8ae2160b, "btintel_download_firmware" },
	{ 0x94be71ea, "btbcm_initialize" },
	{ 0x71b7e692, "serdev_device_set_flow_control" },
	{ 0xbbbb5ecb, "btrtl_initialize" },
	{ 0xc5361cb, "gpiod_to_irq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4587ceb1, "hci_alloc_dev_priv" },
	{ 0x5579f919, "btintel_read_version" },
	{ 0x37a0cba, "kfree" },
	{ 0xe108df65, "qca_send_pre_shutdown_cmd" },
	{ 0xc6b21b31, "serdev_device_open" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xcf31236e, "btintel_version_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x94c8fa35, "dev_kfree_skb_irq_reason" },
	{ 0x4cc10afa, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xff92d061, "__module_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x82c80d65, "get_device" },
	{ 0xb0d39dea, "btintel_set_bdaddr" },
	{ 0x7d74d794, "hci_devcd_init" },
	{ 0x65a437f4, "hci_devcd_append_pattern" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x2d4a6fa0, "serdev_device_set_parity" },
	{ 0x94a26782, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0x8aef6c73, "hci_devcd_complete" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe8f6a152, "acpi_dev_get_resources" },
	{ 0xaf78f260, "btrtl_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1fb5686, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x809bb19b, "pwrseq_power_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x78d2c45a, "btrtl_get_uart_settings" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x580ca18a, "devm_free_irq" },
	{ 0xc7aaa26c, "tty_driver_flush_buffer" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x294d46d2, "btintel_exit_mfg" },
	{ 0x738803e6, "strnlen" },
	{ 0xca3fe8c9, "pwrseq_power_off" },
	{ 0x32c1f8de, "btintel_set_diag" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x1cd6438c, "regulator_bulk_disable" },
	{ 0x95fd0516, "device_property_read_u32_array" },
	{ 0x2ed7e3f4, "devm_regulator_get" },
	{ 0x3def5e31, "__hci_cmd_sync_status" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x2a93471d, "module_put" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0x71785685, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x2d197e77, "btbcm_read_pcm_int_params" },
	{ 0xdce5a4c1, "percpu_up_write" },
	{ 0xe166649d, "regulator_set_load" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x11ecb3c3, "devm_acpi_dev_add_driver_gpios" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7e3ea8a9, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xba888b50, "debugfs_create_bool" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x7148d63d, "device_property_read_u8_array" },
	{ 0x537b54a0, "devm_clk_put" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x6d8ab6ed, "serdev_device_write_flush" },
	{ 0xbbdb3cca, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x6ab0c7a6, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xb616a2cd, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa154f4ad, "btrtl_set_quirks" },
	{ 0x8af1193f, "skb_push" },
	{ 0x8ae237e9, "btintel_load_ddc_config" },
	{ 0xc084a441, "n_tty_ioctl_helper" },
	{ 0x60a945c3, "debugfs_create_u64" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8df1fe9d, "btintel_set_event_mask_mfg" },
	{ 0xd56bd7dc, "tty_ldisc_flush" },
	{ 0x905f03b8, "__percpu_init_rwsem" },
	{ 0x5915bcc6, "__hci_cmd_send" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd80e6f92, "serdev_device_wait_until_sent" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x976f8c54, "__serdev_device_driver_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x417aa646, "qca_uart_setup" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x1d07ac18, "hci_devcd_register" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x4f42fdd0, "device_get_match_data" },
	{ 0x8908a9be, "hci_devcd_append" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2006dfad, "debugfs_create_u32" },
	{ 0xe9c31fb, "acpi_match_device" },
	{ 0xc30a0aab, "serdev_device_set_tiocm" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x36eddcef, "regulator_bulk_enable" },
	{ 0x7f37573f, "devm_regulator_bulk_get" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xc42afed9, "btintel_read_boot_params" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x125e22b3, "serdev_device_write_buf" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x830283b0, "tty_unregister_ldisc" },
	{ 0xf13ea40, "__platform_driver_register" },
	{ 0x73db1013, "devm_clk_get_optional" },
	{ 0x732b3cb9, "__hci_cmd_sync_ev" },
	{ 0x161f3808, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0xacf7b353, "desc_to_gpio" },
	{ 0xb70b1f2, "hci_recv_frame" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf53c2e3f, "qca_read_soc_version" },
	{ 0x7c44dac5, "of_irq_get_byname" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x235242e6, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xedb6a27, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcdc4030, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x86ea7b73, "btbcm_write_pcm_int_params" },
	{ 0x5baafcc8, "btbcm_set_bdaddr" },
	{ 0x49b56a9b, "tty_unthrottle" },
	{ 0x443bc8ef, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xd566f822, "btbcm_check_bdaddr" },
	{ 0x4203478d, "skb_pull_data" },
	{ 0x7b9ef494, "rcuwait_wake_up" },
	{ 0x368419e6, "acpi_dev_get_property" },
	{ 0xb30574fe, "regulator_disable" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xc99dc475, "qca_set_bdaddr_rome" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0xddcdb194, "hci_register_dev" },
	{ 0x9323a9af, "qca_set_bdaddr" },
	{ 0x214e4265, "bt_warn" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x3c115a25, "btintel_enter_mfg" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x42d2b894, "__hci_cmd_sync" },
	{ 0x62cdb6b0, "debugfs_create_u8" },
	{ 0x45593536, "of_device_get_match_data" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xffa862ce, "devm_clk_get_optional_enabled_with_rate" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xff546c39, "hci_devcd_abort" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xd64a7905, "hci_recv_diag" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btintel,btbcm,btrtl,pwrseq-core,btqca");

MODULE_ALIAS("of:N*T*Cmrvl,88w8897");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897C*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0C*");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-bt");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-btC*");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-bt");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-btC*");
MODULE_ALIAS("acpi*:INT33E1:*");
MODULE_ALIAS("acpi*:INT33E3:*");
MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");
MODULE_ALIAS("of:N*T*Cqcom,qca2066-bt");
MODULE_ALIAS("of:N*T*Cqcom,qca2066-btC*");
MODULE_ALIAS("of:N*T*Cqcom,qca6174-bt");
MODULE_ALIAS("of:N*T*Cqcom,qca6174-btC*");
MODULE_ALIAS("of:N*T*Cqcom,qca6390-bt");
MODULE_ALIAS("of:N*T*Cqcom,qca6390-btC*");
MODULE_ALIAS("of:N*T*Cqcom,qca9377-bt");
MODULE_ALIAS("of:N*T*Cqcom,qca9377-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn3988-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn3988-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn3990-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn3990-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn3991-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn3991-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn3998-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn3998-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn6750-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn6750-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn6855-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn6855-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn7850-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn7850-btC*");
MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("acpi*:QCOM2066:*");
MODULE_ALIAS("acpi*:QCOM6390:*");
MODULE_ALIAS("acpi*:DLA16390:*");
MODULE_ALIAS("acpi*:DLB16390:*");
MODULE_ALIAS("acpi*:DLB26390:*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-btC*");
MODULE_ALIAS("acpi*:OBDA0623:*");
MODULE_ALIAS("acpi*:OBDA8723:*");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-btC*");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-btC*");

MODULE_INFO(srcversion, "5165BFD023659DC3A80BD8E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
