#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0xb40983ec, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0xe2895de7, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0xfd224e0d, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0x2ecc3e1b, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xed79b82f, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x873b1bf8, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0x691c3be5, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0xf9361d0b, "_gpl");
SYMBOL_CRC(__fpga_mgr_register_full, 0x9fc96e22, "_gpl");
SYMBOL_CRC(__fpga_mgr_register, 0x796f355e, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0xb1bb4067, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register_full, 0x044f7839, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register, 0x659a2ad4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82c80d65, "get_device" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x4437e317, "devm_kfree" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa0d0abc7, "sg_miter_start" },
	{ 0xc9ed7d43, "sg_miter_next" },
	{ 0x9e98c41e, "sg_miter_stop" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffb7c514, "ida_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcffafb73, "device_match_of_node" },
	{ 0x11db3e78, "class_find_device" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x2a93471d, "module_put" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x581095c0, "device_unregister" },
	{ 0x70f7896, "_printk" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x49315f63, "device_register" },
	{ 0x7bb0891b, "__devres_alloc_node" },
	{ 0xb13ba4d1, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x595e70d2, "sg_miter_skip" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xed60f489, "vmalloc_to_page" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc4145e70, "__kmap_to_page" },
	{ 0xd6a7d004, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFF17D5F207ADE6D0FB5855");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
