#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xae4ff02f, "");
SYMBOL_CRC(drm_gem_vram_put, 0x090f6fdd, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x2debd91e, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x2e8e6956, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x91501df1, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xa03afb9c, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x2549138f, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x317a747c, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x3b60dde6, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x30281fba, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x194da3f7, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x015dee58, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xbcd1e23f, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x93e9a95b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c8ae5d7, "ttm_range_man_init_nocheck" },
	{ 0x6a4de984, "ww_mutex_lock_interruptible" },
	{ 0xbb6f8ef7, "ttm_resource_manager_debug" },
	{ 0x1464eeb3, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x239ecc01, "ttm_range_man_fini_nocheck" },
	{ 0x9e84d15a, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce4a2cb8, "ttm_bo_pin" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xfb84d920, "drm_gem_ttm_mmap" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53ad4d10, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x73842682, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7ca8f03, "drm_gem_object_release" },
	{ 0xe971c7be, "ttm_tt_init" },
	{ 0xeb61c536, "drm_gem_handle_create" },
	{ 0x9d31e97e, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a4a1020, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xe9a33b4, "drm_debugfs_add_files" },
	{ 0x541eda7a, "ttm_bo_init_validate" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2bbba13, "ttm_device_init" },
	{ 0xf43b3aba, "ttm_bo_validate" },
	{ 0xccafe5f6, "ttm_bo_move_to_lru_tail" },
	{ 0x5de23162, "ttm_bo_vmap" },
	{ 0xb3cc8190, "ttm_bo_put" },
	{ 0xd06b8d17, "ttm_resource_free" },
	{ 0xefaa2440, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0a266a4, "ttm_tt_fini" },
	{ 0x514bedf3, "ttm_device_fini" },
	{ 0xb9654d53, "drm_gem_plane_helper_prepare_fb" },
	{ 0x5418dba4, "ttm_bo_eviction_valuable" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x4f0ecd4e, "drm_gem_ttm_print_info" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
