#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0xe971c7be, "");
SYMBOL_CRC(ttm_tt_fini, 0xf0a266a4, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x947eb345, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x02bf955a, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0xccafe5f6, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0x6c27ece7, "");
SYMBOL_CRC(ttm_bo_put, 0xb3cc8190, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0x5418dba4, "");
SYMBOL_CRC(ttm_bo_pin, 0xce4a2cb8, "");
SYMBOL_CRC(ttm_bo_unpin, 0x7a4a1020, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x41295095, "");
SYMBOL_CRC(ttm_bo_validate, 0xf43b3aba, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x6a92a1b0, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x541eda7a, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0xc604bbf4, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x1c3ed10d, "");
SYMBOL_CRC(ttm_bo_populate, 0x45264acc, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0xefaa2440, "");
SYMBOL_CRC(ttm_io_prot, 0xd85393d5, "");
SYMBOL_CRC(ttm_bo_kmap, 0x090abdf0, "");
SYMBOL_CRC(ttm_bo_kunmap, 0xaad2a188, "");
SYMBOL_CRC(ttm_bo_vmap, 0x5de23162, "");
SYMBOL_CRC(ttm_bo_vunmap, 0x73842682, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0x8177aae8, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xbb22a7a8, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0xe58f782b, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x502ffdd8, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x62fbbedf, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0xc91176d1, "");
SYMBOL_CRC(ttm_bo_vm_open, 0xa212300a, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x7d9fbbbc, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x5d374d36, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0x05e2ac99, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x3a339e21, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x3a4d0b6e, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0xbcbe83f3, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x4c8ae5d7, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x239ecc01, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x73709b14, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0xb73b522f, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x826b7541, "");
SYMBOL_CRC(ttm_resource_init, 0x6f4f9496, "");
SYMBOL_CRC(ttm_resource_fini, 0xcabb3f5f, "");
SYMBOL_CRC(ttm_resource_free, 0xd06b8d17, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x38ea77c0, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x68bb1d1f, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x642358da, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0xbb6f8ef7, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x3109afaa, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x5784ee6e, "");
SYMBOL_CRC(ttm_pool_alloc, 0x617a7b6b, "");
SYMBOL_CRC(ttm_pool_free, 0x443149fc, "");
SYMBOL_CRC(ttm_pool_init, 0x3967c03b, "");
SYMBOL_CRC(ttm_pool_fini, 0x86ba79f2, "");
SYMBOL_CRC(ttm_pool_debugfs, 0xe383ef59, "");
SYMBOL_CRC(ttm_glob, 0x185a5e6d, "");
SYMBOL_CRC(ttm_device_swapout, 0xd6ada074, "");
SYMBOL_CRC(ttm_device_init, 0xd2bbba13, "");
SYMBOL_CRC(ttm_device_fini, 0x514bedf3, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x756daace, "");
SYMBOL_CRC(ttm_agp_bind, 0xe439f0f5, "");
SYMBOL_CRC(ttm_agp_unbind, 0xe3bd2ce6, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x09e308dd, "");
SYMBOL_CRC(ttm_agp_destroy, 0x11165797, "");
SYMBOL_CRC(ttm_agp_tt_create, 0x28127752, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x86eb8dd8, "shrinker_alloc" },
	{ 0x6a4de984, "ww_mutex_lock_interruptible" },
	{ 0x574a77ed, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x947102b4, "param_ops_ulong" },
	{ 0x21c8c1e5, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x9f18222, "agp_bind_memory" },
	{ 0xed60f489, "vmalloc_to_page" },
	{ 0x64e71fe4, "kmap_high" },
	{ 0xd1b946e6, "__iomap_local_pfn_prot" },
	{ 0x993d44ae, "dma_resv_init" },
	{ 0xc985d9de, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x1043cac3, "queue_work_node" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x1464eeb3, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x2ace5789, "debugfs_create_atomic_t" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4b3980a5, "unmap_mapping_range" },
	{ 0x62abae45, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xcede275c, "memremap" },
	{ 0x8b5709d5, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd801ba31, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x46abdc01, "set_pages_wb" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x41ed0afe, "__alloc_pages_noprof" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc0315af2, "ww_mutex_trylock" },
	{ 0x53ad4d10, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd55e8e3a, "shrinker_register" },
	{ 0x618911fc, "numa_node" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0xeced8796, "mark_page_accessed" },
	{ 0x25fc11e0, "shmem_file_setup" },
	{ 0x6db883e6, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcf6f6646, "agp_free_memory" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x12ed01a8, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x78661524, "kunmap_high" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x8652ebd4, "ww_mutex_lock" },
	{ 0x2794816e, "shmem_read_mapping_page_gfp" },
	{ 0xb8aed7f3, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xa9f85c48, "vmf_insert_pfn_prot" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xc9323d26, "pgprot_writecombine" },
	{ 0xf84b0975, "agp_allocate_memory" },
	{ 0xf1eed993, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x5f599f2e, "dma_resv_copy_fences" },
	{ 0xa80bb1c2, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x7418e6df, "seq_read" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0x955f43e, "set_pages_array_wc" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5a95d59d, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x167eb898, "seq_write" },
	{ 0xd779fe5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0x15a12f4, "__mmap_lock_do_trace_released" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1601d485, "dma_resv_iter_first_unlocked" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac25594b, "single_release" },
	{ 0x10200727, "set_pages_array_uc" },
	{ 0xd592de51, "memset_io" },
	{ 0xe8b61947, "dma_resv_test_signaled" },
	{ 0xd57abc59, "page_address" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x9d5cd559, "reservation_ww_class" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5f2f81dc, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "20EC41E048E608208B19DEC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
