#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0x84f0d2eb, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x894e013b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73dbb915, "hid_output_report" },
	{ 0x46ee80f4, "hid_lookup_quirk" },
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0xf856cf39, "device_set_wakeup_enable" },
	{ 0xe8dbb4ff, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8591d2ba, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x98173b6a, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb88f1adc, "kill_fasync" },
	{ 0xe09d06f2, "usb_register_driver" },
	{ 0x3fb68bfc, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x68f7b800, "hidinput_count_leds" },
	{ 0x99a4dc20, "usb_autopm_put_interface_no_suspend" },
	{ 0x1c78705b, "hid_driver_resume" },
	{ 0x24791cca, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa216777e, "hid_allocate_device" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x89f4ee9d, "hid_destroy_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4a916942, "usb_interrupt_msg" },
	{ 0x73f041e2, "usb_find_interface" },
	{ 0x8aa3c9f4, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe86bda2a, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x8b68c688, "usb_autopm_get_interface_async" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x99fe27ef, "usb_queue_reset_device" },
	{ 0x9eccfbe0, "hid_alloc_report_buf" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca963c27, "_dev_err" },
	{ 0x9b19bd5b, "usb_free_coherent" },
	{ 0xbd357048, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x758607f7, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xf64dd9ba, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc617f389, "hid_hw_open" },
	{ 0x8fd4de55, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa790719c, "usb_register_dev" },
	{ 0x27c8c909, "hid_check_keys_pressed" },
	{ 0x8c27339, "fasync_helper" },
	{ 0xf513e9f1, "usb_unpoison_urb" },
	{ 0xa3268e53, "usb_autopm_put_interface_async" },
	{ 0x99a8037a, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xcb7cec1a, "usb_deregister" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe53bdc22, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb15e406, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5cf940d9, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6f529c12, "usb_unlink_urb" },
	{ 0xe6ca50ee, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x714cf55c, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8d0a162e, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x68919637, "usb_deregister_dev" },
	{ 0xc8616f13, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xc25473b7, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4cf24332, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf6ab1441, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "F23B61DA446C27958916F39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
