#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_add_clients_from_dt, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0x2c06981c, "_gpl");
SYMBOL_CRC(hsi_add_clients_from_dt, 0x109af8ab, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x7808d82d, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0x87c927a7, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0x218fdec2, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0x1e5de022, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x291e2628, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0x0032cd20, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0x42952c2a, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0xbc67631f, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0xb585667e, "_gpl");
SYMBOL_CRC(hsi_async, 0xfe5f4767, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0x86d05c78, "_gpl");
SYMBOL_CRC(hsi_release_port, 0x61b3f662, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0xcb0745c4, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0xd7ec5074, "_gpl");
SYMBOL_CRC(hsi_event, 0xbd28da47, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0xcbac3362, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2902855b, "of_alias_from_compatible" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x581095c0, "device_unregister" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x63b7a19f, "device_for_each_child" },
	{ 0x6d5f794c, "of_get_next_available_child" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x2a93471d, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xe5a9ceda, "of_match_device" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xa9997954, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x917d495, "of_property_read_string" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x49315f63, "device_register" },
	{ 0x80f59da4, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x3f05fbec, "of_property_read_u32_index" },
	{ 0x9f084f41, "driver_register" },
	{ 0x778ef414, "of_property_read_string_helper" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "050632032E2A00D2C126E17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
