#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_DATA(i3c_bus_type, "_gpl", "");
KSYMTAB_FUNC(i3c_for_each_bus_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_register_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x165d263d, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0xc08446d6, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x7ab3d3e2, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x8d232f02, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x8f2def95, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xa774dc9c, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xe9b94e6f, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x72d0192e, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x0cb14404, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x31bf1958, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xb9dc3ecb, "_gpl");
SYMBOL_CRC(i3c_bus_type, 0x18240e49, "_gpl");
SYMBOL_CRC(i3c_for_each_bus_locked, 0x4295f9ca, "_gpl");
SYMBOL_CRC(i3c_register_notifier, 0xaa91f3f5, "_gpl");
SYMBOL_CRC(i3c_unregister_notifier, 0x2305c897, "_gpl");
SYMBOL_CRC(i3c_master_enable_hotjoin, 0xcdeb2793, "_gpl");
SYMBOL_CRC(i3c_master_disable_hotjoin, 0x70514193, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0xae77521b, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x078be0bf, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0xb0e16938, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xdb23038d, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x444b7d66, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x38c0c6ec, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x02211ac3, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x2d230596, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xf5f6e7ad, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x63fe1659, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x3f215048, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0xe295cff2, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xf7350533, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x249fde66, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9b961e6e, "bus_unregister_notifier" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8e89980a, "i2c_client_type" },
	{ 0x581095c0, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb5cea8b, "of_node_get" },
	{ 0x6d5f794c, "of_get_next_available_child" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xc5f361b8, "bus_register_notifier" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xca963c27, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9997954, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x68e4feb7, "i2c_new_client_device" },
	{ 0x5dddb023, "i2c_bus_type" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0x49315f63, "device_register" },
	{ 0x80f59da4, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5026ba35, "pm_runtime_no_callbacks" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x58f8c2a5, "of_alias_get_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf4707d2e, "of_i2c_get_board_info" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x29f3a126, "up_read" },
	{ 0x9f084f41, "driver_register" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "239D8CDAC402D7B0DE0CCBC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
