#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_read_poll_value, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_read_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_format_scale, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_convert_timestamp, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_get_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_set_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_batch_mode_supported, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_parse_common_attributes, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_read_poll_value, 0x946a97eb, "");
SYMBOL_CRC(hid_sensor_read_samp_freq_value, 0x4b5f7000, "");
SYMBOL_CRC(hid_sensor_write_samp_freq_value, 0xe8bfb0f4, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_value, 0xe482b501, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_rel_value, 0x5313bfec, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_value, 0xb4389d57, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_rel_value, 0x1100ee6c, "");
SYMBOL_CRC(hid_sensor_format_scale, 0x7f7621ec, "");
SYMBOL_CRC(hid_sensor_convert_timestamp, 0xac1d3614, "");
SYMBOL_CRC(hid_sensor_get_report_latency, 0xbc3a7490, "");
SYMBOL_CRC(hid_sensor_set_report_latency, 0xc39c65f5, "");
SYMBOL_CRC(hid_sensor_batch_mode_supported, 0xf956aad6, "");
SYMBOL_CRC(hid_sensor_parse_common_attributes, 0x8a9b5d88, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf7c78359, "sensor_hub_set_feature" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc2840a95, "sensor_hub_input_get_attribute_info" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8756fec, "sensor_hub_get_feature" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "hid-sensor-hub");


MODULE_INFO(srcversion, "6871F7329F4D0285A45ABEE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
