#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x562ce5b2, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x4dae67c1, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x2fecec8b, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xd1403af8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x76e5a86e, "iio_trigger_unregister" },
	{ 0xebd3a3e, "iio_trigger_free" },
	{ 0x40b9bf23, "iio_triggered_buffer_cleanup" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9d205fea, "sensor_hub_device_close" },
	{ 0x5b95839, "hid_sensor_get_usage_index" },
	{ 0x8756fec, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf7c78359, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x2800bded, "sensor_hub_device_open" },
	{ 0x946a97eb, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc39c65f5, "hid_sensor_set_report_latency" },
	{ 0xbc3a7490, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xf956aad6, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x53200d36, "iio_triggered_buffer_setup_ext" },
	{ 0x9c41ce8a, "iio_device_id" },
	{ 0xc9f1c197, "__iio_trigger_alloc" },
	{ 0x72f0e652, "iio_trigger_register" },
	{ 0x82c80d65, "get_device" },
	{ 0xff92d061, "__module_get" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca963c27, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "10020F6F33148E98120D4D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
