#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inv_mpu_core_probe, "_gpl", "IIO_MPU6050");
KSYMTAB_DATA(inv_mpu_pmops, "_gpl", "IIO_MPU6050");

SYMBOL_CRC(inv_mpu_core_probe, 0x68d26ad2, "_gpl");
SYMBOL_CRC(inv_mpu_pmops, 0x5e8a56e1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc36e705e, "regulator_enable" },
	{ 0x9b052c9c, "device_property_present" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xbd5453f9, "iio_push_event" },
	{ 0xdce0c0cc, "iio_buffer_enabled" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1bcfbce2, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x85574c26, "regmap_get_device" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x724b9e66, "iio_push_to_buffers" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x125187ca, "iio_device_release_direct_mode" },
	{ 0xbf1b022a, "inv_sensors_timestamp_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff92d061, "__module_get" },
	{ 0x82c80d65, "get_device" },
	{ 0x9c41ce8a, "iio_device_id" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b794b36, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x2ed7e3f4, "devm_regulator_get" },
	{ 0x8480007f, "iio_show_mount_matrix" },
	{ 0x3cd66f21, "iio_device_claim_direct_mode" },
	{ 0xca963c27, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6ab0c7a6, "irq_get_irq_data" },
	{ 0x31b74444, "iio_trigger_poll_nested" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x55313b28, "inv_sensors_timestamp_interrupt" },
	{ 0x31fce61f, "inv_sensors_timestamp_apply_odr" },
	{ 0xf33a825a, "__devm_iio_device_register" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9e415023, "iio_read_mount_matrix" },
	{ 0x97db0f17, "devm_iio_device_alloc" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xe7923487, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf5025a03, "inv_sensors_timestamp_update_odr" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x35ad881b, "iio_get_time_ns" },
	{ 0x548adeba, "regmap_noinc_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0x993fa434, "regmap_read" },
	{ 0x6d9a2613, "regmap_bulk_write" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4c53929a, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0xb30574fe, "regulator_disable" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xc982ec5, "iio_trigger_notify_done" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0xd012af0d, "__devm_add_action" },
	{ 0xc3965c2a, "iio_read_const_attr" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x66a19f0e, "__devm_iio_trigger_alloc" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,inv_sensors_timestamp");


MODULE_INFO(srcversion, "7A8452B55688B4BA6D1F508");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
