#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(lp55xx_stop_all_engine, "_gpl", "");
KSYMTAB_FUNC(lp55xx_load_engine, "_gpl", "");
KSYMTAB_FUNC(lp55xx_run_engine_common, "_gpl", "");
KSYMTAB_FUNC(lp55xx_update_program_memory, "_gpl", "");
KSYMTAB_FUNC(lp55xx_firmware_loaded_cb, "_gpl", "");
KSYMTAB_FUNC(lp55xx_led_brightness, "_gpl", "");
KSYMTAB_FUNC(lp55xx_multicolor_brightness, "_gpl", "");
KSYMTAB_FUNC(lp55xx_set_led_current, "_gpl", "");
KSYMTAB_FUNC(lp55xx_turn_off_channels, "_gpl", "");
KSYMTAB_FUNC(lp55xx_stop_engine, "_gpl", "");
KSYMTAB_FUNC(lp55xx_show_engine_mode, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_engine_mode, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_engine_load, "_gpl", "");
KSYMTAB_FUNC(lp55xx_show_engine_leds, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_engine_leds, "_gpl", "");
KSYMTAB_FUNC(lp55xx_show_master_fader, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_master_fader, "_gpl", "");
KSYMTAB_FUNC(lp55xx_show_master_fader_leds, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_master_fader_leds, "_gpl", "");
KSYMTAB_FUNC(lp55xx_write, "_gpl", "");
KSYMTAB_FUNC(lp55xx_read, "_gpl", "");
KSYMTAB_FUNC(lp55xx_update_bits, "_gpl", "");
KSYMTAB_FUNC(lp55xx_is_extclk_used, "_gpl", "");
KSYMTAB_FUNC(lp55xx_probe, "_gpl", "");
KSYMTAB_FUNC(lp55xx_remove, "_gpl", "");

SYMBOL_CRC(lp55xx_stop_all_engine, 0x8a6c0e5d, "_gpl");
SYMBOL_CRC(lp55xx_load_engine, 0xd0b50730, "_gpl");
SYMBOL_CRC(lp55xx_run_engine_common, 0xa2aa56f1, "_gpl");
SYMBOL_CRC(lp55xx_update_program_memory, 0xf05fa4d7, "_gpl");
SYMBOL_CRC(lp55xx_firmware_loaded_cb, 0x3db79a75, "_gpl");
SYMBOL_CRC(lp55xx_led_brightness, 0xf93ddc7d, "_gpl");
SYMBOL_CRC(lp55xx_multicolor_brightness, 0x425d8a65, "_gpl");
SYMBOL_CRC(lp55xx_set_led_current, 0x8cb9a312, "_gpl");
SYMBOL_CRC(lp55xx_turn_off_channels, 0xd006d2a6, "_gpl");
SYMBOL_CRC(lp55xx_stop_engine, 0x977d1df5, "_gpl");
SYMBOL_CRC(lp55xx_show_engine_mode, 0x96243ab4, "_gpl");
SYMBOL_CRC(lp55xx_store_engine_mode, 0xdde4a01f, "_gpl");
SYMBOL_CRC(lp55xx_store_engine_load, 0xd3f5b7fb, "_gpl");
SYMBOL_CRC(lp55xx_show_engine_leds, 0xc5817d1f, "_gpl");
SYMBOL_CRC(lp55xx_store_engine_leds, 0xa4f8c0f8, "_gpl");
SYMBOL_CRC(lp55xx_show_master_fader, 0x9949e021, "_gpl");
SYMBOL_CRC(lp55xx_store_master_fader, 0xe2323eb8, "_gpl");
SYMBOL_CRC(lp55xx_show_master_fader_leds, 0x8140f77d, "_gpl");
SYMBOL_CRC(lp55xx_store_master_fader_leds, 0x9fa9f952, "_gpl");
SYMBOL_CRC(lp55xx_write, 0x175c8fe6, "_gpl");
SYMBOL_CRC(lp55xx_read, 0x611aaaf0, "_gpl");
SYMBOL_CRC(lp55xx_update_bits, 0x0ed0d7ac, "_gpl");
SYMBOL_CRC(lp55xx_is_extclk_used, 0x65cf521a, "_gpl");
SYMBOL_CRC(lp55xx_probe, 0x6f174c56, "_gpl");
SYMBOL_CRC(lp55xx_remove, 0x22f41008, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3dc61fb4, "i2c_smbus_write_byte_data" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xca963c27, "_dev_err" },
	{ 0x5a30ec90, "i2c_smbus_read_byte_data" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7994efe5, "led_mc_calc_color_components" },
	{ 0xc8195ddd, "request_firmware_nowait" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc93d54a8, "devm_clk_get_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x917d495, "of_property_read_string" },
	{ 0x506cd8eb, "of_property_read_variable_u8_array" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x5b5c52f9, "sysfs_remove_group" },
	{ 0x7cb83260, "gpiod_set_value" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa9875b6c, "i2c_client_get_device_id" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x9d8aaa9f, "i2c_get_match_data" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x45a78a82, "gpiod_direction_output" },
	{ 0xb5087906, "gpiod_set_consumer_name" },
	{ 0x8117bdc7, "gpiod_set_value_cansleep" },
	{ 0x6d5f794c, "of_get_next_available_child" },
	{ 0x8582715d, "of_get_property" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0x4cc10afa, "devm_gpiod_get_optional" },
	{ 0xff137f49, "sysfs_create_group" },
	{ 0x655c4f7b, "devm_led_classdev_register_ext" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf54877b8, "devm_led_classdev_multicolor_register_ext" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "led-class-multicolor");


MODULE_INFO(srcversion, "B32C8DE5EF347E3D3876E4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
