#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x150dd278, "");
SYMBOL_CRC(cx88_querycap, 0x6bd8b62c, "");
SYMBOL_CRC(cx88_enum_input, 0x1f6c08ac, "");
SYMBOL_CRC(cx88_set_freq, 0xd63e903a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfeb6c48c, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x904e2710, "vb2_dma_sg_memops" },
	{ 0xcdcdde06, "cx88_reset" },
	{ 0xf33e406b, "v4l2_ctrl_poll" },
	{ 0xb30ec494, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa466aff0, "cx88_wakeup" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0xe980dc05, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xbb96cdcb, "v4l2_ctrl_add_handler" },
	{ 0x88cb863, "v4l2_i2c_new_subdev_board" },
	{ 0x231f6cc7, "cx88_set_scale" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x22bd583d, "cx88_shutdown" },
	{ 0x7683e7c1, "cx88_vdev_init" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6e32571, "vb2_ioctl_querybuf" },
	{ 0xff1289e, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56683414, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75003a32, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54039633, "wake_up_process" },
	{ 0x1142820c, "cx88_core_get" },
	{ 0x36fc4ae6, "cx88_get_stereo" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4ee11a6f, "cx88_ir_stop" },
	{ 0x82537bed, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4eb9db9b, "video_devdata" },
	{ 0x251a235, "cx88_set_tvnorm" },
	{ 0x437ec6d3, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xe7cde197, "v4l2_ctrl_find" },
	{ 0x28d38dae, "cx88_ir_start" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xdfef1634, "__v4l2_ctrl_s_ctrl" },
	{ 0xb1122022, "vb2_plane_cookie" },
	{ 0x4f5d8fab, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb945a091, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x12df44b5, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcd7f956, "cx88_set_stereo" },
	{ 0x342e6a07, "vb2_buffer_done" },
	{ 0x666a832a, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb8a8e637, "video_unregister_device" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0x68e4feb7, "i2c_new_client_device" },
	{ 0xb9b08af6, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x1f0fad34, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xf1e63e, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5518ec07, "vb2_fop_read" },
	{ 0xe6c60244, "cx88_sram_channel_dump" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x9934ae29, "cx88_sram_channel_setup" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xabe17459, "__video_register_device" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xe447ed0b, "vb2_ioctl_streamon" },
	{ 0xa24acdd6, "vb2_fop_poll" },
	{ 0x443b2a52, "v4l2_ctrl_new_std" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xd1acd6a4, "v4l2_i2c_new_subdev" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba821ce5, "cx88_newstation" },
	{ 0x2e77dac7, "v4l2_event_unsubscribe" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xad844850, "vb2_ioctl_reqbufs" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
