#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xcf5fe135, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xb945a091, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xd90bea1d, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x9934ae29, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xe6c60244, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x75003a32, "");
SYMBOL_CRC(cx88_wakeup, 0xa466aff0, "");
SYMBOL_CRC(cx88_shutdown, 0x22bd583d, "");
SYMBOL_CRC(cx88_reset, 0xcdcdde06, "");
SYMBOL_CRC(cx88_set_scale, 0x231f6cc7, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x0251a235, "");
SYMBOL_CRC(cx88_vdev_init, 0x7683e7c1, "");
SYMBOL_CRC(cx88_core_get, 0x1142820c, "");
SYMBOL_CRC(cx88_core_put, 0x0ff1289e, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x00f1e63e, "");
SYMBOL_CRC(cx88_newstation, 0xba821ce5, "");
SYMBOL_CRC(cx88_get_stereo, 0x36fc4ae6, "");
SYMBOL_CRC(cx88_set_stereo, 0x0cd7f956, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x7c103320, "");
SYMBOL_CRC(cx88_ir_start, 0x28d38dae, "");
SYMBOL_CRC(cx88_ir_stop, 0x4ee11a6f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1cb5c364, "ir_raw_event_handle" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xeda2a37c, "i2c_bit_add_bus" },
	{ 0xbcf0e6f8, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xf23ba9bd, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x738803e6, "strnlen" },
	{ 0xbc83328f, "i2c_smbus_xfer" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xa7cadda3, "rc_keyup" },
	{ 0xb73b721b, "__v4l2_ctrl_grab" },
	{ 0xcfe8ae1c, "i2c_unregister_device" },
	{ 0xa24e39dd, "tveeprom_read" },
	{ 0xac6e1caf, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7060ac40, "rc_register_device" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x807b0569, "rc_keydown" },
	{ 0x342e6a07, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x68e4feb7, "i2c_new_client_device" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3083cf0a, "freezing_slow_path" },
	{ 0x95afd5c1, "rc_free_device" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1af58c98, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb5d3721, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f8260bb, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xd3e3142c, "v4l2_ctrl_handler_free" },
	{ 0xcbf76dba, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x409a5932, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xd1acd6a4, "v4l2_i2c_new_subdev" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x788dca2c, "ir_raw_event_store_with_filter" },
	{ 0x5a30ec90, "i2c_smbus_read_byte_data" },
	{ 0xe742fe46, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbf7e78fe, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "videodev,rc-core,i2c-algo-bit,tveeprom,videobuf2-common");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
