#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0xd4d169ae, "");
SYMBOL_CRC(go7007_read_addr, 0x968c6e2e, "");
SYMBOL_CRC(go7007_boot_encoder, 0x87dbadeb, "");
SYMBOL_CRC(go7007_register_encoder, 0x778f50d6, "");
SYMBOL_CRC(go7007_parse_video_stream, 0xe44f72de, "");
SYMBOL_CRC(go7007_alloc, 0x07d1d167, "");
SYMBOL_CRC(go7007_update_board, 0x301681b7, "");
SYMBOL_CRC(go7007_snd_init, 0x7c804965, "");
SYMBOL_CRC(go7007_snd_remove, 0xecf040d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfeb6c48c, "vb2_queue_init" },
	{ 0xb30ec494, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7dffb28, "v4l2_device_put" },
	{ 0xe980dc05, "vb2_ioctl_streamoff" },
	{ 0x8235805b, "memmove" },
	{ 0xe1ddb416, "snd_pcm_new" },
	{ 0x2f65f2cb, "snd_card_register" },
	{ 0x88cb863, "v4l2_i2c_new_subdev_board" },
	{ 0xd789ae03, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xbcf0e6f8, "v4l2_ctrl_handler_init_class" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6e32571, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x56683414, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4eb9db9b, "video_devdata" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x437ec6d3, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x91b9b2a8, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb73b721b, "__v4l2_ctrl_grab" },
	{ 0x4f5d8fab, "vb2_ioctl_dqbuf" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf96af5c3, "v4l2_ctrl_new_custom" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x53e58062, "snd_card_free_when_closed" },
	{ 0x342e6a07, "vb2_buffer_done" },
	{ 0x46b4e198, "vb2_plane_vaddr" },
	{ 0x666a832a, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa7394e6b, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc6312fdc, "v4l2_event_subscribe" },
	{ 0xb9b08af6, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x1f0fad34, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1954841c, "snd_device_new" },
	{ 0x64fa247e, "vb2_vmalloc_memops" },
	{ 0xb7117f4b, "snd_pcm_set_managed_buffer_all" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0x729c5a55, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5518ec07, "vb2_fop_read" },
	{ 0x1af58c98, "v4l2_device_register" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x11becac5, "snd_card_disconnect" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xabe17459, "__video_register_device" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe447ed0b, "vb2_ioctl_streamon" },
	{ 0xa24acdd6, "vb2_fop_poll" },
	{ 0x443b2a52, "v4l2_ctrl_new_std" },
	{ 0xb92f8892, "v4l2_ctrl_g_ctrl" },
	{ 0xd3e3142c, "v4l2_ctrl_handler_free" },
	{ 0x409a5932, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x93e837f2, "v4l2_subdev_call_wrappers" },
	{ 0x23330c5d, "snd_pcm_period_elapsed" },
	{ 0xb94d64cf, "v4l2_ctrl_log_status" },
	{ 0xf43e1d09, "v4l2_event_queue" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xe742fe46, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2e77dac7, "v4l2_event_unsubscribe" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xad844850, "vb2_ioctl_reqbufs" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,snd-pcm,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "95F2385FF693831B88047D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
