#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x75dbd6d7, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0x1877ec02, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0xfc6342ab, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x4c6368e2, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x30c93e8a, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x9af5058f, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0xf7ee1245, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0xe034f976, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0xe9c7c37a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9353c7b1, "fwnode_property_read_u32_array" },
	{ 0x88abfd39, "fwnode_property_present" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x70f7896, "_printk" },
	{ 0x5b9c9219, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x47e58268, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x1226812d, "fwnode_property_get_reference_args" },
	{ 0x6367157a, "fwnode_get_next_child_node" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf364e0e4, "fwnode_property_read_u64_array" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xc283e90b, "v4l2_async_subdev_nf_init" },
	{ 0x4a4e928c, "v4l2_subdev_get_privacy_led" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0xb3dd9642, "is_acpi_data_node" },
	{ 0x538959d1, "__v4l2_async_nf_add_fwnode" },
	{ 0xc0f5d61c, "v4l2_async_nf_register" },
	{ 0x10bee1a7, "__v4l2_async_register_subdev" },
	{ 0xf02ef549, "v4l2_async_nf_unregister" },
	{ 0xc36de19, "v4l2_subdev_put_privacy_led" },
	{ 0x93a97472, "v4l2_async_nf_cleanup" },
	{ 0x71846b50, "fwnode_graph_get_port_parent" },
	{ 0x58e116ee, "fwnode_graph_get_remote_port_parent" },
	{ 0xb74e76d9, "fwnode_get_name" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x6cd7bf6, "fwnode_graph_get_remote_endpoint" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "1118A6A1EB4212D5621572D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
