#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x0650f8eb, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x7d2c9ade, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x94aba3ca, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xa90fc336, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xa2a37e05, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x25f78df3, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xfa65f6ea, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x1eb576b1, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xbdfc742c, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xba10f0a8, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x97fd9405, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x92fa2227, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xd2dc1793, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x08a92be2, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x272d25ae, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x20ab8180, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xecc54551, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x79a4d38c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x24a6f43f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x2130ec1d, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x5933195a, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xb4bf82a6, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xa518b67f, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x4743b01b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xf4bb1116, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xdd9edbba, "pci_find_ext_capability" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x346e9ecd, "pci_disable_msi" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x85bfa666, "pm_schedule_suspend" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x42158acf, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc5c67cc3, "pci_enable_msi" },
	{ 0xca963c27, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x31b49543, "pcie_capability_clear_and_set_word_locked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x98b1d501, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x55c8407f, "pm_runtime_forbid" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x8781ec01, "pm_runtime_allow" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f8260bb, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xe00d082c, "mfd_remove_devices" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
