#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0xdf93fd05, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x36081a56, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0xba113c99, "_gpl");
SYMBOL_CRC(sdhci_reset, 0xab077de6, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0x38dd7040, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0x8603d9bf, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0xc8995aff, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0xe0a43171, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0x306788b5, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0xba023fd9, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0x9ccee0ab, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xccd8e529, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0x36743b05, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0x950e233d, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0x881082f9, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0x2ce459e7, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0x8f0f0cbf, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x32357336, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x49b6d8ce, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x77bff0e9, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0xf09bff9d, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0xaa8ab570, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x9ccc4dbc, "_gpl");
SYMBOL_CRC(sdhci_request, 0xef3b27e0, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x72b840a7, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0xbb3dab67, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0x23a534e7, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0xd8e0d074, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x001ecbfb, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x24a0d380, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x263db4e3, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x917d438a, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x24d7e9f9, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x1f009e02, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0xcbeac45f, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x36fdf793, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0xeedfc6f1, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x4e89134b, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x9799c445, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xb7330da3, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0xbae0ead6, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0xa5d6c617, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x3ee3b87c, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xa5d440f2, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x69f5296f, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x41f4c56d, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x1ba09671, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x660a6e73, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x68552bd9, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0x15e86569, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x2ad3cc33, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0xb0a71686, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x78fc33d5, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0xb7da8510, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0xd4fc9cec, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0xceba2853, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x3fb3662b, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xc3c2625b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x70f7896, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0x749dd769, "mmc_alloc_host" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0xb30574fe, "regulator_disable" },
	{ 0x604bb94f, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf4c28004, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x78ebb48e, "__dma_sync_sg_for_cpu" },
	{ 0x76618c3d, "mmc_send_abort_tuning" },
	{ 0x15fde117, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56470118, "__warn_printk" },
	{ 0xebfdda70, "mmc_regulator_set_ocr" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa8a26961, "mmc_gpio_get_cd" },
	{ 0x5add5d04, "mmc_can_gpio_cd" },
	{ 0x667a6de6, "mmc_detect_change" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x4638a8cc, "led_classdev_register_ext" },
	{ 0x7d9571d6, "mmc_add_host" },
	{ 0x55cc47fc, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x89658157, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf643009, "mmc_can_gpio_ro" },
	{ 0xb629b109, "mmc_gpio_get_ro" },
	{ 0xb6476c87, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf396cf09, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x211e3e77, "regulator_is_supported_voltage" },
	{ 0x9b38ec44, "regulator_get_current_limit" },
	{ 0xc36e705e, "regulator_enable" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x420eabe4, "mem_section" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x4437e317, "devm_kfree" },
	{ 0xe664018e, "mmc_regulator_get_supply" },
	{ 0xcd108695, "dma_max_mapping_size" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xa0d0abc7, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4a94b90, "mmc_command_done" },
	{ 0x4ed65a60, "sdio_signal_irq" },
	{ 0xc9ed7d43, "sg_miter_next" },
	{ 0x9e98c41e, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "3CF9A24B13F623438CB5E2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
