#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0xe755b811, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xc399d889, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x1317c194, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x258b8d39, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xc81fbb48, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x4fa9a6b3, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x96a59099, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x35760355, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0xb146c9e3, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x99a0cb78, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x163f6785, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x009e72ff, "_gpl");
SYMBOL_CRC(nand_status_op, 0xd791d30c, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0xbc61fc08, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xbd755490, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xcaf18c31, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x393cb6c8, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0xb81f8f45, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xf04d3e0a, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x86fff4cb, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x1c8dea56, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x01b64abc, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xf00388dd, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x37cd70f3, "");
SYMBOL_CRC(nand_write_oob_std, 0xf89b4977, "");
SYMBOL_CRC(nand_write_page_raw, 0xfdd91aa9, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x3797f4cb, "");
SYMBOL_CRC(nand_decode_ext_id, 0x5aca654a, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x74ed6828, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x20883852, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xb8267c85, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x8f6c3bf8, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x7cfb50f7, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x3ba8c1e9, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x12c61a40, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x88bec4d5, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xce07f11c, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x52eca3b2, "");
SYMBOL_CRC(nand_cleanup, 0xe33cb10e, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xf6624a07, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x6097381c, "");
SYMBOL_CRC(nand_create_bbt, 0x904a67be, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f42d26a, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa3bc9a3a, "mtd_read_oob" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xcaced72, "gpiod_count" },
	{ 0x62a7eff0, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf18de5ea, "nand_get_large_page_hamming_ooblayout" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdf46d393, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0xef2d1e77, "gpiod_get_index_optional" },
	{ 0xe86861f6, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xe42da033, "nanddev_init" },
	{ 0x9c561717, "nand_ecc_sw_bch_correct" },
	{ 0x9b300aa, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x314f9106, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x87acf554, "nand_ecc_sw_hamming_calculate" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x42c4eca8, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0xf98bd65b, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa5a0ea34, "nand_ecc_is_strong_enough" },
	{ 0x2147cb2f, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x1ef594e, "nand_get_small_page_ooblayout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfe955557, "of_get_nand_ecc_user_config" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4c83f578, "nand_ecc_sw_hamming_correct" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa9cc205c, "of_property_count_elems_of_size" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x917d495, "of_property_read_string" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0x5152e605, "memcmp" },
	{ 0xb8c9644c, "mtd_read" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf2b5377c, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x554f3d0a, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8b2e141f, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x962ec3e1, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcccf0023, "mtd_ooblayout_get_databytes" },
	{ 0xd35f75a1, "match_string" },
	{ 0x22cbf8d8, "mtd_ooblayout_get_eccbytes" },
	{ 0xf608a000, "nanddev_mtd_max_bad_blocks" },
	{ 0xf7524b80, "nand_ecc_sw_bch_calculate" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "CEDAE5265053F303681C2CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
