#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0x92171424, "");
SYMBOL_CRC(bnxt_unregister_dev, 0x1eecac39, "");
SYMBOL_CRC(bnxt_send_msg, 0xcb4b5c08, "");
SYMBOL_CRC(bnxt_register_async_events, 0xca6021ec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x350fd998, "napi_alloc_skb" },
	{ 0xabb12625, "alloc_etherdev_mqs" },
	{ 0x8fdaff2d, "flow_block_cb_lookup" },
	{ 0x679929ae, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xf856cf39, "device_set_wakeup_enable" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x76f9c02a, "flow_rule_match_enc_keyid" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xdd9edbba, "pci_find_ext_capability" },
	{ 0x9cc9a868, "bpf_prog_put" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2927e6e1, "devlink_unregister" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x2c8ce60, "dma_pool_create" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2e2fe11f, "pci_wake_from_d3" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0x554c17a1, "skb_put" },
	{ 0xde514782, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd81c34b4, "page_pool_alloc_frag" },
	{ 0x73d64152, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0x9f5e2b87, "auxiliary_device_init" },
	{ 0x40a0d194, "netdev_update_features" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xd58a1eaf, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa4d69d81, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x60aec8a6, "devl_lock" },
	{ 0xaa2a72bf, "__iowrite64_copy" },
	{ 0x193b6dc1, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd22791fd, "ndo_dflt_bridge_getlink" },
	{ 0xe13309ab, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x48971898, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x78a183, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x1cb3ad14, "hwmon_notify_event" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x6246c88, "devlink_params_unregister" },
	{ 0x6bf61bc0, "pci_num_vf" },
	{ 0xe608a87c, "flow_rule_match_eth_addrs" },
	{ 0xcc52b532, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x85dd5ac2, "ptp_clock_index" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e14c24c, "devlink_alloc_ns" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3c702f, "devlink_register" },
	{ 0x2b259f2c, "devlink_remote_reload_actions_performed" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xe92f861e, "page_pool_destroy" },
	{ 0x2a598342, "xdp_do_redirect" },
	{ 0xbd8f209a, "devlink_free" },
	{ 0xed01c846, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1847bd28, "netdev_warn" },
	{ 0x7fbb8bcd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2707ca7, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x57f8a039, "flow_rule_match_ipv4_addrs" },
	{ 0xa2948dfc, "ip_route_output_flow" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x2c1d3153, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb1fb1a38, "devlink_flash_update_status_notify" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x996656b2, "netdev_port_same_parent_id" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xe84cf78e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc2d53169, "ptp_find_pin" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xf3dd1b49, "flow_rule_match_icmp" },
	{ 0xf8b898aa, "ptp_parse_header" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x90ee9713, "net_dim" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x738803e6, "strnlen" },
	{ 0x4bbcef99, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9c7f0c8a, "netif_device_detach" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xbcf85c51, "napi_gro_receive" },
	{ 0x61ab5b69, "netif_device_attach" },
	{ 0x9190aa9f, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc293a416, "flow_indr_dev_unregister" },
	{ 0xb8f8e189, "eth_get_headlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x4586fd4f, "xdp_rxq_info_is_reg" },
	{ 0x2a020916, "ptp_classify_raw" },
	{ 0x4cc0b3bc, "flow_block_cb_setup_simple" },
	{ 0x37f48030, "pci_msix_can_alloc_dyn" },
	{ 0xbe4f82cf, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x23679939, "__iowrite32_copy" },
	{ 0x57ac4d05, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7ff58d3d, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x86ec7ea3, "devlink_port_unregister" },
	{ 0xca963c27, "_dev_err" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x14d939b6, "softnet_data" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x81427f5c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x46f373a5, "ptp_clock_register" },
	{ 0x46a66b1f, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x718addc4, "netif_set_real_num_tx_queues" },
	{ 0x193b0369, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc0c1d304, "netif_set_real_num_rx_queues" },
	{ 0x6838039a, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x139689b8, "page_pool_disable_direct_recycling" },
	{ 0xf2982e19, "netdev_printk" },
	{ 0xdeea2e81, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe6b0762, "pci_device_is_present" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x10f2bc56, "pcie_flr" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x4f73d756, "napi_enable" },
	{ 0xb7e0ecef, "netif_receive_skb" },
	{ 0x88437415, "register_netdev" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xffb7c514, "ida_free" },
	{ 0x65248ca5, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xc86f14f2, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3dd6f53f, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x9e0bef6b, "ethtool_rxfh_context_lost" },
	{ 0x9e14fcf, "pci_iounmap" },
	{ 0x3ac37294, "pci_restore_state" },
	{ 0x84867013, "netif_tx_wake_queue" },
	{ 0x80f59da4, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2490d6ec, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x97b81aa, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8b0e06e5, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xe940dae6, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x404765a0, "flow_rule_match_ipv6_addrs" },
	{ 0xd3cb4d53, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5235d1f0, "ptp_clock_unregister" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf489cab, "devl_unlock" },
	{ 0xe5c20137, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x3e1bf01b, "rps_may_expire_flow" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd7b8edeb, "netdev_reset_tc" },
	{ 0x12acf6ac, "neigh_destroy" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x9df6434d, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x9835485b, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0x59b8d02c, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0x930ba07, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xdc3cf299, "pcie_print_link_status" },
	{ 0xe0f91dab, "flow_rule_match_vlan" },
	{ 0x20e88466, "xdp_rxq_info_unreg" },
	{ 0xe05a1930, "page_pool_alloc_pages" },
	{ 0xae7fd7e7, "napi_build_skb" },
	{ 0x867e8cb4, "__xdp_rxq_info_reg" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x35fa664, "devlink_priv" },
	{ 0x129c1e21, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xfe0ca4c3, "pci_disable_sriov" },
	{ 0x54f60898, "tcp_gro_complete" },
	{ 0xd4c7f9c, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0x4d6f5c1b, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xd171f5b7, "hwmon_device_unregister" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa015f679, "netif_set_tso_max_size" },
	{ 0xb06c73fa, "__skb_flow_dissect" },
	{ 0x514d4bde, "pci_msix_alloc_irq_at" },
	{ 0xc280fdaa, "pci_vpd_alloc" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x616c12ac, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xf109f6f5, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xd57abc59, "page_address" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xd0d8621b, "strlen" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x6d38c616, "dcb_ieee_delapp" },
	{ 0x79f4904f, "netdev_notice" },
	{ 0x3d53e1ba, "ethtool_params_from_link_mode" },
	{ 0xd021cdaa, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0x43001f29, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xec612b37, "flow_rule_match_control" },
	{ 0x8aebe125, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4dbd43c4, "netdev_core_stats_inc" },
	{ 0xab2ad566, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6304507, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x6fc9a3c7, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6A2964B8438B25C75631DA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
