#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x24cb51f3, "");
SYMBOL_CRC(be_roce_unregister_driver, 0xebdd0b0a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabb12625, "alloc_etherdev_mqs" },
	{ 0x679929ae, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x7a5ee626, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x19d23b22, "param_ops_ushort" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xd58a1eaf, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa4d69d81, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd22791fd, "ndo_dflt_bridge_getlink" },
	{ 0xe13309ab, "unregister_netdev" },
	{ 0x22de12b1, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x6bf61bc0, "pci_num_vf" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x9a80e6d8, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d0cf56, "pci_sriov_get_totalvfs" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xed01c846, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7fbb8bcd, "udp_tunnel_nic_ops" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0x7f1a4d69, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0xb5f6ee5, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0x9c7f0c8a, "netif_device_detach" },
	{ 0x9ca142b2, "__hw_addr_unsync_dev" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x61ab5b69, "netif_device_attach" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xca963c27, "_dev_err" },
	{ 0x14d939b6, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x718addc4, "netif_set_real_num_tx_queues" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc0c1d304, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x4f73d756, "napi_enable" },
	{ 0xb7e0ecef, "netif_receive_skb" },
	{ 0x88437415, "register_netdev" },
	{ 0x65248ca5, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0x3dd6f53f, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9e14fcf, "pci_iounmap" },
	{ 0x3ac37294, "pci_restore_state" },
	{ 0x84867013, "netif_tx_wake_queue" },
	{ 0x4738a9b6, "devm_hwmon_device_register_with_groups" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0xb3dbda92, "netif_tx_lock" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0xd89e5fad, "pci_enable_wake" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd779fe5, "__folio_put" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xb543776d, "__hw_addr_sync_dev" },
	{ 0xfe0ca4c3, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0x18975520, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xa015f679, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd57abc59, "page_address" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0xbb5c383f, "pci_sriov_set_totalvfs" },
	{ 0xd0d8621b, "strlen" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0xe166a84f, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8aebe125, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6304507, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8F19807B53974A8F11B3ED8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
