#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0xff63c89b, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x6836ebd7, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x43298a29, "_gpl");
SYMBOL_CRC(fun_bind, 0x5862457f, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x8b5e7719, "");
SYMBOL_CRC(fun_release_irqs, 0xb154948c, "");
SYMBOL_CRC(fun_serv_stop, 0xf7fe5b4d, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xa853d5e4, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0xc07b0ff0, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x749846bf, "");
SYMBOL_CRC(fun_dev_enable, 0xfb2df24a, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xcb85a1a2, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xe1db37e5, "_gpl");
SYMBOL_CRC(fun_sq_create, 0x3364fb34, "_gpl");
SYMBOL_CRC(fun_cq_create, 0xde754143, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x679929ae, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6b55d6e1, "pci_msix_vec_count" },
	{ 0x81235b97, "pci_request_selected_regions" },
	{ 0x5042dc5c, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x7fcb82cb, "pci_enable_device_mem" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x17f4e86e, "sbitmap_queue_wake_all" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x2c1d3153, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x41ed0afe, "__alloc_pages_noprof" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x1fc7f89e, "pci_select_bars" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xdc3cf299, "pcie_print_link_status" },
	{ 0xd779fe5, "__folio_put" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd57abc59, "page_address" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A3BFF49F7F2FD6833E08BC8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
