#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x7d0038d8, "");
SYMBOL_CRC(prestera_device_unregister, 0xd7990f97, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabb12625, "alloc_etherdev_mqs" },
	{ 0xceb53e05, "netdev_lower_get_next" },
	{ 0x8fdaff2d, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4b0741f, "br_vlan_enabled" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2927e6e1, "devlink_unregister" },
	{ 0x2c8ce60, "dma_pool_create" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0x554c17a1, "skb_put" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x929b1a5b, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x9210f2f2, "register_fib_notifier" },
	{ 0xf54fe049, "l3mdev_fib_table_rcu" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe13309ab, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe608a87c, "flow_rule_match_eth_addrs" },
	{ 0xcc52b532, "devlink_port_attrs_set" },
	{ 0x55709ab5, "flow_block_cb_priv" },
	{ 0x9336ea38, "flow_block_cb_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e14c24c, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x4a3c702f, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xeb5cea8b, "of_node_get" },
	{ 0xbd8f209a, "devlink_free" },
	{ 0xa20ab887, "of_find_node_by_name" },
	{ 0x1847bd28, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x57f8a039, "flow_rule_match_ipv4_addrs" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xecd4c7c5, "fib_table_lookup" },
	{ 0xc3874673, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0xe1d5f31, "switchdev_handle_port_attr_set" },
	{ 0xa2db08bf, "devlink_traps_unregister" },
	{ 0x1b8a2e8a, "phylink_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0xf3dd1b49, "flow_rule_match_icmp" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0x49f45a85, "switchdev_handle_port_obj_del" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xe909dfde, "priv_to_devlink" },
	{ 0xb30e398c, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xbc1dfbba, "switchdev_bridge_port_offload" },
	{ 0x763791af, "flow_block_cb_incref" },
	{ 0xaab43405, "flow_rule_match_ports_range" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xaaa65ee4, "of_get_mac_address" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x6e333f8a, "free_fib_info" },
	{ 0xbe4f82cf, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf2dc379c, "vlan_dev_real_dev" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x86ec7ea3, "devlink_port_unregister" },
	{ 0xca963c27, "_dev_err" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x973cb090, "flow_block_cb_decref" },
	{ 0x8af1193f, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4f73d756, "napi_enable" },
	{ 0x88437415, "register_netdev" },
	{ 0x1b33bd3f, "unregister_fib_notifier" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xfa7c7339, "switchdev_bridge_port_unoffload" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x97b81aa, "flow_rule_match_ports" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x2af449f8, "devlink_trap_report" },
	{ 0x81fa3a5e, "__neigh_event_send" },
	{ 0xdb1880e2, "flow_block_cb_alloc" },
	{ 0x7146c2e2, "switchdev_handle_port_obj_add" },
	{ 0x371bc266, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0x5077785f, "__neigh_create" },
	{ 0x5d1ed59d, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0xefc0d9bc, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8f1943d5, "alloc_netdev_dummy" },
	{ 0x12acf6ac, "neigh_destroy" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xc347f7ef, "br_multicast_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe0f91dab, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xd338c898, "netdev_master_upper_dev_get_rcu" },
	{ 0x2eadc39f, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xa8c0d9cc, "netdev_master_upper_dev_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x403ca1f7, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x35fa664, "devlink_priv" },
	{ 0x129c1e21, "devlink_port_register_with_ops" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0xffd3949c, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xcedf869c, "devlink_trap_groups_register" },
	{ 0x7875d246, "arp_tbl" },
	{ 0x5bfbb43f, "phylink_ethtool_ksettings_get" },
	{ 0xc09fef6d, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfed47246, "netdev_walk_all_lower_dev" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0xe4607f2a, "__fib_lookup" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x4b68588f, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xec612b37, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x17fe399d, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "bridge,phylink");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
