#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x5a04b101, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x1d8f3f32, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x5e2b723c, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x3f8bee1f, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x02483c0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86eafa86, "__do_once_done" },
	{ 0x11ba1c05, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf947f2ba, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf1263f8, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe23d20f8, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x40a0d194, "netdev_update_features" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xe81b0820, "ip6_local_out" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x26202763, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0xa763b32b, "netif_inherit_tso_max" },
	{ 0x52709276, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2948dfc, "ip_route_output_flow" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf06e1379, "dev_uc_unsync" },
	{ 0xc2205851, "ether_setup" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e4de138, "netdev_upper_dev_link" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc1fd34d3, "eth_header_parse" },
	{ 0xcd73e9a8, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x51af4961, "eth_header_cache_update" },
	{ 0x128e8a99, "nf_register_net_hooks" },
	{ 0x2bdc2683, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x75386dc0, "ip_route_input_noref" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x8972dd8b, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xac5c567e, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb7aab8b4, "ns_capable" },
	{ 0xcac4e7be, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0x23d501ad, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x176fc762, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb207f4, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x809addba, "vlan_vid_add" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xe834e9f3, "call_netdevice_notifiers" },
	{ 0x30aefde0, "vlan_vid_del" },
	{ 0x520aeb45, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2606e177, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xe355674a, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x174a9eb1, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x136aec13, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe671ded4, "dev_change_flags" },
	{ 0x4dbd43c4, "netdev_core_stats_inc" },
	{ 0xc64a2f11, "dev_forward_skb" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE29C4E70CF38B6CE4768B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
