#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x1c780d49, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xaae01479, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xc2283705, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x70f7896, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0x286f3c70, "genl_register_family" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x4ede6016, "crypto_alloc_aead" },
	{ 0x6f86cd97, "crypto_aead_setkey" },
	{ 0x2b11aa49, "crypto_aead_setauthsize" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x51813ef6, "nla_put" },
	{ 0x8235805b, "memmove" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x9a80e6d8, "___pskb_trim" },
	{ 0xc2205851, "ether_setup" },
	{ 0xcf9579d0, "dst_release" },
	{ 0xd6c55c8f, "dev_fetch_sw_netstats" },
	{ 0xf1263f8, "dev_mc_sync" },
	{ 0x26202763, "dev_uc_sync" },
	{ 0x520aeb45, "dev_set_allmulti" },
	{ 0x3beb5d67, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6fdf8b3, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0xf2a62082, "gro_cells_receive" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x3e4de138, "netdev_upper_dev_link" },
	{ 0xac5c567e, "netdev_upper_dev_unlink" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd4c7f9c, "metadata_dst_alloc" },
	{ 0x8972dd8b, "netif_stacked_transfer_operstate" },
	{ 0xc4448f64, "linkwatch_fire_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x2606e177, "netdev_rx_handler_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd9e3a560, "skb_ensure_writable_head_tail" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x54f59daa, "gro_cells_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xa763b32b, "netif_inherit_tso_max" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46294119, "skb_copy" },
	{ 0x52ef5b0, "skb_copy_expand" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x8af1193f, "skb_push" },
	{ 0x554c17a1, "skb_put" },
	{ 0xea302a63, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6adf1c45, "skb_to_sgvec" },
	{ 0xe4378809, "crypto_aead_encrypt" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xa0f18394, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x842ff46c, "crypto_aead_decrypt" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd73e9a8, "netdev_rx_handler_unregister" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x40a0d194, "netdev_update_features" },
	{ 0x1787ebce, "dev_set_mtu" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0x136aec13, "dev_mc_unsync" },
	{ 0xf06e1379, "dev_uc_unsync" },
	{ 0xf83f6a9f, "dev_uc_del" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x631a025d, "dev_uc_add" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0x2bc95bd4, "memset" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xbbb50505, "genlmsg_put" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6809968729137EF1D3E4D31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
