#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x59810b73, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x9442ae68, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xfe14bce7, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xdf981d12, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xbc4cbb45, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xbfef3be7, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xca9b5e8b, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x81f1f2b4, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xaaed7e56, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c063e58, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x374f2fee, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb5884078, "cdev_init" },
	{ 0x343e5ee7, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x572c1990, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4ba2392e, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8d3a4704, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0xce80e66a, "_copy_to_iter" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4292364c, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x6235462a, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8af1193f, "skb_push" },
	{ 0x47ba8ab8, "__skb_gso_segment" },
	{ 0x8ea1243d, "skb_checksum_help" },
	{ 0xe6063ce1, "kfree_skb_list_reason" },
	{ 0x4c609d60, "__skb_get_hash_net" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb06c73fa, "__skb_flow_dissect" },
	{ 0x5b1b819c, "skb_partial_csum_set" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x6faa863a, "iov_iter_npages" },
	{ 0xbf4a0321, "sock_alloc_send_pskb" },
	{ 0x554c17a1, "skb_put" },
	{ 0x7e8d86c5, "zerocopy_sg_from_iter" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0x3f26bd85, "skb_copy_datagram_from_iter" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0xe87fd814, "build_skb" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E0A76EEA8D0FE967377492B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
