#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x9bbf0e5f, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x65747ce0, "");
SYMBOL_CRC(team_options_register, 0xdeb40394, "");
SYMBOL_CRC(team_options_unregister, 0x23618feb, "");
SYMBOL_CRC(team_option_inst_set_change, 0x53de9ce5, "");
SYMBOL_CRC(team_options_change_check, 0x9c7a9a03, "");
SYMBOL_CRC(team_mode_register, 0x75516065, "");
SYMBOL_CRC(team_mode_unregister, 0xa5b9a79e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1787ebce, "dev_set_mtu" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc3bceaf8, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x953dbff9, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x14c70b60, "netpoll_send_skb" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0xbbb50505, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xabc884f6, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x3beb5d67, "dev_set_promiscuity" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x1847bd28, "netdev_warn" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf06e1379, "dev_uc_unsync" },
	{ 0xc2205851, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc77e64d6, "netlink_broadcast_filtered" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6cab586f, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcd73e9a8, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x2a93471d, "module_put" },
	{ 0x436c8e69, "dev_uc_flush" },
	{ 0x6f51e49a, "dev_open" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5d30f45b, "dev_mc_flush" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x261fd497, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa3de4c5c, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdeea2e81, "dev_close" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xac5c567e, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x23d501ad, "__ethtool_get_link_ksettings" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x8d2bea78, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfd1ff633, "netdev_has_upper_dev" },
	{ 0xd270b17d, "netdev_change_features" },
	{ 0x7d8559b8, "netdev_lower_state_changed" },
	{ 0x1ef77b69, "netdev_master_upper_dev_link" },
	{ 0x750aceba, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe5c20137, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x402412bf, "vlan_vids_del_by_dev" },
	{ 0x933715b1, "__netpoll_setup" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x809addba, "vlan_vid_add" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe834e9f3, "call_netdevice_notifiers" },
	{ 0x30aefde0, "vlan_vid_del" },
	{ 0x520aeb45, "dev_set_allmulti" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa07b1124, "skb_clone" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0xc09fef6d, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2606e177, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6fdf8b3, "genl_unregister_family" },
	{ 0xfc535517, "dev_disable_lro" },
	{ 0xd0d8621b, "strlen" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x136aec13, "dev_mc_unsync" },
	{ 0x286f3c70, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6304507, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x51807487, "dev_mc_sync_multiple" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4D21727671557B56C2D1074");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
