#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x46a38ccb, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xf8bf7b23, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xc9ee9057, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x5d63b2d8, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xdd71fc09, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xcc66f206, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x237b45a9, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x68a7e49e, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x909c26bd, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x47b2f723, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x17c23843, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xad6846d0, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x703c2f8c, "_gpl");
SYMBOL_CRC(usbnet_open, 0x3b3fc99f, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x78178031, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x6b7fdcb4, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x44dfa672, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xe44914ab, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xaa622694, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x5acd54aa, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x3f41c02e, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x7a494e5d, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x34446937, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xc454af8b, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x17924505, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x7deefd37, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x0986e177, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x07fc540d, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x036c586c, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x084b585f, "");
SYMBOL_CRC(usbnet_manage_power, 0xb1d34b31, "");
SYMBOL_CRC(usbnet_link_change, 0x7068430a, "");
SYMBOL_CRC(usbnet_read_cmd, 0xa6282ce0, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x24823340, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xd8e63046, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x709e5c19, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xc7f82059, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x501e310b, "usb_set_interface" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe53bdc22, "usb_string" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x176fc762, "netif_rx" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0xe5c20137, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe6a22227, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6f529c12, "usb_unlink_urb" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0x9c063e58, "netdev_err" },
	{ 0x592684d2, "mii_ethtool_get_link_ksettings" },
	{ 0x5cdc3456, "mii_ethtool_set_link_ksettings" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x561283df, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xe13309ab, "unregister_netdev" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x9ffbdf8b, "usb_get_from_anchor" },
	{ 0xc8616f13, "usb_kill_urb" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x6304507, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9c7f0c8a, "netif_device_detach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x61ab5b69, "netif_device_attach" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8fd4de55, "usb_control_msg" },
	{ 0x2e60bace, "memcpy" },
	{ 0x714cf55c, "usb_autopm_get_interface" },
	{ 0xe8dbb4ff, "usb_autopm_put_interface" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xdf40f699, "mii_link_ok" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xa3268e53, "usb_autopm_put_interface_async" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0xabb12625, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x88437415, "register_netdev" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x72fb212e, "usb_check_bulk_endpoints" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x420eabe4, "mem_section" },
	{ 0x8b68c688, "usb_autopm_get_interface_async" },
	{ 0xde514782, "skb_tstamp_tx" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x65012478, "usb_anchor_urb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x84867013, "netif_tx_wake_queue" },
	{ 0x24791cca, "usb_autopm_get_interface_no_resume" },
	{ 0x554c17a1, "skb_put" },
	{ 0xe86bda2a, "usb_clear_halt" },
	{ 0x34005f98, "eth_mac_addr" },
	{ 0xed01c846, "eth_validate_addr" },
	{ 0xa121e034, "ethtool_op_get_ts_info" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "DFB1B1170CF0A5915C4CD78");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
