#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0x1c64dab4, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0x86076bac, "");
SYMBOL_CRC(ath12k_core_resume_early, 0x51f4b241, "");
SYMBOL_CRC(ath12k_core_resume, 0xf7ef05e7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x70e3fb9f, "ieee80211_gtk_rekey_notify" },
	{ 0xf856cf39, "device_set_wakeup_enable" },
	{ 0xf4bb1116, "pcie_capability_read_word" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x825a6bc0, "regulatory_set_wiphy_regd_sync" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc0be7566, "pci_request_region" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0x554c17a1, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb39dfca1, "firmware_request_nowarn" },
	{ 0xc9dce522, "mhi_power_down_keep_dev" },
	{ 0xce6fb935, "qmi_handle_init" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xd58a1eaf, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xbda059a5, "mhi_device_put" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x19d3ce63, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x9baaab2a, "mhi_sync_power_up" },
	{ 0xc49cb06d, "mhi_power_down" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8676916d, "mhi_pm_resume" },
	{ 0xf93f3e9d, "ieee80211_free_hw" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x5bc166bd, "pci_assign_resource" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x7234be5, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5e042662, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xf47bfb86, "ieee80211_register_hw" },
	{ 0xb7ed62a0, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0xebaff30c, "mhi_register_controller" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa5a37084, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x2f9fceaa, "ieee80211_tx_status_skb" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0xa726540c, "qmi_send_request" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9c3f04b, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4fb6c233, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc0de334e, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x5442483d, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x4a77a9f0, "qmi_txn_wait" },
	{ 0xa7d37977, "mhi_pm_suspend" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x61a123be, "ieee80211_get_channel_khz" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe4c2df3e, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x611caf6f, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x69624d8c, "crypto_shash_setkey" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0xe3c2981c, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9724d857, "qmi_txn_cancel" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6ab0c7a6, "irq_get_irq_data" },
	{ 0xfdd5a96d, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x12abf140, "ieee80211_remain_on_channel_expired" },
	{ 0x31b49543, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x4f73d756, "napi_enable" },
	{ 0x8dc2befa, "ieee80211_wake_queues" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7ccf8eec, "qmi_txn_init" },
	{ 0x2e750209, "ieee80211_report_low_ack" },
	{ 0x305b603d, "ieee80211_beacon_get_template" },
	{ 0x9dd53602, "crypto_shash_update" },
	{ 0xc8ce9320, "wiphy_work_queue" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x330f51d4, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1e1e6c7f, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x52eddd21, "mhi_free_controller" },
	{ 0x9e14fcf, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x173817c4, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x15907469, "wiphy_work_cancel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8ae277b2, "ieee80211_beacon_free_ema_list" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0xb75178ab, "ieee80211_iterate_stations_mtx" },
	{ 0xc72802a0, "ieee80211_ready_on_channel" },
	{ 0x63f670, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x8c51af4c, "qmi_handle_release" },
	{ 0xea302a63, "skb_cow_data" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0xe59b23fa, "mhi_alloc_controller" },
	{ 0xbbf2210b, "skb_realloc_headroom" },
	{ 0x53e705fc, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x3209737a, "mhi_unregister_controller" },
	{ 0x75192e6f, "ieee80211_vif_to_wdev" },
	{ 0x8f1943d5, "alloc_netdev_dummy" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xff327d97, "ieee80211_scan_completed" },
	{ 0x78f34a2f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xca83a7, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x8fc08185, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6479953d, "pskb_put" },
	{ 0xc424b0c3, "ieee80211_unregister_hw" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0x158ebaec, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x966efad1, "mhi_download_rddm_image" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xbd5c592c, "ieee80211_queue_work" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x77765035, "crypto_alloc_shash" },
	{ 0xe7101d3b, "pci_write_config_word" },
	{ 0x64438bb9, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa1d0f615, "pci_release_region" },
	{ 0xf41ae20f, "mhi_prepare_for_power_up" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x6cd29c4c, "qmi_add_lookup" },
	{ 0x9ace5047, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x9a3f4a5b, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers,mhi");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EC25098C0F8370D285729A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
