#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");
KSYMTAB_FUNC(ipw_wx_set_spy, "", "");
KSYMTAB_FUNC(ipw_wx_get_spy, "", "");
KSYMTAB_FUNC(ipw_wx_set_thrspy, "", "");
KSYMTAB_FUNC(ipw_wx_get_thrspy, "", "");
KSYMTAB_FUNC(libipw_crypt_info_init, "", "");
KSYMTAB_FUNC(libipw_crypt_info_free, "", "");
KSYMTAB_FUNC(libipw_crypt_delayed_deinit, "", "");
KSYMTAB_FUNC(libipw_register_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_unregister_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_get_crypto_ops, "", "");

SYMBOL_CRC(libipw_networks_age, 0x7f720bab, "");
SYMBOL_CRC(alloc_libipw, 0xf24460ce, "");
SYMBOL_CRC(free_libipw, 0xae3e068b, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x8c296515, "");
SYMBOL_CRC(libipw_txb_free, 0xf893e15a, "");
SYMBOL_CRC(libipw_rx_any, 0x1b8f6478, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x0de02e15, "");
SYMBOL_CRC(libipw_rx, 0x4a0489c7, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xc724507b, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x4e24aa20, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xfbee526c, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xe7727832, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xc5d40636, "");
SYMBOL_CRC(libipw_get_channel, 0x115df6a3, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x9a9e9aab, "");
SYMBOL_CRC(libipw_is_valid_channel, 0xbf4d16fb, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xae129d6e, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xd2408f3f, "");
SYMBOL_CRC(libipw_channel_to_index, 0x62441056, "");
SYMBOL_CRC(libipw_set_geo, 0x515de984, "");
SYMBOL_CRC(libipw_get_geo, 0x6d3edbad, "");
SYMBOL_CRC(ipw_wx_set_spy, 0xbcdafd87, "");
SYMBOL_CRC(ipw_wx_get_spy, 0x6ad3c122, "");
SYMBOL_CRC(ipw_wx_set_thrspy, 0x3ecea31a, "");
SYMBOL_CRC(ipw_wx_get_thrspy, 0xeb52fd1c, "");
SYMBOL_CRC(libipw_crypt_info_init, 0xf629a59f, "");
SYMBOL_CRC(libipw_crypt_info_free, 0x9172e869, "");
SYMBOL_CRC(libipw_crypt_delayed_deinit, 0xedb01912, "");
SYMBOL_CRC(libipw_register_crypto_ops, 0x2c4a67a0, "");
SYMBOL_CRC(libipw_unregister_crypto_ops, 0xcf553df0, "");
SYMBOL_CRC(libipw_get_crypto_ops, 0xfe5c2a1e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabb12625, "alloc_etherdev_mqs" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x554c17a1, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe7291da2, "proc_create" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x4ede6016, "crypto_alloc_aead" },
	{ 0x94c8fa35, "dev_kfree_skb_irq_reason" },
	{ 0x2b11aa49, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x842ff46c, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x66db5f94, "wiphy_new_nm" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x2a93471d, "module_put" },
	{ 0x6f86cd97, "crypto_aead_setkey" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x69624d8c, "crypto_shash_setkey" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe4378809, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x8af1193f, "skb_push" },
	{ 0xb1f03113, "wireless_send_event" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dd53602, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1e5ecab1, "proc_mkdir" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x176fc762, "netif_rx" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7418e6df, "seq_read" },
	{ 0xca83a7, "crypto_shash_final" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf20c316e, "remove_proc_entry" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac25594b, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x77765035, "crypto_alloc_shash" },
	{ 0x4cfcb259, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "libarc4,cfg80211");


MODULE_INFO(srcversion, "C8FFC566263669E7159E0B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
