#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x627aaada, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x66c9811c, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xcde8ae6f, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xb90b84c8, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x2b46756a, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x17ee919d, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xf089d94d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x70577545, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x637c0332, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x07811110, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xa8d3a141, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x425c8c82, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xdd119886, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x3fe78563, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xbfb0431d, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x153b20e4, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x150fab60, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x98f3ecd9, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xb8295542, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x251b6268, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xdd336bfd, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x6a3f14ac, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x997f013b, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xe4049659, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x27971228, "_gpl");
SYMBOL_CRC(mt76_rx, 0x20a8e588, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x34ead371, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xf28f2daa, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x52ece8c5, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0x89382a6b, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xaff84a89, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x32c580bc, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x6db2aad9, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x9696e81f, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x4a19a0d3, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xe2a3d7c4, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x15a2ce6e, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x67dbf109, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x13652f49, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x4d00da13, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x9001224c, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xcf142773, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xcfd194d5, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xb2e736c1, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x7e239823, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xe81eb28b, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xecd0de0d, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xf683c962, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x70115fc6, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xf23776d4, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x39dd0d3c, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xb64759a6, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xd93cb357, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x4ecf65d2, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x0f6e679d, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x30d32636, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x7ef3240a, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x6d2e79bc, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x0a1fbf43, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x534e1a51, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xd05e5411, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xf34f0bbd, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x7adb1978, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xc84054d7, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x52893e0d, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x26dd0869, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x1c20958f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xc89dc16f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xd808e05d, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x7f210c36, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xa086c2fc, "_gpl");
SYMBOL_CRC(mt76_tx, 0x31db5fee, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x91f4c617, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x16da4fea, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x6f3d1e4a, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x8304c7f8, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x2ec5163f, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x76336e5c, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x26d9c429, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x17880152, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xfa10d2a0, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x392f9b7e, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x94f0b271, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xf8fc0b2b, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xaaa72474, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x918857e9, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xce2d7175, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x4bcdf276, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x28626416, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x85963ec5, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x991148f8, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xbaa8147a, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xd27a251a, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x36036500, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0xe69b9f63, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x0ff2c8f7, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x5efaa55d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c0db2d, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf4bb1116, "pcie_capability_read_word" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0x2cc52056, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdea1ddb2, "__ieee80211_schedule_txq" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0x554c17a1, "skb_put" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd81c34b4, "page_pool_alloc_frag" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa3f9567f, "dmam_alloc_attrs" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf93f3e9d, "ieee80211_free_hw" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x534a5357, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfcd98870, "ieee80211_tx_status_ext" },
	{ 0xc81f9707, "debugfs_create_blob" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xe92f861e, "page_pool_destroy" },
	{ 0xf47bfb86, "ieee80211_register_hw" },
	{ 0x55cc47fc, "led_classdev_unregister" },
	{ 0x5622467d, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xac8d7f23, "ieee80211_sta_eosp" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3c9b6eba, "kthread_park" },
	{ 0x9b907dd8, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x8582715d, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54039633, "wake_up_process" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7c45e36a, "ieee80211_get_tx_rates" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0x1cd1d4cb, "cfg80211_reg_check_beaconing" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x61e94681, "ieee80211_sta_uapsd_trigger" },
	{ 0xb30e398c, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x495d94b1, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x2643e6cc, "pci_disable_link_state" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xbcf85c51, "napi_gro_receive" },
	{ 0xaaa65ee4, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0xa5fcc325, "kthread_unpark" },
	{ 0x48aa669e, "dev_set_threaded" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x722d6f62, "of_get_child_by_name" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0x23679939, "__iowrite32_copy" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x611caf6f, "ieee80211_queue_delayed_work" },
	{ 0x27a943f4, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc9e2f7d5, "of_prop_next_string" },
	{ 0x317ed0c6, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0x1f497d5c, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfdd5a96d, "ieee80211_find_sta_by_ifaddr" },
	{ 0x36742a2a, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x31b49543, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x4f73d756, "napi_enable" },
	{ 0xdb9526df, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc8742a95, "ieee80211_sta_pspoll" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0xb8a3cae2, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0xc86f14f2, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0x330f51d4, "ieee80211_free_txskb" },
	{ 0x4638a8cc, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2a258913, "of_device_is_available" },
	{ 0x1e1e6c7f, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2e183288, "ieee80211_tx_dequeue" },
	{ 0x838bef04, "ieee80211_rx_list" },
	{ 0x2490d6ec, "page_pool_create" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2006dfad, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8f1943d5, "alloc_netdev_dummy" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x78f34a2f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc424b0c3, "ieee80211_unregister_hw" },
	{ 0xae7fd7e7, "napi_build_skb" },
	{ 0x167eb898, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x70570df4, "of_nvmem_cell_get" },
	{ 0x5121170a, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x616c12ac, "skb_add_rx_frag_netmem" },
	{ 0xd57abc59, "page_address" },
	{ 0xb67e7d9, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x62cdb6b0, "debugfs_create_u8" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "DEBEA6ECF81D53836B300C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
