#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x6ab4eeb6, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x3f8fb6bb, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x65842af5, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x7954ea4d, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0xdb23b9b6, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0xccbcb14f, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x157bee8a, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x547b5bb7, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x4eed7f08, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x74171840, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xa4852b89, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x9efb6c3e, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x191ba075, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x778846d2, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x22dcdaef, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x593d85ef, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0xf7cda308, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x2d4d7e50, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xf04656ad, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x0bcaf082, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x8ca2bf13, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x6eae019a, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x1db4cd71, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xc6626fd3, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x9fc296b7, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x18c27c90, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xfae74efe, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x70d65174, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x26aec817, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x415be5a7, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0xd437cf4f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28bc6bc0, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x89e7607e, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x89382a6b, "mt76_update_channel" },
	{ 0x7c0db2d, "ieee80211_sta_register_airtime" },
	{ 0x15c9e36c, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x90a7c665, "mt76_connac_mcu_sta_tlv" },
	{ 0xf856cf39, "device_set_wakeup_enable" },
	{ 0x8304c7f8, "mt76_tx_worker_run" },
	{ 0x4d00da13, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x26dd0869, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0xf66c60aa, "ieee80211_iterate_interfaces" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0x130fa6ec, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x8c93eb5b, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb39dfca1, "firmware_request_nowarn" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd808e05d, "mt76_tx_status_skb_get" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x52893e0d, "mt76_tx_status_lock" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x1989da26, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x6e0bd3f5, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf93f3e9d, "ieee80211_free_hw" },
	{ 0x242e6895, "mt76_connac_mcu_set_channel_domain" },
	{ 0x3c42a243, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x91f4c617, "mt76_release_buffered_frames" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x13652f49, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17ee919d, "__tracepoint_mac_txdone" },
	{ 0x68a10920, "mt76_connac_pm_wake" },
	{ 0xe81eb28b, "mt76_get_rate" },
	{ 0x76336e5c, "mt76_wake_tx_queue" },
	{ 0xfcd98870, "ieee80211_tx_status_ext" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x84ec7413, "mt76_connac_mcu_chip_config" },
	{ 0x70115fc6, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4dc1ba1, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0xa086c2fc, "__mt76_tx_complete_skb" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x150fab60, "mt76_set_stream_caps" },
	{ 0x88473697, "ieee80211_emulate_change_chanctx" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x69ae11fa, "mt76_connac_mcu_update_arp_filter" },
	{ 0xa383a73e, "mt76_connac_mcu_set_vif_ps" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x85963ec5, "mt76_mcu_rx_event" },
	{ 0x98f3ecd9, "mt76_alloc_phy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x196b62bd, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15a2ce6e, "mt76_wcid_init" },
	{ 0x7f210c36, "mt76_tx_status_check" },
	{ 0x54039633, "wake_up_process" },
	{ 0xa59c824f, "mt76_connac_free_pending_tx_skbs" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0xed12e42d, "mt76_connac_power_save_sched" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1cd1d4cb, "cfg80211_reg_check_beaconing" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0x7e2339c9, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc4ce8fc1, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x495d94b1, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x31db5fee, "mt76_tx" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xeb32d6d7, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x32c580bc, "mt76_wcid_key_setup" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xa312199b, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x20a8e588, "mt76_rx" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x874c86e1, "mt76_connac_mcu_sched_scan_req" },
	{ 0x73046362, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x8cab8de2, "mt76_connac_mcu_uni_add_bss" },
	{ 0xd93cb357, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe4c2df3e, "wiphy_to_ieee80211_hw" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0x580d7b53, "mt76_connac_mcu_hw_scan" },
	{ 0x1c20958f, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x611caf6f, "ieee80211_queue_delayed_work" },
	{ 0x7adb1978, "mt76_eeprom_init" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x317ed0c6, "debugfs_create_file_unsafe" },
	{ 0xbaa8147a, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0xf28f2daa, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x80c04bb3, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0x12abf140, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x8dc2befa, "ieee80211_wake_queues" },
	{ 0x991148f8, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0x305b603d, "ieee80211_beacon_get_template" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa1fbf43, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1614c063, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4bcdf276, "__mt76_mcu_msg_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf687d099, "mt76_connac_pm_dequeue_skbs" },
	{ 0xa19d9eae, "mt76_connac_mcu_set_pm" },
	{ 0xaff84a89, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x4738a9b6, "devm_hwmon_device_register_with_groups" },
	{ 0xe7c5a67b, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xd27a251a, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2006dfad, "debugfs_create_u32" },
	{ 0x955d134c, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2d4bef9c, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4a19a0d3, "mt76_sta_state" },
	{ 0xc72802a0, "ieee80211_ready_on_channel" },
	{ 0x63f670, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c37a68, "mt76_connac_mcu_del_wtbl_all" },
	{ 0xf4eb0555, "mt76_connac_mcu_init_download" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0x7418e6df, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe19854a8, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x3dee57c0, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xf34f0bbd, "mt76_get_rate_power_limits" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x8077dc00, "ieee80211_sched_scan_results" },
	{ 0xff327d97, "ieee80211_scan_completed" },
	{ 0x78f34a2f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x7e239823, "mt76_insert_ccmp_hdr" },
	{ 0xe7b9dbe3, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf683c962, "mt76_sw_scan_complete" },
	{ 0x918857e9, "mt76_rx_aggr_start" },
	{ 0x167eb898, "seq_write" },
	{ 0x1de348d0, "mt76_connac_mcu_start_firmware" },
	{ 0xb90b84c8, "____mt76_poll_msec" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xf114b3b4, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1736a7e8, "mt76_connac_mcu_rdd_cmd" },
	{ 0x5121170a, "seq_printf" },
	{ 0x2ceb875a, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9001224c, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x251b6268, "mt76_unregister_phy" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0xb8295542, "mt76_register_phy" },
	{ 0xe43c73b4, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xa8d3a141, "mt76_put_txwi" },
	{ 0x67dbf109, "mt76_wcid_cleanup" },
	{ 0x158ebaec, "ieee80211_radar_detected" },
	{ 0x505f0e0b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7f7d818d, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xac25594b, "single_release" },
	{ 0xecd0de0d, "mt76_sw_scan" },
	{ 0x4ecf65d2, "mt76_queues_read" },
	{ 0xff88eb62, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xe2a3d7c4, "mt76_sta_pre_rcu_remove" },
	{ 0x30d32636, "mt76_register_debugfs_fops" },
	{ 0xbcc22fe5, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xb62d55fa, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xe8f89c61, "mt76_connac_mcu_sta_ba" },
	{ 0x3845ec66, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0xbd5c592c, "ieee80211_queue_work" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0xb371f06, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x8017d28f, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xcde8ae6f, "__mt76_poll" },
	{ 0xce2d7175, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x62cdb6b0, "debugfs_create_u8" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xef1c3b36, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xc0f214f3, "ieee80211_emulate_remove_chanctx" },
	{ 0x2b46756a, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe34aa20f, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x92b57248, "flush_work" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "BFA5C4A2B785C8E0171317D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
