#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x25185b93, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xf3f7a5dd, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x99dd08b2, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x37b9ede1, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x970d9d4d, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x88d5e6e5, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x95eb60fc, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xd5e4585d, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x8e155a89, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x2db52042, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x3511de64, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xdbd9c713, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x42ba0deb, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xf556e19e, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x14d5c71a, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x8f72764c, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x8ad8003a, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x50d0e525, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xd7f5b89f, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xa2216097, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x46e73aef, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x3e26230e, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x430a4ab3, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x11ac431d, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x8be39e03, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x8a56a021, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x502f326d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x107101ec, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xb00d3e7e, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xf7689fa0, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x4b41e0f0, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xfe409168, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x25d9ae4b, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xb48056f4, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x0fea94f4, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xc675f61c, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x0cb83892, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xc0400aa6, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xace96a74, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x5ece56b8, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xf67f933e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xc4f5377b, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xd8543887, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x21e254e5, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x10f28423, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x7f1d4f09, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x1d5e0e9a, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x1500e83b, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x5daa07e5, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x3ec87ffe, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x5abb1a43, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x91250039, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xd77a0d58, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x24e15d12, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xbeba5728, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x653cda5f, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x64fe80e1, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xe5a4d9bf, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xe8a54e55, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x03df4f8e, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x8f8abe72, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x29468e6a, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xf66e14cb, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x2f2d5cd3, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x03b9c0e1, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x769b440c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c0db2d, "ieee80211_sta_register_airtime" },
	{ 0x3fe78563, "mt76_dma_rx_poll" },
	{ 0x26dd0869, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd808e05d, "mt76_tx_status_skb_get" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x52893e0d, "mt76_tx_status_lock" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcfd194d5, "mt76_csa_check" },
	{ 0xc89dc16f, "mt76_tx_status_skb_add" },
	{ 0x17ee919d, "__tracepoint_mac_txdone" },
	{ 0xc84054d7, "mt76_tx_check_agg_ssn" },
	{ 0xfcd98870, "ieee80211_tx_status_ext" },
	{ 0x2ec5163f, "mt76_stop_tx_queues" },
	{ 0x9a80e6d8, "___pskb_trim" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xa086c2fc, "__mt76_tx_complete_skb" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb7ed62a0, "ieee80211_restart_hw" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x3c9b6eba, "kthread_park" },
	{ 0x85963ec5, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15a2ce6e, "mt76_wcid_init" },
	{ 0x7f210c36, "mt76_tx_status_check" },
	{ 0x54039633, "wake_up_process" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x4edf01af, "ieee80211_get_buffered_bc" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7c45e36a, "ieee80211_get_tx_rates" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x495d94b1, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x31db5fee, "mt76_tx" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0xcf142773, "mt76_csa_finish" },
	{ 0x738803e6, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x32c580bc, "mt76_wcid_key_setup" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x20a8e588, "mt76_rx" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xa5fcc325, "kthread_unpark" },
	{ 0xd93cb357, "mt76_phy_dfs_state" },
	{ 0xe4c2df3e, "wiphy_to_ieee80211_hw" },
	{ 0xf23776d4, "mt76_init_queue" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0x9696e81f, "__mt76_sta_remove" },
	{ 0x1c20958f, "mt76_tx_status_skb_done" },
	{ 0x611caf6f, "ieee80211_queue_delayed_work" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xba888b50, "debugfs_create_bool" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x4f73d756, "napi_enable" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x52ece8c5, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x8dc2befa, "ieee80211_wake_queues" },
	{ 0x991148f8, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x43ce2c80, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4bcdf276, "__mt76_mcu_msg_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x627aaada, "mt76_set_irq_mask" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x9ee5ce0a, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2006dfad, "debugfs_create_u32" },
	{ 0xf6e679d, "mt76_seq_puts_array" },
	{ 0x63f670, "ieee80211_stop_queues" },
	{ 0xb48677a, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x70577545, "__tracepoint_dev_irq" },
	{ 0x7418e6df, "seq_read" },
	{ 0x28626416, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x78f34a2f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6f3d1e4a, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x918857e9, "mt76_rx_aggr_start" },
	{ 0x167eb898, "seq_write" },
	{ 0xb90b84c8, "____mt76_poll_msec" },
	{ 0x5121170a, "seq_printf" },
	{ 0xb769ff7b, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x67dbf109, "mt76_wcid_cleanup" },
	{ 0x158ebaec, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac25594b, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x4ecf65d2, "mt76_queues_read" },
	{ 0x30d32636, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0xcde8ae6f, "__mt76_poll" },
	{ 0xce2d7175, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x62cdb6b0, "debugfs_create_u8" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbfb0431d, "mt76_dma_attach" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "A8E6A73DBB78C6CA3E321A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
