#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x7c40eed0, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x7ef52368, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x1dbaf544, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x9d21bd26, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x728b7407, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xba012c5f, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x0f3201ca, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x1da023aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f2d5cd3, "mt76x02_update_beacon_iter" },
	{ 0x3b9c0e1, "mt76x02_enqueue_buffered_bc" },
	{ 0xf556e19e, "mt76x02_remove_hdr_pad" },
	{ 0x554c17a1, "skb_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xf66e14cb, "mt76x02_resync_beacon_timer" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x107101ec, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcfd194d5, "mt76_csa_check" },
	{ 0xc89dc16f, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe87925f2, "mt76u_single_wr" },
	{ 0xa086c2fc, "__mt76_tx_complete_skb" },
	{ 0xd7f5b89f, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa051fa4f, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf142773, "mt76_csa_finish" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x769b440c, "mt76x02_init_beacon_config" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4bcdf276, "__mt76_mcu_msg_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3e26230e, "mt76x02_mac_write_txwi" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78f34a2f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x238de1e6, "mt76u_vendor_request" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x26d9c429, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x29468e6a, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xcde8ae6f, "__mt76_poll" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "1FF9C8D1A8B6859A919F7C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
