#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0x20d9de9c, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0x9e50a243, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0xc23cda0f, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0x02d512d5, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0x771c9e98, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0xe374e884, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0x6174cb31, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0x29b20420, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0x8c6e0e8d, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0x6f5270d4, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0xfbe56ad8, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0x42e53742, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0x6208f648, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0xf802a481, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0x210d5099, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0xef90081b, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0xb97b3520, "_gpl");
SYMBOL_CRC(__mt7925_start, 0x20d3b06d, "_gpl");
SYMBOL_CRC(mt7925_roc_abort_sync, 0x7e6f316c, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0xf652a732, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_event, 0x25ade311, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0xd1808ee3, "_gpl");
SYMBOL_CRC(mt7925_ops, 0x084da813, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0x5c9f0e59, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0xa207e99d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28bc6bc0, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x7c0db2d, "ieee80211_sta_register_airtime" },
	{ 0x6d8ac4dd, "mt792x_init_wcid" },
	{ 0xb65dd5aa, "mt792x_init_acpi_sar" },
	{ 0x4d00da13, "mt76_init_sar_power" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x26dd0869, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0xf66c60aa, "ieee80211_iterate_interfaces" },
	{ 0xefc6dcb4, "mt792x_stop" },
	{ 0x23a9d657, "mt76_connac_get_ch_power" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x67682eda, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd808e05d, "mt76_tx_status_skb_get" },
	{ 0x8b20a704, "mt792x_tx_worker" },
	{ 0xd0a994db, "mt792x_flush" },
	{ 0x52893e0d, "mt76_tx_status_lock" },
	{ 0xa332942, "mt792x_rx_get_wcid" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3c42a243, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x91f4c617, "mt76_release_buffered_frames" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x13652f49, "mt76_get_txpower" },
	{ 0x4723254f, "mt76_connac_mcu_sta_uapsd" },
	{ 0xc89dc16f, "mt76_tx_status_skb_add" },
	{ 0x68a10920, "mt76_connac_pm_wake" },
	{ 0xe81eb28b, "mt76_get_rate" },
	{ 0x2d28fe3e, "mt792x_pm_wake_work" },
	{ 0x76336e5c, "mt76_wake_tx_queue" },
	{ 0xb2951093, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x70115fc6, "mt76_get_antenna" },
	{ 0xb1d173be, "mt792x_set_coverage_class" },
	{ 0x1cfc8bb5, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xa086c2fc, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x150fab60, "mt76_set_stream_caps" },
	{ 0xb64f383f, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7ddc866e, "mt792x_mac_work" },
	{ 0xd617fbfc, "mt76_connac2_tx_check_aggr" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x85963ec5, "mt76_mcu_rx_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15a2ce6e, "mt76_wcid_init" },
	{ 0x54039633, "wake_up_process" },
	{ 0xa59c824f, "mt76_connac_free_pending_tx_skbs" },
	{ 0xdb41a675, "mt792x_sta_statistics" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0xed12e42d, "mt76_connac_power_save_sched" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x41ed0afe, "__alloc_pages_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc4ce8fc1, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x495d94b1, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xca375ec3, "mt792x_get_et_sset_count" },
	{ 0x548ad283, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x749f7d6e, "mt792x_init_acpi_sar_power" },
	{ 0x345c8434, "mt792x_set_wakeup" },
	{ 0x32c580bc, "mt76_wcid_key_setup" },
	{ 0x88d0836a, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x20a8e588, "mt76_rx" },
	{ 0x44ff7eb6, "mt792x_load_firmware" },
	{ 0xe573fab5, "mt792x_get_et_stats" },
	{ 0x8cab8de2, "mt76_connac_mcu_uni_add_bss" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe4c2df3e, "wiphy_to_ieee80211_hw" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0x6925cb7a, "mt792x_mac_link_bss_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1c20958f, "mt76_tx_status_skb_done" },
	{ 0x611caf6f, "ieee80211_queue_delayed_work" },
	{ 0x27a943f4, "devm_kmemdup" },
	{ 0x4437e317, "devm_kfree" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x997f013b, "mt76_register_device" },
	{ 0xa8de7867, "mt792x_get_stats" },
	{ 0xbaa8147a, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x12abf140, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x8dc2befa, "ieee80211_wake_queues" },
	{ 0x991148f8, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x305b603d, "ieee80211_beacon_get_template" },
	{ 0x643f466f, "mt792x_pm_stats" },
	{ 0xa1fbf43, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1614c063, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4bcdf276, "__mt76_mcu_msg_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5362ef7c, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaff84a89, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x4738a9b6, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf8fc0b2b, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e4c6402, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x95b9975c, "mt792x_tx" },
	{ 0x9df6c6b0, "mt792x_get_et_strings" },
	{ 0x4a19a0d3, "mt76_sta_state" },
	{ 0xc72802a0, "ieee80211_ready_on_channel" },
	{ 0x63f670, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0x44150c9b, "mt792x_remove_interface" },
	{ 0x7418e6df, "seq_read" },
	{ 0xaba107a1, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf40a7143, "mt76_connac2_mac_tx_rate_val" },
	{ 0xe19854a8, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x44aa74ec, "mt792x_queues_read" },
	{ 0x9aac3e23, "mt792x_queues_acq" },
	{ 0xf34f0bbd, "mt76_get_rate_power_limits" },
	{ 0x8077dc00, "ieee80211_sched_scan_results" },
	{ 0xff327d97, "ieee80211_scan_completed" },
	{ 0x78f34a2f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x7e239823, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x615cfbae, "mt792x_tx_stats_show" },
	{ 0x332ef2, "mt76_connac_mcu_set_suspend_mode" },
	{ 0x918857e9, "mt76_rx_aggr_start" },
	{ 0xd779fe5, "__folio_put" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xed074a4d, "ieee80211_set_active_links_async" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x2ceb875a, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9001224c, "mt76_get_sar_power" },
	{ 0x241878da, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x63c712cc, "mt792x_mac_init_band" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x26d9c429, "mt76_skb_adjust_pad" },
	{ 0xa8d3a141, "mt76_put_txwi" },
	{ 0x67dbf109, "mt76_wcid_cleanup" },
	{ 0xf0455d02, "mt792x_init_wiphy" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7f7d818d, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xac25594b, "single_release" },
	{ 0xa06a8860, "mt76_connac3_mac_decode_eht_radiotap" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x4ecf65d2, "mt76_queues_read" },
	{ 0xe2a3d7c4, "mt76_sta_pre_rcu_remove" },
	{ 0x30d32636, "mt76_register_debugfs_fops" },
	{ 0xee69a6fe, "cfg80211_get_iftype_ext_capa" },
	{ 0x7f402b22, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xfa10d2a0, "__mt76_set_tx_blocked" },
	{ 0xd57abc59, "page_address" },
	{ 0xbd5c592c, "ieee80211_queue_work" },
	{ 0x2e89b8d4, "mt792x_mac_reset_counters" },
	{ 0x9680a25c, "napi_consume_skb" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xcde8ae6f, "__mt76_poll" },
	{ 0xce2d7175, "mt76_rx_aggr_stop" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x5028feb2, "mt76_connac_get_phy_mode" },
	{ 0xe34aa20f, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xa144b66, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6297fe6f, "mt792x_pm_power_save_work" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt792x-lib,mt76,cfg80211");


MODULE_INFO(srcversion, "CD26CBC75E07524F5DA996B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
