#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x3dadff5f, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x6421c4f5, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xf1df1838, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x174c7912, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x48425cbb, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xb8b5bd63, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xd3f3ef14, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xc3053203, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x9cf129a4, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xb5606955, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xad299cd1, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x2bfc9a07, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x398c975f, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x4f5cca54, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x4720b882, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x5dcb540f, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x1d8fc80b, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xa479b542, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x406e032c, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x018c045c, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x4659f51a, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x53608979, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x12529818, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xfedd2587, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xcee6ed76, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xa706b2a4, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x6bbf9d16, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x485c4ead, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x69b7c395, "_gpl");
SYMBOL_CRC(rt2800_config, 0x03e14717, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x5b57a1da, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xf922600e, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x57b73a32, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x76c53182, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x67726867, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xd7ecf794, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x3f18ecb4, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x40681980, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x2da8b799, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x9f186a82, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xbfdbfed0, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xd63eb882, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x8bf709a9, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xd16d6fda, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xca963c27, "_dev_err" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa5c7fc7, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa98d3b62, "rt2x00lib_txdone" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xb8191adb, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x19ecf8f5, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6b0f2be1, "rt2x00mac_conf_tx" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8af1193f, "skb_push" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0x6417d6be, "rt2x00lib_txdone_noinfo" },
	{ 0xb7ed62a0, "ieee80211_restart_hw" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xcd7ec1f6, "rt2x00lib_set_mac_address" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D9A7D0CBEF09083DB527B76");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
