#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x00136bab, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x0fc728ab, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0xee589523, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x4b2f5ac3, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xb398d034, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xfc0484f2, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xd3337b0a, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x6f255238, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xdf51b5cf, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xca50209b, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x89304644, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0xbfe52f13, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x3f40c025, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x575463b1, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xa1e67628, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xec349902, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8fd4de55, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xca963c27, "_dev_err" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x65012478, "usb_anchor_urb" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xd596b99, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x61583ac9, "rt2x00lib_dmastart" },
	{ 0x3687a1a2, "rt2x00lib_dmadone" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8fd8009, "rt2x00queue_for_each_entry" },
	{ 0xc8616f13, "usb_kill_urb" },
	{ 0xb8191adb, "rt2x00queue_get_entry" },
	{ 0xe0932771, "rt2x00queue_stop_queue" },
	{ 0x845d7a9b, "rt2x00queue_flush_queue" },
	{ 0x6335f9a7, "rt2x00queue_start_queue" },
	{ 0x6417d6be, "rt2x00lib_txdone_noinfo" },
	{ 0xe26aeb7a, "rt2x00lib_rxdone" },
	{ 0xad1e1bb0, "rt2x00lib_suspend" },
	{ 0x75e1e738, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x4bb7addc, "rt2x00lib_remove_dev" },
	{ 0xf93f3e9d, "ieee80211_free_hw" },
	{ 0x33fccd54, "usb_put_dev" },
	{ 0x79085161, "usb_get_dev" },
	{ 0xd99b87c9, "usb_reset_device" },
	{ 0x1e1e6c7f, "ieee80211_alloc_hw_nm" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3df6737d, "rt2x00lib_probe_dev" },
	{ 0x70f7896, "_printk" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D2A2A50C33680A6EF957E9C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
