#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x7367b201, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xc5724392, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x4eadb40f, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x637d8d11, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xab90835e, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0xb67d1933, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x8d83604d, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xa68b05a8, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x9d757cd6, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xb3c74e2c, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xe8e3ad31, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x3908a878, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xf2242937, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x7df323d8, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x52772642, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x79de4b52, "");
SYMBOL_CRC(rtw89_pm_ops, 0xf0596161, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x573f5d2b, "");
SYMBOL_CRC(rtw89_pci_probe, 0xbd266391, "");
SYMBOL_CRC(rtw89_pci_remove, 0x91b120c6, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x2b947ca5, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x83eedbed, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0xaa158f6e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf4bb1116, "pcie_capability_read_word" },
	{ 0xdd9edbba, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x32124ae, "rtw89_alloc_ieee80211_hw" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xd58a1eaf, "pci_iomap" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8cb37105, "rtw89_core_napi_init" },
	{ 0xa93a8291, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x2f9fceaa, "ieee80211_tx_status_skb" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x580ca18a, "devm_free_irq" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0xcf5f0475, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc2acceb9, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf76e3299, "rtw89_core_napi_deinit" },
	{ 0x420eabe4, "mem_section" },
	{ 0x8af1193f, "skb_push" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x3b8651fc, "rtw89_free_ieee80211_hw" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd4f61979, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9e14fcf, "pci_iounmap" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4062a87, "rtw89_ser_notify" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x354f0aff, "skb_unlink" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x9de229ac, "rtw89_core_register" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x40732de6, "rtw89_core_rx" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf2423287, "rtw89_core_deinit" },
	{ 0x9f8260bb, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdbd95879, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc18dad34, "rtw89_chip_info_setup" },
	{ 0x4c5c68c4, "rtw89_mac_get_err_status" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "1F4DA7791FF88F292CC7751");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
