#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x1f47909b, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x467c071d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad930d7a, "bio_integrity_prep" },
	{ 0x727f9ed3, "__blk_alloc_disk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x36089fb7, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xbae6d21d, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6e0bd3f5, "debugfs_create_u16" },
	{ 0x3b31c8f, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x9383eb8d, "nd_btt_arena_is_valid" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x14fcd553, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x83cb06b2, "put_disk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf0288914, "debugfs_create_x64" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x54c3bc23, "nd_dev_to_uuid" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x78003784, "bio_start_io_acct" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0xf01a13ae, "bio_endio" },
	{ 0x48dac226, "nd_region_release_lane" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x91518de6, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf951d00e, "del_gendisk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x712d1966, "to_nd_btt" },
	{ 0xcb62ab3b, "nd_region_acquire_lane" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2006dfad, "debugfs_create_u32" },
	{ 0x6cfa0445, "nvdimm_namespace_disk_name" },
	{ 0xb087137a, "debugfs_create_x32" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7cac7fa9, "nvdimm_namespace_capacity" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd000a58, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47f45799, "badblocks_check" },
	{ 0xea7e4f98, "nd_btt_version" },
	{ 0xd57abc59, "page_address" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "D0116175E6CB25C826DC9B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
