#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x28010eb3, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xfa6b2edf, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x015efc84, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xf4615bb0, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x17b5ed6b, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x7ba19363, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x12b32737, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x1928518a, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x365d2e2e, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x717cd56c, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x48c53ccc, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x788cdeb9, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xddcb03f8, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x111cd1d8, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x2e690565, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x337c11f1, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x41a4b571, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xaa42ab08, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x5aae366d, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x7bcad070, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x3e371830, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x5e936ccc, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x22df6b21, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x8b74dee0, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xa5880e7b, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xd347552d, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x8955fa96, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xf8e72ede, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x933fef42, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x4c119dec, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x5985e182, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x057cd625, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x00d87b22, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x3da78e46, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x9f1917ce, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x8ed8424b, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xc8954613, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x91818d01, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x0586672f, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xf51858a8, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x4a346e45, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xb17dedbf, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x120a88ae, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x5a44a668, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x3450b752, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x3bc1c28e, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xe58dea90, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x74527e44, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xa1f44ea4, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x0a051996, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x72a20f70, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x7af6fe7b, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x4af99b01, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x2822fb28, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x2d2d6fc5, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xe1a370eb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xd2b75f66, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x9f8c4dce, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xf51ad479, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x24a6275e, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xcc18b4a9, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x0fcf5cb8, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x2d15ff62, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x735dc13d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc616e74, "set_capacity_and_notify" },
	{ 0x207f4adb, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x345a460c, "set_disk_ro" },
	{ 0x727f9ed3, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xaadce41d, "blk_rq_integrity_map_user" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x504687f4, "device_remove_file_self" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x947102b4, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xefc537, "bio_split_to_limits" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xd00bcdcc, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x36089fb7, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x57c91f93, "blk_mq_tagset_wait_completed_request" },
	{ 0xdb15494b, "cdev_device_del" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4f5ee0c6, "queue_limits_stack_bdev" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x748e03ca, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4cfabff3, "should_fail" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x903c05bd, "blk_mq_unquiesce_queue" },
	{ 0xd667961c, "blk_mq_quiesce_queue" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0xa72cfd00, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x563952a3, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x43205686, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x57095a2a, "synchronize_srcu" },
	{ 0xb46bedd9, "param_ops_byte" },
	{ 0x82c80d65, "get_device" },
	{ 0x52188ca6, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa2f4f95, "__blk_mq_alloc_disk" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xefc193c, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x60c0d07, "blk_mq_alloc_tag_set" },
	{ 0x9e9d615c, "blk_rq_is_poll" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x83cb06b2, "put_disk" },
	{ 0xcccca508, "crypto_alloc_kpp" },
	{ 0x2db3a3d0, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x995ecc26, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x2f109faf, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xd3a55b2b, "blk_execute_rq" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x4c4db0c3, "blk_mq_unquiesce_tagset" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfa969583, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x73cae7cb, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x8f09fa55, "nvme_auth_gen_pubkey" },
	{ 0xbddf5db, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x9257b9ce, "blk_mq_quiesce_tagset" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x4e59fac0, "kobject_uevent_env" },
	{ 0xf01a13ae, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd5ff4744, "init_srcu_struct" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0x14ea0e81, "blk_revalidate_disk_zones" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xba888b50, "debugfs_create_bool" },
	{ 0x69624d8c, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa9997954, "device_add" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0xf044fef2, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0x38f1f61e, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x96b7693b, "__srcu_read_lock" },
	{ 0x46a66b1f, "hwmon_device_register_with_info" },
	{ 0x91518de6, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x45a2c095, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf429ee1a, "blk_sync_queue" },
	{ 0x5f440a5f, "bdev_start_io_acct" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x946671d7, "blk_mq_alloc_request_hctx" },
	{ 0xe921624d, "__io_uring_cmd_do_in_task" },
	{ 0x6ad2cf3f, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dd53602, "crypto_shash_update" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xb03e6a43, "blk_mq_free_tag_set" },
	{ 0xf951d00e, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xac3dcd67, "cleanup_srcu_struct" },
	{ 0xba623a0, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x1f0da484, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x77160651, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x9c7f10ce, "blk_put_queue" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x80f59da4, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xa5b735e, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x4c199f9f, "blk_mq_wait_quiesce_done" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfe8a1f22, "debugfs_create_x16" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x48a19f5a, "io_uring_cmd_done" },
	{ 0x7d6d498a, "blk_rq_unmap_user" },
	{ 0x9f1314f5, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x637c86a2, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x77af67c, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15e6989e, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbe45106, "blk_mq_complete_request" },
	{ 0xee6adc35, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0xca83a7, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x4ad39fb3, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x1d2a952f, "blk_freeze_queue_start" },
	{ 0xfe251eae, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x6f16a88c, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xc465bd30, "blk_mq_alloc_queue" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73f5e3d2, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xff46d4ed, "__srcu_read_unlock" },
	{ 0xd171f5b7, "hwmon_device_unregister" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0xdc47049a, "blk_mq_unfreeze_queue" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xe6f82e66, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x120dbb88, "queue_limits_commit_update" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xfaef8d35, "blk_rq_map_user_iov" },
	{ 0x73dda366, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd57abc59, "page_address" },
	{ 0x89c2d46b, "blk_mark_disk_dead" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc0718d66, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x77765035, "crypto_alloc_shash" },
	{ 0x7e569f21, "blk_mq_freeze_queue_wait" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0x3f1bc0dc, "nvme_auth_gen_privkey" },
	{ 0xa0b6933e, "fault_create_debugfs_attr" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x5ea052b6, "blk_mq_requeue_request" },
	{ 0xd2bf8c18, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb5884078, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5468da7f, "bdev_end_io_acct" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x63d7b0da, "blk_steal_bios" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "ABCF9E95010335601121F6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
