#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x359bf082, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x10e8f209, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x559d839e, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xa2f8bbe4, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x8e087cbe, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xe883a19e, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x917eadef, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x04836faf, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x3a70342f, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x13da72fe, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x407e0b2f, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xff7901ae, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x9c3f99b7, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0xde42bad7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12fc4024, "try_module_get" },
	{ 0xae918f37, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x2a93471d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x80c2136a, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x5af8e078, "down_write" },
	{ 0xca963c27, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e3567f7, "match_int" },
	{ 0x5d580a0a, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x5aae366d, "__nvme_submit_sync_cmd" },
	{ 0x28010eb3, "nvme_try_sched_reset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x149a8b46, "misc_register" },
	{ 0xcc18b4a9, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7418e6df, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x167eb898, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x950aa96e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x5121170a, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xac25594b, "single_release" },
	{ 0x48c53ccc, "nvme_wait_reset" },
	{ 0x12733e87, "__seq_puts" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x29f3a126, "up_read" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x3ff497d4, "nvme_tls_key_lookup" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x24a6275e, "nvme_auth_negotiate" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "33D217B4244B916F226B721");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
