#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x1d622e68, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x2f69bf42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf76987b2, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb43c8b64, "__platform_create_bundle" },
	{ 0x70f7896, "_printk" },
	{ 0xa0e4ddca, "sysfs_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x14e390e5, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x64dc1bf8, "device_create_file" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x5121170a, "seq_printf" },
	{ 0x55cc47fc, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe5d2362, "platform_device_unregister" },
	{ 0xfb3145e2, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0xca963c27, "_dev_err" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x86f3a63a, "pci_find_bus" },
	{ 0x1b49be03, "pci_bus_read_config_dword" },
	{ 0xf40780a2, "pci_get_slot" },
	{ 0x704b64f0, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x2f5ed236, "pci_stop_and_remove_bus_device" },
	{ 0xfcd23662, "pci_scan_single_device" },
	{ 0x5a0e92f5, "pci_bus_assign_resources" },
	{ 0xb5f38fdc, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xc86a683b, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xa03af6ab, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x123b9174, "backlight_device_unregister" },
	{ 0x84d0f2ac, "input_unregister_device" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x5b5c52f9, "sysfs_remove_group" },
	{ 0x1254183e, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x9b933fa8, "input_event" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xb3b4763d, "sparse_keymap_report_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf64c7624, "backlight_force_update" },
	{ 0x583a198c, "led_classdev_notify_brightness_hw_changed" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xccdf2054, "input_set_capability" },
	{ 0x653d1f7f, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xff137f49, "sysfs_create_group" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xf513ab34, "input_allocate_device" },
	{ 0xe8f79f66, "sparse_keymap_setup" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xa0e87df6, "input_register_device" },
	{ 0x70138302, "input_free_device" },
	{ 0x4738a9b6, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4638a8cc, "led_classdev_register_ext" },
	{ 0xd3a48d77, "backlight_device_register" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0x672d91bf, "i8042_install_filter" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb087137a, "debugfs_create_x32" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x480a3667, "__pci_hp_register" },
	{ 0xf488f5fd, "pci_get_device" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0xe32ab528, "battery_hook_register" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x7418e6df, "seq_read" },
	{ 0xac25594b, "single_release" },
	{ 0x3b5a1120, "device_show_string" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "85232D4E5B867C69F864216");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
