#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x8d22d93e, "");
SYMBOL_CRC(sas_remove_host, 0x902e065d, "");
SYMBOL_CRC(sas_get_address, 0x9470c15d, "");
SYMBOL_CRC(sas_tlr_supported, 0x56c649b2, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x5d921a32, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x751c5e0f, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x3a01759d, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xc3f99eff, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x558ca92a, "");
SYMBOL_CRC(sas_phy_add, 0x27597714, "");
SYMBOL_CRC(sas_phy_free, 0x2a2c3364, "");
SYMBOL_CRC(sas_phy_delete, 0x580e5cfb, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xdaa9803b, "");
SYMBOL_CRC(sas_port_alloc, 0xadf84649, "");
SYMBOL_CRC(sas_port_alloc_num, 0x0691de6d, "");
SYMBOL_CRC(sas_port_add, 0x6313fd0e, "");
SYMBOL_CRC(sas_port_free, 0x47dc322f, "");
SYMBOL_CRC(sas_port_delete, 0x7ae16c92, "");
SYMBOL_CRC(scsi_is_sas_port, 0x3d918643, "");
SYMBOL_CRC(sas_port_get_phy, 0x031faeb9, "");
SYMBOL_CRC(sas_port_add_phy, 0xc688a8ad, "");
SYMBOL_CRC(sas_port_delete_phy, 0x17180434, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x2823c9f6, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x7b22611c, "");
SYMBOL_CRC(sas_end_device_alloc, 0x541caeee, "");
SYMBOL_CRC(sas_expander_alloc, 0xac5e281a, "");
SYMBOL_CRC(sas_rphy_add, 0xe8b2d609, "");
SYMBOL_CRC(sas_rphy_free, 0xeaa63a71, "");
SYMBOL_CRC(sas_rphy_delete, 0x8b6e8b06, "");
SYMBOL_CRC(sas_rphy_unlink, 0x2e7d859d, "");
SYMBOL_CRC(sas_rphy_remove, 0xc1a165b0, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x21e5fdba, "");
SYMBOL_CRC(sas_attach_transport, 0x3bcbb011, "");
SYMBOL_CRC(sas_release_transport, 0x947a0075, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63b7a19f, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9997954, "device_add" },
	{ 0xfe6d60e1, "transport_add_device" },
	{ 0x5f7c2822, "transport_configure_device" },
	{ 0x80f59da4, "device_del" },
	{ 0x9065e1d6, "transport_destroy_device" },
	{ 0x476a4180, "transport_remove_device" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x82c80d65, "get_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0x70f7896, "_printk" },
	{ 0x99515ba4, "scsi_scan_target" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa4cb3eea, "bsg_setup_queue" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x74210dad, "transport_class_register" },
	{ 0x1a4b1879, "transport_class_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xe458ff61, "attribute_container_register" },
	{ 0xe166a84f, "_dev_printk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa73cc08d, "attribute_container_unregister" },
	{ 0x89533637, "scsi_get_vpd_page" },
	{ 0x3a585377, "scsi_mode_sense" },
	{ 0x18aa93cf, "scsi_remove_host" },
	{ 0x4f7e772e, "bsg_remove_queue" },
	{ 0x58469ae2, "scsi_remove_target" },
	{ 0xd5be87ed, "scsi_is_host_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x9fe5c864, "bsg_job_done" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd56a41a3, "dma_opt_mapping_size" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x2553532d, "transport_setup_device" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
