#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_soft_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x33001078, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x50ca3cad, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xd4437d91, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x33addccf, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x81069189, "");
SYMBOL_CRC(cdns_read_ping_status, 0xfef16cde, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xa74209f7, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x05e198d5, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x0d8cba7a, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x7ac5ed18, "");
SYMBOL_CRC(sdw_cdns_soft_reset, 0x12dc7979, "");
SYMBOL_CRC(sdw_cdns_init, 0x0d667c4b, "");
SYMBOL_CRC(cdns_bus_conf, 0x82c9fb63, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x35ced0d3, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x7a8778cd, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x0a04d1d8, "");
SYMBOL_CRC(sdw_cdns_probe, 0x78a34ba2, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x3648dd3f, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xc6cf3f0a, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0xbd2b6c44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61400b35, "sdw_bus_prep_clk_stop" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x867f444d, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b69ae7, "sdw_handle_slave_status" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0xca963c27, "_dev_err" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7418e6df, "seq_read" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5121170a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0xac25594b, "single_release" },
	{ 0xfb476414, "sdw_bread_no_pm_unlocked" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x904acfc2, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "3D9A0FBC509DD903A7A9390");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
