#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x1ed3d092, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x01758682, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xf99261a7, "");
SYMBOL_CRC(sdw_intel_startup, 0x1533925b, "");
SYMBOL_CRC(sdw_intel_exit, 0xc921f300, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x5857d941, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ac5ed18, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x9f5e2b87, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd667c4b, "sdw_cdns_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa04d1d8, "sdw_cdns_clock_restart" },
	{ 0xd4437d91, "sdw_cdns_debugfs_init" },
	{ 0x2d7406f6, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x4f0a7b8e, "sdw_bus_master_add" },
	{ 0xd8cba7a, "sdw_cdns_enable_interrupt" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x86a3f1af, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x35ced0d3, "sdw_cdns_is_clock_stop" },
	{ 0x797b3570, "hdac_bus_eml_enable_interrupt_unlocked" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x50ca3cad, "sdw_cdns_config_update_set_wait" },
	{ 0x63b7a19f, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6cf3f0a, "sdw_cdns_config_stream" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xb35aef06, "auxiliary_driver_unregister" },
	{ 0xd29e6d38, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x82c9fb63, "cdns_bus_conf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x12dc7979, "sdw_cdns_soft_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x3648dd3f, "cdns_set_sdw_stream" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x9353c7b1, "fwnode_property_read_u32_array" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x3c29bfff, "sdw_clear_slave_status" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0xce410821, "sdw_stream_remove_master" },
	{ 0xed115af5, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x5e198d5, "sdw_cdns_exit_reset" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfeb940b8, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0x193b0369, "__auxiliary_device_add" },
	{ 0xbd2b6c44, "sdw_cdns_alloc_pdi" },
	{ 0x7a8778cd, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa04d2f56, "fwnode_property_read_u16_array" },
	{ 0xaa633a12, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x81069189, "cdns_xfer_msg_defer" },
	{ 0x33addccf, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x80f59da4, "device_del" },
	{ 0x1766d625, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0xcd5a8a32, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x7418e6df, "seq_read" },
	{ 0xa6c3388a, "sdw_stream_add_master" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfef16cde, "cdns_read_ping_status" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x9d3b6566, "acpi_fetch_acpi_dev" },
	{ 0x61689149, "device_get_named_child_node" },
	{ 0x78a34ba2, "sdw_cdns_probe" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x33001078, "sdw_cdns_config_update" },
	{ 0x5121170a, "seq_printf" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x190698ad, "sdw_bus_master_delete" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac25594b, "single_release" },
	{ 0x34e21566, "__auxiliary_driver_register" },
	{ 0xa74209f7, "sdw_cdns_check_self_clearing_bits" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0xc8fa4080, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x5f2f81dc, "single_open" },
	{ 0xa6f87858, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb57cc99f, "sdw_master_read_prop" },
	{ 0x442bb459, "hdac_bus_eml_get_count" },
	{ 0x757a8d6e, "sdw_compute_params" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "372DF8867CE3E2BCECFFF48");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
