#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_device_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_has_combined_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_connect_type, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_interface_node, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_create_pdevs, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_destroy_pdevs, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x72fb212e, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x96ed2df4, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x56e2581c, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0xb134ba0b, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x4cfeeaab, "_gpl");
SYMBOL_CRC(usb_find_interface, 0x73f041e2, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x9ec0a8ad, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x91ccf1fc, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x79085161, "_gpl");
SYMBOL_CRC(usb_put_dev, 0x33fccd54, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x7c0b7c97, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x89bd96e7, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x1ef21a1c, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x0e568477, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0xc75c18ed, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0x4cf24332, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x8591d2ba, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x9b19bd5b, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x82618415, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0xa2681762, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x1dea32ad, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0xa243b4a3, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0xbe00367f, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x3aa88b13, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0xd812f5a1, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0xbd877b96, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0xa400ee98, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x2343e466, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0xacfb9239, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x9d177bbf, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0xc96e1c0e, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x903df28d, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x8cd1c7d3, "_gpl");
SYMBOL_CRC(usb_reset_device, 0xd99b87c9, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x99fe27ef, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xb9123a7f, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xe7740ac6, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xa8ffa2ab, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x5b8499c6, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0xab98624b, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x052d198c, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x147d6f23, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0xa22daa76, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0xa21f4a9c, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x7893f162, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x8625c5a6, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0x0bf3a5b5, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0xd2e0e179, "_gpl");
SYMBOL_CRC(usb_free_streams, 0xd682dba2, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x5b8c7966, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0xb6991f70, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0xf31f4be4, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x4b1ce50a, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0xda056b26, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x327adaf4, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x6882bcfe, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x8de1bccf, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0xfbb9d228, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0x1d00100e, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x674eefa7, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x4d9b13b5, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0xf6895d98, "_gpl");
SYMBOL_CRC(usb_mon_register, 0xe51d2c22, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x401cfc5f, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x2aad4ba6, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x3bf368df, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xe6a22227, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x65012478, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x0d596b99, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x2324fc44, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x6afc04e6, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x90871b18, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x6f529c12, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0xc8616f13, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x40fdc764, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xf513e9f1, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xfb15e406, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x9ffbdf8b, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x8fd4de55, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x06cb95ef, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x2eec74d4, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0x4a916942, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0xa051fa4f, "_gpl");
SYMBOL_CRC(usb_sg_init, 0xbe8f1c6c, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x1dbdff88, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x67e28053, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0xe82462f8, "_gpl");
SYMBOL_CRC(usb_string, 0xe53bdc22, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x10bc4fbc, "_gpl");
SYMBOL_CRC(usb_get_status, 0xd2783f73, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0xe86bda2a, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x025d911f, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x501e310b, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0xf23705f9, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0xa46ce3d0, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x136ef1d7, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x8b462333, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x294d3f4c, "");
SYMBOL_CRC(usb_store_new_id, 0xa3094af4, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x390c0aba, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x570973e6, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x59d80ee2, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xec220410, "_gpl");
SYMBOL_CRC(usb_match_id, 0x37094251, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0xf2cbf812, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x32a62d87, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0xd8051763, "_gpl");
SYMBOL_CRC(usb_register_driver, 0xe09d06f2, "_gpl");
SYMBOL_CRC(usb_deregister, 0xcb7cec1a, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0xf2233225, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x40a830a4, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xe8dbb4ff, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0xa3268e53, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x99a4dc20, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x714cf55c, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x8b68c688, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x24791cca, "_gpl");
SYMBOL_CRC(usb_register_dev, 0xa790719c, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x68919637, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x1d160fc7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x29750277, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0x805114d0, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x7d56ca42, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x10f1019e, "_gpl");
SYMBOL_CRC(usb_of_get_device_node, 0x851f9109, "_gpl");
SYMBOL_CRC(usb_of_has_combined_node, 0x0e8d8298, "_gpl");
SYMBOL_CRC(usb_of_get_connect_type, 0xd1502155, "_gpl");
SYMBOL_CRC(usb_of_get_interface_node, 0xe269fbe0, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x9b35ed77, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x00759f33, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0xfd0f8e70, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0xdf24bfab, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0xd083a2d4, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0x602f653b, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x7d5f0977, "_gpl");
SYMBOL_CRC(onboard_dev_create_pdevs, 0x91dd5061, "_gpl");
SYMBOL_CRC(onboard_dev_destroy_pdevs, 0x4a71e5f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb9749b3, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x679929ae, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0xf856cf39, "device_set_wakeup_enable" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbd8fbefc, "of_platform_device_create" },
	{ 0xc5084f6c, "device_set_of_node_from_dev" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x2c8ce60, "dma_pool_create" },
	{ 0x9b961e6e, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x3907d703, "devm_memremap" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8235805b, "memmove" },
	{ 0x7ef13b8, "of_find_device_by_node" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0x8577dc1b, "param_get_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xa3f9567f, "dmam_alloc_attrs" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x9b875872, "driver_remove_file" },
	{ 0x478aaa9d, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x9473e25e, "driver_attach" },
	{ 0x581095c0, "device_unregister" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf488f5fd, "pci_get_device" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0xf71b022a, "devm_of_phy_get" },
	{ 0x32181c, "of_graph_is_present" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7c0f2151, "sysfs_unbreak_active_protection" },
	{ 0x4e6d44c7, "pci_dev_run_wake" },
	{ 0x89cbc494, "devm_ioremap" },
	{ 0x7411528e, "pci_prepare_to_sleep" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x8d97e1e4, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb8a8c669, "component_del" },
	{ 0xf40cf6df, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc16a06a, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x263a4310, "acpi_find_child_by_adr" },
	{ 0x43688ee, "of_graph_get_remote_port_parent" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x4968760d, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0x82c80d65, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1c96b322, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7575f79, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x51542309, "of_graph_get_endpoint_by_regs" },
	{ 0xb6fbce0e, "__put_cred" },
	{ 0xb80db3f2, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xb7d0e4d0, "gen_pool_dma_alloc" },
	{ 0xa0e4ddca, "sysfs_notify" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9295a9, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf6e4f1b3, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1fb5686, "device_reprobe" },
	{ 0x47136eb3, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xb30e398c, "of_get_next_child" },
	{ 0xd7a41716, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xf0b79be4, "debugfs_lookup_and_remove" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xdf8da015, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xf540555f, "phy_exit" },
	{ 0xc5f361b8, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xf0c301ac, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x2a93471d, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x71785685, "device_wakeup_disable" },
	{ 0x343e5ee7, "cdev_add" },
	{ 0x64dc1bf8, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4e59fac0, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf455aee3, "sysfs_update_group" },
	{ 0x17ee819b, "sysfs_unmerge_group" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7e3ea8a9, "device_wakeup_enable" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9170b6e8, "bus_find_device" },
	{ 0xa9997954, "device_add" },
	{ 0xe01b6464, "__of_parse_phandle_with_args" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xbbdc2189, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5d580a0a, "device_create" },
	{ 0x758607f7, "noop_llseek" },
	{ 0x41a3a91a, "sysfs_merge_group" },
	{ 0x85fd5383, "phy_notify_disconnect" },
	{ 0x45d2939b, "of_platform_device_destroy" },
	{ 0xa487f782, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x72ca89f7, "kernfs_find_and_get_ns" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4f5377a, "phy_power_on" },
	{ 0x91a2c853, "no_seek_end_llseek" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xa25d28b0, "of_match_node" },
	{ 0x5152e605, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x98524f95, "sysfs_remove_file_from_group" },
	{ 0xff137f49, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2a258913, "of_device_is_available" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x49315f63, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x80f59da4, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x21209edd, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0x39b8e9e5, "unregister_acpi_bus_type" },
	{ 0x4a33bd4e, "device_match_devt" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5026ba35, "pm_runtime_no_callbacks" },
	{ 0xa95ac875, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x11d0ad61, "devm_gen_pool_create" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xa603c433, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5b5c52f9, "sysfs_remove_group" },
	{ 0xff0e1f17, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf11637d1, "fwnode_find_reference" },
	{ 0xe6ca50ee, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x55c8407f, "pm_runtime_forbid" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x8781ec01, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d3b6566, "acpi_fetch_acpi_dev" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xfcd1aa06, "kernfs_put" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1699ef40, "inode_set_ctime_current" },
	{ 0x76408bba, "__register_chrdev" },
	{ 0x6de6a095, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x950aa96e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xffa6129a, "usb_dynids_lock" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb281a349, "kobject_uevent" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x815cc950, "device_pm_wait_for_dev" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xf7d8590c, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4a738cf4, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0xc4450026, "of_count_phandle_with_args" },
	{ 0xb642999d, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x7439d54c, "dev_pm_qos_add_request" },
	{ 0xebdf6737, "pm_runtime_barrier" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x2cb69f90, "usb_debug_root" },
	{ 0x21d1ef4a, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd57abc59, "page_address" },
	{ 0xa9ad7bc, "set_primary_fwnode" },
	{ 0x68157204, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb6cb5adf, "phy_calibrate" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xe166a84f, "_dev_printk" },
	{ 0x1b897fc5, "dev_pm_qos_expose_flags" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x98540ad3, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x70e67a9d, "device_link_add" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x29f3a126, "up_read" },
	{ 0x9f084f41, "driver_register" },
	{ 0x887a3cc5, "put_pid" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb5884078, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x14c0d0dd, "devm_of_phy_get_by_index" },
	{ 0x572c1990, "cdev_del" },
	{ 0x14e390e5, "device_remove_file" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf0c8fc84, "phy_init" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usb-common");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "2C1598DFB2B10D101308E49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
