#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_pci_common_probe, "_gpl", "xhci");
KSYMTAB_FUNC(xhci_pci_remove, "_gpl", "xhci");

SYMBOL_CRC(xhci_pci_common_probe, 0xaab6d815, "_gpl");
SYMBOL_CRC(xhci_pci_remove, 0x3b15295a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfbb9d228, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72a95a6, "pci_choose_state" },
	{ 0x674eefa7, "usb_remove_hcd" },
	{ 0x8de1bccf, "usb_put_hcd" },
	{ 0x759f33, "usb_hcd_pci_remove" },
	{ 0x55c8407f, "pm_runtime_forbid" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xe2707ca7, "pci_set_power_state" },
	{ 0x4ff7ff6, "xhci_init_driver" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x8a054422, "xhci_stop" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xca963c27, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xb1a62cf0, "xhci_suspend" },
	{ 0xf97fda22, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x36e727d2, "xhci_update_hub_device" },
	{ 0x602f653b, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7791a5b9, "xhci_run" },
	{ 0xca2c7612, "xhci_dbg_trace" },
	{ 0x738803e6, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1878a8e5, "xhci_gen_setup" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0x1814a08, "pci_set_mwi" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2f1f79c, "__tracepoint_xhci_dbg_quirks" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xced62b04, "__tracepoint_xhci_dbg_init" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x48c8bae1, "xhci_resume" },
	{ 0x9699fea2, "usb_enable_intel_xhci_ports" },
	{ 0xd4f73355, "__devm_reset_control_get" },
	{ 0x9b35ed77, "usb_hcd_pci_probe" },
	{ 0xda056b26, "usb_create_shared_hcd" },
	{ 0x21b69aad, "xhci_ext_cap_init" },
	{ 0x1d00100e, "usb_add_hcd" },
	{ 0x9b052c9c, "device_property_present" },
	{ 0x8618baf9, "pci_clear_and_set_config_dword" },
	{ 0x8781ec01, "pm_runtime_allow" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x114ffa9d, "pci_match_id" },
	{ 0xb7819085, "xhci_shutdown" },
	{ 0xfd0f8e70, "usb_hcd_pci_shutdown" },
	{ 0xdf24bfab, "usb_hcd_pci_pm_ops" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "493D005BA85294FC2D880E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
