#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0xba57a881, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9aca830d, "kthread_queue_work" },
	{ 0xbaf9c6f, "typec_unregister_altmode" },
	{ 0xa6bc6b60, "typec_get_drvdata" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2621fcf4, "typec_register_partner" },
	{ 0xa16970c6, "typec_partner_set_usb_power_delivery" },
	{ 0xca963c27, "_dev_err" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2cb69f90, "usb_debug_root" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x5121170a, "seq_printf" },
	{ 0x1860065f, "usb_power_delivery_unregister_capabilities" },
	{ 0x4437e317, "devm_kfree" },
	{ 0x51b00323, "usb_power_delivery_unregister" },
	{ 0x2edc5ca7, "power_supply_get_drvdata" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0x756fa78d, "typec_get_negotiated_svdm_version" },
	{ 0x9c682b24, "typec_get_cable_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6006e78c, "typec_partner_register_altmode" },
	{ 0x67be74e7, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x373a81c5, "typec_set_mode" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7d822469, "typec_set_data_role" },
	{ 0x3d6d9918, "typec_set_pwr_role" },
	{ 0x73ec8ea3, "typec_set_vconn_role" },
	{ 0x28b387f4, "power_supply_changed" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6c751d12, "typec_unregister_plug" },
	{ 0xfef52e9f, "typec_unregister_cable" },
	{ 0x2a73a1e7, "typec_unregister_partner" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x9311406f, "kthread_create_worker" },
	{ 0xf4d359a4, "sched_set_fifo" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3be35779, "fw_devlink_purge_absent_suppliers" },
	{ 0x1f285ac3, "typec_get_fw_cap" },
	{ 0x88abfd39, "fwnode_property_present" },
	{ 0x72911305, "fwnode_get_named_child_node" },
	{ 0x6367157a, "fwnode_get_next_child_node" },
	{ 0x9353c7b1, "fwnode_property_read_u32_array" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x5293c0a6, "kthread_destroy_worker" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x47e58268, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x166258d5, "usb_role_switch_get" },
	{ 0xd0d8621b, "strlen" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0xfaf0eaee, "devm_power_supply_register" },
	{ 0x1611287a, "usb_power_delivery_register" },
	{ 0x5c84ebbb, "usb_power_delivery_register_capabilities" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x885035ac, "fwnode_usb_role_switch_get" },
	{ 0xf54c782, "typec_register_port" },
	{ 0xf2cb9fbb, "typec_port_register_altmodes" },
	{ 0xff989cad, "typec_port_register_cable_ops" },
	{ 0x4173fe80, "typec_unregister_port" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x35855eaa, "typec_port_set_usb_power_delivery" },
	{ 0x2fc85c1b, "typec_match_altmode" },
	{ 0xb6deefcd, "typec_altmode_vdm" },
	{ 0xc70db843, "typec_altmode_update_active" },
	{ 0xd3670246, "typec_cable_altmode_vdm" },
	{ 0xbfac977c, "typec_cable_set_svdm_version" },
	{ 0x861b5dd7, "typec_altmode_notify" },
	{ 0x104c2b71, "typec_altmode_attention" },
	{ 0x5be9b189, "typec_partner_set_identity" },
	{ 0xf48dcccf, "typec_partner_set_svdm_version" },
	{ 0x7a7b1f88, "typec_register_cable" },
	{ 0x6f4bce91, "typec_cable_set_identity" },
	{ 0x2cf609a7, "typec_register_plug" },
	{ 0xfb08c9ec, "typec_plug_set_num_altmodes" },
	{ 0x96b8f6a9, "typec_plug_register_altmode" },
	{ 0x15db694f, "typec_cable_is_active" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x8ab99731, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x7418e6df, "seq_read" },
	{ 0xac25594b, "single_release" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "typec,usb-common,roles");


MODULE_INFO(srcversion, "346D70AE45FDD898EE050C6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
