#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x976f98df, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x0fca857a, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x16f1e4ee, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x9eaa3911, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xc71a857a, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x64a482b0, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x67952b6f, "_gpl");
SYMBOL_CRC(ucsi_create, 0x370f945b, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xeefec231, "_gpl");
SYMBOL_CRC(ucsi_register, 0xf725c171, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x4e66c25f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x13089c60, "typec_partner_set_pd_revision" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2621fcf4, "typec_register_partner" },
	{ 0x35855eaa, "typec_port_set_usb_power_delivery" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x566611f9, "typec_port_register_altmode" },
	{ 0xbe318879, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xb489dd27, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x885035ac, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x373a81c5, "typec_set_mode" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x68916510, "typec_altmode2port" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x1611287a, "usb_power_delivery_register" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6006e78c, "typec_partner_register_altmode" },
	{ 0x1fe13b06, "typec_partner_set_num_altmodes" },
	{ 0x2a73a1e7, "typec_unregister_partner" },
	{ 0x8ab99731, "typec_set_pwr_opmode" },
	{ 0x6f4bce91, "typec_cable_set_identity" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0xfef52e9f, "typec_unregister_cable" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0xa4437080, "typec_partner_set_usb_mode" },
	{ 0xc70db843, "typec_altmode_update_active" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7148d63d, "device_property_read_u8_array" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x5c84ebbb, "usb_power_delivery_register_capabilities" },
	{ 0x2cf609a7, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa645b678, "typec_altmode_set_ops" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x51b00323, "usb_power_delivery_unregister" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x7d822469, "typec_set_data_role" },
	{ 0x756fa78d, "typec_get_negotiated_svdm_version" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb6deefcd, "typec_altmode_vdm" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4173fe80, "typec_unregister_port" },
	{ 0x2edc5ca7, "power_supply_get_drvdata" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xf54c782, "typec_register_port" },
	{ 0xfb08c9ec, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa16970c6, "typec_partner_set_usb_power_delivery" },
	{ 0x28b387f4, "power_supply_changed" },
	{ 0x6c751d12, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x96b8f6a9, "typec_plug_register_altmode" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0xf48dcccf, "typec_partner_set_svdm_version" },
	{ 0x7418e6df, "seq_read" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbaf9c6f, "typec_unregister_altmode" },
	{ 0x7a7b1f88, "typec_register_cable" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1860065f, "usb_power_delivery_unregister_capabilities" },
	{ 0xa6bc6b60, "typec_get_drvdata" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x5be9b189, "typec_partner_set_identity" },
	{ 0x6c87efe8, "power_supply_unregister" },
	{ 0xac25594b, "single_release" },
	{ 0x3d6d9918, "typec_set_pwr_role" },
	{ 0x27e1fe77, "typec_partner_usb_power_delivery_register" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0x2cb69f90, "usb_debug_root" },
	{ 0xece122fd, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5f2f81dc, "single_open" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,usb-common");


MODULE_INFO(srcversion, "E0DE57E014C396C25ECCEDB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
