#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x16471dbd, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x18735984, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0xd04b9859, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x5b5f3071, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x01fdbdfb, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x45c69ce2, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xd24653cd, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x82ba7d80, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x5a40d3dd, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x3a6d5322, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x1d36165d, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x44b83e00, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x51f16cdb, "");
SYMBOL_CRC(vfio_info_add_capability, 0x0f655355, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0x05b8cfda, "");
SYMBOL_CRC(vfio_pin_pages, 0x46c6994e, "");
SYMBOL_CRC(vfio_unpin_pages, 0x0c9a6bb9, "");
SYMBOL_CRC(vfio_dma_rw, 0x3f65b5bf, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x01090a91, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x47c070cf, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xed0cf9f1, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x94230119, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0xecd858ae, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xecd27240, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xa448ed8d, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x1690eac3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5ff4994a, "anon_inode_getfile" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x4005a666, "alloc_anon_inode" },
	{ 0xae918f37, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdb15494b, "cdev_device_del" },
	{ 0x55223026, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd9d60326, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x61ba45f3, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7d6ba16, "iput" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x166b3ef8, "iova_bitmap_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2db3a3d0, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x6db883e6, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9997954, "device_add" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xe2f9e784, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x12a8353b, "iova_bitmap_for_each" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x80f59da4, "device_del" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x149a8b46, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xa0ea2329, "init_pseudo" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x36c34b07, "device_iommu_capable" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xb4634b0f, "simple_release_fs" },
	{ 0x1bc3926e, "kill_anon_super" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xd7b604e9, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xb5884078, "cdev_init" },
	{ 0x7564a23a, "eventfd_ctx_fileget" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x3e370a2e, "iommu_group_remove_device" },
	{ 0xdaa27c92, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "597706D9A5F8712E5FAC10C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
