#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(u128_div, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_stddev, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_update, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_stddev, "_gpl", "");
KSYMTAB_FUNC(six_trylock_ip, "_gpl", "");
KSYMTAB_FUNC(six_relock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_ip_waiter, "_gpl", "");
KSYMTAB_FUNC(six_unlock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_downgrade, "_gpl", "");
KSYMTAB_FUNC(six_lock_tryupgrade, "_gpl", "");
KSYMTAB_FUNC(six_trylock_convert, "_gpl", "");
KSYMTAB_FUNC(six_lock_increment, "_gpl", "");
KSYMTAB_FUNC(six_lock_wakeup_all, "_gpl", "");
KSYMTAB_FUNC(six_lock_counts, "_gpl", "");
KSYMTAB_FUNC(six_lock_readers_add, "_gpl", "");
KSYMTAB_FUNC(six_lock_exit, "_gpl", "");
KSYMTAB_FUNC(__six_lock_init, "_gpl", "");
KSYMTAB_FUNC(bch2_run_thread_with_stdout, "_gpl", "");

SYMBOL_CRC(u128_div, 0x136151cf, "_gpl");
SYMBOL_CRC(mean_and_variance_get_mean, 0x68ddf28c, "_gpl");
SYMBOL_CRC(mean_and_variance_get_variance, 0xb1cacd27, "_gpl");
SYMBOL_CRC(mean_and_variance_get_stddev, 0x65a7626a, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_update, 0xb91715f2, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_mean, 0xb3fd2cf8, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_variance, 0x3c42b603, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_stddev, 0xc436648c, "_gpl");
SYMBOL_CRC(six_trylock_ip, 0x1117cb78, "_gpl");
SYMBOL_CRC(six_relock_ip, 0xbb4fc1ae, "_gpl");
SYMBOL_CRC(six_lock_ip_waiter, 0xd3decc39, "_gpl");
SYMBOL_CRC(six_unlock_ip, 0x257cb726, "_gpl");
SYMBOL_CRC(six_lock_downgrade, 0xfb9aa60e, "_gpl");
SYMBOL_CRC(six_lock_tryupgrade, 0xd49dfd4d, "_gpl");
SYMBOL_CRC(six_trylock_convert, 0xf44c6575, "_gpl");
SYMBOL_CRC(six_lock_increment, 0x016ad0d6, "_gpl");
SYMBOL_CRC(six_lock_wakeup_all, 0x17e2a090, "_gpl");
SYMBOL_CRC(six_lock_counts, 0x989d4edf, "_gpl");
SYMBOL_CRC(six_lock_readers_add, 0xf95e9847, "_gpl");
SYMBOL_CRC(six_lock_exit, 0x56b12d60, "_gpl");
SYMBOL_CRC(__six_lock_init, 0xa94b31d9, "_gpl");
SYMBOL_CRC(bch2_run_thread_with_stdout, 0x4ad88b16, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x511adcd8, "crypto_skcipher_encrypt" },
	{ 0x1c94f24e, "__bio_release_pages" },
	{ 0xcc6961c2, "generic_shutdown_super" },
	{ 0x207f4adb, "bio_associate_blkg" },
	{ 0x10b96503, "percpu_free_rwsem" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xf0247e3, "__min_heap_pop" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xeadfe4b, "vfs_fsync_range" },
	{ 0xdcde127d, "setattr_prepare" },
	{ 0xb45578b8, "memscan" },
	{ 0xe3976e7e, "filemap_migrate_folio" },
	{ 0x6d35196e, "bdev_file_open_by_path" },
	{ 0x86eb8dd8, "shrinker_alloc" },
	{ 0x38df068b, "file_check_and_advance_wb_err" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x5ff4994a, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x51bada4e, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1ee5a769, "make_vfsgid" },
	{ 0x7025db84, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8a8634af, "clear_inode" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1ae8d42c, "stack_trace_save_tsk" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3d6831bc, "mempool_kvfree" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0xea999bfb, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcf0baeaa, "discard_new_inode" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4de62a30, "bio_copy_data" },
	{ 0x6066074c, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x556dc9a2, "__folio_batch_release" },
	{ 0x55f8ee09, "folio_unlock" },
	{ 0xed60f489, "vmalloc_to_page" },
	{ 0x8235805b, "memmove" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x448fb6da, "user_path_create" },
	{ 0xca7ee9b2, "fault_in_writeable" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x190a2f86, "filemap_map_pages" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0x62d94178, "inode_sb_list_add" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0x945a9ece, "user_path_locked_at" },
	{ 0x9c69e5f3, "__min_heap_sift_up" },
	{ 0x54b0f012, "init_special_inode" },
	{ 0x86b315c0, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3e61b5c4, "bpf_trace_run6" },
	{ 0xb36a2ca5, "iov_iter_single_seg_count" },
	{ 0x581095c0, "device_unregister" },
	{ 0x6499ca92, "copy_from_user_nofault" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x404c391a, "generic_error_remove_folio" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0xf8a2742, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xcb3db20d, "nop_posix_acl_access" },
	{ 0xf5ada1a6, "nop_posix_acl_default" },
	{ 0x9db05561, "d_make_root" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x7968252f, "__posix_acl_chmod" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfe126040, "__put_task_struct" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xcf2a6966, "up" },
	{ 0x85613f9d, "closure_wait" },
	{ 0x78f4a90c, "kobject_init" },
	{ 0x56fe1620, "sysctl_hung_task_timeout_secs" },
	{ 0x56e6a785, "fsnotify" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x56820852, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x61ba45f3, "fd_install" },
	{ 0x8d97e1e4, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0xf0dc6e99, "fiemap_prep" },
	{ 0x2e60bace, "memcpy" },
	{ 0x414975dd, "__genradix_prealloc" },
	{ 0xff9c9ee7, "from_vfsuid" },
	{ 0x4144774, "ihold" },
	{ 0x5164a592, "page_get_link" },
	{ 0xa4420cb1, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe2cd90ee, "truncate_pagecache_range" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b1ee174, "invalidate_inode_pages2_range" },
	{ 0xab40a784, "finish_open" },
	{ 0xa7d6ba16, "iput" },
	{ 0xbd021014, "kset_unregister" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x8451fc15, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xaebd1d44, "call_srcu" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x955ee96c, "crc64_be" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xff92d061, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x4444210a, "crypto_skcipher_setkey" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x99c0576, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x4e4a54ba, "register_filesystem" },
	{ 0x35ed7f31, "__tracepoint_contention_end" },
	{ 0x3843fadc, "bdev_thaw" },
	{ 0xa97c0c3f, "sync_inode_metadata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0x239d0ce0, "filemap_add_folio" },
	{ 0xe9aa1c65, "path_put" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9451bf96, "__closure_sync" },
	{ 0x3aff1967, "kthread_use_mm" },
	{ 0xc4e2836a, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1166f959, "bio_iov_iter_get_pages" },
	{ 0xc5efb8dd, "user_path_at" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc6aa64e9, "make_vfsuid" },
	{ 0x1779404f, "d_prune_aliases" },
	{ 0x54039633, "wake_up_process" },
	{ 0xd801ba31, "shrinker_free" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d7d53c8, "errname" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xb9bcf837, "d_mark_dontcache" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x21957e1, "raid6_datap_recov" },
	{ 0xd21e7272, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x584a3fcc, "lock_two_nondirectories" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xbc435770, "dump_stack" },
	{ 0x2e4a1e0, "mnt_want_write_file" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x4fd3bbe9, "get_state_synchronize_srcu" },
	{ 0xaabc127b, "make_kprojid" },
	{ 0x6879ed21, "__genradix_iter_peek_prev" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcb77a31d, "zstd_is_error" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0x40d04664, "console_trylock" },
	{ 0xb5f3dc1, "make_kuid" },
	{ 0xa60a2142, "truncate_inode_pages_final" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0xa47d50c, "fs_kobj" },
	{ 0xb5465091, "__min_heap_full" },
	{ 0x23b10a22, "srcu_barrier" },
	{ 0x7300a595, "bio_add_folio" },
	{ 0x11f5d2fb, "__filemap_set_wb_err" },
	{ 0x738803e6, "strnlen" },
	{ 0x81ee81f0, "percpu_ref_reinit" },
	{ 0xd55e8e3a, "shrinker_register" },
	{ 0xb09c5aa9, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd875584a, "__genradix_ptr" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0xb8b7231, "poll_state_synchronize_srcu" },
	{ 0x9f984513, "strrchr" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xe15086ab, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x279c7995, "submit_bio" },
	{ 0x119f884, "mnt_drop_write_file" },
	{ 0x2a93471d, "module_put" },
	{ 0xebce3ac0, "__destroy_inode" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0x46aab8ad, "copy_page_from_iter_atomic" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xae451ba0, "__min_heap_peek" },
	{ 0xbda7a619, "inode_init_once" },
	{ 0x145216c0, "bioset_exit" },
	{ 0x5b8169f5, "file_write_and_wait_range" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xe21cea64, "fault_in_readable" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xebe632db, "zstd_decompress_dctx" },
	{ 0x79b2d111, "__min_heap_sift_down" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x80c2136a, "key_put" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0xdbcc3b5c, "bio_put" },
	{ 0xdce5a4c1, "percpu_up_write" },
	{ 0xf01a13ae, "bio_endio" },
	{ 0x49956258, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7482eff1, "posix_acl_create" },
	{ 0xb9141014, "inode_nohighmem" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd5ff4744, "init_srcu_struct" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0x427c1607, "__bio_advance" },
	{ 0xce5fcee5, "inode_bit_waitqueue" },
	{ 0x5af8e078, "down_write" },
	{ 0x440e0f92, "kobject_add" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x18a46708, "thp_get_unmapped_area" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xcf494b7b, "set_cached_acl" },
	{ 0x5254511b, "copy_to_user_nofault" },
	{ 0xb65eb509, "truncate_pagecache" },
	{ 0x96b7693b, "__srcu_read_lock" },
	{ 0x29f072d9, "d_mark_tmpfile" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7ff39c06, "unlock_two_nondirectories" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5d580a0a, "device_create" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd0bfd848, "closure_put" },
	{ 0x2dc49820, "page_symlink" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0x668477d0, "bdev_fput" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x61700a33, "__min_heap_del" },
	{ 0x5bc92e85, "LZ4_compress_destSize" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x29426262, "zero_user_segments" },
	{ 0xb7fc5dff, "write_cache_pages" },
	{ 0x39f6138d, "file_update_time" },
	{ 0xf525e5f3, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x35cb31f4, "kmem_cache_alloc_lru_noprof" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x58169218, "vprintk" },
	{ 0x5c7f1284, "int_sqrt64" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x95bfe643, "posix_acl_alloc" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x79718e21, "bio_kmalloc" },
	{ 0x5f17d5b7, "from_kgid" },
	{ 0x2873438a, "zstd_init_dctx" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x7509ecd1, "folio_mkclean" },
	{ 0xf3808cb1, "get_state_synchronize_rcu" },
	{ 0x94f5368, "crypto_shash_digest" },
	{ 0xddf86133, "LZ4_compress_HC" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xe32ab4d8, "xxh64_digest" },
	{ 0xc3bd49a5, "bdev_freeze" },
	{ 0x93a4680, "blkdev_issue_zeroout" },
	{ 0xc749cf30, "file_remove_privs" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xf1e046cc, "panic" },
	{ 0xb8aed7f3, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd208507a, "sget" },
	{ 0x24582f74, "zero_fill_bio_iter" },
	{ 0xc5d35c98, "bio_add_page" },
	{ 0x9dd53602, "crypto_shash_update" },
	{ 0x60cd3b44, "from_vfsgid" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xb5ab86e9, "atomic64_sub_return_cx8" },
	{ 0x905f03b8, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xeab8a1c6, "folio_wait_stable" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xac3dcd67, "cleanup_srcu_struct" },
	{ 0xf4288fb6, "__audit_inode_child" },
	{ 0x7cfed78, "d_obtain_alias" },
	{ 0xf7c54de1, "file_modified" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0x98e55e9, "__min_heap_push" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x27c7a650, "bio_check_pages_dirty" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3083cf0a, "freezing_slow_path" },
	{ 0xd23e7520, "folio_end_read" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x95cc9f7f, "__folio_start_writeback" },
	{ 0xc2ce0d14, "bio_set_pages_dirty" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0xa69acac, "bpf_trace_run9" },
	{ 0xa6b3269d, "security_path_mkdir" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x75d5c1eb, "folio_end_writeback" },
	{ 0x106efa36, "sync_inodes_sb" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x97b96a, "from_kuid" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xc1e8298c, "bio_init" },
	{ 0x8b5bb20f, "__SCT__tp_func_contention_begin" },
	{ 0xe9628ce8, "sort_r" },
	{ 0x2bc95bd4, "memset" },
	{ 0xe8574959, "synchronize_srcu_expedited" },
	{ 0x504d1d06, "bio_alloc_clone" },
	{ 0x39a7ce3a, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb7e25a3d, "closure_sub" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x358b26dc, "generic_remap_file_range_prep" },
	{ 0xf217d499, "zstd_init_cctx" },
	{ 0xa56fde1c, "__genradix_iter_peek" },
	{ 0x1b079180, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd2e67ae1, "bio_reset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7f06bda9, "in_group_or_capable" },
	{ 0xa6f9a7c9, "filemap_get_folios" },
	{ 0xc631580a, "console_unlock" },
	{ 0x626f1706, "make_kgid" },
	{ 0x1b260ca2, "mempool_kvmalloc" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x47d651c2, "d_delete" },
	{ 0x98de3e1c, "crypto_alloc_sync_skcipher" },
	{ 0x442deaa9, "poll_state_synchronize_rcu" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x8bb88c1, "__closure_sync_timeout" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xf7f1997e, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd187b082, "nonseekable_open" },
	{ 0xda9dd127, "bio_free_pages" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc23314f4, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x5cbf2d0b, "__genradix_ptr_alloc" },
	{ 0x8522d6bc, "strncpy_from_user" },
	{ 0x377498e4, "zstd_dctx_workspace_bound" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2a3e9335, "super_setup_bdi" },
	{ 0x988b6216, "igrab" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x7eb93eef, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa59c1bb0, "kobject_del" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0xca83a7, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xb028910c, "bio_copy_data_iter" },
	{ 0xd96d42f, "bioset_init" },
	{ 0x2a494646, "init_user_ns" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xa4711a24, "request_key_tag" },
	{ 0x76408bba, "__register_chrdev" },
	{ 0xd779fe5, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x950aa96e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xa9133f8e, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcce6b8f6, "deactivate_locked_super" },
	{ 0x4830417a, "touch_atime" },
	{ 0xd73c6635, "filemap_read" },
	{ 0xcdc4030, "__percpu_down_read" },
	{ 0xff46d4ed, "__srcu_read_unlock" },
	{ 0x658ce1a8, "xxh64_reset" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x2a181b9b, "blk_status_to_str" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb22286a5, "posix_acl_update_mode" },
	{ 0x6ca50d8, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0x19d09d53, "__folio_lock" },
	{ 0x82d20e5d, "filemap_dirty_folio" },
	{ 0xfc6655d7, "is_bad_inode" },
	{ 0x91955a9f, "start_poll_synchronize_rcu" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x7b9ef494, "rcuwait_wake_up" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xdb7ca1a8, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x28292989, "inode_init_always_gfp" },
	{ 0xcc254815, "filemap_splice_read" },
	{ 0x11c0aa9d, "kthread_unuse_mm" },
	{ 0xf24910ba, "done_path_create" },
	{ 0x8fe09cf5, "zstd_cctx_workspace_bound" },
	{ 0x12733e87, "__seq_puts" },
	{ 0x16576094, "key_type_user" },
	{ 0x73ae1cf2, "d_parent_ino" },
	{ 0xd35f75a1, "match_string" },
	{ 0x1f75f55c, "filemap_write_and_wait_range" },
	{ 0xd57abc59, "page_address" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x9a88d05c, "__SCT__tp_func_contention_end" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4124810f, "generic_file_llseek_size" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x37df722b, "closure_return_sync" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xae547ed, "xxh64_update" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x6aba9594, "generic_write_checks" },
	{ 0xeaa07580, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1ea60f7b, "filemap_fault" },
	{ 0x77765035, "crypto_alloc_shash" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xef1c3b36, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xf40d6f68, "make_bad_inode" },
	{ 0x8191fb9e, "bio_alloc_bioset" },
	{ 0x6ebf9bd9, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xdd0762df, "set_worker_desc" },
	{ 0xceab0311, "strchrnul" },
	{ 0x29f3a126, "up_read" },
	{ 0x6faa863a, "iov_iter_npages" },
	{ 0x88688484, "zstd_compress_cctx" },
	{ 0x81262fdd, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x9c976e56, "kmem_cache_free_bulk" },
	{ 0x64e93663, "fault_in_iov_iter_readable" },
	{ 0x800532e4, "__tracepoint_contention_begin" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d9f018f, "start_poll_synchronize_srcu" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x22132840, "inode_set_ctime_to_ts" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xf5810de9, "fs_bio_set" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x5c5b6f0a, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x70138e02, "kset_create_and_add" },
	{ 0x92b57248, "flush_work" },
	{ 0xa9bc9873, "blkdev_issue_discard" },
	{ 0x56d8d8b7, "kobject_put" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "raid6_pq,lz4_compress,lz4hc_compress,xor,libcrc32c");


MODULE_INFO(srcversion, "70891C6C98718771C112313");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
