#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x9d02d440, "");
SYMBOL_CRC(jbd2_journal_start, 0x63c4cc4a, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xc7e875e2, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xa64836b3, "");
SYMBOL_CRC(jbd2__journal_restart, 0x1a928790, "");
SYMBOL_CRC(jbd2_journal_restart, 0x3470ac22, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x20dc7339, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x35470ae7, "");
SYMBOL_CRC(jbd2_journal_extend, 0x009f301d, "");
SYMBOL_CRC(jbd2_journal_stop, 0x6e68228a, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x165588f9, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x5987d654, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x5858ec9c, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x8d02bcf1, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x24302248, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x0cae70d1, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xfb8d2d51, "");
SYMBOL_CRC(jbd2_journal_forget, 0xbf28038c, "");
SYMBOL_CRC(jbd2_journal_flush, 0x42e0d079, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x8a7f979b, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x931e21d2, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xb60947b0, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x6eba5304, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x479d2998, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xc4b82935, "");
SYMBOL_CRC(jbd2_journal_load, 0xe460c8c3, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xe8f7bf38, "");
SYMBOL_CRC(jbd2_journal_abort, 0x85ba7a21, "");
SYMBOL_CRC(jbd2_journal_errno, 0x7f349934, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xc894a9fc, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x5975a300, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x5294a92f, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x88be7db1, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xcd83987c, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xce875034, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xf46c33f5, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xe1ec7b9b, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xeb69e9ce, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x038ab211, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xdcd651f3, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xf12d4a7d, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xa2479c19, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xed46c9e1, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xa924f1fb, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x530677f0, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xd8081ecc, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x825f9946, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x5e279533, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x25f7a08d, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xe155cf98, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x01d056f9, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x2a0807c1, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x91f1f92b, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x3b06f994, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xb5c564e1, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xafa0e3ef, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xbbabf167, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x0d1cf26e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x73592b1c, "bh_uptodate_or_lock" },
	{ 0x86eb8dd8, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7025db84, "blk_start_plug" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x55f8ee09, "folio_unlock" },
	{ 0x4f8a7bbd, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3e61b5c4, "bpf_trace_run6" },
	{ 0x6df28c5e, "mark_buffer_dirty" },
	{ 0x62ca96f3, "__find_get_block" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0xbf63f026, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x2a78627e, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3fe98048, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7d6ba16, "iput" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0xc8cdf693, "blockdev_superblock" },
	{ 0x7801a4c0, "proc_create_data" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2101c89f, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x515d614c, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c1730fe, "alloc_buffer_head" },
	{ 0x54039633, "wake_up_process" },
	{ 0xd801ba31, "shrinker_free" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x7b351b18, "mutex_lock_io" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29061d98, "preempt_model_lazy" },
	{ 0x22547bd1, "try_to_free_buffers" },
	{ 0x13238df, "sync_blockdev" },
	{ 0xa755a9e5, "free_buffer_head" },
	{ 0xd55e8e3a, "shrinker_register" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xe15086ab, "blk_finish_plug" },
	{ 0x50afce25, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0x58a232ff, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x677c74bf, "__brelse" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x43b6e82, "__bh_read_batch" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x72f62506, "__wait_on_buffer" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0xcee3de63, "__bh_read" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x93a4680, "blkdev_issue_zeroout" },
	{ 0xffab323c, "filemap_fdatawait_range_keep_errors" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dd53602, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3083cf0a, "freezing_slow_path" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x1e5ecab1, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x7418e6df, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x752f528f, "unlock_buffer" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xd779fe5, "__folio_put" },
	{ 0xf20c316e, "remove_proc_entry" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0x8b1753a1, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xac969f9a, "truncate_inode_pages_range" },
	{ 0xb5e9e665, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa4e4f863, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1392aeec, "end_buffer_write_sync" },
	{ 0x6defe1cf, "seq_open" },
	{ 0xdd7102c2, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x77765035, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0xa9bc9873, "blkdev_issue_discard" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6D49690D9F5AB7E80DCA60B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
