#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xc9a6d7a8, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x094b9501, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xb86285e1, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x7a97cb57, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x8f5f8fa0, "_gpl");
SYMBOL_CRC(lockd_up, 0x58c2fd88, "_gpl");
SYMBOL_CRC(lockd_down, 0xead2bce8, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xf75b8aed, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6701a03, "rpc_put_task" },
	{ 0x9b54d315, "svc_generic_rpcbind_set" },
	{ 0x984b6058, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf525c18a, "rpc_shutdown_client" },
	{ 0xc26051f3, "svc_bind" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe7291da2, "proc_create" },
	{ 0x9a75b71e, "svc_recv" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x98abee36, "xdr_inline_decode" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0xba08b7ea, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x82fa1470, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x3c7c8863, "svc_exit_thread" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcfad2ee7, "param_get_ulong" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x134c91e3, "rpc_run_task" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6fbce0e, "__put_cred" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0x76e97588, "locks_in_grace" },
	{ 0x54039633, "wake_up_process" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xc363ab7d, "proc_dobool" },
	{ 0xf1640fb2, "locks_lock_inode_wait" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x892114c6, "unregister_sysctl_table" },
	{ 0x92b80e9a, "locks_release_private" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x2fd1cb17, "locks_init_lock" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcf3f1e55, "simple_transaction_release" },
	{ 0x54c06f7b, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef2258a4, "svc_age_temp_xprts_now" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xb26053df, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xecfc3bd7, "svc_set_num_threads" },
	{ 0xee5feed, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x166b0737, "vfs_cancel_lock" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3083cf0a, "freezing_slow_path" },
	{ 0x67cb0f38, "rpc_create" },
	{ 0x66eddb57, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xec9d2be2, "rpc_call_start" },
	{ 0xe4aa0a1d, "svc_create" },
	{ 0x97f230aa, "default_llseek" },
	{ 0xa30b1cbb, "rpc_call_sync" },
	{ 0x1e5ecab1, "proc_mkdir" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0x419f71ae, "register_sysctl_sz" },
	{ 0x8a7d1c0f, "vfs_lock_file" },
	{ 0x5c2c3296, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8145941e, "svc_generic_init_request" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xb7c1522f, "svc_set_client" },
	{ 0x27a5cc34, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9a3f4d95, "rpc_force_rebind" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x1a4f3d49, "rpc_restart_call" },
	{ 0xeb93a6a8, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xf20c316e, "remove_proc_entry" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x587f9f7f, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47fb9987, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x472eab49, "locks_delete_block" },
	{ 0xd0d8621b, "strlen" },
	{ 0xaad114bc, "locks_start_grace" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x6d477f68, "param_get_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x627272c2, "svc_xprt_create" },
	{ 0xdf302dfe, "rpc_wait_for_completion_task" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x42e76977, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "148D40D7864095E7D1A9D4E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
