#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x4db68ee3, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x5dfa893b, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xf6368c8e, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x9dbafa19, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xf718ca6b, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xcaf57ebc, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xb484c052, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x3ed72509, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x4ba250d8, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xfa748bf2, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x380c0cbf, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x68a423be, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xa02df320, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x1e7e85e1, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x1e825500, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xbecd95a5, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xeac47593, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xe669f1ea, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x56112330, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xbd4f9ac8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x66ee8403, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xddbe14db, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x79ebf1ac, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x13c41837, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xe0e42189, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x06298e1a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x41f27686, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x44d8cd77, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x46c5676c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x009d39c7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xf2f18d16, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x53239317, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xb8878ec2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x31987278, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x6f561f2e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x4b07902f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x38bfa05d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x9f18741b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x643afe4c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x1b181c1d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x75e1c462, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xd77aff5b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x6dcb011f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x095ed756, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x3599162f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xb56a1749, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x911575bb, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xc1458668, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x0fd80e57, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x785a0c66, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xe03be88a, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xf139f0ef, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x4782749c, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xddb87831, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x56c51e71, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x655b1552, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x66aff9a8, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x31329012, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x9c5d3949, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x11103519, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x642b1061, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x7da25e9f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xef262459, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x21130df7, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xd4220f44, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xbb798c0f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x45e75e6a, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xb196ba08, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x81f20b7a, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xda545032, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x2bf8a11e, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x1318080d, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xcd99e5a7, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x71f223ec, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x4488be6f, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x250ce7fc, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xf8538222, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x03a18ac9, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xbeb546e8, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x4c51daaa, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x681dd064, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xf24e054d, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xaa1b3628, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xe5d8b812, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xc57a7756, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xca39c119, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xc4f56d39, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x5740f4c7, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x7369259a, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x174d7b69, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x9993c565, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x78b028df, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xbd02646e, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x338c5bf3, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x4941ab25, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xad91ffcf, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x0a9630ee, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x1d3a6a58, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xbdd86900, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xff69fdcf, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x96fb7e27, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6701a03, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x9b54d315, "svc_generic_rpcbind_set" },
	{ 0xc7338a54, "nfs_clone_server" },
	{ 0xd4dae327, "nfs_access_add_cache" },
	{ 0xda80826b, "filemap_fdatawrite" },
	{ 0x98c6e833, "nfs_show_stats" },
	{ 0xb03d4b33, "nfs_server_remove_lists" },
	{ 0x86eb8dd8, "shrinker_alloc" },
	{ 0xddcda964, "nfs42_ssc_unregister" },
	{ 0xbd8bdb75, "generic_listxattr" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x9b89ef72, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x475a9979, "nfs_writeback_update_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8a8634af, "clear_inode" },
	{ 0x85af2f4d, "inode_to_bdi" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0xf7031369, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0xb372c955, "user_revoke" },
	{ 0x5531d463, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe5600028, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xd3da5797, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd56808c4, "rpc_clnt_probe_trunked_xprts" },
	{ 0x481685c6, "nfs_pageio_reset_read_mds" },
	{ 0x4f544dd6, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xf525c18a, "rpc_shutdown_client" },
	{ 0xc26051f3, "svc_bind" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xbe55ead0, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0xee251f35, "nfs_free_inode" },
	{ 0xddbf86f1, "nfs_access_zap_cache" },
	{ 0x3ffe8907, "nfs_sb_deactive" },
	{ 0x7d37d859, "nfs_wb_all" },
	{ 0xb3e20653, "__break_lease" },
	{ 0x5eaa641c, "nfs_pageio_init_write" },
	{ 0x9a75b71e, "svc_recv" },
	{ 0x17f91852, "nfs_drop_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x98abee36, "xdr_inline_decode" },
	{ 0x2a321e14, "nfs_pageio_init_read" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x83ad96da, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x507403de, "nfs_init_commit" },
	{ 0x4cf483ce, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3e61b5c4, "bpf_trace_run6" },
	{ 0x569922ba, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb5c00abe, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0xa860cbbd, "nfs_mknod" },
	{ 0x6beca64a, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1d2fe8d6, "nfs4_label_alloc" },
	{ 0xfd68d91a, "rpc_localaddr" },
	{ 0xf9f044fc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0xd8e6bdb3, "nfs_access_get_cached" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x9af079b5, "nfs_lock" },
	{ 0x12b47b59, "unregister_key_type" },
	{ 0x4873c3bf, "nfs_client_init_is_complete" },
	{ 0x442dbc61, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x56820852, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0xaaa5980a, "user_preparse" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x4144774, "ihold" },
	{ 0xe2cd90ee, "truncate_pagecache_range" },
	{ 0xda6d2c02, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b1ee174, "invalidate_inode_pages2_range" },
	{ 0xa503b693, "nfs_post_op_update_inode" },
	{ 0x3c7c8863, "svc_exit_thread" },
	{ 0xa7d6ba16, "iput" },
	{ 0x44c6ec4a, "xdr_set_pagelen" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x12382841, "nfs_pgio_header_free" },
	{ 0x5f16b898, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xeb475430, "logfc" },
	{ 0x780ac838, "nfs_pgio_header_alloc" },
	{ 0x8451fc15, "iter_file_splice_write" },
	{ 0x65159bc6, "rpc_pton" },
	{ 0x9c8817ed, "nfs_sb_active" },
	{ 0x854cfae2, "mod_node_page_state" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0x2242c66c, "rpc_wake_up_queued_task" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x8531b2b2, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x8a95d344, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x290d73aa, "_copy_from_pages" },
	{ 0xff92d061, "__module_get" },
	{ 0xda32b457, "rpc_task_release_transport" },
	{ 0x39c1e952, "xdr_page_pos" },
	{ 0x33f41655, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xab0c405, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6258fb43, "key_instantiate_and_link" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0x462a2e75, "match_strlcpy" },
	{ 0x655b6885, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x65107961, "register_key_type" },
	{ 0xc9510464, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x134c91e3, "rpc_run_task" },
	{ 0x7c876507, "nfs_pageio_resend" },
	{ 0x9caa1ff9, "keyring_alloc" },
	{ 0xc4e2836a, "vfs_setpos" },
	{ 0x415ab1ed, "nfs_create" },
	{ 0x254007e1, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6fbce0e, "__put_cred" },
	{ 0x1f814300, "nfs_update_delegated_mtime" },
	{ 0xa5e4f114, "nfs_statfs" },
	{ 0x54039633, "wake_up_process" },
	{ 0xd801ba31, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x813de4f9, "splice_file_range" },
	{ 0x7585142f, "rpc_max_bc_payload" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x36d5b72b, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xf1640fb2, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x5fcaa083, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1f0ef6bd, "nfs_revalidate_inode" },
	{ 0xd21e7272, "inode_newsize_ok" },
	{ 0xd9afb145, "nfs_file_mmap" },
	{ 0x870c6c81, "nfs_get_lock_context" },
	{ 0x5516f57c, "d_drop" },
	{ 0x70f7896, "_printk" },
	{ 0x40243e3e, "nfs_set_cache_invalid" },
	{ 0x46b17a32, "rpc_release_client" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x729ede6b, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb54f46c1, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9885a41, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x892114c6, "unregister_sysctl_table" },
	{ 0xd451f00b, "nfs_generic_pgio" },
	{ 0xb5f3dc1, "make_kuid" },
	{ 0xa60a2142, "truncate_inode_pages_final" },
	{ 0xb1c2bd4f, "generic_setlease" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0xc04bf69a, "xprt_destroy_backchannel" },
	{ 0x338369cf, "rpc_switch_client_transport" },
	{ 0x738803e6, "strnlen" },
	{ 0xc7baf63d, "nfs_scan_commit_list" },
	{ 0xf5d7e3a2, "xdr_stream_decode_string_dup" },
	{ 0x6e33e129, "nfs_commit_inode" },
	{ 0xd55e8e3a, "shrinker_register" },
	{ 0x2fd1cb17, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5c5fdc, "rpc_destroy_pipe_data" },
	{ 0xcf8a3f7, "nfs_get_client" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x16324df5, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xea0b08fe, "nfs_atomic_open" },
	{ 0x43f93f6c, "rpc_pipe_generic_upcall" },
	{ 0x1a9a49d2, "nfs_file_fsync" },
	{ 0x2a93471d, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb49fc4ac, "mntput" },
	{ 0xd95153ce, "nfs_put_lock_context" },
	{ 0x1f3176bf, "nfs_rename" },
	{ 0xb2546c45, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0x7d14942f, "nfs_sysfs_link_rpc_client" },
	{ 0xf075fcc6, "nfs_put_client" },
	{ 0x501977c8, "nfs_show_options" },
	{ 0xffd11f45, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x80c2136a, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x4ec6f674, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xcd27d180, "get_nfs_open_context" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xa7e7edd6, "nfs_clear_verifier_delegated" },
	{ 0xb24b3d1a, "nfs_sysfs_add_server" },
	{ 0x6db883e6, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xd3e751, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x31fcfa58, "nfs_do_submount" },
	{ 0xbaa1e4f2, "vfs_dup_fs_context" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0xa65f6c19, "request_key_with_auxdata" },
	{ 0x89e1ac55, "rpc_clone_client_set_auth" },
	{ 0x755f497e, "rpc_clone_client" },
	{ 0xecfc3bd7, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x5dac1b1, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xee5feed, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xb6b85384, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd64c1a2d, "put_fs_context" },
	{ 0xc25a866d, "nfs_retry_commit" },
	{ 0x6f6b7756, "nfs4_dentry_operations" },
	{ 0xee7cf6d1, "__module_put_and_kthread_exit" },
	{ 0xd4fe1370, "rpc_peeraddr2str" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xa66cd3af, "nfs_client_for_each_server" },
	{ 0x4cdb01e, "nfs_clear_inode" },
	{ 0xfbf29574, "rpc_sleep_on_priority" },
	{ 0x1dddd02d, "nfs_invalidate_atime" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8e6c7e2a, "nfs_umount_begin" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xfd6ae906, "nfs_getattr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9409d454, "nfs_pageio_reset_write_mds" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x28f46236, "nfs_generic_pg_test" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x62ac4b14, "xdr_stream_subsegment" },
	{ 0x1e6d56fe, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x8adcaf94, "nfs_fscache_open_file" },
	{ 0x5f17d5b7, "from_kgid" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa8b3c502, "nfs_write_inode" },
	{ 0xe948bcef, "nfs_request_remove_commit_list" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x4eb129ab, "page_to_nid" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xa0d19c95, "rpc_wake_up_first" },
	{ 0xb7f094db, "alloc_nfs_open_context" },
	{ 0x3ace5a1a, "list_lru_add_obj" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc86840ad, "vfs_parse_fs_param" },
	{ 0x3a8afe98, "nfs_path" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xc4d4a106, "rpc_sleep_on_priority_timeout" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xa77608f1, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x575e6bee, "register_nfs_version" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xababf6c3, "rpc_sleep_on_timeout" },
	{ 0x1b574766, "list_lru_count_one" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x66eddb57, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xec9d2be2, "rpc_call_start" },
	{ 0xeb55d7f3, "xprt_setup_backchannel" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0xe4aa0a1d, "svc_create" },
	{ 0x8747943e, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x380b586a, "nfs_file_set_open_context" },
	{ 0xbbbb6e51, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xa30b1cbb, "rpc_call_sync" },
	{ 0x97b96a, "from_kuid" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x224680c1, "rpc_put_task_async" },
	{ 0xf8565f7, "rpc_prepare_reply_pages" },
	{ 0xc9470923, "rpc_queue_upcall" },
	{ 0x94c54b86, "nfs_free_server" },
	{ 0x18c7bc48, "fc_mount" },
	{ 0x419f71ae, "register_sysctl_sz" },
	{ 0x40d0019, "nfs_setattr" },
	{ 0x2bc95bd4, "memset" },
	{ 0x108e1407, "xdr_terminate_string" },
	{ 0x3695e26c, "nfs4_fs_type" },
	{ 0xcf941267, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5c2c3296, "rpc_delay" },
	{ 0x409176cb, "nfs_flock" },
	{ 0xcb0cf39e, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4714ba47, "__list_lru_init" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8145941e, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x3046a613, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x766e2a7, "rpc_exit" },
	{ 0x626f1706, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x4ba0b176, "rpc_remove_pipe_dir_object" },
	{ 0xb008d90a, "nfs_may_open" },
	{ 0x1e405171, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x181ff890, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x27a5cc34, "xdr_reserve_space" },
	{ 0x74943eec, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0xe72a4a22, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x89d7e719, "nfs_rmdir" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x395ef755, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0xbe1efc65, "nfs_filemap_write_and_wait_range" },
	{ 0x1899e4, "rpc_mkpipe_dentry" },
	{ 0x43c0dc43, "alloc_file_pseudo" },
	{ 0x19a0edc2, "rpc_mkpipe_data" },
	{ 0x90761f92, "rpc_add_pipe_dir_object" },
	{ 0x988b6216, "igrab" },
	{ 0x198dbf0c, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa1435011, "nfs_async_iocounter_wait" },
	{ 0x42be6b7c, "nfs_file_read" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x107e8346, "nfs_alloc_fattr_with_label" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4f82f956, "filemap_fdatawait_range" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xee60d7e7, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa03519dd, "nfs_setattr_update_inode" },
	{ 0xa4b86be5, "nfs_instantiate" },
	{ 0x2a494646, "init_user_ns" },
	{ 0xc0408197, "rpc_uaddr2sockaddr" },
	{ 0x6eca4b60, "user_read" },
	{ 0x1a4f3d49, "rpc_restart_call" },
	{ 0xa4711a24, "request_key_tag" },
	{ 0xb6817186, "xprt_force_disconnect" },
	{ 0xae6c01ef, "user_free_preparse" },
	{ 0x28a5fd73, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xeb93a6a8, "svc_xprt_destroy_all" },
	{ 0x94475155, "generic_key_instantiate" },
	{ 0x1170806e, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x5255f9d6, "nfs_link" },
	{ 0xd779fe5, "__folio_put" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeab7e479, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x625e4d68, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9133f8e, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x85174991, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9cb98fff, "xdr_stream_move_subsegment" },
	{ 0xbd9e312c, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x3c0faf1d, "nfs_post_op_update_inode_force_wcc" },
	{ 0x7fe76306, "nfs_pgheader_init" },
	{ 0x76baed44, "put_nfs_open_context" },
	{ 0x4f9d821a, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xac3d5baf, "nfs_show_devname" },
	{ 0x84963e46, "nfs_permission" },
	{ 0xae9474ce, "nfs_initiate_commit" },
	{ 0xac969f9a, "truncate_inode_pages_range" },
	{ 0x7bfbf409, "__put_user_ns" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xc65b3d50, "cred_fscmp" },
	{ 0x131f63fe, "rpc_unlink" },
	{ 0x90b2a76e, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x292244a5, "nfs_file_write" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x535cff27, "node_data" },
	{ 0x24d53a7, "nfs_probe_server" },
	{ 0x8d251351, "nfs_setsecurity" },
	{ 0x668b1f58, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xa05c6324, "rpc_clnt_test_and_add_xprt" },
	{ 0xb0b3b4ad, "file_ra_state_init" },
	{ 0xbdf6a622, "nfs_force_lookup_revalidate" },
	{ 0xf2e847fc, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x251043ca, "rpc_clnt_add_xprt" },
	{ 0x48b79dc6, "dget_parent" },
	{ 0x830b267f, "from_kuid_munged" },
	{ 0x765e8f1, "prepare_kernel_cred" },
	{ 0xa2c3e0cd, "nfs_alloc_server" },
	{ 0x40edb7d8, "rpc_call_async" },
	{ 0x8e5968ca, "security_dentry_init_security" },
	{ 0x1f75f55c, "filemap_write_and_wait_range" },
	{ 0x2adcb69d, "list_lru_del_obj" },
	{ 0xf95425ef, "nfs_server_insert_lists" },
	{ 0xd57abc59, "page_address" },
	{ 0xac8e67e9, "nfs_dreq_bytes_left" },
	{ 0xd0d8621b, "strlen" },
	{ 0x70c87bc8, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x85d6ae1c, "rpc_init_pipe_dir_object" },
	{ 0x8d975279, "bpf_trace_run7" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x4a5a5af0, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x1403cfb1, "nfs_init_server_rpcclient" },
	{ 0x89be0a0, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x69f9c37b, "rpc_set_connect_timeout" },
	{ 0x801255da, "rpcauth_create" },
	{ 0x824b6564, "xdr_stream_pos" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xbab31bc6, "key_set_timeout" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x29f3a126, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x627272c2, "svc_xprt_create" },
	{ 0xd7e755e8, "nfs42_ssc_register" },
	{ 0xdf302dfe, "rpc_wait_for_completion_task" },
	{ 0x960dd99e, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb6d7f180, "rpc_num_bc_slots" },
	{ 0xa405597f, "nfs_alloc_inode" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcfd6120e, "rpc_destroy_wait_queue" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x1e901c22, "security_inode_listsecurity" },
	{ 0x8370f1d2, "nfs_fhget" },
	{ 0x33b1d0e1, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x42e76977, "locks_copy_lock" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x38d6cdf8, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb71ea0c4, "nfs_set_verifier" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "3C1094455008CB9E75620C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
