#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xafab2e8e, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x1c5da75f, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x196a6f1a, "");
SYMBOL_CRC(vcc_release_async, 0xbebfaff4, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x7f786576, "");
SYMBOL_CRC(atm_dev_signal_change, 0x491a2d58, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x943a098e, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x04a11e87, "");
SYMBOL_CRC(atm_alloc_charge, 0xd1255ef3, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xc1813d25, "");
SYMBOL_CRC(atm_dev_lookup, 0xed37e76a, "");
SYMBOL_CRC(atm_dev_register, 0x03abc425, "");
SYMBOL_CRC(atm_dev_deregister, 0x62fac49f, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x90be896b, "skb_free_datagram" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x7801a4c0, "proc_create_data" },
	{ 0x5f465a7, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0xf47566b1, "sock_register" },
	{ 0x3fdfcac8, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x2a93471d, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x64dc1bf8, "device_create_file" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x758607f7, "noop_llseek" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x420e3911, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3e1974b, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9b9e08d3, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x49315f63, "device_register" },
	{ 0x80f59da4, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1267881e, "skb_recv_datagram" },
	{ 0x167eb898, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf20c316e, "remove_proc_entry" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x5121170a, "seq_printf" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc3759fdf, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf7d520c7, "_proc_mkdir" },
	{ 0x7335bd15, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x12733e87, "__seq_puts" },
	{ 0xd0d8621b, "strlen" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x7d525ea3, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x68b4b2de, "sock_init_data" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x14e390e5, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4b835230, "release_sock" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
