#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x7aa04177, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0x631a4817, "");
SYMBOL_CRC(ax25_linkfail_release, 0x002c8dfd, "");
SYMBOL_CRC(ax25_listen_register, 0x4c7a80f7, "");
SYMBOL_CRC(ax25_listen_release, 0x087fb095, "");
SYMBOL_CRC(ax25_header_ops, 0xe6ebc6d2, "");
SYMBOL_CRC(ax25_ip_xmit, 0x8d6f7dad, "");
SYMBOL_CRC(ax25_send_frame, 0x9ab09c8c, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0xbf0b80c3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5f5d13, "security_sock_graft" },
	{ 0x90be896b, "skb_free_datagram" },
	{ 0xd3d9a569, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x554c17a1, "skb_put" },
	{ 0xeb4dafa5, "skb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf19bc55b, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x730a760d, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x63c941e1, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0x301ae74f, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0xf47566b1, "sock_register" },
	{ 0xe769bd52, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb5f3dc1, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb26053df, "init_net" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1a350b38, "dev_remove_pack" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x8df22147, "__skb_wait_for_more_packets" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x6665e98e, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0x176fc762, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfc676221, "sock_rfree" },
	{ 0x85f322c3, "sock_i_ino" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0xb7c505eb, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xbf4a0321, "sock_alloc_send_pskb" },
	{ 0x167eb898, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf20c316e, "remove_proc_entry" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5121170a, "seq_printf" },
	{ 0x46294119, "skb_copy" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc3759fdf, "sock_gettstamp" },
	{ 0x7335bd15, "send_sig" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x830b267f, "from_kuid_munged" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x7d525ea3, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x68b4b2de, "sock_init_data" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x4b835230, "release_sock" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6812E472115690AF9E3BBFF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
