#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x8cc1879e, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xc8b05c10, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xc5150369, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x0b64d037, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x6ca3c09f, "_gpl");
SYMBOL_CRC(br_forward, 0x5327fdda, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xef930039, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x22282ef6, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x40a251b9, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x17dad642, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xc347f7ef, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xb86f3c00, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x1b49dfe7, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x9d6c92cc, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x1d27f34f, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xb66735a7, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x04b0741f, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x0e631dc3, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x4c52c7be, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xcbff6b24, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x9aaa7077, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x43e2df35, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xc3556642, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7a91c115, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x75da1294, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xceb53e05, "netdev_lower_get_next" },
	{ 0x1787ebce, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf947f2ba, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0xc3bceaf8, "__nlmsg_put" },
	{ 0xed97a5ef, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafb1b5cf, "ipv6_mc_check_mld" },
	{ 0x554c17a1, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x929b1a5b, "call_switchdev_notifiers" },
	{ 0x6066074c, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x40a0d194, "netdev_update_features" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x953dbff9, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xf83f6a9f, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x14c70b60, "netpoll_send_skb" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x3f987ad6, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9a8a1e8f, "switchdev_port_obj_act_is_deferred" },
	{ 0x1bed2012, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x3beb5d67, "dev_set_promiscuity" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb75d90cf, "netdev_state_change" },
	{ 0xc93991b6, "__pskb_copy_fclone" },
	{ 0x63c941e1, "__dev_get_by_name" },
	{ 0xc2205851, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x162d18fb, "brioctl_set" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xbf6a756b, "arp_xmit" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc897b8d, "alloc_netdev_mqs" },
	{ 0x6cab586f, "passthru_features_check" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcd73e9a8, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x68406500, "rtnl_af_register" },
	{ 0x58f0f5d8, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0x738803e6, "strnlen" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x7447a964, "rtnl_set_sk_err" },
	{ 0x1e780a05, "skb_vlan_pop" },
	{ 0x17df14d6, "rtnl_unicast" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x6872d2c4, "ipv6_dev_get_saddr" },
	{ 0x49f26466, "kstrndup" },
	{ 0x72e1ed99, "nla_reserve_64bit" },
	{ 0x68874953, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xf7a2f65c, "dev_get_port_parent_id" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb5c5685d, "ipv6_stub" },
	{ 0x4a7d7e57, "inet_confirm_addr" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0xf54229da, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5eb2ae88, "rtnl_af_unregister" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xeb87b61e, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0xfd39d320, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x8af1193f, "skb_push" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x74efffc7, "br_fdb_test_addr_hook" },
	{ 0x68fced50, "ndo_dflt_fdb_dump" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xac5c567e, "netdev_upper_dev_unlink" },
	{ 0xb7e0ecef, "netif_receive_skb" },
	{ 0x51813ef6, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd5826802, "llc_mac_hdr_init" },
	{ 0x6c6393a1, "__rtnl_register_many" },
	{ 0x65248ca5, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe71c2b28, "kobject_init_and_add" },
	{ 0xcc9d7001, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb7aab8b4, "ns_capable" },
	{ 0x909e347f, "inet_select_addr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xff137f49, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb986635e, "arp_create" },
	{ 0x23d501ad, "__ethtool_get_link_ksettings" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x15ade12, "stp_proto_register" },
	{ 0x6a7e3975, "__tracepoint_br_fdb_update" },
	{ 0x1c6255d2, "sysfs_rename_link_ns" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x87a28fb6, "switchdev_port_obj_add" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x23ac5de, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x176fc762, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x800f7473, "ip_mc_check_igmp" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x9fe061c4, "switchdev_port_obj_del" },
	{ 0x1ef77b69, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3efe0d7d, "kobject_create_and_add" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x8a9cd4bc, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe5c20137, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x813bc7c7, "__ip_mc_inc_group" },
	{ 0x5d1ed59d, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5b5c52f9, "sysfs_remove_group" },
	{ 0xb926c76b, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5377c956, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x933715b1, "__netpoll_setup" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x809addba, "vlan_vid_add" },
	{ 0x12acf6ac, "neigh_destroy" },
	{ 0x7dfd1e56, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xa59c1bb0, "kobject_del" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xe834e9f3, "call_netdevice_notifiers" },
	{ 0xa82d56f2, "is_skb_forwardable" },
	{ 0x30aefde0, "vlan_vid_del" },
	{ 0x520aeb45, "dev_set_allmulti" },
	{ 0xed712c4e, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xa8c0d9cc, "netdev_master_upper_dev_get" },
	{ 0x452c92fd, "ipv6_dev_mc_inc" },
	{ 0xb48a8325, "rtnl_notify" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe2a9245b, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xd4c7f9c, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0xb281a349, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7875d246, "arp_tbl" },
	{ 0xc3d2c14d, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2606e177, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x631a025d, "dev_uc_add" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa015f679, "netif_set_tso_max_size" },
	{ 0xfc535517, "dev_disable_lro" },
	{ 0xa082812e, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x115d7db9, "dev_get_flags" },
	{ 0x6d43399f, "__rtnl_unregister_many" },
	{ 0xd0d8621b, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x79f4904f, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x6be13012, "nf_queue" },
	{ 0xd021cdaa, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcca79a91, "skb_ext_add" },
	{ 0x4537abde, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xa4da3225, "stp_proto_unregister" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x17fe399d, "neigh_lookup" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x56d8d8b7, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "EE6DF9080CF99AD7262035B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
