#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x4bb6087d, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x78b491e3, "");
SYMBOL_CRC(dccp_v4_send_check, 0x4bda8557, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x8c55d31a, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x40d18be8, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x79b4baf9, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x30f64c9d, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x2c5454cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5f59f7, "__inet_lookup_established" },
	{ 0xe3281588, "inet_bhash2_reset_saddr" },
	{ 0x13114b48, "inet_csk_addr2sockaddr" },
	{ 0x1f53e0fb, "inet_unregister_protosw" },
	{ 0x7a262982, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x70befd14, "dccp_shutdown" },
	{ 0x60814d5f, "inet_bhash2_update_saddr" },
	{ 0xf06a2b08, "dccp_connect" },
	{ 0x5ecb92ac, "dccp_rcv_state_process" },
	{ 0xd3b45263, "dccp_reqsk_send_ack" },
	{ 0x3d7ff96, "inet_lookup_reuseport" },
	{ 0x1fa6e322, "__inet_lookup_listener" },
	{ 0x8346029a, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x887867cc, "sock_common_getsockopt" },
	{ 0x96d92b13, "inet_bind" },
	{ 0xeedc7490, "__inet_inherit_port" },
	{ 0xe81d4fab, "inet_dccp_listen" },
	{ 0x8b812a9, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xfea4fae, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x334b0022, "__xfrm_policy_check" },
	{ 0xe702c403, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa2948dfc, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x93ce6282, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca495dbc, "sk_error_report" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0xdfb7f3bb, "inet_ehash_nolisten" },
	{ 0x70f7896, "_printk" },
	{ 0x4f66fb48, "inet_getname" },
	{ 0x3d515ec9, "inet_stream_connect" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0x2253efd, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x951c2eb2, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0xf18073ba, "dccp_done" },
	{ 0x29dd2bb8, "inet_release" },
	{ 0xfb047a0e, "__sk_dst_check" },
	{ 0x5bcbf00f, "dccp_disconnect" },
	{ 0x9409e6f7, "ip_route_output_key_hash" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0x59d89863, "inet_hash" },
	{ 0xf732b6fb, "__sk_receive_skb" },
	{ 0x662963bb, "dccp_poll" },
	{ 0x4317008e, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0xbe2c0683, "inet_csk_get_port" },
	{ 0xb8bc0360, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x7a1a86c3, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xf87e946b, "inet_accept" },
	{ 0xf880a017, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0d265df, "ip6_mtu" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x108ca912, "inet_add_protocol" },
	{ 0xea4d4b9a, "inet_shutdown" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x30a702af, "dccp_close" },
	{ 0x631b742b, "dccp_reqsk_init" },
	{ 0xee4020f5, "inet_hash_connect" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x1898dc78, "inet_csk_route_child_sock" },
	{ 0x4d72e8d4, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xebc67a18, "security_sk_classify_flow" },
	{ 0x5742bde0, "inet_csk_update_pmtu" },
	{ 0x650b656c, "dccp_getsockopt" },
	{ 0xbd3c6f5d, "dccp_parse_options" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0xe0486dd8, "skb_checksum" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x73c307dc, "dccp_child_process" },
	{ 0x80cf9f98, "sock_common_recvmsg" },
	{ 0x1f66bcee, "dccp_setsockopt" },
	{ 0x7d7829ec, "dccp_ioctl" },
	{ 0x2d349303, "inet_sk_rebuild_header" },
	{ 0xa574bcec, "inet_del_protocol" },
	{ 0x68c7cc50, "ipv4_mtu" },
	{ 0xff938ec7, "dccp_recvmsg" },
	{ 0x71cd249, "inet_sendmsg" },
	{ 0xb4417952, "dccp_check_req" },
	{ 0xfa5d24c0, "dccp_create_openreq_child" },
	{ 0xdf42caa1, "inet_csk_prepare_forced_close" },
	{ 0xddd5f0e5, "security_skb_classify_flow" },
	{ 0x4d1f880c, "sock_pfree" },
	{ 0x4c1a4da8, "dccp_rcv_established" },
	{ 0xf0337de5, "dccp_send_sync" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x7caef28f, "sock_release" },
	{ 0x632d129a, "dccp_make_response" },
	{ 0x2e3d9ae, "dccp_destroy_sock" },
	{ 0x28ca93d4, "dccp_ctl_make_reset" },
	{ 0xc3759fdf, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcf01a255, "sk_setup_caps" },
	{ 0xe07e3280, "ip_build_and_send_pkt" },
	{ 0x438ce7ea, "dccp_sendmsg" },
	{ 0x9ca9078d, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x6e06e09e, "inet_twsk_put" },
	{ 0xbb7806b9, "inet_unhash" },
	{ 0xcebbebb, "ip_getsockopt" },
	{ 0xbd10c85d, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9162f3e7, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x6a9b7a21, "inet_csk_reqsk_queue_drop" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
