#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x09ec5bee, "");
SYMBOL_CRC(is_hsr_master, 0x0df00da7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1787ebce, "dev_set_mtu" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2af1a9a6, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x40a0d194, "netdev_update_features" },
	{ 0x8235805b, "memmove" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0xbbb50505, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xabc884f6, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x3beb5d67, "dev_set_promiscuity" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1847bd28, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0xce111fea, "netlink_ack" },
	{ 0xc93991b6, "__pskb_copy_fclone" },
	{ 0xf06e1379, "dev_uc_unsync" },
	{ 0xc2205851, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc77e64d6, "netlink_broadcast_filtered" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e4de138, "netdev_upper_dev_link" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcd73e9a8, "netdev_rx_handler_unregister" },
	{ 0xc1fd34d3, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x52ef5b0, "skb_copy_expand" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x261fd497, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0xf2982e19, "netdev_printk" },
	{ 0x8af1193f, "skb_push" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0xac5c567e, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x543d6e5c, "netdev_set_operstate" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x176fc762, "netif_rx" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7418e6df, "seq_read" },
	{ 0xf44337f3, "debugfs_rename" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x809addba, "vlan_vid_add" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe834e9f3, "call_netdevice_notifiers" },
	{ 0x30aefde0, "vlan_vid_del" },
	{ 0x520aeb45, "dev_set_allmulti" },
	{ 0x167eb898, "seq_write" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5121170a, "seq_printf" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x2606e177, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac25594b, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6fdf8b3, "genl_unregister_family" },
	{ 0xfc535517, "dev_disable_lro" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x5f2f81dc, "single_open" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0x136aec13, "dev_mc_unsync" },
	{ 0x286f3c70, "genl_register_family" },
	{ 0x4dbd43c4, "netdev_core_stats_inc" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6304507, "netdev_info" },
	{ 0x51807487, "dev_mc_sync_multiple" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "68619FD13A785653EB88D4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
