#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x294d8cd6, "");
SYMBOL_CRC(wpan_phy_for_each, 0x8c68255e, "");
SYMBOL_CRC(wpan_phy_new, 0x34c24a2f, "");
SYMBOL_CRC(wpan_phy_register, 0x8302f515, "");
SYMBOL_CRC(wpan_phy_unregister, 0x56d1a90c, "");
SYMBOL_CRC(wpan_phy_free, 0xb7902b3b, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x17f08744, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x93eaf588, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xee432983, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xd4a25501, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x174a5756, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x9a61ab7b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xddf1dc68, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xa34b027d, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xd5db6f73, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xc39926bd, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x6d6d7995, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0x3888b62e, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x8efd2c2e, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x608a1637, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x9ce469d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x554c17a1, "skb_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xec39bb34, "trace_output_call" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0xbbb50505, "genlmsg_put" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x82c80d65, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc77e64d6, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x536c911f, "device_rename" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9328bb30, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa9997954, "device_add" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x261fd497, "netlink_unicast" },
	{ 0xa3de4c5c, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x51813ef6, "nla_put" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3acabde1, "unregister_pernet_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x80f59da4, "device_del" },
	{ 0x8d2bea78, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0xdc25947e, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x558b971, "get_net_ns_by_pid" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xaec2e990, "device_match_name" },
	{ 0xf3029e6f, "dev_get_by_name" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6fdf8b3, "genl_unregister_family" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x286f3c70, "genl_register_family" },
	{ 0xf8d246e7, "__dev_change_net_namespace" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x45963f79, "register_pernet_device" },
	{ 0x463808eb, "get_net_ns_by_fd" },
	{ 0xd2bf8c18, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x11db3e78, "class_find_device" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FF08143A50B94DEF50541BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
