#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x484c5b99, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xe0ef0acc, "");
SYMBOL_CRC(ip_tunnel_rcv, 0xca08ca6c, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x6bfaab49, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xe9b60beb, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x35094059, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xb91810b8, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x8a5afa85, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x7b9a7f93, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x9f64bb44, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x5f72fd15, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x3e63db4e, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xfbf053cf, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x584c676d, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x7d9cf9fc, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x1469839b, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xd7182f38, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x9e46bfd6, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x4e6e1f3e, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x8bcc2d9e, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xf5871c05, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x9c63319f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd095a23e, "iptun_encaps" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0x738803e6, "strnlen" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbc897b8d, "alloc_netdev_mqs" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x54f59daa, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2948dfc, "ip_route_output_flow" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0xba99a530, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xb75d90cf, "netdev_state_change" },
	{ 0xb7aab8b4, "ns_capable" },
	{ 0x1787ebce, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb26053df, "init_net" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xe0d265df, "ip6_mtu" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9a47b03a, "icmpv6_ndo_send" },
	{ 0xca27eb7e, "icmp_ndo_send" },
	{ 0x68c7cc50, "ipv4_mtu" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x8d497806, "dst_cache_get_ip4" },
	{ 0xf9578175, "dst_cache_set_ip4" },
	{ 0xd71adf1d, "iptunnel_xmit" },
	{ 0x4c609d60, "__skb_get_hash_net" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x12acf6ac, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb207f4, "skb_scrub_packet" },
	{ 0xf2a62082, "gro_cells_receive" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x70f7896, "_printk" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
