#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x77134062, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xb9c60430, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xdf9493ac, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x2b8a1d61, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x41faa13e, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xe2b61a2b, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x70110c09, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xf24945d6, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x4d1611ee, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xf73cd173, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xf014c176, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x8007e6a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd2c1d469, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xecc79dfc, "ipv6_chk_addr_and_flags" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x70f7896, "_printk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x45963f79, "register_pernet_device" },
	{ 0xe7c32d10, "xfrm6_tunnel_register" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0xfbbe23ee, "xfrm6_tunnel_deregister" },
	{ 0x3acabde1, "unregister_pernet_device" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x51813ef6, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0x1ba19dbe, "rt6_lookup" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x54f59daa, "gro_cells_init" },
	{ 0xbbaac70c, "ip_tunnel_header_ops" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xb26053df, "init_net" },
	{ 0xbc897b8d, "alloc_netdev_mqs" },
	{ 0x88437415, "register_netdev" },
	{ 0x738803e6, "strnlen" },
	{ 0x65248ca5, "free_netdev" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xb75d90cf, "netdev_state_change" },
	{ 0xb7aab8b4, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb5f3dc1, "make_kuid" },
	{ 0x5d12a010, "ip6_redirect" },
	{ 0x9a0e120e, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2bdc2683, "ip6_route_output_flags" },
	{ 0xf5c34a84, "xfrm_lookup" },
	{ 0xe0d265df, "ip6_mtu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb207f4, "skb_scrub_packet" },
	{ 0xbbf2210b, "skb_realloc_headroom" },
	{ 0xb7c505eb, "skb_set_owner_w" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4aa8c18, "ipv6_push_frag_opts" },
	{ 0x8af1193f, "skb_push" },
	{ 0xe81b0820, "ip6_local_out" },
	{ 0x838a227b, "dst_cache_get" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x5af230a6, "dst_cache_set_ip6" },
	{ 0x6872d2c4, "ipv6_dev_get_saddr" },
	{ 0xf2c12d1c, "ip6_dst_hoplimit" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x68c7cc50, "ipv4_mtu" },
	{ 0x12acf6ac, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x28e136bd, "iptunnel_handle_offloads" },
	{ 0x9a47b03a, "icmpv6_ndo_send" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xca27eb7e, "icmp_ndo_send" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x31c0efa, "icmp6_send" },
	{ 0xa2948dfc, "ip_route_output_flow" },
	{ 0x75386dc0, "ip_route_input_noref" },
	{ 0x25a8017, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf2a62082, "gro_cells_receive" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xfb3e7bc2, "__iptunnel_pull_header" },
	{ 0xd4c7f9c, "metadata_dst_alloc" },
	{ 0x334b0022, "__xfrm_policy_check" },
	{ 0x23ac5de, "dev_get_tstats64" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "77E96F1E82FBA05ADA1E5AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
