#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0x01c2fdf0, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0x50ae4e17, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0xa0fd5a94, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x31c0efa, "icmp6_send" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x8f924adf, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0x6ac7b733, "inet_frag_queue_insert" },
	{ 0x9ba75a4e, "inet_frags_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x167646f1, "inet_frag_pull_head" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0x301ae74f, "register_net_sysctl_sz" },
	{ 0x70f7896, "_printk" },
	{ 0x8c7b18d1, "inet_frag_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x21d4a719, "ipv6_skip_exthdr" },
	{ 0x52b2d3b4, "inet_frag_reasm_finish" },
	{ 0x128e8a99, "nf_register_net_hooks" },
	{ 0x95c06750, "fqdir_init" },
	{ 0xb26053df, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x43fc6822, "inet_frags_fini" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xcac4e7be, "nf_unregister_net_hooks" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x22237768, "nf_defrag_v6_hook" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x5b55e8aa, "inet_frag_reasm_prepare" },
	{ 0x5cf50386, "inet_frag_find" },
	{ 0x851227e6, "fqdir_exit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1848a830, "pskb_trim_rcsum_slow" },
	{ 0xaa0ae5e3, "inet_frag_kill" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5907936C0646F037D3A25E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
