#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xf7c37557, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x7b1f3512, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xdddda95f, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xb448e250, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xd7acdb0f, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x288bb27d, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x2db72e9f, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x68bc514a, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xff45642f, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x39b0c52b, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xdfcd1501, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xb5d266c4, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x49f48412, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x1d540d1e, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x08c07bca, "");
SYMBOL_CRC(nf_nat_follow_master, 0xa65744c4, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x862b4697, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xbf3f40be, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xba5004d1, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x72f0b944, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x41b49981, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xa7bdb0dc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4e8693e, "nf_ct_ext_add" },
	{ 0x86eafa86, "__do_once_done" },
	{ 0x609193e6, "nf_conntrack_find_get" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2f29bb5f, "nf_ip6_checksum" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x38cf7036, "nf_hook_entries_insert_raw" },
	{ 0xf5c34a84, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xfaa3dfab, "nf_ct_seqadj_set" },
	{ 0x554c17a1, "skb_put" },
	{ 0xfab2c787, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xa72b35bd, "nf_ct_helper_expectfn_unregister" },
	{ 0x8ab3c6a2, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x31c99693, "nf_ct_helper_expectfn_register" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xde63e6f3, "ip6_route_me_harder" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0xfaf6f2d8, "nf_conntrack_tuple_taken" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x73981e1, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x21d4a719, "ipv6_skip_exthdr" },
	{ 0x128e8a99, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x2a93471d, "module_put" },
	{ 0x6872d2c4, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xbbc76aae, "nf_ct_expect_related_report" },
	{ 0x359f029f, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9033ba27, "nf_hook_entries_delete_raw" },
	{ 0x9c62e310, "skb_ensure_writable" },
	{ 0xcac4e7be, "nf_unregister_net_hooks" },
	{ 0x909e347f, "inet_select_addr" },
	{ 0x5152e605, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0xe0486dd8, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6606b393, "nf_ct_delete" },
	{ 0xb53ff599, "nf_ip_checksum" },
	{ 0x9c128bcd, "nf_ct_iterate_destroy" },
	{ 0x91a9c232, "__siphash_unaligned" },
	{ 0x6f04ba1b, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdc25947e, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x261cb4b3, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9734278c, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0xc6e345f9, "nf_ct_l4proto_find" },
	{ 0xc3028341, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xd418225d, "nf_nat_hook" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "C23DA3B0C8831D2AA1B23F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
