#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xcf9fb6cd, "");
SYMBOL_CRC(pn_sock_unhash, 0xdd9e176e, "");
SYMBOL_CRC(phonet_stream_ops, 0x4e11374c, "");
SYMBOL_CRC(pn_sock_get_port, 0x58018fd5, "");
SYMBOL_CRC(phonet_header_ops, 0xfc1af9fe, "");
SYMBOL_CRC(pn_skb_send, 0x6bd24bef, "");
SYMBOL_CRC(phonet_proto_register, 0xcbf441a6, "");
SYMBOL_CRC(phonet_proto_unregister, 0x01c2a826, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5f5d13, "security_sock_graft" },
	{ 0x90be896b, "skb_free_datagram" },
	{ 0xd3d9a569, "sock_queue_rcv_skb_reason" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x44bbf294, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc3bceaf8, "__nlmsg_put" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xf19bc55b, "dev_add_pack" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x887867cc, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9a80e6d8, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x533759b9, "sock_no_connect" },
	{ 0xe702c403, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa26bf56a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0x301ae74f, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf47566b1, "sock_register" },
	{ 0xe769bd52, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x4ae892eb, "netlink_capable" },
	{ 0x7447a964, "rtnl_set_sk_err" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0xf732b6fb, "__sk_receive_skb" },
	{ 0x82b5296, "sock_no_shutdown" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x1a350b38, "dev_remove_pack" },
	{ 0xa3de4c5c, "dev_get_by_index" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0x3e1974b, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x9b9e08d3, "sock_no_listen" },
	{ 0x51813ef6, "nla_put" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x6c6393a1, "__rtnl_register_many" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x176fc762, "netif_rx" },
	{ 0x80cf9f98, "sock_common_recvmsg" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x10cb311, "sk_common_release" },
	{ 0x3b47bb68, "seq_pad" },
	{ 0x85f322c3, "sock_i_ino" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x1267881e, "skb_recv_datagram" },
	{ 0xbf4a0321, "sock_alloc_send_pskb" },
	{ 0x167eb898, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf20c316e, "remove_proc_entry" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb48a8325, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5121170a, "seq_printf" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x830b267f, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x68b4b2de, "sock_init_data" },
	{ 0xa0c9857a, "sk_ioctl" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4b835230, "release_sock" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "401DE45A1664A2E99D84E3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
