#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xd09ca348, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x71eadf7a, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x6fd17552, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90be896b, "skb_free_datagram" },
	{ 0xd3d9a569, "sock_queue_rcv_skb_reason" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4d6b0eda, "kernel_bind" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0xff92d061, "__module_get" },
	{ 0x7da80580, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc93991b6, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca495dbc, "sk_error_report" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0xf47566b1, "sock_register" },
	{ 0xe769bd52, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x82b5296, "sock_no_shutdown" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe84baf55, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3e1974b, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x9b9e08d3, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0xb7c505eb, "skb_set_owner_w" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5b22c1b3, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1267881e, "skb_recv_datagram" },
	{ 0xbf4a0321, "sock_alloc_send_pskb" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0x7caef28f, "sock_release" },
	{ 0xc3759fdf, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc912fee9, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x68b4b2de, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x4b835230, "release_sock" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
