#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xab97ad22, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xfd26b24d, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xb88f78c3, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x5f1030f6, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xb48d5cf0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x184b53aa, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x44bbf294, "sock_i_uid" },
	{ 0xbe3a5138, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x900213d8, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x1f53e0fb, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf0e3460c, "sock_wfree" },
	{ 0x554c17a1, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x7aa807e4, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf2c12d1c, "ip6_dst_hoplimit" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x41bf241, "inet6_add_offload" },
	{ 0xb5f858, "crypto_shash_tfm_digest" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb19ef7ef, "inet6_bind" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xaaf079a3, "l3mdev_fib_table_by_index" },
	{ 0xa52f7abf, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x7d013be0, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x41318248, "skb_segment" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x712f6c7, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1b91c9e6, "udp_tunnel6_xmit_skb" },
	{ 0x887867cc, "sock_common_getsockopt" },
	{ 0x96d92b13, "inet_bind" },
	{ 0x839eca56, "sock_create" },
	{ 0xef6e02c, "net_hotdata" },
	{ 0x8ae2d226, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x61ba45f3, "fd_install" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x414975dd, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xfea4fae, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x334b0022, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7132cbb, "security_sctp_assoc_established" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0xe702c403, "sock_common_setsockopt" },
	{ 0x5f465a7, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa2948dfc, "ip_route_output_flow" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x95c6dc97, "__sk_mem_schedule" },
	{ 0x6dcde295, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x540ba9a1, "sock_alloc_file" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa26bf56a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xca495dbc, "sk_error_report" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0x9693563c, "put_cmsg" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x301ae74f, "register_net_sysctl_sz" },
	{ 0xb185117b, "inet_sock_destruct" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0xfdda2ae1, "sock_kmalloc" },
	{ 0x9738608d, "inet_sk_get_local_port_range" },
	{ 0x8a11d108, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x4f66fb48, "inet_getname" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0x654f3d1, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x3fdfcac8, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd875584a, "__genradix_ptr" },
	{ 0x29dd2bb8, "inet_release" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0x52ef5b0, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4317008e, "inet_ctl_sock_create" },
	{ 0xb8bc0360, "inet_ioctl" },
	{ 0x1e83f632, "reuseport_add_sock" },
	{ 0xa3e19920, "reuseport_select_sock" },
	{ 0x44faec88, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9e78d9ee, "sk_filter_trim_cap" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0x6db883e6, "fput" },
	{ 0xf87e946b, "inet_accept" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x69624d8c, "crypto_shash_setkey" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0xd7bb8d3, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0d265df, "ip6_mtu" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x108ca912, "inet_add_protocol" },
	{ 0xea4d4b9a, "inet_shutdown" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x420e3911, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x6925334b, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0xc5be3914, "__ip_queue_xmit" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0xcd4c8982, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xb7aab8b4, "ns_capable" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe87ad25a, "inet6_ioctl" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xb46684d, "ip6_dst_lookup_flow" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x5ecaf7c7, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0xe4f08391, "setup_udp_tunnel_sock" },
	{ 0x86703a17, "udp_sock_create6" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x10cb311, "sk_common_release" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf3571590, "inet6_getname" },
	{ 0x85f322c3, "sock_i_ino" },
	{ 0x7c5a0506, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x627e48e6, "ip6_xmit" },
	{ 0x11734ca7, "security_sctp_assoc_request" },
	{ 0xa574bcec, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x68c7cc50, "ipv4_mtu" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xb7c505eb, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x261cb4b3, "__skb_checksum" },
	{ 0x710a837f, "reuseport_alloc" },
	{ 0xb30255e6, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xafe9d4e, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x71cd249, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf3d40701, "ipv6_dup_options" },
	{ 0x167eb898, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x79bcd42d, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xe2cf42c6, "proc_create_net_single" },
	{ 0x46294119, "skb_copy" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xe286383e, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x7caef28f, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x94f97cb1, "inet_recv_error" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xc3759fdf, "sock_gettstamp" },
	{ 0xb39109a1, "security_sctp_bind_connect" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xf7d520c7, "_proc_mkdir" },
	{ 0xcf01a255, "sk_setup_caps" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x7335bd15, "send_sig" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xb49fcb0e, "inet6_add_protocol" },
	{ 0x830b267f, "from_kuid_munged" },
	{ 0x9ca9078d, "ip_setsockopt" },
	{ 0xc2788d42, "ipv6_flowlabel_exclusive" },
	{ 0xa082812e, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa6fe86b5, "ipv6_getsockopt" },
	{ 0xd0d8621b, "strlen" },
	{ 0x367f5d4, "reuseport_detach_sock" },
	{ 0xcebbebb, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x77765035, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x28639a83, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x68b4b2de, "sock_init_data" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x4b835230, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "BFD296FE954548CDC01F1DE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
