#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xdc0dda11, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x41cb60b6, "_gpl");
SYMBOL_CRC(tls_get_record, 0x5bf572c2, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x214d3e12, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x5dbe2dc5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96b213ca, "sk_msg_free" },
	{ 0x63a6aa2e, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x757dc909, "tcp_read_sock" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x459e9990, "sk_page_frag_refill" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcaf079b3, "tcp_sendmsg_locked" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xd8335ff1, "sk_psock_msg_verdict" },
	{ 0x3e61b5c4, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6c4ec9dc, "iov_iter_get_pages2" },
	{ 0x9a80e6d8, "___pskb_trim" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x3b40879d, "check_zeroed_user" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xd030678c, "clean_acked_data_enable" },
	{ 0xc7cae5a5, "skb_splice_bits" },
	{ 0x4ede6016, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x2b11aa49, "crypto_aead_setauthsize" },
	{ 0x842ff46c, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdef98144, "sk_stream_error" },
	{ 0x6df8d506, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x694f7da, "sk_msg_memcopy_from_iter" },
	{ 0xca495dbc, "sk_error_report" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0x9693563c, "put_cmsg" },
	{ 0x55fea7ce, "__sk_flush_backlog" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb2e81277, "sk_psock_tls_strp_read" },
	{ 0xc9dba005, "sk_msg_clone" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5c4168d3, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xdc173c5a, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x4bb6645b, "tcp_recv_skb" },
	{ 0x6f86cd97, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4378809, "crypto_aead_encrypt" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x3da83fbc, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcd4c8982, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa8644b19, "sk_stream_wait_memory" },
	{ 0x51813ef6, "nla_put" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xb5cee892, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd783211, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0xe4157d30, "sk_msg_return_zero" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x1a809868, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0xca0bee8e, "sock_efree" },
	{ 0xe111b702, "iov_iter_bvec" },
	{ 0xe6063ce1, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdfedd4da, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x313d43e5, "sk_msg_free_partial" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x5657a88c, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf458cb39, "tcp_register_ulp" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x91931f30, "sk_psock_drop" },
	{ 0x9c1900c, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x11089902, "skb_page_frag_refill" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xd71b4ed2, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd779fe5, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf20c316e, "remove_proc_entry" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5121170a, "seq_printf" },
	{ 0xe2cf42c6, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0x391fb524, "skb_copy_header" },
	{ 0x1666af2e, "sk_msg_trim" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xa4114809, "netdev_sk_get_lowest_dev" },
	{ 0xf650b087, "sk_msg_alloc" },
	{ 0xd57abc59, "page_address" },
	{ 0x96952c59, "_copy_from_iter_nocache" },
	{ 0xa4da33c7, "tcp_rate_check_app_limited" },
	{ 0xc8dfe9e1, "tcp_poll" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x947e785b, "sk_msg_zerocopy_from_iter" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6adf1c45, "skb_to_sgvec" },
	{ 0x29f3a126, "up_read" },
	{ 0x6faa863a, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x7dd228c1, "tcp_read_done" },
	{ 0x4b835230, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "26F4C60623D60E0D3C82B53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
