#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x9ab99af6, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0xaa9cf93a, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0xd874fe5f, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0x77b61cda, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x0625dc8c, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x1f7f953a, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x3763e685, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0xf403f108, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x3087e57d, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0xe55ec8a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4190c63f, "snd_rawmidi_receive" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3a2e1d7b, "snd_dma_alloc_dir_pages" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x639f0331, "snd_rawmidi_transmit" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa8c5a43a, "snd_ac97_write_cache" },
	{ 0x9b4a737d, "snd_ctl_add" },
	{ 0x88c958ef, "snd_ac97_resume" },
	{ 0xe1ddb416, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x410adfbb, "snd_seq_device_new" },
	{ 0x2f65f2cb, "snd_card_register" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x71661968, "snd_devm_alloc_dir_pages" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x7227b36b, "snd_pcm_hw_constraint_minmax" },
	{ 0xdd7289ff, "snd_pcm_set_sync_per_card" },
	{ 0xdfe77b13, "snd_timer_interrupt" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x40f084e9, "snd_card_rw_proc_new" },
	{ 0x75be5811, "snd_ac97_update_bits" },
	{ 0x6f895028, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb4ea465b, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xab0fe49d, "snd_ctl_remove" },
	{ 0xc94da139, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5ad5325d, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0x9513bd50, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x896cbc97, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f2483c4, "snd_ctl_remove_id" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb9073e0f, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xd4fa6632, "snd_ac97_suspend" },
	{ 0xa670f520, "snd_pcm_lib_malloc_pages" },
	{ 0x4a123d4c, "__snd_util_mem_alloc" },
	{ 0xa2e51fd, "snd_ctl_boolean_mono_info" },
	{ 0xca963c27, "_dev_err" },
	{ 0xadd4d890, "snd_util_memhdr_new" },
	{ 0x2fee12f3, "snd_pcm_lib_ioctl" },
	{ 0xa1b9f82, "snd_pcm_lib_free_pages" },
	{ 0xe496b882, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xa646f48, "snd_ctl_notify" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa7394e6b, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8b155d2a, "snd_pcm_set_managed_buffer" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x94e937ae, "snd_timer_new" },
	{ 0xe46fc655, "snd_ctl_rename" },
	{ 0xa2c8d3f1, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xebe92c78, "snd_ac97_update" },
	{ 0xb7117f4b, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc65b2391, "snd_rawmidi_new" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x200e7567, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe6ca50ee, "_dev_notice" },
	{ 0x6a224c83, "__snd_util_mem_free" },
	{ 0x81d07acf, "snd_rawmidi_set_ops" },
	{ 0xd85ad27d, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xc9c8b56d, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0x9e06c0b1, "snd_util_memhdr_free" },
	{ 0xfd3a8b60, "snd_info_create_card_entry" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xecfa2293, "snd_device_free" },
	{ 0x23330c5d, "snd_pcm_period_elapsed" },
	{ 0x3936370b, "__snd_util_memblk_new" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x62c46941, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x71800083, "snd_pcm_hw_rule_noresample" },
	{ 0x31cf1f8f, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "095F33098D9B3DE44D0BCE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
