#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xa3cf990f, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x28e6a34d, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x1d4b9766, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xa75fc3b9, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x5bbcfcca, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x7b50889c, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x063fbbd1, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xcef41f7e, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xbc6c80ed, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x7f04a91d, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xc72e832c, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x21a8a0d8, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0xfea958b9, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x29164316, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x842d43df, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0xb7e06a77, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x439cb521, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x21524b6a, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xebdafb5d, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0xe19bd7ab, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0xf78bb31c, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xcf5c82d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb348a8cb, "snd_hda_apply_verbs" },
	{ 0xaa796438, "snd_hda_codec_amp_update" },
	{ 0x52667af0, "snd_hda_add_new_ctls" },
	{ 0xa06dd604, "snd_hda_get_connections" },
	{ 0xecac3e95, "snd_hda_codec_amp_init_stereo" },
	{ 0x8967d538, "snd_hda_set_vmaster_tlv" },
	{ 0x8c37c595, "hda_get_autocfg_input_label" },
	{ 0x4e948f56, "query_amp_caps" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x27d2f92d, "snd_hda_mixer_amp_volume_info" },
	{ 0xdcc14b1a, "snd_hdac_regmap_read_raw" },
	{ 0x8e62fe0f, "snd_hda_jack_detect_state_mst" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x117931f6, "snd_hda_codec_setup_stream" },
	{ 0xab905c5a, "snd_hda_mixer_amp_switch_info" },
	{ 0xf8093a7e, "hda_codec_driver_unregister" },
	{ 0x8646fa3a, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8517ee93, "snd_hdac_codec_write" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x62a29315, "snd_hda_jack_tbl_get_mst" },
	{ 0x96a15b1e, "snd_hda_multi_out_dig_open" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9e02aae0, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x55cc47fc, "led_classdev_unregister" },
	{ 0x83507243, "snd_hda_codec_pcm_new" },
	{ 0xa390c30b, "__snd_hda_codec_cleanup_stream" },
	{ 0x770176cc, "snd_ctl_sync_vmaster" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x13a561de, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd90f45da, "snd_hda_get_pin_label" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3f079cf6, "snd_hda_add_imux_item" },
	{ 0xb68d9242, "snd_hda_correct_pin_ctl" },
	{ 0x8712033d, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xf10ea10b, "snd_hda_create_dig_out_ctls" },
	{ 0x7cede93d, "snd_hda_multi_out_dig_close" },
	{ 0x6d0f93f5, "snd_hda_get_conn_index" },
	{ 0x5cc752af, "snd_hda_multi_out_analog_open" },
	{ 0x17a71265, "snd_hda_get_bool_hint" },
	{ 0x6edd36ab, "snd_hda_create_spdif_share_sw" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9079d86b, "snd_hda_find_mixer_ctl" },
	{ 0x80ed863c, "snd_hda_get_int_hint" },
	{ 0xca963c27, "_dev_err" },
	{ 0xc2a7943f, "__hda_codec_driver_register" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x55c6a397, "snd_hda_parse_pin_defcfg" },
	{ 0x998bf832, "snd_hda_codec_amp_init" },
	{ 0xd0a5c263, "snd_hda_create_spdif_in_ctls" },
	{ 0x73b17c3e, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6a9cdbe3, "snd_hda_multi_out_analog_cleanup" },
	{ 0x784f84fc, "snd_hda_multi_out_analog_prepare" },
	{ 0x1d8cf620, "snd_ctl_boolean_stereo_info" },
	{ 0xae97218f, "snd_hda_get_conn_list" },
	{ 0xffa68c2b, "snd_hda_mixer_amp_switch_get" },
	{ 0x786e0742, "snd_hda_codec_set_pin_target" },
	{ 0x4638a8cc, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x874a2583, "snd_hda_attach_beep_device" },
	{ 0x936b2979, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x98e74838, "snd_hdac_regmap_write_raw" },
	{ 0x73e4295c, "snd_hda_mixer_amp_volume_get" },
	{ 0x9eab3a92, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xf44bcd9, "snd_hda_check_amp_caps" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbe3a3a7, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x65a8a2c, "snd_hda_jack_unsol_event" },
	{ 0xc4e69738, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6c8e767e, "snd_hda_mixer_amp_tlv" },
	{ 0x236090f, "snd_hda_jack_add_kctls" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x1931fd52, "__snd_hda_add_vmaster" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcf06d7f2, "snd_hda_codec_amp_stereo" },
	{ 0x143867e9, "snd_hda_sync_vmaster_hook" },
	{ 0xd6d60e07, "snd_hda_apply_fixup" },
	{ 0x2418e26e, "snd_hda_enum_helper_info" },
	{ 0x9c276f74, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb8170b6d, "snd_hdac_codec_read" },
	{ 0x47a106d0, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x29a3c271, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xbece648f, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x95ac9924, "snd_hdac_regmap_sync" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "9AEB14710080BFAD40B29F5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
