#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x67c8f348, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x631f6188, "");
SYMBOL_CRC(amd_sof_acp_probe, 0xde3376ec, "");
SYMBOL_CRC(amd_sof_acp_remove, 0xf0d7ea5b, "");
SYMBOL_CRC(acp_dsp_block_read, 0x5ce41eb4, "");
SYMBOL_CRC(acp_dsp_block_write, 0x9bad592c, "");
SYMBOL_CRC(acp_get_bar_index, 0x1e5450bf, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0x9259815a, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x6fa95b17, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x5990017f, "");
SYMBOL_CRC(acp_mailbox_write, 0xb5405917, "");
SYMBOL_CRC(acp_mailbox_read, 0xe1455f3c, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x04cd585f, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0x98dd1a3f, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x7b15294e, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0xe6f195b6, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x4186042f, "");
SYMBOL_CRC(acp_pcm_hw_params, 0xeebf0e9f, "");
SYMBOL_CRC(acp_pcm_open, 0xc6a12afd, "");
SYMBOL_CRC(acp_pcm_close, 0x2ec46607, "");
SYMBOL_CRC(acp_pcm_pointer, 0x7dcb18ba, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x66bc1139, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x0229d2ad, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x501f7832, "");
SYMBOL_CRC(acp_sof_trace_release, 0x27223358, "");
SYMBOL_CRC(acp_sof_trace_init, 0xc336d36a, "");
SYMBOL_CRC(sof_acp_common_ops, 0x57c904fc, "");
SYMBOL_CRC(acp_probes_register, 0x691fa6c0, "");
SYMBOL_CRC(acp_probes_unregister, 0x89d19d7a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf2b5bd8, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6f3fe909, "sdw_amd_exit" },
	{ 0x50b831b6, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x704b64f0, "pci_dev_put" },
	{ 0xf488f5fd, "pci_get_device" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x89cbc494, "devm_ioremap" },
	{ 0xabb57221, "sof_xtensa_arch_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb4ea465b, "snd_sgbuf_get_addr" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc94448b6, "amd_sdw_scan_controller" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xd7a41716, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc3b478e, "sdw_amd_probe" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe5d2362, "platform_device_unregister" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x88f77087, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0xdcd44b3b, "sof_print_oops_and_stack" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x29667ac7, "snd_sof_dsp_update_bits" },
	{ 0x749cf6fa, "sdw_amd_get_slave_info" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd8b1d704, "sof_io_read" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0x5ccca8e6, "snd_sof_ipc_reply" },
	{ 0x61a9c4af, "platform_device_register_full" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xc3b7170e, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6bd613f2, "snd_sof_dsp_panic" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x10db44cb, "sof_client_dev_unregister" },
	{ 0x9203e173, "snd_sof_load_firmware_memcpy" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x6651317f, "sof_io_write" },
	{ 0xec59430e, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-acpi,soundwire-amd,snd-sof,snd-sof-xtensa-dsp,snd-pcm,snd-amd-sdw-acpi");


MODULE_INFO(srcversion, "4D285038137855FC349E56F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
