#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0xe2608694, "");
SYMBOL_CRC(cl_dsp_init, 0x48fd8c5f, "");
SYMBOL_CRC(hda_cl_trigger, 0x6a9247c5, "");
SYMBOL_CRC(hda_cl_cleanup, 0xfe2e63e1, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0xa0ed1a6a, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x02581520, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x0f305223, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0x5c0445a7, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0xfb1812b9, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x1acab23d, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0x7188d9c9, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xc3abcfb9, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x1d934002, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0x8f7e44d1, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x0e8e94a4, "");
SYMBOL_CRC(hda_dsp_trace_init, 0xc3a8b3e7, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x552b7cdb, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x300ede15, "");
SYMBOL_CRC(hda_get_interface_mask, 0x36c623af, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0x9b23bf6e, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x601a1b70, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0xfb690640, "");
SYMBOL_CRC(hda_dsp_core_run, 0x1f201acb, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x1e552a9b, "");
SYMBOL_CRC(hda_dsp_enable_core, 0xd990d263, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x5efa4f6b, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0xc3f6c0fa, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0xfbdd8074, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x86b7d4a4, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0x411ef86a, "");
SYMBOL_CRC(hda_dsp_resume, 0x2ff1b7c0, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0xe5a7bcd5, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x53cfcd79, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x33e7cff5, "");
SYMBOL_CRC(hda_dsp_suspend, 0xeb169a41, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0xb8c3a6ef, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x0269acd2, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0xfc1ad65c, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0xbbd4229f, "");
SYMBOL_CRC(hda_dsp_core_get, 0xbfd32d41, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x259a9e81, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x7b431c17, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0xb851c52e, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0xb14d4e15, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0x426f3892, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0xc5b1cb5e, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0x913b5bc0, "");
SYMBOL_CRC(hda_dsp_get_state, 0x5be5c4bd, "");
SYMBOL_CRC(hda_dsp_dump, 0x5bc9a009, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x11bfd26d, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0xc841accc, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0xa1805ce7, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x39ae764b, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x9fca5ab7, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0xd6b8de31, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0xa5b36065, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0x005d916a, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0x99387847, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0xf5e2ce45, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0xc235454f, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0xb181b709, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x1b7ed05d, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x4be87f25, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0x6019e028, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0xb397d618, "");
SYMBOL_CRC(hda_ipc_msg_data, 0xc264febe, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0x9c5acf6a, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x56c277ac, "");
SYMBOL_CRC(hda_check_ipc_irq, 0x8be76813, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0x4556da5d, "");
SYMBOL_CRC(hda_ipc_dump, 0x72a8c60f, "");
SYMBOL_CRC(hda_ipc4_dump, 0xd9252b2c, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x2477d0e9, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x2169811a, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x52d3f8e2, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xdaf48e83, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x1aba0fd4, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0x5a987f4f, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xbcc2d8c9, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0xd60a7e20, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0xe16b0e55, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x4a3010c0, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0xe611c435, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0x1081e332, "");
SYMBOL_CRC(hda_dai_config, 0xa16ca9c8, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0x153db148, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0xe8ac047c, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0xa8707c51, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xd3624edd, "");
SYMBOL_CRC(hda_ops_free, 0xe3f4afb5, "");
SYMBOL_CRC(skl_dai, 0x1c4964d9, "");
SYMBOL_CRC(sof_hda_bus_init, 0xb5102075, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x579e2e59, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x7cf0a5c5, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0xe71c3357, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x32c47354, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x424d5dbf, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0x381488f7, "");
SYMBOL_CRC(hda_probes_unregister, 0xc500618a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61130462, "hda_codec_jack_check" },
	{ 0x6a1b7de3, "hda_bus_ml_suspend" },
	{ 0x679929ae, "pci_save_state" },
	{ 0x95ec34da, "sof_block_read" },
	{ 0x6ccc623, "hda_codec_i915_display_power" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x3a2e1d7b, "snd_dma_alloc_dir_pages" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x2523e77d, "snd_hdac_bus_send_cmd" },
	{ 0xa175478, "hda_bus_ml_resume" },
	{ 0xd2ca431d, "snd_hdac_bus_get_response" },
	{ 0x8f9735ba, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xfe2a26, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x18b67f15, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x8943d6f5, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x7227b36b, "snd_pcm_hw_constraint_minmax" },
	{ 0x1f7a9f35, "hda_codec_jack_wake_enable" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5f111f1, "snd_hdac_ext_bus_init" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x53b05532, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb4ea465b, "snd_sgbuf_get_addr" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xa897a3cd, "snd_sgbuf_get_chunk_size" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9f25e915, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x9513bd50, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x13474dc, "hda_codec_resume_cmd_io" },
	{ 0xae7b4f4a, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf6debcde, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1af8c99, "snd_hdac_ext_stream_clear" },
	{ 0xd2f7b621, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x7a1e7581, "snd_hdac_ext_bus_link_power" },
	{ 0xec0548c2, "snd_sof_dsp_dbg_dump" },
	{ 0x318e2608, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8c6a72d, "sof_mailbox_read" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0x4437e317, "devm_kfree" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9cbb52ad, "snd_sof_dsp_update_bits_forced" },
	{ 0x7a9282a7, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xec807f15, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x88f77087, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x69b849f4, "snd_soc_dpcm_get_substream" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc9403abe, "snd_sof_dsp_update_bits_unlocked" },
	{ 0xdcd44b3b, "sof_print_oops_and_stack" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x69da470c, "hda_bus_ml_reset_losidv" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaf4e3680, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x18d6d257, "snd_sof_ipc_get_reply" },
	{ 0x29667ac7, "snd_sof_dsp_update_bits" },
	{ 0x3ac37294, "pci_restore_state" },
	{ 0xc5850a65, "snd_sof_pci_update_bits" },
	{ 0xb3c2b454, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x75144231, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x87798836, "snd_hdac_display_power" },
	{ 0xf6a9af00, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x200e7567, "snd_pcm_hw_constraint_integer" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x394f2f33, "hda_codec_rirb_status_clear" },
	{ 0xf5fc18a4, "hda_codec_suspend_cmd_io" },
	{ 0x5ccca8e6, "snd_sof_ipc_reply" },
	{ 0x735abc4, "hda_codec_init_cmd_io" },
	{ 0xf4b06fe0, "hda_codec_stop_cmd_io" },
	{ 0x688094fe, "hda_codec_detect_mask" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8dbaee9, "sof_ipc_tx_message" },
	{ 0x6bd613f2, "snd_sof_dsp_panic" },
	{ 0x2cfcb552, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x49a7c74, "snd_sof_suspend" },
	{ 0xaa60154e, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0xa8f27365, "snd_pcm_hw_constraint_step" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x5075c45e, "intel_nhlt_init" },
	{ 0xe166a84f, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x10db44cb, "sof_client_dev_unregister" },
	{ 0x825d799b, "hda_codec_check_rirb_status" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x83cad3fd, "snd_hdac_ext_stream_reset" },
	{ 0x442bb459, "hdac_bus_eml_get_count" },
	{ 0xe72c3375, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6651317f, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc2470965, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof-intel-hda-mlink,snd-sof,snd-pcm,snd-hda-core,snd-hda-ext-core,snd-soc-hdac-hda,snd-soc-core,snd-intel-dspcfg");


MODULE_INFO(srcversion, "F2C500EDCEF51027B76AAF8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
