#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x1f7a9f35, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x61130462, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x9de3d8c1, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x0291de17, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x688094fe, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0x0735abc4, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x013474dc, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0xf4b06fe0, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0xf5fc18a4, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x394f2f33, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x18b67f15, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x825d799b, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0xa895f4a4, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x06ccc623, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xd1521d03, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x9622b9ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x2523e77d, "snd_hdac_bus_send_cmd" },
	{ 0xd2ca431d, "snd_hdac_bus_get_response" },
	{ 0xf61ef2dc, "snd_hdac_bus_update_rirb" },
	{ 0x6dfeb6c4, "snd_hdac_codec_modalias" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x24cff0ed, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xbeaa41d5, "snd_hdac_device_register" },
	{ 0xb723645e, "snd_hdac_i915_init" },
	{ 0xca963c27, "_dev_err" },
	{ 0xdc268a49, "snd_hdac_device_unregister" },
	{ 0xa487f782, "device_attach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf7d4de0f, "snd_hdac_bus_stop_cmd_io" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x87798836, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56afbfa4, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf0f76e21, "snd_hdac_acomp_exit" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x48d09ed9, "snd_hda_codec_device_init" },
	{ 0x375b52fd, "snd_hdac_set_codec_wakeup" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "A2FF6556606D12094270F07");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
