#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf513ab34, "input_allocate_device" },
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0x4190c63f, "snd_rawmidi_receive" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x1f64833d, "snd_pcm_hw_limit_rates" },
	{ 0x639f0331, "snd_rawmidi_transmit" },
	{ 0x9b4a737d, "snd_ctl_add" },
	{ 0xe1ddb416, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2f65f2cb, "snd_card_register" },
	{ 0xd789ae03, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe09d06f2, "usb_register_driver" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x84d0f2ac, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70138302, "input_free_device" },
	{ 0x896cbc97, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa051fa4f, "usb_bulk_msg" },
	{ 0xa0e87df6, "input_register_device" },
	{ 0xd99b87c9, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x91b9b2a8, "snd_card_new" },
	{ 0x6afc04e6, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4227375d, "snd_card_set_id" },
	{ 0xca963c27, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x53e58062, "snd_card_free_when_closed" },
	{ 0x501e310b, "usb_set_interface" },
	{ 0xa7394e6b, "snd_pcm_set_ops" },
	{ 0xcb7cec1a, "usb_deregister" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe53bdc22, "usb_string" },
	{ 0xb7117f4b, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9b933fa8, "input_event" },
	{ 0x627ae695, "input_set_abs_params" },
	{ 0xc65b2391, "snd_rawmidi_new" },
	{ 0x11becac5, "snd_card_disconnect" },
	{ 0x81d07acf, "snd_rawmidi_set_ops" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xc8616f13, "usb_kill_urb" },
	{ 0x401cfc5f, "usb_init_urb" },
	{ 0x23330c5d, "snd_pcm_period_elapsed" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd-pcm,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7B7229A0C7BECEDFB4AB4C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
