#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51ed3f51, "kvm_x86_vendor_init" },
	{ 0xeebc778c, "__tracepoint_kvm_ple_window_update" },
	{ 0x9faa24a9, "kvm_arch_has_assigned_device" },
	{ 0x2a93b065, "kvm_apic_match_dest" },
	{ 0xd8cef6e1, "clear_user" },
	{ 0x18582826, "amd_pmu_disable_virt" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0x4a54bfcb, "kvm_requeue_exception" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x77ff053, "default_cpu_present_to_apicid" },
	{ 0x5dcf5429, "__tracepoint_kvm_avic_ga_log" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0x767cdef5, "kvm_init" },
	{ 0x8dbec3d9, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0x7f6689a4, "__tracepoint_kvm_avic_incomplete_ipi" },
	{ 0x19d23b22, "param_ops_ushort" },
	{ 0x5dfc5a8d, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x40a0aafc, "__flush_tlb_all" },
	{ 0xa282d773, "__tracepoint_kvm_nested_vmenter" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x1c53103b, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe7521c, "kvm_apicv_activated" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x27e1661a, "do_machine_check" },
	{ 0xce576a13, "enable_apicv" },
	{ 0x760a5754, "handle_ud" },
	{ 0x4942be67, "__SCT__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xc1c63ef5, "kvm_mmu_new_pgd" },
	{ 0xae8741e4, "kvm_post_set_cr4" },
	{ 0xac1cf718, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0x6e5ed9c8, "kvm_get_msr_common" },
	{ 0x15a07cd2, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x4ffb452b, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0xf24a097d, "kvm_emulate_halt" },
	{ 0x3564e041, "handle_fastpath_hlt" },
	{ 0xe1a06bd4, "kvm_emulate_mwait" },
	{ 0x2a56215, "kvm_msr_allowed" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0x92889d29, "kvm_wait_lapic_expire" },
	{ 0x8b974b79, "hv_flush_remote_tlbs" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x3f8f5831, "perf_event_read_value" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0x708f0c5b, "kvm_find_cpuid_entry" },
	{ 0x66541dd3, "kvm_task_switch" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x472af8f8, "__tracepoint_kvm_cr" },
	{ 0x6ada8f59, "kvm_mmu_set_mmio_spte_mask" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0xa9eb8907, "kvm_emulate_monitor" },
	{ 0x86b142ce, "kvm_requeue_exception_e" },
	{ 0x41ed0afe, "__alloc_pages_noprof" },
	{ 0x70f7896, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0x4a1c261b, "__SCT__tp_func_kvm_invlpga" },
	{ 0x5f911332, "__SCT__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x1780ddd5, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d621382, "kvm_emulate_rdmsr" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0x1a7d526, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0xbe2989f7, "kvm_vcpu_unmap" },
	{ 0x9159e307, "kvm_post_set_cr0" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x8d9aff2b, "__tracepoint_kvm_nested_intr_vmexit" },
	{ 0xbf29caae, "kvm_valid_efer" },
	{ 0x464d6a8a, "__tracepoint_ipi_send_cpu" },
	{ 0x6701117b, "kvm_set_rflags" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xf32dff97, "__SCT__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x9cc371c0, "kvm_handle_invpcid" },
	{ 0xe688067c, "__tracepoint_kvm_entry" },
	{ 0xe6930c5, "kvm_load_host_xsave_state" },
	{ 0x49df8b25, "__tracepoint_kvm_page_fault" },
	{ 0x8f2d0616, "kvm_queue_exception_p" },
	{ 0x6493088f, "kvm_vcpu_deliver_sipi_vector" },
	{ 0x4307b21c, "__tracepoint_kvm_inj_virq" },
	{ 0x49608959, "migrate_disable" },
	{ 0x7f9f7104, "kvm_cpu_has_interrupt" },
	{ 0x3429a785, "handle_fastpath_set_msr_irqoff" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x48e080b1, "x86_virt_spec_ctrl" },
	{ 0x26f43aa1, "kvm_make_all_cpus_request" },
	{ 0xd43ce698, "__tracepoint_kvm_avic_kick_vcpu_slowpath" },
	{ 0xf9341e6b, "pmc_write_counter" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8222261c, "kvm_emulate_instruction_from_buffer" },
	{ 0xf3398c70, "kvm_init_mmu" },
	{ 0x4291cc51, "kvm_emulate_wbinvd" },
	{ 0x64392222, "kvm_vcpu_reset" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0x1e1aa59, "kvm_set_cr3" },
	{ 0xbfcd7526, "kvm_update_cpuid_runtime" },
	{ 0xba1fef73, "x86_decode_emulated_instruction" },
	{ 0x420eabe4, "mem_section" },
	{ 0xd80799ca, "kvm_alloc_apic_access_page" },
	{ 0x5f2fe2ef, "kvm_get_cr8" },
	{ 0x4a721bb1, "kvm_is_linear_rip" },
	{ 0x65b3e458, "kvm_set_dr" },
	{ 0xde13d569, "kvm_emulate_hypercall" },
	{ 0x5fdfa2c1, "amd_pmu_enable_virt" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa4b4c227, "__tracepoint_kvm_skinit" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x47a6ff40, "load_pdptrs" },
	{ 0x9c606f55, "__tracepoint_write_msr" },
	{ 0xa588ef67, "__SCT__tp_func_kvm_nested_intercepts" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x8bf3a0bb, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0x776773c3, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xedda2cf8, "kvm_set_cr4" },
	{ 0x1f8e9483, "__SCT__tp_func_kvm_avic_doorbell" },
	{ 0x981fdd6e, "kvm_handle_page_fault" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0xbff653a2, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0x7ef04c97, "__tracepoint_kvm_avic_unaccelerated_access" },
	{ 0x13c9f557, "kvm_load_guest_xsave_state" },
	{ 0xa9a52a39, "kvm_set_cr0" },
	{ 0x51f611f4, "__kvm_is_valid_cr4" },
	{ 0x215b27bb, "kvm_set_cr8" },
	{ 0xa1d254fe, "__tracepoint_kvm_invlpga" },
	{ 0x9b864870, "kvm_get_dr" },
	{ 0xad52b52, "__kvm_vcpu_map" },
	{ 0x1f9f673a, "kvm_update_dr7" },
	{ 0x94112761, "__tracepoint_kvm_nested_intercepts" },
	{ 0x5797a96f, "kvm_mmu_page_fault" },
	{ 0x1d1b139a, "__SCT__tp_func_kvm_avic_ga_log" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x2faf0b64, "kvm_emulate_instruction" },
	{ 0xe639fa35, "cpu_info" },
	{ 0x3c5f173c, "kvm_hv_assist_page_enabled" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4e73d9b3, "kvm_vcpu_apicv_activated" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0x52dcb563, "kvm_apic_send_ipi" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x51a6a2ad, "__tracepoint_read_msr" },
	{ 0x44bfd5fd, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd877cc52, "kvm_vcpu_on_spin" },
	{ 0xe707c448, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0x84d8fea9, "kvm_get_rflags" },
	{ 0xba856958, "kvm_queue_exception_e" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xd09da48b, "__SCT__tp_func_kvm_nested_intr_vmexit" },
	{ 0xc1517bff, "__tracepoint_kvm_exit" },
	{ 0x5bb103b9, "kvm_emulate_cpuid" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0x94152496, "kvm_emulate_wrmsr" },
	{ 0xffd663ad, "kvm_find_cpuid_entry_index" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0xbdd6b8b1, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0x9b0a63d7, "kvm_mmu_invlpg" },
	{ 0x920bee1d, "kvm_emulate_invd" },
	{ 0xcde7ec7b, "kvm_fast_pio" },
	{ 0x50b42ba1, "entry_ibpb" },
	{ 0xd7f6007, "kvm_init_shadow_npt_mmu" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3c2fce30, "kvm_set_msr_common" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0xd57abc59, "page_address" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0x4b401ef5, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xd16d7040, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0xd1ed185, "__tracepoint_kvm_avic_doorbell" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0x602caaad, "kvm_cpu_has_injectable_intr" },
	{ 0xab594290, "kvm_skip_emulated_instruction" },
	{ 0x2e3ee565, "kvm_set_or_clear_apicv_inhibit" },
	{ 0xf7761931, "kvm_handle_invalid_op" },
	{ 0x2c2f5a09, "x86_family" },
	{ 0xcf509080, "kvm_caps" },
	{ 0xd5a9887e, "__kvm_vcpu_update_apicv" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa4d79c11, "hv_flush_remote_tlbs_range" },
	{ 0xa383d312, "kvm_complete_insn_gp" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x879bdc4e, "kvm_apic_write_nodecode" },
	{ 0xe0e786a7, "__SCT__tp_func_kvm_skinit" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*00C2*");

MODULE_INFO(srcversion, "53D516CFC2C43BF72013665");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
