#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x683d1de0, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x016d9075, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x64c4494c, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xddd67fd3, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x4d3fa97b, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xccff603f, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x98dc134a, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x28249bc6, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xf93d836d, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xddc21a6a, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0xda2868d7, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x6975ef28, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x333e4436, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe14c1f25, "crypto_alloc_skcipher" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x345305f4, "crypto_alloc_ahash" },
	{ 0x4ede6016, "crypto_alloc_aead" },
	{ 0x4444210a, "crypto_skcipher_setkey" },
	{ 0x6d3deb2a, "crypto_spawn_tfm2" },
	{ 0x1733450b, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x69624d8c, "crypto_shash_setkey" },
	{ 0x45a3a7f9, "crypto_shash_import" },
	{ 0x5e288802, "crypto_shash_export" },
	{ 0xea7c1574, "crypto_clone_shash" },
	{ 0x2b11aa49, "crypto_aead_setauthsize" },
	{ 0x6f86cd97, "crypto_aead_setkey" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xb57712c0, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b6e15c0, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x70f7896, "_printk" },
	{ 0xd4cdbed1, "crypto_register_template" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x89201f36, "crypto_enqueue_request" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x3ed40ed2, "crypto_grab_shash" },
	{ 0x8948cf94, "crypto_grab_skcipher" },
	{ 0x449c06c0, "skcipher_register_instance" },
	{ 0xa85370db, "crypto_grab_aead" },
	{ 0x8535f308, "aead_register_instance" },
	{ 0xa66fa32c, "shash_no_setkey" },
	{ 0x5c86abab, "ahash_register_instance" },
	{ 0xd47490c0, "crypto_skcipher_decrypt" },
	{ 0x511adcd8, "crypto_skcipher_encrypt" },
	{ 0xb908a687, "shash_ahash_digest" },
	{ 0x2c86415c, "shash_ahash_finup" },
	{ 0xca83a7, "crypto_shash_final" },
	{ 0x61aa045, "shash_ahash_update" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE601D458BFDA37FC7B6285");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
