#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x038e4ea2, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xaf8811c9, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xefcb9249, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xcdc50721, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xe26a2fad, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x46a13b0a, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x59e084d5, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x8aca6d91, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x54d0b7b7, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x1e3a15ca, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x7bd1707f, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x2e77979a, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x69fd7937, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xccdb45ce, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x6a3ad3c8, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x6069b236, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xaaccfe21, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xb9c796a9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xc213e07a, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x7d6ad3eb, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x27bb6357, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x59172155, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x53fab5fd, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x547721ed, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x4bd676f5, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x6917ac90, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xc35bfecc, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x57a2952c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xf510ad94, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xb68835e3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xc05e3b1e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9aca830d, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf9a482f9, "msleep" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x9311406f, "kthread_create_worker" },
	{ 0xca963c27, "_dev_err" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xf4d359a4, "sched_set_fifo" },
	{ 0x264855b3, "crypto_register_aead" },
	{ 0xe0795010, "crypto_unregister_aead" },
	{ 0xa8206ad7, "crypto_register_ahash" },
	{ 0x5d024737, "crypto_unregister_ahash" },
	{ 0xabc8bcfa, "crypto_register_akcipher" },
	{ 0x4687a8cd, "crypto_unregister_akcipher" },
	{ 0xba620102, "crypto_register_kpp" },
	{ 0xa33da547, "crypto_unregister_kpp" },
	{ 0x9df006f5, "crypto_register_skcipher" },
	{ 0x1175db15, "crypto_unregister_skcipher" },
	{ 0x89201f36, "crypto_enqueue_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb57712c0, "crypto_dequeue_request" },
	{ 0x36d0d7e7, "crypto_enqueue_request_head" },
	{ 0x5293c0a6, "kthread_destroy_worker" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "28D1AA24B558B76E4CD01C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
