#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x91093410, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x990662e6, "_gpl");
SYMBOL_CRC(ahci_ops, 0x99b936d9, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x6d93c703, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x1c5e35d8, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x5efd4cb6, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xe9bec7cc, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xda73c214, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xbcdc66eb, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x4c2d6167, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x653dbc52, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x341bba35, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x1b5c2d92, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xa148b695, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xb7d23804, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xc2ae56f1, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x0dee6629, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xc7803ce1, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xa2bb37bf, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x6022e59f, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x3d018c90, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x92f13e35, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xe036b837, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xf931819a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb937f782, "ata_link_next" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbcd26fce, "ata_wait_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4194e265, "ata_dev_set_feature" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x8fa84228, "ata_msleep" },
	{ 0xa2d2345e, "sata_link_scr_lpm" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7b603d57, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x504f4f8c, "ata_std_qc_defer" },
	{ 0xccbc3a5d, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x78c20da9, "ata_port_classify" },
	{ 0xe76ae38, "ata_qc_complete_multiple" },
	{ 0x63aa628c, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x51f52157, "sata_pmp_error_handler" },
	{ 0xdf7b26b2, "ata_host_start" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x1f083139, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x4f39078d, "ata_host_register" },
	{ 0xabefa3b4, "ata_host_activate" },
	{ 0x4308d79f, "ata_dummy_port_ops" },
	{ 0x92d34c28, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xa3f9567f, "dmam_alloc_attrs" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x4437e317, "devm_kfree" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xd48dd298, "sata_link_hardreset" },
	{ 0x4c632461, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4b405bec, "sata_lpm_ignore_phy_events" },
	{ 0x8afd1ea2, "ata_ehi_clear_desc" },
	{ 0x83cee8f, "ata_ehi_push_desc" },
	{ 0xfb2a3ab6, "sata_async_notification" },
	{ 0x5436e0a8, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe4acebb9, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x9e0dac07, "sata_pmp_port_ops" },
	{ 0xa1a5d75c, "dev_attr_sw_activity" },
	{ 0x7673788b, "dev_attr_unload_heads" },
	{ 0x2f56dada, "dev_attr_ncq_prio_supported" },
	{ 0x19f6e094, "dev_attr_ncq_prio_enable" },
	{ 0xa4a5dfa1, "dev_attr_link_power_management_policy" },
	{ 0xc1d52747, "dev_attr_em_message_type" },
	{ 0x88f55a8c, "dev_attr_em_message" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9A7C9ED3F9F2BE88064C951");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
