#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0xe71286ee, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0x93b497db, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0x11a38e2d, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0x0064d140, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0x7e7c2044, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0x632783db, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x8ec313ed, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x534553a4, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x75807bec, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x192cff3d, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0x69be2efd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x554c17a1, "skb_put" },
	{ 0xf4cb0850, "hci_free_dev" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4587ceb1, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ca3d4ad, "of_property_read_variable_u16_array" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54039633, "wake_up_process" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8af1193f, "skb_push" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x97f230aa, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf9f0c951, "kstrtol_from_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x506cd8eb, "of_property_read_variable_u8_array" },
	{ 0xfe8a1f22, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x161f3808, "hci_unregister_dev" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xddcdb194, "hci_register_dev" },
	{ 0x42d2b894, "__hci_cmd_sync" },
	{ 0x62cdb6b0, "debugfs_create_u8" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
