#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0x5bfde6c5, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0xd7f25aaa, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0xe0f31273, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x620edd42, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x0eda8f2e, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x94da8ddd, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0xf4c4a7c3, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0x9254e941, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0xba663493, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x5d2fe5bd, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0x4511c206, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0x9d228af6, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0xf6e92624, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x2cea4cc2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x42d2b894, "__hci_cmd_sync" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2356ce11, "hci_cmd_sync_queue" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1d07ac18, "hci_devcd_register" },
	{ 0x5915bcc6, "__hci_cmd_send" },
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65012478, "usb_anchor_urb" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd596b99, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x2e60bace, "memcpy" },
	{ 0x714cf55c, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xe8dbb4ff, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x37a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x8908a9be, "hci_devcd_append" },
	{ 0x8aef6c73, "hci_devcd_complete" },
	{ 0x7d74d794, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x40a830a4, "usb_disable_autosuspend" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xd64a7905, "hci_recv_diag" },
	{ 0xb70b1f2, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x554c17a1, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xf9ee81ba, "__skb_pad" },
	{ 0x8fd4de55, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x501e310b, "usb_set_interface" },
	{ 0x16ae4f68, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "18AEEA470BA8CE7E5CC61C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
