#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x511adcd8, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8235805b, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x2e60bace, "memcpy" },
	{ 0x264855b3, "crypto_register_aead" },
	{ 0xa95f2564, "cxgb4_port_e2cchan" },
	{ 0xe0795010, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x7a1bcd59, "gf128mul_x8_ble" },
	{ 0x4ede6016, "crypto_alloc_aead" },
	{ 0x2b11aa49, "crypto_aead_setauthsize" },
	{ 0x842ff46c, "crypto_aead_decrypt" },
	{ 0x4444210a, "crypto_skcipher_setkey" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x78a16f48, "aes_decrypt" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7c9c38dc, "cxgb4_register_uld" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x5d024737, "crypto_unregister_ahash" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xd47490c0, "crypto_skcipher_decrypt" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x6f86cd97, "crypto_aead_setkey" },
	{ 0x9df006f5, "crypto_register_skcipher" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe4378809, "crypto_aead_encrypt" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe5f6722d, "cxgb4_crypto_send" },
	{ 0xa8206ad7, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x94f5368, "crypto_shash_digest" },
	{ 0x1175db15, "crypto_unregister_skcipher" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dd53602, "crypto_shash_update" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x2bc95bd4, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0x77765035, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x5e288802, "crypto_shash_export" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xe14c1f25, "crypto_alloc_skcipher" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,gf128mul,authenc");


MODULE_INFO(srcversion, "C9EE9C2B287E0FA4D6BF3CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
