#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xa9d86cb3, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xb8cc2b81, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x07e70edd, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x12adcf11, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x188886b8, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x16384d87, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x28a26048, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x5abd1f57, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x11777f65, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x94dbda5f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x204312a3, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xfe94bf62, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x424ee9e4, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x36738559, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xfe1ae177, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xd6835751, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x53595c57, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xc860c5eb, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x7645bc96, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x107e39eb, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xa4da1fb7, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xe959112a, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x18f97e17, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x43510eb2, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x361b9e93, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xd8766285, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x065bfb9c, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x18a5cce9, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0xd61cdae8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xba888b50, "debugfs_create_bool" },
	{ 0xb087137a, "debugfs_create_x32" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x5f2f81dc, "single_open" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xca963c27, "_dev_err" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5121170a, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xe0fe17a4, "regmap_raw_write" },
	{ 0x86b593a4, "regmap_raw_read" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x5152e605, "memcmp" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x993fa434, "regmap_read" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0xf8019a69, "regmap_multi_reg_write" },
	{ 0x4c53929a, "regmap_bulk_read" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x1e51cab4, "regmap_async_complete" },
	{ 0x91e99245, "regmap_raw_write_async" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x4437e317, "devm_kfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x738803e6, "strnlen" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x7418e6df, "seq_read" },
	{ 0xac25594b, "single_release" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3335C5B83ACB9828F50E7B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
