#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(analogix_dp_probe, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_suspend, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_resume, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_bind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_unbind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_start_crc, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_stop_crc, "_gpl", "");
KSYMTAB_FUNC(anx_dp_aux_transfer, "_gpl", "");

SYMBOL_CRC(analogix_dp_probe, 0xfc564777, "_gpl");
SYMBOL_CRC(analogix_dp_suspend, 0x899ce179, "_gpl");
SYMBOL_CRC(analogix_dp_resume, 0x02a3e81b, "_gpl");
SYMBOL_CRC(analogix_dp_bind, 0x6e4a1a39, "_gpl");
SYMBOL_CRC(analogix_dp_unbind, 0xcd26b029, "_gpl");
SYMBOL_CRC(analogix_dp_start_crc, 0x2b152052, "_gpl");
SYMBOL_CRC(analogix_dp_stop_crc, 0xe9957cff, "_gpl");
SYMBOL_CRC(anx_dp_aux_transfer, 0xe4978c9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2f03571, "drm_dp_start_crc" },
	{ 0x4291134c, "drm_panel_get_modes" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0xe99713b3, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xe166a4e, "drm_dp_dpcd_read" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0xc1b301d6, "drm_panel_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xeac9bf96, "platform_get_irq" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xc5361cb, "gpiod_to_irq" },
	{ 0x687e1abd, "drm_helper_hpd_irq_event" },
	{ 0xd354c632, "drm_atomic_get_old_connector_for_encoder" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7ed72da5, "gpiod_get_value" },
	{ 0x4cc10afa, "devm_gpiod_get_optional" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x94a26782, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2097fac6, "drm_atomic_helper_bridge_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2dec050b, "drm_connector_attach_encoder" },
	{ 0x52258425, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5c776dcb, "drm_edid_connector_update" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x571d3bd6, "drm_atomic_helper_connector_destroy_state" },
	{ 0x69df6244, "drm_dev_printk" },
	{ 0xed3e0830, "drm_dp_stop_crc" },
	{ 0x214da901, "drm_panel_disable" },
	{ 0x497f4e34, "drm_connector_init" },
	{ 0xca963c27, "_dev_err" },
	{ 0xae533daf, "drm_dp_aux_unregister" },
	{ 0xfaccb4f9, "drm_edid_connector_add_modes" },
	{ 0x78d3b77b, "platform_get_resource" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4f5377a, "phy_power_on" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x966d7e51, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xa95ac875, "phy_power_off" },
	{ 0x4e5bf98, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x993fa434, "regmap_read" },
	{ 0x6d9a2613, "regmap_bulk_write" },
	{ 0x881f483f, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x66a3e301, "devm_ioremap_resource" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4c53929a, "regmap_bulk_read" },
	{ 0x4408b960, "drm_helper_probe_single_connector_modes" },
	{ 0xa0359a80, "drm_panel_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x7b276141, "drm_bridge_attach" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0x4442037d, "drm_atomic_helper_connector_reset" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0x5dde259b, "devm_phy_get" },
	{ 0xef6ae794, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x54654fbd, "drm_dp_dpcd_write" },
	{ 0xf290916a, "drm_panel_unprepare" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94e01bda, "drm_edid_read_ddc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper");


MODULE_INFO(srcversion, "C91821136827AFD0A14DC63");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
