#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0xd8909e6c, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xb2f77359, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xa6ba2d77, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x33a0bc47, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xdd8b09dd, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x92ababba, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x1fd4412b, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x0e53baf3, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xde0528cb, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x006b5ae5, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xcd6e899a, "");
SYMBOL_CRC(drm_fbdev_dma_driver_fbdev_probe, 0x37a98a1a, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xe7d0cbed, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x623976d6, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x334bf8c4, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x73e60fc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xb5076408, "drm_fb_helper_debug_enter" },
	{ 0xf139c1b4, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xcbc64e7a, "drm_client_buffer_vmap" },
	{ 0xc76faffd, "drm_fb_helper_setcmap" },
	{ 0x69c316f0, "drm_fb_helper_alloc_info" },
	{ 0x2af92f7d, "drm_fb_helper_unprepare" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0xe90f63b6, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xfe9c1eda, "drm_fb_helper_fini" },
	{ 0xc7aa7631, "dma_mmap_pages" },
	{ 0x9a12b00, "drm_client_framebuffer_delete" },
	{ 0xbfbb70f0, "dma_free_pages" },
	{ 0xa24202a6, "drm_client_framebuffer_create" },
	{ 0xb052f2df, "drm_fb_helper_deferred_io" },
	{ 0xb782f7e5, "drm_fb_helper_release_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x1bc3835f, "drm_driver_legacy_fb_format" },
	{ 0xfadce918, "drm_fb_helper_fill_info" },
	{ 0x89ec7d82, "drm_gem_create_mmap_offset" },
	{ 0x9aadcf82, "fb_deferred_io_init" },
	{ 0x6fa694c0, "fb_deferred_io_cleanup" },
	{ 0x9e84d15a, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x6a5f9425, "fb_sys_write" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5071cd76, "sys_imageblit" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfef55787, "drm_atomic_helper_damage_iter_init" },
	{ 0xd52cfd44, "drm_fb_helper_damage_range" },
	{ 0x3af6930c, "drm_fb_helper_blank" },
	{ 0x636eed5a, "dma_alloc_pages" },
	{ 0xffb6a975, "drm_gem_private_object_init" },
	{ 0xb3ad341d, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67933047, "drm_fb_helper_damage_area" },
	{ 0x97e7c16a, "sys_fillrect" },
	{ 0x2a93471d, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfc68ec7b, "drm_gem_vm_close" },
	{ 0x262fa697, "drm_gem_vm_open" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7ca8f03, "drm_gem_object_release" },
	{ 0x420eabe4, "mem_section" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0xeb61c536, "drm_gem_handle_create" },
	{ 0x9d31e97e, "drm_gem_fb_get_obj" },
	{ 0xe886b0cb, "__drm_dev_dbg" },
	{ 0x866ef63d, "fb_deferred_io_mmap" },
	{ 0xc9323d26, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd8cf75b, "drm_fb_helper_pan_display" },
	{ 0xcbc47622, "drm_client_release" },
	{ 0x6b599df, "sys_copyarea" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79039380, "drm_client_buffer_vunmap" },
	{ 0x3218cff2, "fb_sys_read" },
	{ 0xb66439cf, "drm_fb_helper_debug_leave" },
	{ 0x784ee5ec, "dma_buf_vmap_unlocked" },
	{ 0x4a738cf4, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9d21317e, "dma_get_sgtable_attrs" },
	{ 0xd57abc59, "page_address" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa4a47bee, "drm_fb_helper_ioctl" },
	{ 0x7cc73df, "drm_fb_helper_set_par" },
	{ 0x3f5f6287, "drm_prime_gem_destroy" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0D9F2DD781B0A70E555C7A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
