#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x7782c4c3, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x661f1fef, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0xf7c78359, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x08756fec, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x9355775c, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x05b95839, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0xc2840a95, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x2800bded, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x9d205fea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf64dd9ba, "hid_hw_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xc617f389, "hid_hw_open" },
	{ 0xca963c27, "_dev_err" },
	{ 0x99a8037a, "hid_hw_close" },
	{ 0x1e2f1924, "__hid_register_driver" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x847672d0, "hid_hw_stop" },
	{ 0xe00d082c, "mfd_remove_devices" },
	{ 0xe2919334, "hid_unregister_driver" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x88005112, "hid_open_report" },
	{ 0x3a964db1, "hid_hw_start" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0x98b1d501, "mfd_add_devices" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbd357048, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "26CD68B7B252D683FA2705F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
