#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_atr_new, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_delete, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_add_adapter, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_del_adapter, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_set_driver_data, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_get_driver_data, "_gpl", "I2C_ATR");

SYMBOL_CRC(i2c_atr_new, 0x8474c71a, "_gpl");
SYMBOL_CRC(i2c_atr_delete, 0x958e5909, "_gpl");
SYMBOL_CRC(i2c_atr_add_adapter, 0x2997af50, "_gpl");
SYMBOL_CRC(i2c_atr_del_adapter, 0x86c4742b, "_gpl");
SYMBOL_CRC(i2c_atr_set_driver_data, 0x63109546, "_gpl");
SYMBOL_CRC(i2c_atr_get_driver_data, 0x10319bac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xbc83328f, "i2c_smbus_xfer" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xcbf76dba, "i2c_transfer" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x5dddb023, "i2c_bus_type" },
	{ 0x9b961e6e, "bus_unregister_notifier" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xb6e14957, "i2c_verify_client" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa385a468, "fwnode_handle_get" },
	{ 0x8aa3c9f4, "device_set_node" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0x61689149, "device_get_named_child_node" },
	{ 0x6367157a, "fwnode_get_next_child_node" },
	{ 0x9353c7b1, "fwnode_property_read_u32_array" },
	{ 0xc5f361b8, "bus_register_notifier" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EFB76093FBE6756E6944B94");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
