#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x7844d277, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x1835ff55, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x69234617, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x3a458c58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0x85574c26, "regmap_get_device" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x35ad881b, "iio_get_time_ns" },
	{ 0x23f9279d, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x993fa434, "regmap_read" },
	{ 0xdce0c0cc, "iio_buffer_enabled" },
	{ 0x4c53929a, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9379ba1b, "iio_device_get_current_mode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x86b593a4, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x724b9e66, "iio_push_to_buffers" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xbd5453f9, "iio_push_event" },
	{ 0xc982ec5, "iio_trigger_notify_done" },
	{ 0x4a393f47, "iio_device_unregister" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0x76e5a86e, "iio_trigger_unregister" },
	{ 0x40b9bf23, "iio_triggered_buffer_cleanup" },
	{ 0x1cd6438c, "regulator_bulk_disable" },
	{ 0x97db0f17, "devm_iio_device_alloc" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x9e415023, "iio_read_mount_matrix" },
	{ 0x7f37573f, "devm_regulator_bulk_get" },
	{ 0x36eddcef, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47055ed5, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x53200d36, "iio_triggered_buffer_setup_ext" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x9c41ce8a, "iio_device_id" },
	{ 0x66a19f0e, "__devm_iio_trigger_alloc" },
	{ 0x72f0e652, "iio_trigger_register" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0x9fcebf63, "__iio_device_register" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x2095b687, "iio_read_acpi_mount_matrix" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0xe124fd9b, "fwnode_irq_get_byname" },
	{ 0xc3965c2a, "iio_read_const_attr" },
	{ 0x8480007f, "iio_show_mount_matrix" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "5D01F7D683BD022960F2DB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
