#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp085_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0xe35b7967, "");
SYMBOL_CRC(bme280_chip_info, 0x94be58a3, "");
SYMBOL_CRC(bmp380_chip_info, 0x7e549811, "");
SYMBOL_CRC(bmp580_chip_info, 0x8696d3a7, "");
SYMBOL_CRC(bmp180_chip_info, 0x9f3a5cbc, "");
SYMBOL_CRC(bmp085_chip_info, 0x9a96cada, "");
SYMBOL_CRC(bmp280_common_probe, 0x0d1474d0, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x5d661d64, "");
SYMBOL_CRC(bmp180_regmap_config, 0xcdf7f2d4, "");
SYMBOL_CRC(bmp280_regmap_config, 0x27712fb6, "");
SYMBOL_CRC(bme280_regmap_config, 0x0ab99906, "");
SYMBOL_CRC(bmp380_regmap_config, 0xc8239957, "");
SYMBOL_CRC(bmp580_regmap_config, 0xc65f25d2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7cb83260, "gpiod_set_value" },
	{ 0xb57faf86, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1bcfbce2, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x724b9e66, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cc10afa, "devm_gpiod_get_optional" },
	{ 0xff92d061, "__module_get" },
	{ 0x82c80d65, "get_device" },
	{ 0x9c41ce8a, "iio_device_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x1cd6438c, "regulator_bulk_disable" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6ab0c7a6, "irq_get_irq_data" },
	{ 0x31b74444, "iio_trigger_poll_nested" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf33a825a, "__devm_iio_device_register" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x97db0f17, "devm_iio_device_alloc" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x9d4710e2, "regulator_bulk_set_supply_names" },
	{ 0xe7923487, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36eddcef, "regulator_bulk_enable" },
	{ 0x7f37573f, "devm_regulator_bulk_get" },
	{ 0x35ad881b, "iio_get_time_ns" },
	{ 0x88abfd39, "fwnode_property_present" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x993fa434, "regmap_read" },
	{ 0x6d9a2613, "regmap_bulk_write" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4c53929a, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xc982ec5, "iio_trigger_notify_done" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0xd012af0d, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x66a19f0e, "__devm_iio_trigger_alloc" },
	{ 0x6c0f86a1, "fwnode_irq_get" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "industrialio-triggered-buffer,industrialio");


MODULE_INFO(srcversion, "A4B62FB367F080DF07184F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
