#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x4f416e16, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x5afda876, "");
SYMBOL_CRC(ib_cm_listen, 0x4b9ca36e, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xc12515fc, "");
SYMBOL_CRC(ib_send_cm_req, 0xa76aad67, "");
SYMBOL_CRC(ib_send_cm_rep, 0x4188c3e6, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x0d5fdc66, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x4295b2aa, "");
SYMBOL_CRC(ib_send_cm_drep, 0xa7f4a78e, "");
SYMBOL_CRC(ib_send_cm_rej, 0x6960a3ad, "");
SYMBOL_CRC(ib_send_cm_mra, 0x77bebba9, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xdf8709b3, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xf3982438, "");
SYMBOL_CRC(ib_cm_notify, 0xf6758602, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xc9fdc974, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbd0cf0ef, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x15caf295, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbe9b37cf, "rdma_query_gid" },
	{ 0x73cd5cbc, "ib_port_register_client_groups" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xf94b5c5f, "ib_modify_port" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xbe3820ae, "rdma_create_ah" },
	{ 0x48a4c02c, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x55105c66, "ib_find_cached_pkey" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xc52a6ee2, "ib_register_client" },
	{ 0xad8dba8a, "ib_unregister_mad_agent" },
	{ 0xcb8392c7, "ib_post_send_mad" },
	{ 0x3e9cb6eb, "ib_create_send_mad" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xe8b79aba, "rdma_destroy_ah_attr" },
	{ 0x1ca23131, "ib_set_client_data" },
	{ 0xdf21358a, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaedcf41f, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xdc08ff51, "rdma_destroy_ah_user" },
	{ 0x2d40dbd9, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xc1042c6, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x70c15a3d, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x4a6b7988, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x63960407, "ib_free_recv_mad" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1ec754a8, "ib_register_mad_agent" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xca0b7475, "ib_modify_mad" },
	{ 0x99f2c67f, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "5A020176EE6C7536154027B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
