#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0xf344f793, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0x02a08f62, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0x38273e97, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0x2a373f89, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0xc60966ff, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0x5c034123, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0xd9b8a6a6, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x695295a0, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x61152e2d, "_gpl");
SYMBOL_CRC(wm9705_codec, 0xd0cc9ff9, "_gpl");
SYMBOL_CRC(wm9712_codec, 0xcd7282a3, "_gpl");
SYMBOL_CRC(wm9713_codec, 0x01d8823d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbf4ca96d, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xfb3145e2, "platform_driver_unregister" },
	{ 0x93825150, "devm_input_allocate_device" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa0e87df6, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x71785685, "device_wakeup_disable" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7e3ea8a9, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe5d2362, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4acb9efd, "platform_device_add" },
	{ 0xfe857e00, "platform_device_alloc" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b933fa8, "input_event" },
	{ 0x627ae695, "input_set_abs_params" },
	{ 0xf13ea40, "__platform_driver_register" },
	{ 0x5b9295c6, "input_device_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE412AEBD9BEE5A35B893A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
