#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x79c29682, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0xf763b83e, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0x5add3729, "");
SYMBOL_CRC(flexcop_device_kfree, 0x9ef1bac3, "");
SYMBOL_CRC(flexcop_device_initialize, 0xac1b8a73, "");
SYMBOL_CRC(flexcop_device_exit, 0xc55070b2, "");
SYMBOL_CRC(flexcop_i2c_request, 0xead30c09, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0x3fddc4b6, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x8a73a393, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0x560e6bcc, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0xdbdc8f2b, "");
SYMBOL_CRC(flexcop_dump_reg, 0x8f23bd08, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0x298b6188, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe93654a3, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6a3cdd0f, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d99bf74, "dvb_dmx_swfilter_packets" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xba1f7d2c, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xc519b11d, "dvb_dmxdev_release" },
	{ 0xc37b5cef, "param_ops_short" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdfa33930, "dvb_frontend_detach" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x8bd80789, "dvb_net_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcedffa73, "dvb_unregister_frontend" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x32d543e2, "cx24123_get_tuner_i2c_adapter" },
	{ 0xe0c56bdc, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb7ec4011, "cx24113_agc_callback" },
	{ 0xbf5daad6, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xb70ec55c, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "4C4280033A9676EC02C54AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
