#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0xca487eee, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0xe5e68727, "");
SYMBOL_CRC(bttv_sub_unregister, 0x919f620c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfeb6c48c, "vb2_queue_init" },
	{ 0xd6ea65a8, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x904e2710, "vb2_dma_sg_memops" },
	{ 0xf33e406b, "v4l2_ctrl_poll" },
	{ 0xb30ec494, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0xe980dc05, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb84e4c97, "v4l2_ctrl_radio_filter" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xeda2a37c, "i2c_bit_add_bus" },
	{ 0xbb96cdcb, "v4l2_ctrl_add_handler" },
	{ 0x581095c0, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf488f5fd, "pci_get_device" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xbcf0e6f8, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6e32571, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf23ba9bd, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x56683414, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf69fd1d0, "v4l2_ctrl_handler_log_status" },
	{ 0x82537bed, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4eb9db9b, "video_devdata" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x437ec6d3, "vb2_fop_release" },
	{ 0x1ebf3dff, "i2c_new_scanned_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xe7cde197, "v4l2_ctrl_find" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xdfef1634, "__v4l2_ctrl_s_ctrl" },
	{ 0xb1122022, "vb2_plane_cookie" },
	{ 0x64dc1bf8, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7cadda3, "rc_keyup" },
	{ 0x4f5d8fab, "vb2_ioctl_dqbuf" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x84d65f65, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa24e39dd, "tveeprom_read" },
	{ 0xf96af5c3, "v4l2_ctrl_new_custom" },
	{ 0xac6e1caf, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x12df44b5, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7060ac40, "rc_register_device" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x807b0569, "rc_keydown" },
	{ 0x3cdf98c2, "snd_tea575x_enum_freq_bands" },
	{ 0x342e6a07, "vb2_buffer_done" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x46b4e198, "vb2_plane_vaddr" },
	{ 0x666a832a, "v4l2_ctrl_subscribe_event" },
	{ 0xdd7700ff, "snd_tea575x_s_hw_freq_seek" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb8a8e637, "video_unregister_device" },
	{ 0x9a6c20ac, "snd_tea575x_set_freq" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x68e4feb7, "i2c_new_client_device" },
	{ 0xb9b08af6, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x1f0fad34, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49315f63, "device_register" },
	{ 0x95afd5c1, "rc_free_device" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5518ec07, "vb2_fop_read" },
	{ 0x1af58c98, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb5d3721, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x59001461, "snd_tea575x_hw_init" },
	{ 0xabe17459, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f8260bb, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe447ed0b, "vb2_ioctl_streamon" },
	{ 0xa24acdd6, "vb2_fop_poll" },
	{ 0x443b2a52, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xd3e3142c, "v4l2_ctrl_handler_free" },
	{ 0x409a5932, "v4l2_device_unregister" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xee4e2eeb, "vb2_wait_for_all_buffers" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x93e837f2, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xd1acd6a4, "v4l2_i2c_new_subdev" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe742fe46, "video_device_release_empty" },
	{ 0x9f084f41, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbf7e78fe, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2e77dac7, "v4l2_event_unsubscribe" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xad844850, "vb2_ioctl_reqbufs" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,tea575x,videobuf2-dma-sg,videodev,i2c-algo-bit,videobuf2-common,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9AC3A60F5909EF00DCEE29B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
