#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xdbecdc9b, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x1214fca5, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x0e6575d2, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x674b1889, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x87036506, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xba3fd1e4, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x792e86d2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfeb6c48c, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x904e2710, "vb2_dma_sg_memops" },
	{ 0xb30ec494, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0xe980dc05, "vb2_ioctl_streamoff" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xbcf0e6f8, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6e32571, "vb2_ioctl_querybuf" },
	{ 0x56683414, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x82537bed, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4eb9db9b, "video_devdata" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x437ec6d3, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb1122022, "vb2_plane_cookie" },
	{ 0x4f5d8fab, "vb2_ioctl_dqbuf" },
	{ 0x84d65f65, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9bfa9547, "vb2_ioctl_prepare_buf" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x342e6a07, "vb2_buffer_done" },
	{ 0x666a832a, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb8a8e637, "video_unregister_device" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb9b08af6, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x1f0fad34, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5518ec07, "vb2_fop_read" },
	{ 0x1af58c98, "v4l2_device_register" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0xabe17459, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe447ed0b, "vb2_ioctl_streamon" },
	{ 0xa24acdd6, "vb2_fop_poll" },
	{ 0x443b2a52, "v4l2_ctrl_new_std" },
	{ 0xd3e3142c, "v4l2_ctrl_handler_free" },
	{ 0x409a5932, "v4l2_device_unregister" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe742fe46, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2e77dac7, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0xad844850, "vb2_ioctl_reqbufs" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "322C5C6B1DE567C581652D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
