#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x2d86673d, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x2d7f03d9, "");
SYMBOL_CRC(ivtv_api, 0x325a186c, "");
SYMBOL_CRC(ivtv_vapi, 0x52a9a0eb, "");
SYMBOL_CRC(ivtv_vapi_result, 0xd9588ecb, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x1a9c8bdb, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x55e6c974, "");
SYMBOL_CRC(ivtv_udma_setup, 0x6366c9ed, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xfbbea2fb, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xa47dda0c, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xbfada4b0, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xfaaf7ac6, "");
SYMBOL_CRC(ivtv_firmware_check, 0xdedba424, "");
SYMBOL_CRC(ivtv_claim_stream, 0xd900a7c2, "");
SYMBOL_CRC(ivtv_release_stream, 0x8dad0909, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xf685dde8, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xd14e0974, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8818e563, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2004fce7, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb30ec494, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xeda2a37c, "i2c_bit_add_bus" },
	{ 0x8a2836f9, "v4l2_fh_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x88cb863, "v4l2_i2c_new_subdev_board" },
	{ 0x2763425c, "kthread_flush_worker" },
	{ 0xf025cb9c, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xbcf0e6f8, "v4l2_ctrl_handler_init_class" },
	{ 0x89cbc494, "devm_ioremap" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x1b221e64, "unpin_user_pages" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf23ba9bd, "i2c_transfer_buffer_flags" },
	{ 0x6b07aed4, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54039633, "wake_up_process" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9295a9, "__devm_request_region" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf69fd1d0, "v4l2_ctrl_handler_log_status" },
	{ 0x82537bed, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4eb9db9b, "video_devdata" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x1ebf3dff, "i2c_new_scanned_device" },
	{ 0x3ec62f42, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x9aca830d, "kthread_queue_work" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xdfef1634, "__v4l2_ctrl_s_ctrl" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xa24e39dd, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc253988a, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xdfdbde7c, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x666a832a, "v4l2_ctrl_subscribe_event" },
	{ 0x14053ac0, "v4l2_fh_init" },
	{ 0x129cc90c, "v4l2_event_pending" },
	{ 0x1a6ed563, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb8a8e637, "video_unregister_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc6312fdc, "v4l2_event_subscribe" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x729c5a55, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa2d694a0, "__v4l2_device_register_subdev" },
	{ 0x1af58c98, "v4l2_device_register" },
	{ 0x1ceff5d9, "param_ops_string" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xabe17459, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0x9f8260bb, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x98543c69, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x443b2a52, "v4l2_ctrl_new_std" },
	{ 0xb92f8892, "v4l2_ctrl_g_ctrl" },
	{ 0xc7cc3dd3, "cx2341x_handler_init" },
	{ 0x559396f6, "cx2341x_handler_set_50hz" },
	{ 0xd3e3142c, "v4l2_ctrl_handler_free" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0x409a5932, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xf4d359a4, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x93e837f2, "v4l2_subdev_call_wrappers" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0xf43e1d09, "v4l2_event_queue" },
	{ 0xd1acd6a4, "v4l2_i2c_new_subdev" },
	{ 0xd57abc59, "page_address" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x62c46941, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe742fe46, "video_device_release_empty" },
	{ 0x2c5f68d0, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x2e77dac7, "v4l2_event_unsubscribe" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
