#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0xd56debbb, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x0d43bfef, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0xeb887b35, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xa13642a5, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0xce6a5a4b, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x4367bdde, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x7d2bb7d4, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0xfc5f9733, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x0c014308, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x0eb8a522, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x30f4af28, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x5fbeb5ca, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0xfe7533d8, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x9fed07af, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xa1a10da5, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x077fc418, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x4a096065, "_gpl");
SYMBOL_CRC(mantis_input_init, 0xd475973e, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0xb62444ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe93654a3, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7659ceb9, "enable_work" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0x722eb733, "dvb_ca_en50221_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6a3cdd0f, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x84f7f03e, "disable_work_sync" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0x439354fb, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x995f27e7, "dvb_ca_en50221_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7060ac40, "rc_register_device" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x807b0569, "rc_keydown" },
	{ 0xba1f7d2c, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc519b11d, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc37b5cef, "param_ops_short" },
	{ 0x95afd5c1, "rc_free_device" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdfa33930, "dvb_frontend_detach" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x8bd80789, "dvb_net_release" },
	{ 0x22df8bfa, "dvb_ca_en50221_camready_irq" },
	{ 0xdb5d3721, "rc_allocate_device" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcedffa73, "dvb_unregister_frontend" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x4f05a1fc, "dvb_ca_en50221_camchange_irq" },
	{ 0xcbf76dba, "i2c_transfer" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xe0c56bdc, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbf5daad6, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbf7e78fe, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
