#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x6b9e056a, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x65d933e3, "");
SYMBOL_CRC(dvb_usb_device_init, 0x995a2f8c, "");
SYMBOL_CRC(dvb_usb_device_exit, 0xa67e4988, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x68140a03, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x1f5a2d45, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x58096f9a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf513ab34, "input_allocate_device" },
	{ 0xe93654a3, "dvb_dmxdev_init" },
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x72504316, "media_device_unregister" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8591d2ba, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x84d0f2ac, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xca3c90b6, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6a3cdd0f, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70138302, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe86bda2a, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa051fa4f, "usb_bulk_msg" },
	{ 0xa0e87df6, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xa13cbbe8, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd4acc647, "media_device_cleanup" },
	{ 0x439354fb, "dvb_dmx_swfilter_204" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9b19bd5b, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7060ac40, "rc_register_device" },
	{ 0x8fd4de55, "usb_control_msg" },
	{ 0xba1f7d2c, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xc519b11d, "dvb_dmxdev_release" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x95afd5c1, "rc_free_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7d4d8540, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b933fa8, "input_event" },
	{ 0xdfa33930, "dvb_frontend_detach" },
	{ 0x5eb8f11d, "i2c_add_adapter" },
	{ 0x8bd80789, "dvb_net_release" },
	{ 0xdb5d3721, "rc_allocate_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcedffa73, "dvb_unregister_frontend" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xc8616f13, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e16a940, "__media_device_usb_init" },
	{ 0xe0c56bdc, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x12d68931, "dvb_create_media_graph" },
	{ 0xbf5daad6, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbf7e78fe, "rc_unregister_device" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
