#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(v4l2_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x28fce669, "");
SYMBOL_CRC(video_device_release, 0xdd2a1cdb, "");
SYMBOL_CRC(video_device_release_empty, 0xe742fe46, "");
SYMBOL_CRC(video_devdata, 0x4eb9db9b, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xabe17459, "");
SYMBOL_CRC(video_unregister_device, 0xb8a8e637, "");
SYMBOL_CRC(v4l2_debugfs_root, 0xbf2c7c76, "_gpl");
SYMBOL_CRC(video_device_pipeline_start, 0xa6de20be, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x1071ba30, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x574c996c, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x3d5911fe, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x93c0a3b1, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x8210a0a6, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xb30ec494, "");
SYMBOL_CRC(v4l2_device_register, 0x1af58c98, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0xa7dffb28, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0xc253988a, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x40033393, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x409a5932, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0xa2d694a0, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xe2445cbd, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x3c761ed9, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x14053ac0, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xf025cb9c, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x56683414, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x8a2836f9, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x8818e563, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x12df44b5, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xdfdbde7c, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xbfb22085, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xf43e1d09, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xdb236678, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x129cc90c, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xfa56c301, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xc6312fdc, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x22997339, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x2e77dac7, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x50c59f64, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xd0aae486, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0xa5c32bf1, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x93e837f2, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x75f6955e, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xa9f68bc2, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xecc86a84, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xabcff909, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0xf6499a87, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xe440b1a5, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x28b6f787, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x67d742ea, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x82316ae4, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0xc5a8d40c, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0xc6550814, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0x93f0c6da, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0xdf7aba48, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0xa9e89d74, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x363795b5, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x03f9b9f8, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x655ceaae, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x1b2ec937, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x5ae937f0, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x5255c06f, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xf51c19cd, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x25390348, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x6b07aed4, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x7f9e4426, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0x468e9eaf, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x4a4e928c, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x0c36de19, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xff76573f, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x5754d2b6, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x4ce2954c, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x5438ab10, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0xc23e18f7, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xa9abe16d, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xb5f7ee23, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x9b5e4623, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xd2666c4a, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x094a698e, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0xbcf0e6f8, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xd3e3142c, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xe7cde197, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0xf96af5c3, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x443b2a52, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x729c5a55, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x5ddbe5a8, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0xcdf0d3be, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x022a1779, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xbb96cdcb, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xb84e4c97, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x2c5f68d0, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xb6409482, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x867967e8, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xb73b721b, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xeee35411, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x82537bed, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xf69fd1d0, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x99b835b2, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x7861b77d, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xf3609ccd, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xfa98eefb, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x6140df6e, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x5a034d26, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xb92f8892, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x506b8d25, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xdfef1634, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xffe77c0e, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xe36568cf, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x3552e1a0, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xd38a7000, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x15077b97, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x27848200, "");
SYMBOL_CRC(v4l2_queryctrl, 0x1525475a, "");
SYMBOL_CRC(v4l2_querymenu, 0x1f10edfa, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xb94d64cf, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xac92b68a, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x759dae14, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x666a832a, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0xb32bffa8, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0xf33e406b, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xc4ad73ae, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x4b1a06c3, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x74295e2f, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x22d7b4a3, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x651bad43, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x7a7e6c77, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0xfb8dda33, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x1f721957, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x63162844, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x89b53a0f, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x115000df, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x4e096838, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0xc3f405ec, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x3c86890c, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x0ccc1ac6, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x8fb1e993, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x85773d64, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x2ae0877b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xbf873f68, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x34a8f062, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x11f3044c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x418c659b, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xd4478a74, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x6ce1c95c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x8ae07bec, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x51c052a1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xe5a33113, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xdbcf771b, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x6e1f527d, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x088cb863, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xd1acd6a4, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xffc392f3, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf22ab57, "media_devnode_remove" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x54e047c6, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xeaca5bae, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf529b8ff, "led_sysfs_enable" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x6cd7bf6, "fwnode_graph_get_remote_endpoint" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x3eca7cd0, "spi_unregister_device" },
	{ 0x581095c0, "device_unregister" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe3684f30, "media_request_object_unbind" },
	{ 0xcd71d385, "led_put" },
	{ 0x274bd947, "led_trigger_remove" },
	{ 0x31404390, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0xbba45da8, "media_request_object_complete" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x71846b50, "fwnode_graph_get_port_parent" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x82c80d65, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc78f22ff, "media_create_intf_link" },
	{ 0x4f593fa9, "media_create_pad_link" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x5f1a1ab5, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xfe113622, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x1ebf3dff, "i2c_new_scanned_device" },
	{ 0xe180c718, "media_pad_pipeline" },
	{ 0x738803e6, "strnlen" },
	{ 0xd51354e3, "media_request_object_put" },
	{ 0x2a93471d, "module_put" },
	{ 0x316426b4, "media_pipeline_alloc_start" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xeb5a5f20, "media_device_register_entity" },
	{ 0x2bf8c7e4, "media_request_get_by_fd" },
	{ 0x343e5ee7, "cdev_add" },
	{ 0xec0e3f0d, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcfe8ae1c, "i2c_unregister_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9e65446d, "media_request_put" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0xbe6dac86, "spi_new_device" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x253e4066, "media_request_object_bind" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0x4d827951, "media_graph_walk_next" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x68e4feb7, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49315f63, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x244cb6d4, "media_pipeline_start" },
	{ 0xf715f69d, "media_pipeline_stop" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2eadbab8, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2829d9c8, "platform_bus_type" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xedc38c20, "led_set_brightness" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfa65dea3, "media_graph_walk_start" },
	{ 0x7beb1a0c, "media_devnode_create" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xdee9dbab, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x97444882, "media_device_unregister_entity" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xbfbe3b18, "__media_pipeline_start" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x8e76f46e, "led_sysfs_disable" },
	{ 0x65b80cdf, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0xa3b1e0, "pci_bus_type" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x572c1990, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4808ffbd, "cdev_alloc" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "2F1A680D015B7781D296737");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
