#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0xf302f35e, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0xad261a80, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x31e9feb8, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0xbb777f44, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x35d27605, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x2e92dcd9, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0xeef547b1, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0x5ec297b7, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x1787155c, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x1d9d26b9, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x22f0948d, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x333bc2c2, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x3a15b7df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa051fa4f, "usb_bulk_msg" },
	{ 0xbe8f1c6c, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x1dbdff88, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x8fd4de55, "usb_control_msg" },
	{ 0xe09d06f2, "usb_register_driver" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x63b7a19f, "device_for_each_child" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0xe00d082c, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x67e28053, "usb_sg_cancel" },
	{ 0xcb7cec1a, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x98b1d501, "mfd_add_devices" },
	{ 0xf2233225, "usb_enable_autosuspend" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B54AA5A59BA0DE59F004C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
