#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_uhs2_dump_regs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_clear_set_irqs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_remove_host, "_gpl", "");

SYMBOL_CRC(sdhci_uhs2_dump_regs, 0x0720fe12, "_gpl");
SYMBOL_CRC(sdhci_uhs2_reset, 0x728cd1ce, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_power, 0xeb49f7c3, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_timeout, 0x72ab5d63, "_gpl");
SYMBOL_CRC(sdhci_uhs2_clear_set_irqs, 0xa0e0771e, "_gpl");
SYMBOL_CRC(sdhci_uhs2_irq, 0x63fc84da, "_gpl");
SYMBOL_CRC(sdhci_uhs2_add_host, 0x8074c3b7, "_gpl");
SYMBOL_CRC(sdhci_uhs2_remove_host, 0xd392fd3b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x306788b5, "__sdhci_set_timeout" },
	{ 0xebfdda70, "mmc_regulator_set_ocr" },
	{ 0xa6bbfb60, "mmc_regulator_set_vqmmc2" },
	{ 0x3082f95, "sdhci_get_vdd_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3fb3662b, "sdhci_remove_host" },
	{ 0x78fc33d5, "sdhci_setup_host" },
	{ 0xd4fc9cec, "__sdhci_add_host" },
	{ 0xb7da8510, "sdhci_cleanup_host" },
	{ 0x9b38ec44, "regulator_get_current_limit" },
	{ 0xba113c99, "sdhci_data_line_cmd" },
	{ 0xba023fd9, "sdhci_initialize_data" },
	{ 0x9ccee0ab, "sdhci_prepare_dma" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8603d9bf, "sdhci_mod_timer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8f0f0cbf, "sdhci_present_error" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdf93fd05, "sdhci_dumpregs" },
	{ 0x881082f9, "sdhci_finish_mrq" },
	{ 0xef3b27e0, "sdhci_request" },
	{ 0x950e233d, "__sdhci_finish_mrq" },
	{ 0x2ce459e7, "__sdhci_finish_data_common" },
	{ 0x4a94b90, "mmc_command_done" },
	{ 0x36743b05, "sdhci_needs_reset" },
	{ 0xa5d6c617, "sdhci_request_done_dma" },
	{ 0x38dd7040, "sdhci_do_reset" },
	{ 0x15fde117, "mmc_request_done" },
	{ 0x667a6de6, "mmc_detect_change" },
	{ 0x9b1d369c, "sdhci_thread_irq" },
	{ 0x3ee3b87c, "sdhci_complete_work" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd8e0d074, "sdhci_set_ios_common" },
	{ 0x77bff0e9, "sdhci_set_clock" },
	{ 0xbae0ead6, "sdhci_enable_preset_value" },
	{ 0x1ecbfb, "sdhci_set_ios" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");


MODULE_INFO(srcversion, "299B41F5CD50B61E53A4431");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
