#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x435877c9, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x37b11838, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x6462a2d9, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xbda7c1da, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x01d324af, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xcd0ba09d, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xfdf335bc, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xe9a5d863, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x4c64adf2, "_gpl");
SYMBOL_CRC(get_mtd_device, 0xb11d9930, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x6e0b63aa, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x52010d59, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x2edba1ab, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xd8ab5747, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xef03f0d8, "_gpl");
SYMBOL_CRC(mtd_erase, 0xf6b0702f, "_gpl");
SYMBOL_CRC(mtd_point, 0x08be3dc1, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x1d1c661f, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x066f3753, "_gpl");
SYMBOL_CRC(mtd_read, 0xb8c9644c, "_gpl");
SYMBOL_CRC(mtd_write, 0x67491e93, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xdc60ecd9, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0xa3bc9a3a, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x2147cb2f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x28637cf1, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x0856d7d8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x962ec3e1, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x22cbf8d8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x314f9106, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xcccf0023, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x8b2e141f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xf2b5377c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xe5257f44, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x4fbf7068, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x07b4e9c3, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xff2f3163, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x476dc0b9, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x3802a577, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xeb90d3c6, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x71bbcc7a, "_gpl");
SYMBOL_CRC(mtd_lock, 0x1f0ada51, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xe2ef8ec9, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xe909eaf0, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x371f60f4, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xe748cc26, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x71bc1b5f, "_gpl");
SYMBOL_CRC(mtd_writev, 0x9703f5fa, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xd1371b54, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x71678af6, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x1210aedd, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x18c818f4, "");
SYMBOL_CRC(mtd_concat_destroy, 0xf580aa42, "");
SYMBOL_CRC(mtd_add_partition, 0xae6b182c, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x32516c3b, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x1440d614, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xb891f874, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xe515225d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc6961c2, "generic_shutdown_super" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0xfab2c787, "kmemdup_array" },
	{ 0xb7c4b226, "sget_dev" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x4d37616a, "bdi_unregister" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x5b5a9f38, "of_get_compatible_child" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x8a868b1, "bdi_register" },
	{ 0x6ec0176a, "of_node_name_prefix" },
	{ 0x581095c0, "device_unregister" },
	{ 0x50c822a, "nvmem_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb5cea8b, "of_node_get" },
	{ 0xeb475430, "logfc" },
	{ 0x9a4ab63b, "sysfs_remove_files" },
	{ 0xff92d061, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x7e824189, "bdi_put" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb30e398c, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x722d6f62, "of_get_child_by_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xba888b50, "debugfs_create_bool" },
	{ 0xc9e2f7d5, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5d580a0a, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x40f3d4c5, "fixed_size_llseek" },
	{ 0x917d495, "of_property_read_string" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1b5dca72, "bdi_alloc" },
	{ 0x49315f63, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6b0821d6, "of_device_is_compatible" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x76408bba, "__register_chrdev" },
	{ 0x167eb898, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x950aa96e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf20c316e, "remove_proc_entry" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x94eb91d8, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xcce6b8f6, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x58f8c2a5, "of_alias_get_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0x111055e2, "proc_create_single_data" },
	{ 0xf24939a, "nvmem_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb234ba4d, "of_platform_populate" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5655080261274AEC2A5A86D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
