#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x51ffa857, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x8e37cd52, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x22412bc5, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x2940bf01, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x7e02483b, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xe72ef976, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xdc3df418, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x3e534ebf, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xb8a48df6, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xaa1956ae, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x271e2df8, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x75740167, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xce7b8761, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xd287fdac, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xae918f37, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc51b0eb3, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x4f8a7bbd, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xdb15494b, "cdev_device_del" },
	{ 0x581095c0, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x6367157a, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82c80d65, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2edba1ab, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe9aa1c65, "path_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb11d9930, "get_mtd_device" },
	{ 0x54039633, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x8aa3c9f4, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0x2db3a3d0, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x9353c7b1, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x343e5ee7, "cdev_add" },
	{ 0x71bc1b5f, "mtd_block_markbad" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c64adf2, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x40f3d4c5, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd8ab5747, "put_mtd_device" },
	{ 0xe9a5d863, "register_mtd_user" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0xb8c9644c, "mtd_read" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3083cf0a, "freezing_slow_path" },
	{ 0x49315f63, "device_register" },
	{ 0x2bc95bd4, "memset" },
	{ 0x35712b51, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x149a8b46, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0xf6b0702f, "mtd_erase" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x7418e6df, "seq_read" },
	{ 0x6e0b63aa, "__get_mtd_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x67491e93, "mtd_write" },
	{ 0x47e58268, "fwnode_property_read_string" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6b0821d6, "of_device_is_compatible" },
	{ 0xef03f0d8, "__put_mtd_device" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x61689149, "device_get_named_child_node" },
	{ 0x167eb898, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0xe515225d, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6defe1cf, "seq_open" },
	{ 0xd57abc59, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe748cc26, "mtd_block_isbad" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0xd2bf8c18, "class_register" },
	{ 0xb5884078, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x572c1990, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "3235952113D3CA5633203B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
