#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x7fcbcb6a, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x176268a3, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0xf26e3980, "_gpl");
SYMBOL_CRC(mux_chip_free, 0xc735278f, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x8d7f864d, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x4dca51d2, "_gpl");
SYMBOL_CRC(mux_control_states, 0x147f2612, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x8eeeacb8, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x28218772, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0xbaf28f0b, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0xdbc7060e, "_gpl");
SYMBOL_CRC(mux_control_put, 0x15fa6801, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x8c73c286, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x5cab00e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x36befc10, "of_property_match_string" },
	{ 0xcffafb73, "device_match_of_node" },
	{ 0xcf2a6966, "up" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb13ba4d1, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xca963c27, "_dev_err" },
	{ 0xa9997954, "device_add" },
	{ 0xe01b6464, "__of_parse_phandle_with_args" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7bb0891b, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x80f59da4, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0xd2bf8c18, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x11db3e78, "class_find_device" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "330F3890F0AECD292E3B2B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
