#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0xc95e5342, "");
SYMBOL_CRC(vnic_dev_get_res, 0x47105269, "");
SYMBOL_CRC(vnic_dev_unregister, 0x01a578af, "");
SYMBOL_CRC(vnic_dev_register, 0xa67b9ace, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x0a287833, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xf4a43630, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabb12625, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdd9edbba, "pci_find_ext_capability" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x554c17a1, "skb_put" },
	{ 0xde514782, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7fcb82cb, "pci_enable_device_mem" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xd58a1eaf, "pci_iomap" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe13309ab, "unregister_netdev" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x346e9ecd, "pci_disable_msi" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xed01c846, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x1847bd28, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb5f6ee5, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x9ca142b2, "__hw_addr_unsync_dev" },
	{ 0xbcf85c51, "napi_gro_receive" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6f51e49a, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc5c67cc3, "pci_enable_msi" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x14d939b6, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x718addc4, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc0c1d304, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdeea2e81, "dev_close" },
	{ 0x420eabe4, "mem_section" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x4f73d756, "napi_enable" },
	{ 0xb7e0ecef, "netif_receive_skb" },
	{ 0x51813ef6, "nla_put" },
	{ 0x88437415, "register_netdev" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3dd6f53f, "netif_set_xps_queue" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x84867013, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x3e1bf01b, "rps_may_expire_flow" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe834e9f3, "call_netdevice_notifiers" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0xb543776d, "__hw_addr_sync_dev" },
	{ 0xfe0ca4c3, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0x18975520, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xb06c73fa, "__skb_flow_dissect" },
	{ 0xd70c2e4d, "__napi_schedule_irqoff" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8aebe125, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6304507, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CD8CC2CB6AFBD9C335E48CE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
