#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x1d7ba0e0, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x01cdc474, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x522aa54a, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x6efdf273, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x54dc0f1c, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x18df5698, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x303b8b65, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x595b1825, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xfecaace0, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xe32526c5, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x5526a840, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x227ea388, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xcaf23e16, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x19307d8e, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x08575abe, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x02d4dbab, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xb13c2e99, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xaa1ff8bb, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x92877739, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x924f6c70, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xee24c92c, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x7b7d1625, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xbfd21634, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x50527512, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xd8116ea1, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xa68bca10, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x3820fb75, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x1e4ee0b0, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x1160efef, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xa7e79d82, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xfc1c49c6, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x3da8d3c0, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xe5a5fef7, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xd1001002, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x9f55de86, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xff9252ac, "");
SYMBOL_CRC(mlx4_test_async, 0x092a4202, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x31eea892, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x5aa962c1, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xe3d221fe, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x453fafa9, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x91bcb34b, "");
SYMBOL_CRC(mlx4_assign_eq, 0x8630e067, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x310bdc01, "");
SYMBOL_CRC(mlx4_release_eq, 0x70106086, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x72f2c5f9, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xd65ff86a, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x838ae845, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xabbd2997, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x21449cb6, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x1379bac2, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x67ccc8e3, "");
SYMBOL_CRC(mlx4_wol_read, 0x1d1b0ffe, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x1c184bcb, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x8c534176, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xad060a6a, "");
SYMBOL_CRC(set_phv_bit, 0xca2a84aa, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x29659f2c, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x440e9655, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x97ea86fe, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x7e9c7f8f, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x5eae90b5, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xd11cef8f, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x55c233ab, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x227448f7, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x5244307c, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x156d186f, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xec0f991b, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x39cf5772, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xd3a81ecc, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xaf1cf25c, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x93040b6a, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x2a2a72b4, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xaf229d53, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x7bcad7bf, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x09b4e0f4, "");
SYMBOL_CRC(mlx4_read_clock, 0xbf7f39d7, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x00ab042e, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xa8423a00, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xa14c070b, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xef095473, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x9726c1ae, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xea53779c, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xe23658f9, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x6251b47e, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x3cbed66c, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xd414128c, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x3d438f96, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x16a00d3d, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x380b81c0, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x6d19048f, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xa04ccfd1, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xaecceb11, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xb397ebef, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x2107ab08, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xc77027a9, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x7decd9c3, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xa9a4e17c, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xc62ad268, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xed7aed08, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x1acc5111, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x5454c9eb, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x508d6574, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x0f11b517, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x8682417f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x6ebbc0e1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x20e4b9f0, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x18cb4ed5, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x3b298f9d, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x890f77f7, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x1f43396a, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x1c2d3b45, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x9ca9b870, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xa46c48cf, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x69f6f023, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xb66087bf, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x35095133, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xc2e1ff4b, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xd8cfec7d, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xa14d265f, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x443c7ca7, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x2a773b0a, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x650fc3c1, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x1c59580b, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x6a15f08b, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x6e05495a, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xdf5beecd, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x6822d033, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x325ed762, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x3ef49e35, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xed9adb07, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xa077dace, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xe0c03671, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xde134d9b, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x01a92c41, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xa8d1d681, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x8d02a3b1, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x1995714e, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xb08cbc18, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xf201c042, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x2eeec579, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x71e2966e, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x06b230ad, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x236b3a8c, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x2811126d, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x59bb85db, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x19e0122b, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xb05c853a, "");
SYMBOL_CRC(mlx4_get_module_info, 0xa58524d7, "");
SYMBOL_CRC(mlx4_max_tc, 0x6f5d9b60, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x24ddb46c, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x3c70eab4, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xa2ae27af, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xf99f9892, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x57747fa8, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x878d9508, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x7aa052e4, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x8433d8b2, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x75696acb, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x63895366, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x59baec46, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x55847bc8, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xd42be5ff, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xfc74c835, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x679929ae, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe3057c82, "pcie_capability_write_word" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa42d88e6, "devl_region_create" },
	{ 0x2927e6e1, "devlink_unregister" },
	{ 0x2c8ce60, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x9f5e2b87, "auxiliary_device_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x6efdfd38, "devlink_region_snapshot_id_get" },
	{ 0x60aec8a6, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x6bf61bc0, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e14c24c, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x5d0cf56, "pci_sriov_get_totalvfs" },
	{ 0x4a3c702f, "devlink_register" },
	{ 0x25e7509c, "devlink_port_type_clear" },
	{ 0xbd8f209a, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb46bedd9, "param_ops_byte" },
	{ 0x82c80d65, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x130a8c67, "iomap_free" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xb35aef06, "auxiliary_driver_unregister" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x41ed0afe, "__alloc_pages_noprof" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x40ce6d73, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe909dfde, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xb5f6ee5, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x738803e6, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x64dc1bf8, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x5af8e078, "down_write" },
	{ 0xca963c27, "_dev_err" },
	{ 0xb26053df, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x193b0369, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x20926b14, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb70d2cfa, "iomap_create_wc" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4fea069a, "devl_params_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3ac37294, "pci_restore_state" },
	{ 0x80f59da4, "device_del" },
	{ 0x17aafd0e, "devl_param_driverinit_value_set" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xa5b735e, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x23aa1f38, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xf489cab, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0x6535ecd7, "devl_assert_locked" },
	{ 0xdc3cf299, "pcie_print_link_status" },
	{ 0xe3917ef, "devl_port_unregister" },
	{ 0x397e013f, "devl_param_driverinit_value_get" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x35fa664, "devlink_priv" },
	{ 0xfe0ca4c3, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18975520, "pci_disable_msix" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x34e21566, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd0d8621b, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xe166a84f, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x8aebe125, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x14e390e5, "device_remove_file" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0xdfb85d6, "devl_param_value_changed" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
