#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x0062e658, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xb26e15eb, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xa3fe3657, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x2bd0945e, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x816f288d, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xbbc58834, "");
SYMBOL_CRC(mlx5_cmd_check, 0xc03ae8fa, "");
SYMBOL_CRC(mlx5_cmd_do, 0x17997167, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xdedbcfa7, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x04d0d1ed, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xe673c056, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x250fc02e, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x5a9abf1a, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x95564e54, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x3d49ecd4, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xc26bcc67, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x55887cf5, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xcd0ec37a, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xa0e289a2, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x968ce51c, "");
SYMBOL_CRC(mlx5_eq_enable, 0xa6ff8a9b, "");
SYMBOL_CRC(mlx5_eq_disable, 0x6dc27924, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xe6e31886, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xc56258f3, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xc211290a, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x060a9906, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xc0cf4c88, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xaf366ebf, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x747fe4e7, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xc852fb71, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x81c3aca4, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xe5e5f338, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xc2786c45, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x2ff416a6, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x6a173f7c, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xcb07e73d, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x3f6510c5, "");
SYMBOL_CRC(mlx5_create_cq, 0x65841883, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x6c210699, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xebc0a7d7, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x3242c9a6, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x8fc59cf0, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xf55c370b, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xb657486c, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x02ad95ca, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x186865a2, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xb15fd0c9, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x1ff20793, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x5b7edf5e, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x09d9a299, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xaaa56ceb, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x886b2c33, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x5a20a479, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x08c13436, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x3b2b0dca, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x22e533e6, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xbbe10efb, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xa54a336f, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x9711abaa, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x3c56bbc1, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x26455335, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x97212e7e, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xcf2e2c40, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x09972673, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x31ffb255, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xd41abc11, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x6ad1a435, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xc587d5f1, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x891bcfe5, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xd5030f07, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x5a67fae5, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x4d4fa9ae, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xb22c9ee4, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x0f656f24, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x356057d9, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x607903af, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xbb1501a4, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xcc93d00a, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xef0d6a45, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xdc848061, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x6f7ff36b, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x814d1e98, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x33f67ff0, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xd55912fb, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x73ee6b2a, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xe57861d8, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x36e4c2f7, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xa5f6ec33, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x4f04d345, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x0d32d72d, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x74d2c69f, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x2908e1da, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x3935b9e1, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x4254ff65, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x5f08543e, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x12ff89ae, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x34f85553, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xf0f18e96, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x18619ad6, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x23f35e15, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xd3750adf, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x671ebe87, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x7fbf02db, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xdf2e9178, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xdd9d790d, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x2923fe58, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x57f795f5, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x87ec796c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x14707e8a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x4bf99732, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xd20bf967, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x653fd082, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x75b990a7, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x724c2508, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x4cc60486, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xa1ff8f68, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xed49305b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x21a3ae88, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xd8a4f158, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x9b3aa2ca, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x0d381197, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xdbf4b2e3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x234a08c0, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xe6df7d67, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x3242bff8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xffb7cafc, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x42a114b9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xf540c608, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x59134cd0, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xabd62357, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x871efcc7, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xe7427424, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc5467ef5, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe4da4eea, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x30ecd098, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x8dd66992, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x9f5ee1ae, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x43336352, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x64cfd028, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xf8afa157, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x9f5fe38a, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x682c7452, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xd5f6db2d, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x032e7e99, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x96f51555, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x355a8384, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x1d4a0820, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x0fcda8de, "");
SYMBOL_CRC(mlx5_fc_create, 0x90f18d45, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x5778ee35, "");
SYMBOL_CRC(mlx5_fc_query, 0x5a93b505, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x3caf425c, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x7054de8b, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x5b978c98, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x0d2771ab, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x0816e9dd, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x5d8a68ba, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x7ce3f6b9, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x91fa94ab, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xd9850ee4, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xff169815, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xb1dd0d84, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xca43189e, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x0b0e04c0, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xc395ae8a, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xcad195c5, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xf69be6a5, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xbfdb48f0, "");
SYMBOL_CRC(mlx5_notifier_register, 0xa634bb96, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x9a8e6197, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x65e1b1ed, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xb690eb61, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x8a8e538b, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x5d93381b, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x25ff0f8c, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x4cd2103d, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x19182ed8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x09776438, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb00c991b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x19246322, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x78f76f4a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xe24ccfc5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd1e3d889, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x4d9d948b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x774c09b4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xf05a4f11, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xeeb7b170, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xcccbad4e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xa356d496, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xc3eaf573, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x1684df20, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0xcd4354a8, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x8b3d2e76, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xda3403ac, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x0ff4dcc6, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x8293e9ad, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xfba528be, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x560c24e6, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x64acfb9c, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x82fb746a, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x6a6539aa, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x2c7e86dc, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x38e052cf, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x011cc274, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x01a5f581, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x3c5f74ff, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x8e62ad3c, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xd822e1dd, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x7d8174bf, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x520f1dda, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xdf72f9c2, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x50e0e440, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xe7faf7b5, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xb2a6dd1a, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xa835dfc1, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xb208dbfa, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x8942e12c, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x5e7acac5, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x112de06a, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xe5118015, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x0dae81e3, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xbfcb86c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x5a5f59f7, "__inet_lookup_established" },
	{ 0xd15fbdb2, "xsk_tx_completed" },
	{ 0x350fd998, "napi_alloc_skb" },
	{ 0xabb12625, "alloc_etherdev_mqs" },
	{ 0xceb53e05, "netdev_lower_get_next" },
	{ 0x5d1c765d, "secpath_set" },
	{ 0x403b7839, "atomic64_dec_return_cx8" },
	{ 0x8fdaff2d, "flow_block_cb_lookup" },
	{ 0x679929ae, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x35a883a6, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf914e63, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xf4bb1116, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xae34ec68, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x76f9c02a, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x9cc9a868, "bpf_prog_put" },
	{ 0x2cc52056, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x234e6e4e, "pci_cfg_access_unlock" },
	{ 0x57f3aa1f, "xp_dma_map" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2927e6e1, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0x2c8ce60, "dma_pool_create" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b55d6e1, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0x554c17a1, "skb_put" },
	{ 0xde514782, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x929b1a5b, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x73d64152, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9210f2f2, "register_fib_notifier" },
	{ 0x9f5e2b87, "auxiliary_device_init" },
	{ 0xf2c12d1c, "ip6_dst_hoplimit" },
	{ 0x40a0d194, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x575e9c82, "flow_rule_match_enc_ip" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xe2f44ceb, "pci_enable_atomic_ops_to_root" },
	{ 0x4f8a7bbd, "seq_release" },
	{ 0xf19bc55b, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xe914e027, "xsk_clear_tx_need_wakeup" },
	{ 0x134476c9, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x60aec8a6, "devl_lock" },
	{ 0xaa2a72bf, "__iowrite64_copy" },
	{ 0x193b6dc1, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd22791fd, "ndo_dflt_bridge_getlink" },
	{ 0xe13309ab, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x818e333f, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x551da190, "flow_rule_match_tcp" },
	{ 0xe871aaf8, "__kmalloc_node_noprof" },
	{ 0xfdf014e7, "register_netdevice_notifier_dev_net" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x78a183, "devlink_health_reporter_create" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9fbd5295, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x23967b1, "xas_find" },
	{ 0xcf2a6966, "up" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x319023a7, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x6bf61bc0, "pci_num_vf" },
	{ 0x2ace5789, "debugfs_create_atomic_t" },
	{ 0xe608a87c, "flow_rule_match_eth_addrs" },
	{ 0x1bdc8173, "pci_disable_ptm" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x375c016f, "xfrm_state_check_expire" },
	{ 0xcc52b532, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x85dd5ac2, "ptp_clock_index" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x9a80e6d8, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x9336ea38, "flow_block_cb_free" },
	{ 0xb18348e7, "devl_port_fn_devlink_set" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5d432ce2, "xp_can_alloc" },
	{ 0x1ff3017e, "psample_sample_packet" },
	{ 0x1bed2012, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e14c24c, "devlink_alloc_ns" },
	{ 0xe97c6549, "devl_rate_leaf_destroy" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x5d0cf56, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3c702f, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x2b259f2c, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0xe92f861e, "page_pool_destroy" },
	{ 0x2a598342, "xdp_do_redirect" },
	{ 0xbd8f209a, "devlink_free" },
	{ 0x5bf572c2, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x1847bd28, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x7fbb8bcd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7330b4bd, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0x57f8a039, "flow_rule_match_ipv4_addrs" },
	{ 0xa2948dfc, "ip_route_output_flow" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc28a8a6, "sock_gen_put" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xeff3b497, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x841a21be, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x996656b2, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xe84cf78e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc2d53169, "ptp_find_pin" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0x50a87445, "request_firmware_direct" },
	{ 0xf3dd1b49, "flow_rule_match_icmp" },
	{ 0xb35aef06, "auxiliary_driver_unregister" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x41ed0afe, "__alloc_pages_noprof" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xad9758b7, "devlink_port_attrs_pci_vf_set" },
	{ 0xe909dfde, "priv_to_devlink" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf7e8d84b, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x90ee9713, "net_dim" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0xe5941663, "devlink_port_health_reporter_create" },
	{ 0x317a7767, "pcie_relaxed_ordering_enabled" },
	{ 0xd46c214a, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0xf7502295, "devlink_port_attrs_pci_pf_set" },
	{ 0x4bbcef99, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9c7f0c8a, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x1e780a05, "skb_vlan_pop" },
	{ 0xbcf85c51, "napi_gro_receive" },
	{ 0x61ab5b69, "netif_device_attach" },
	{ 0x6496a74d, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xcc615717, "netdev_pick_tx" },
	{ 0xc293a416, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x5c98d739, "xp_raw_get_dma" },
	{ 0xb8f8e189, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x4586fd4f, "xdp_rxq_info_is_reg" },
	{ 0x3484765, "flow_rule_match_enc_opts" },
	{ 0x632780, "work_busy" },
	{ 0x469b2f94, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x6e333f8a, "free_fib_info" },
	{ 0xd7db8c29, "devl_health_reporter_create" },
	{ 0x4cc0b3bc, "flow_block_cb_setup_simple" },
	{ 0x37f48030, "pci_msix_can_alloc_dyn" },
	{ 0xbe4f82cf, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6e3435f5, "unregister_netdevice_notifier_dev_net" },
	{ 0xac068e47, "pci_find_capability" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe5b2e9b5, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x2e3f1507, "flow_rule_match_ct" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xf2dc379c, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0x7ff58d3d, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x86ec7ea3, "devlink_port_unregister" },
	{ 0xf7a2f65c, "dev_get_port_parent_id" },
	{ 0x5af8e078, "down_write" },
	{ 0xca963c27, "_dev_err" },
	{ 0xb26053df, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x14d939b6, "softnet_data" },
	{ 0xb5c5685d, "ipv6_stub" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x81427f5c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0x46f373a5, "ptp_clock_register" },
	{ 0xb7348b9f, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe9e8947f, "xsk_tx_peek_desc" },
	{ 0x46a66b1f, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x718addc4, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x193b0369, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6ab0c7a6, "irq_get_irq_data" },
	{ 0x1a350b38, "dev_remove_pack" },
	{ 0xc0c1d304, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xa3de4c5c, "dev_get_by_index" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0x6838039a, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x3da83fbc, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x20926b14, "devl_port_register_with_ops" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0xf2982e19, "netdev_printk" },
	{ 0x728a89e, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x31b49543, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x4f73d756, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x52523ffc, "xsk_clear_rx_need_wakeup" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x41df12a9, "unregister_netdevice_notifier_net" },
	{ 0xc7599eb0, "auxiliary_device_sysfs_irq_remove" },
	{ 0x1504ec59, "xsk_uses_need_wakeup" },
	{ 0x88437415, "register_netdev" },
	{ 0x1b33bd3f, "unregister_fib_notifier" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x7fb98270, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x60a945c3, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xf4f96ff0, "debugfs_create_size_t" },
	{ 0x4fea069a, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xe9af7397, "__xa_set_mark" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xc86f14f2, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x3dd6f53f, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x23d501ad, "__ethtool_get_link_ksettings" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x3ac37294, "pci_restore_state" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x41f43091, "__inet6_lookup_established" },
	{ 0x84867013, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x80f59da4, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x2490d6ec, "page_pool_create" },
	{ 0xe0486dd8, "skb_checksum" },
	{ 0x17aafd0e, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x97b81aa, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xa5b735e, "__kmalloc_cache_node_noprof" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x4ca501c3, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe418152a, "devl_resources_unregister" },
	{ 0x8b0e06e5, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xe940dae6, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x2b05e6cf, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2006dfad, "debugfs_create_u32" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x404765a0, "flow_rule_match_ipv6_addrs" },
	{ 0xd3cb4d53, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x23aa1f38, "devl_params_unregister" },
	{ 0x5235d1f0, "ptp_clock_unregister" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0xc371e195, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x2af449f8, "devlink_trap_report" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x81fa3a5e, "__neigh_event_send" },
	{ 0xdb1880e2, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0x64772257, "dev_printk_emit" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x32ca4f72, "devl_traps_register" },
	{ 0xf489cab, "devl_unlock" },
	{ 0xe5c20137, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x5077785f, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xced5848b, "flow_rule_match_enc_control" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x7418e6df, "seq_read" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xcefcf0d9, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x3e1bf01b, "rps_may_expire_flow" },
	{ 0x3739bece, "metadata_dst_free" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x6f2afe91, "xsk_set_tx_need_wakeup" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd7b8edeb, "netdev_reset_tc" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x12acf6ac, "neigh_destroy" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x619f5b01, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xb087137a, "debugfs_create_x32" },
	{ 0xd376e1e6, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9709dbc5, "current_work" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x9835485b, "flow_rule_match_enc_ports" },
	{ 0xea6d6006, "xdp_return_frame_bulk" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0x59b8d02c, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x930ba07, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x6535ecd7, "devl_assert_locked" },
	{ 0xdc3cf299, "pcie_print_link_status" },
	{ 0x8a8707ec, "xp_set_rxq_info" },
	{ 0xe0f91dab, "flow_rule_match_vlan" },
	{ 0xe3917ef, "devl_port_unregister" },
	{ 0x20e88466, "xdp_rxq_info_unreg" },
	{ 0xe05a1930, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x397e013f, "devl_param_driverinit_value_get" },
	{ 0xae7fd7e7, "napi_build_skb" },
	{ 0xd338c898, "netdev_master_upper_dev_get_rcu" },
	{ 0x867e8cb4, "__xdp_rxq_info_reg" },
	{ 0xa8df189a, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xa8c0d9cc, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9da34be0, "bpf_prog_inc" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x4f68d2b3, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0x5121170a, "seq_printf" },
	{ 0x403ca1f7, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x35fa664, "devlink_priv" },
	{ 0x3a0c970a, "pci_enable_ptm" },
	{ 0x129c1e21, "devlink_port_register_with_ops" },
	{ 0xfe0ca4c3, "pci_disable_sriov" },
	{ 0xd4c7f9c, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0x4d6f5c1b, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xd171f5b7, "hwmon_device_unregister" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0x7875d246, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0x5e29ca2, "bitmap_from_arr64" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xb926db7c, "xp_free" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x65bd4f0c, "page_pool_update_nid" },
	{ 0xac25594b, "single_release" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x34e21566, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa015f679, "netif_set_tso_max_size" },
	{ 0xab63b8bb, "vlan_dev_vlan_id" },
	{ 0xb06c73fa, "__skb_flow_dissect" },
	{ 0x514d4bde, "pci_msix_alloc_irq_at" },
	{ 0x6defe1cf, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x616c12ac, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xf109f6f5, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4d63a3cd, "skb_coalesce_rx_frag" },
	{ 0xc3bcfafa, "xp_raw_get_data" },
	{ 0x214d3e12, "tls_validate_xmit_skb" },
	{ 0xd57abc59, "page_address" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0x898949d4, "qdisc_reset" },
	{ 0x9680a25c, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x407872d0, "xp_alloc_batch" },
	{ 0xf7e89d30, "flow_rule_match_mpls" },
	{ 0xd0d8621b, "strlen" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x6d38c616, "dcb_ieee_delapp" },
	{ 0x8d975279, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x62f6342b, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x62cdb6b0, "debugfs_create_u8" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x76ea4ade, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xcca79a91, "skb_ext_add" },
	{ 0x84721a2d, "pcie_bandwidth_available" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xec612b37, "flow_rule_match_control" },
	{ 0x21f901b3, "flow_rule_match_ip" },
	{ 0x8aebe125, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x8972768c, "atomic64_dec_if_positive_cx8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xc063bed4, "auxiliary_device_sysfs_irq_add" },
	{ 0xab2ad566, "dcb_ieee_setapp" },
	{ 0x94ea8460, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc4685bf7, "xsk_tx_release" },
	{ 0x116c2085, "devl_traps_unregister" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xf23a590d, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x6304507, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x17fe399d, "neigh_lookup" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x675e7041, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "ptp,psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "0CF23E5204BF8A111FFCE45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
