#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xabe6c90b, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xdf518823, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x679929ae, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x234e6e4e, "pci_cfg_access_unlock" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0x554c17a1, "skb_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe92f861e, "page_pool_destroy" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x57e736af, "mlxsw_cmd_exec" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xeff3b497, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49598b72, "mlxsw_core_bus_device_register" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x48aa669e, "dev_set_threaded" },
	{ 0xbb6a2fd5, "__pci_reset_function_locked" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x4f73d756, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x65248ca5, "free_netdev" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc86f14f2, "page_pool_put_unrefed_netmem" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xef8e0b1d, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3ac37294, "pci_restore_state" },
	{ 0x2490d6ec, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x39aaef4d, "mlxsw_core_ptp_transmitted" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x8f1943d5, "alloc_netdev_dummy" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0xe05a1930, "page_pool_alloc_pages" },
	{ 0xae7fd7e7, "napi_build_skb" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x616c12ac, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd57abc59, "page_address" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0x9680a25c, "napi_consume_skb" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "7FF019A6D3D4E4E43DCDF80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
