#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x82f214b2, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xad85eb00, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xdec28dae, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xb332753a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xc2205851, "ether_setup" },
	{ 0x23d501ad, "__ethtool_get_link_ksettings" },
	{ 0xeb33abfa, "ethtool_get_ts_info_by_layer" },
	{ 0xb26053df, "init_net" },
	{ 0x206b3f37, "generic_hwtstamp_set_lower" },
	{ 0xedcd20b6, "generic_hwtstamp_get_lower" },
	{ 0x9fcb1217, "dev_mc_del" },
	{ 0xf83f6a9f, "dev_uc_del" },
	{ 0x1eb80e0e, "dev_mc_add_excl" },
	{ 0xa9d45b42, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x953dbff9, "__netpoll_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x30aefde0, "vlan_vid_del" },
	{ 0x809addba, "vlan_vid_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x26202763, "dev_uc_sync" },
	{ 0xf1263f8, "dev_mc_sync" },
	{ 0x520aeb45, "dev_set_allmulti" },
	{ 0x3beb5d67, "dev_set_promiscuity" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x631a025d, "dev_uc_add" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf06e1379, "dev_uc_unsync" },
	{ 0x136aec13, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcd73e9a8, "netdev_rx_handler_unregister" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8d2bea78, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xa763b32b, "netif_inherit_tso_max" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0x51813ef6, "nla_put" },
	{ 0x933715b1, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0xe23d20f8, "netdev_is_rx_handler_busy" },
	{ 0x2606e177, "netdev_rx_handler_register" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x3e4de138, "netdev_upper_dev_link" },
	{ 0x8972dd8b, "netif_stacked_transfer_operstate" },
	{ 0xc4448f64, "linkwatch_fire_event" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xac5c567e, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1787ebce, "dev_set_mtu" },
	{ 0x40a0d194, "netdev_update_features" },
	{ 0xe834e9f3, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa07b1124, "skb_clone" },
	{ 0x176fc762, "netif_rx" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe660b610, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0xc64a2f11, "dev_forward_skb" },
	{ 0x14c70b60, "netpoll_send_skb" },
	{ 0xa0f18394, "__netif_rx" },
	{ 0x445f2545, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4dbd43c4, "netdev_core_stats_inc" },
	{ 0x6cab586f, "passthru_features_check" },
	{ 0xed01c846, "eth_validate_addr" },
	{ 0x68fced50, "ndo_dflt_fdb_dump" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xc1fd34d3, "eth_header_parse" },
	{ 0x52709276, "eth_header_cache" },
	{ 0x51af4961, "eth_header_cache_update" },
	{ 0x174a9eb1, "eth_header_parse_protocol" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F9909715E5021DE87BEA24");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
