#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xff0d4b0c, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xfeca8f15, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x32e0ddb3, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x9b1628ff, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xeb17f010, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xcf6edb41, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x3e818aa2, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x26f60d8c, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xccbb7586, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xa6fe3a64, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xd778cbc0, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xb47aa5cd, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xd0a8fd79, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xeae9438a, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xaf3a2941, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x86f635eb, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x4868e7f4, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x149b5333, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x9403b6b9, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x5a505fc7, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xf3f2ebce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc13bd03, "mdiobus_write" },
	{ 0x5ea18f86, "mdiobus_read" },
	{ 0x55170b7c, "phy_write_mmd" },
	{ 0x93a01e11, "phy_modify" },
	{ 0x9ddc10ec, "phy_trigger_machine" },
	{ 0xa294ddd, "phy_error" },
	{ 0x9a297497, "phy_modify_changed" },
	{ 0x989dad3a, "genphy_update_link" },
	{ 0x1eaf8385, "genphy_read_lpa" },
	{ 0xa2173782, "phy_resolve_aneg_pause" },
	{ 0xf0312237, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xca963c27, "_dev_err" },
	{ 0xa80a3dbb, "phy_read_mmd" },
	{ 0x7315e3c5, "ethnl_cable_test_result_with_src" },
	{ 0x14db10f6, "ethnl_cable_test_fault_length_with_src" },
	{ 0xb77703, "phy_modify_mmd" },
	{ 0xaeb8c046, "genphy_soft_reset" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
