#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xf1932041, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x22319564, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xfa1a7180, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x5d7ecdf2, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x0fcb2c6a, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0xb5bdd31f, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x168309ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ea18f86, "mdiobus_read" },
	{ 0x9ddc10ec, "phy_trigger_machine" },
	{ 0xa294ddd, "phy_error" },
	{ 0x4b3a5de7, "genphy_read_status" },
	{ 0xdc13bd03, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x9b052c9c, "device_property_present" },
	{ 0xffa862ce, "devm_clk_get_optional_enabled_with_rate" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0x5a587d47, "phy_drivers_register" },
	{ 0xa80a3dbb, "phy_read_mmd" },
	{ 0x8ea6697d, "__genphy_config_aneg" },
	{ 0x93a01e11, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xaeb8c046, "genphy_soft_reset" },
	{ 0x24db9c7c, "phy_drivers_unregister" },
	{ 0xf102732a, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x55170b7c, "phy_write_mmd" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x8968499a, "genphy_suspend" },
	{ 0xcacb0769, "genphy_resume" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "594B0BF04C1782A6F49D9AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
