#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x65eb0d9d, "_gpl");
SYMBOL_CRC(rndis_command, 0x3adb90c8, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x9fc248d8, "_gpl");
SYMBOL_CRC(rndis_unbind, 0xd52e90af, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x0a10b3c3, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x079e1cf2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8fd4de55, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a916942, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xca963c27, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x5d6bf5b0, "usbnet_generic_cdc_bind" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x59d80ee2, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5c20137, "__dynamic_netdev_dbg" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x45c74dfa, "usbnet_cdc_zte_rx_fixup" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xdd71fc09, "usbnet_skb_return" },
	{ 0x52ef5b0, "skb_copy_expand" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x8235805b, "memmove" },
	{ 0xe09d06f2, "usb_register_driver" },
	{ 0xcb7cec1a, "usb_deregister" },
	{ 0x56734b36, "usbnet_cdc_unbind" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x986e177, "usbnet_probe" },
	{ 0x7deefd37, "usbnet_disconnect" },
	{ 0x7fc540d, "usbnet_suspend" },
	{ 0x36c586c, "usbnet_resume" },
	{ 0x3b3fc99f, "usbnet_open" },
	{ 0x703c2f8c, "usbnet_stop" },
	{ 0x17924505, "usbnet_start_xmit" },
	{ 0x34005f98, "eth_mac_addr" },
	{ 0xed01c846, "eth_validate_addr" },
	{ 0xc454af8b, "usbnet_tx_timeout" },
	{ 0x23ac5de, "dev_get_tstats64" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
