#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x1a2b98cd, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x7adb298c, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x96f6b859, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x0bac4951, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x15d9ade8, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0xc3bceaf8, "__nlmsg_put" },
	{ 0xae3efa0a, "netdev_adjacent_change_commit" },
	{ 0x34005f98, "eth_mac_addr" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x929b1a5b, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf2c12d1c, "ip6_dst_hoplimit" },
	{ 0x19d23b22, "param_ops_ushort" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0xa52f7abf, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1b91c9e6, "udp_tunnel6_xmit_skb" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5fb32d88, "__unregister_nexthop_notifier" },
	{ 0xa763b32b, "netif_inherit_tso_max" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xed01c846, "eth_validate_addr" },
	{ 0x54f59daa, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x68b896a8, "rtnl_create_link" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x28e136bd, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc2205851, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0d6d3fb, "udp_tunnel_drop_rx_port" },
	{ 0x3e4de138, "netdev_upper_dev_link" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x1cbd83df, "register_pernet_subsys" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x75afc7c0, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x32aa50bf, "eth_gro_complete" },
	{ 0x7447a964, "rtnl_set_sk_err" },
	{ 0xfe1ded86, "eth_gro_receive" },
	{ 0x3aaf41a6, "rtnl_configure_link" },
	{ 0x82c5db17, "skb_tunnel_check_pmtu" },
	{ 0x84c7661f, "udp_tunnel_dst_lookup" },
	{ 0x17df14d6, "rtnl_unicast" },
	{ 0x2b821811, "peernet2id" },
	{ 0x4c609d60, "__skb_get_hash_net" },
	{ 0xba99a530, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb5c5685d, "ipv6_stub" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0xceb32c9b, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0xf2a62082, "gro_cells_receive" },
	{ 0x8af1193f, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xac5c567e, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0x6c6393a1, "__rtnl_register_many" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc55f99a1, "ip_mc_join_group" },
	{ 0xf9e46725, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xa1283390, "nexthop_find_by_id" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb986635e, "arp_create" },
	{ 0x23d501ad, "__ethtool_get_link_ksettings" },
	{ 0xe10a9b1e, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x63e10147, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x86e82d4c, "netdev_adjacent_change_abort" },
	{ 0x5ecaf7c7, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfd9f32ea, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfb3e7bc2, "__iptunnel_pull_header" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x176fc762, "netif_rx" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xe4f08391, "setup_udp_tunnel_sock" },
	{ 0x86703a17, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe5c20137, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb207f4, "skb_scrub_packet" },
	{ 0x636a8c5a, "nexthop_select_path" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3739bece, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x12acf6ac, "neigh_destroy" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x4a0c487d, "udp_tun_rx_dst" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb48a8325, "rtnl_notify" },
	{ 0x79bcd42d, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa0f18394, "__netif_rx" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xd4c7f9c, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x7875d246, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xba93d696, "udp_tunnel_notify_del_rx_port" },
	{ 0xd53c8637, "register_nexthop_notifier" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1e0bb7c7, "ip_mc_leave_group" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6d43399f, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xfb0414c4, "gro_find_receive_by_type" },
	{ 0x4dbd43c4, "netdev_core_stats_inc" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6304507, "netdev_info" },
	{ 0x17fe399d, "neigh_lookup" },
	{ 0x4b835230, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "8B15A6A76DCA24C2F617E35");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
