#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x088c7f3e, "");
SYMBOL_CRC(ath10k_info, 0xbb4ddf84, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x4de12651, "");
SYMBOL_CRC(ath10k_err, 0x3db40ec7, "");
SYMBOL_CRC(ath10k_warn, 0xb8bef3db, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x36001938, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xe0906b14, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x1690c95c, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xd085a298, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x978499d0, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x58a7e5aa, "");
SYMBOL_CRC(ath10k_core_start, 0x13972374, "");
SYMBOL_CRC(ath10k_core_stop, 0x67ac4979, "");
SYMBOL_CRC(ath10k_core_register, 0xac3dcadf, "");
SYMBOL_CRC(ath10k_core_unregister, 0x1a070ffa, "");
SYMBOL_CRC(ath10k_core_create, 0xbad49dcc, "");
SYMBOL_CRC(ath10k_core_destroy, 0x803bcf14, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x89f54b56, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xf32ca5ee, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x4e2291c0, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x32b1c89e, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xd26cdd90, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x46e80527, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x40594173, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x4cb296e0, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x81b2b16c, "");
SYMBOL_CRC(ath10k_bmi_start, 0x5dfc569d, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x08609de3, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xaf0c02ea, "");
SYMBOL_CRC(ath10k_coredump_new, 0x21d62df9, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x447fe16c, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xd4498c79, "");
SYMBOL_CRC(ath10k_ce_send, 0x84d84309, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xac39cf2e, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xe1aad175, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xa3cd2211, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x60f1d8a1, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x25b461b0, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xb061e9e2, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x8cafcdd5, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x0c208a41, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x6de0f103, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xcf46af43, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x0079167d, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x5d79031c, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xf0cb764d, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x5af8bfea, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x8783b950, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x55fe651e, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xcddfa380, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x53a453f7, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x563e4ff0, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x64012533, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xcae911a3, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x5e12e61a, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xcd149194, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0x8f0b7b98, "ieee80211_beacon_update_cntdwn" },
	{ 0x7c0db2d, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf856cf39, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x1e83a80d, "ieee80211_manage_rx_ba_offl" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdea1ddb2, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x127d5258, "ieee80211_txq_get_depth" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x947102b4, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x554c17a1, "skb_put" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb39dfca1, "firmware_request_nowarn" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x13e13615, "ieee80211_txq_may_transmit" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb9bc4913, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf93f3e9d, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x534a5357, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x6a0aadc7, "ieee80211_iterate_stations_atomic" },
	{ 0xfcd98870, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0xca46525e, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x5b91f5b6, "thermal_cooling_device_register" },
	{ 0x55cc47fc, "led_classdev_unregister" },
	{ 0xf47bfb86, "ieee80211_register_hw" },
	{ 0xb7ed62a0, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x1cbb6f21, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5a37084, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8582715d, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4fb6c233, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc0de334e, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x5442483d, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x61a123be, "ieee80211_get_channel_khz" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe4c2df3e, "wiphy_to_ieee80211_hw" },
	{ 0x935b5b00, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x611caf6f, "ieee80211_queue_delayed_work" },
	{ 0xe3cc6c3, "ieee80211_proberesp_get" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbbdc2189, "init_uts_ns" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfdd5a96d, "ieee80211_find_sta_by_ifaddr" },
	{ 0x36742a2a, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x12abf140, "ieee80211_remain_on_channel_expired" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x4f73d756, "napi_enable" },
	{ 0xdb9526df, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x8dc2befa, "ieee80211_wake_queues" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x917d495, "of_property_read_string" },
	{ 0xb8a3cae2, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2e750209, "ieee80211_report_low_ack" },
	{ 0x305b603d, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x330f51d4, "ieee80211_free_txskb" },
	{ 0x4638a8cc, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1614c063, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1e1e6c7f, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2e183288, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x4738a9b6, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x6665e98e, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x506cd8eb, "of_property_read_variable_u8_array" },
	{ 0x49b65c4, "devm_nvmem_cell_get" },
	{ 0xefda6691, "ieee80211_stop_queue" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0xc72802a0, "ieee80211_ready_on_channel" },
	{ 0x63f670, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbbf2210b, "skb_realloc_headroom" },
	{ 0x53e705fc, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8f1943d5, "alloc_netdev_dummy" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xff327d97, "ieee80211_scan_completed" },
	{ 0x78f34a2f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xc424b0c3, "ieee80211_unregister_hw" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4ba85a03, "ath_regd_init" },
	{ 0xb769ff7b, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x46294119, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5d98c6f5, "ieee80211_tdls_oper_request" },
	{ 0x158ebaec, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x93b2eea6, "thermal_cooling_device_unregister" },
	{ 0x2cdc89c3, "ieee80211_tx_rate_update" },
	{ 0xbd5c592c, "ieee80211_queue_work" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xd0d8621b, "strlen" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x9ace5047, "__cfg80211_get_bss" },
	{ 0x778ef414, "of_property_read_string_helper" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0x9a3f4a5b, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "1E0B95F0DB308258D165BF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
