#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xacde553e, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x4724d545, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x4b7f81a0, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x34800026, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x7b0e8574, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xdf2824a3, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x33bb5d0d, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x845ff45a, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x70a6401e, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x21704144, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x86606743, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0xf4cc4688, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xda040cde, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x1ae73800, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ef5b0e1, "ath9k_hw_set_txpowerlimit" },
	{ 0xc35edccf, "ath_hw_keyreset" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x8235805b, "memmove" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x7b10180d, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
