#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xeb7f773a, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x04199e61, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x730225b6, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x2aab4c3d, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x065ee72e, "_gpl");
SYMBOL_CRC(lbs_resume, 0x0e02947d, "_gpl");
SYMBOL_CRC(lbs_add_card, 0xa016f8a0, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0x86b515d4, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x59045aea, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x86069820, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0x80455f0e, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x4ec3536e, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x13bd703f, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0xcba2c0ec, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x6fc505b6, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xc233fafb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x401f758a, "cfg80211_scan_done" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xe13309ab, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xca46525e, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xed01c846, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x94c8fa35, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb6f27545, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc2205851, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x54039633, "wake_up_process" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xbc897b8d, "alloc_netdev_mqs" },
	{ 0x66db5f94, "wiphy_new_nm" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xb2961017, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x5442483d, "cfg80211_put_bss" },
	{ 0x9c7f0c8a, "netif_device_detach" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x61ab5b69, "netif_device_attach" },
	{ 0x61a123be, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x64dc1bf8, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca963c27, "_dev_err" },
	{ 0x5bfaa7d7, "cfg80211_ibss_joined" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc8195ddd, "request_firmware_nowait" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf0c5ea15, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x88437415, "register_netdev" },
	{ 0xc954318c, "wiphy_unregister" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x84867013, "netif_tx_wake_queue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x176fc762, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b929afa, "netdev_alert" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8f3acbc8, "cfg80211_inform_bss_data" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xd0d8621b, "strlen" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xef1c3b36, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x233ef137, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x9ace5047, "__cfg80211_get_bss" },
	{ 0x4cfcb259, "wiphy_free" },
	{ 0xaf1f54c8, "ieee80211_get_num_supported_channels" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6304507, "netdev_info" },
	{ 0x14e390e5, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "9C3B0396A77C532A7638E9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
