#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0xb5f47190, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xf46a545a, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x61975622, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x6ddda306, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x76554ff7, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xde5f09c8, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x56f189a9, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x36092eb1, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xa16cd5e3, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xf32fd5e2, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x1854deb4, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x555e3f8d, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x00be3df4, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x80da0813, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x537d97e7, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xd6e10c02, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x9af34675, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x9d3ec5e1, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x7741a9a9, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x34efd3d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d00da13, "mt76_init_sar_power" },
	{ 0x7f1d4f09, "mt76x02_phy_adjust_vga_gain" },
	{ 0x3df4f8e, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0400aa6, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc675f61c, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xace96a74, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x7adb1978, "mt76_eeprom_init" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcb83892, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x991148f8, "mt76_mcu_send_and_get_msg" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0xa1fbf43, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5ece56b8, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9001224c, "mt76_get_sar_power" },
	{ 0xfea94f4, "mt76x02_eeprom_copy" },
	{ 0xfe409168, "mt76x02_mcu_calibrate" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd8543887, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x2b46756a, "mt76_get_min_avg_rssi" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "539D28121D9F13BE1DFE0F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
