#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x3cfa6c9a, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x901aafe7, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x35a9ca38, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x437f74da, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0xbb277fde, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x442e9208, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf856cf39, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x34005f98, "eth_mac_addr" },
	{ 0x554c17a1, "skb_put" },
	{ 0x401f758a, "cfg80211_scan_done" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x626ea4c1, "cfg80211_cac_event" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x716eeb9a, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2e60bace, "memcpy" },
	{ 0xca46525e, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x796516cd, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xa405026, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb6f27545, "cfg80211_disconnected" },
	{ 0xc2205851, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x996656b2, "netdev_port_same_parent_id" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc897b8d, "alloc_netdev_mqs" },
	{ 0x66db5f94, "wiphy_new_nm" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb2961017, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x5442483d, "cfg80211_put_bss" },
	{ 0x16a9567c, "cfg80211_ch_switch_notify" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x61a123be, "ieee80211_get_channel_khz" },
	{ 0x977f68ee, "cfg80211_check_combinations" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x8ed2e49f, "__cfg80211_radar_event" },
	{ 0x85ebacd0, "cfg80211_get_drvinfo" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe5d2362, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf0c5ea15, "cfg80211_michael_mic_failure" },
	{ 0xc523b09f, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x6d5cc61d, "cfg80211_del_sta_sinfo" },
	{ 0xa59f769e, "cfg80211_update_owe_info_event" },
	{ 0xc954318c, "wiphy_unregister" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xecbe77aa, "netif_tx_stop_all_queues" },
	{ 0x84867013, "netif_tx_wake_queue" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x2f7b8c11, "wdev_chandef" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x44042ff8, "cfg80211_unregister_wdev" },
	{ 0x61a9c4af, "platform_device_register_full" },
	{ 0x3540267, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90927770, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x98751448, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfed47246, "netdev_walk_all_lower_dev" },
	{ 0x8f3acbc8, "cfg80211_inform_bss_data" },
	{ 0x1a00cb63, "cfg80211_shutdown_all_interfaces" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x60f876df, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x233ef137, "cfg80211_connect_done" },
	{ 0x9ace5047, "__cfg80211_get_bss" },
	{ 0x4cfcb259, "wiphy_free" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "64D2906C8697FF93844C01C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
