#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtl_tid_to_ac, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_deferred_work, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rfkill, "", "");
KSYMTAB_FUNC(rtl_deinit_rfkill, "_gpl", "");
KSYMTAB_FUNC(rtl_init_core, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_core, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rx_config, "_gpl", "");
KSYMTAB_FUNC(rtl_mrate_idx_to_arfr_id, "", "");
KSYMTAB_FUNC(rtlwifi_rate_mapping, "", "");
KSYMTAB_FUNC(rtl_get_tcb_desc, "", "");
KSYMTAB_FUNC(rtl_tx_mgmt_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_action_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_is_special_data, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_ackqueue, "_gpl", "");
KSYMTAB_FUNC(rtl_set_tx_report, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_report_handler, "_gpl", "");
KSYMTAB_FUNC(rtl_get_hal_edca_param, "_gpl", "");
KSYMTAB_FUNC(rtl_rx_ampdu_apply, "", "");
KSYMTAB_FUNC(rtl_beacon_statistic, "_gpl", "");
KSYMTAB_FUNC(rtl_collect_scan_list, "", "");
KSYMTAB_FUNC(rtl_c2hcmd_enqueue, "", "");
KSYMTAB_FUNC(rtl_send_smps_action, "", "");
KSYMTAB_FUNC(rtl_phy_scan_operation_backup, "", "");
KSYMTAB_FUNC(rtl_recognize_peer, "_gpl", "");
KSYMTAB_DATA(rtl_global_var, "_gpl", "");
KSYMTAB_FUNC(rtl_cam_add_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_delete_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_reset_all_entry, "", "");
KSYMTAB_FUNC(rtl_cam_mark_invalid, "", "");
KSYMTAB_FUNC(rtl_cam_empty_entry, "", "");
KSYMTAB_FUNC(rtl_cam_get_free_entry, "", "");
KSYMTAB_FUNC(rtl_cam_del_entry, "", "");
KSYMTAB_DATA(channel5g, "", "");
KSYMTAB_DATA(channel5g_80m, "", "");
KSYMTAB_FUNC(rtl_addr_delay, "", "");
KSYMTAB_FUNC(rtl_rfreg_delay, "", "");
KSYMTAB_FUNC(rtl_bb_delay, "", "");
KSYMTAB_FUNC(rtl_fw_cb, "", "");
KSYMTAB_FUNC(rtl_wowlan_fw_cb, "", "");
KSYMTAB_FUNC(rtl_update_beacon_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_hal_pwrseqcmdparsing, "", "");
KSYMTAB_FUNC(rtl_cmd_send_packet, "", "");
KSYMTAB_FUNC(rtl_init_sw_leds, "", "");
KSYMTAB_DATA(rtl_ops, "_gpl", "");
KSYMTAB_FUNC(rtl_btc_status_false, "_gpl", "");
KSYMTAB_FUNC(rtl_dm_diginit, "", "");
KSYMTAB_FUNC(_rtl_dbg_print, "_gpl", "");
KSYMTAB_FUNC(_rtl_dbg_print_data, "_gpl", "");
KSYMTAB_FUNC(rtl_debug_add_one, "_gpl", "");
KSYMTAB_FUNC(rtl_debug_remove_one, "_gpl", "");
KSYMTAB_FUNC(efuse_read_1byte, "", "");
KSYMTAB_FUNC(read_efuse_byte, "_gpl", "");
KSYMTAB_FUNC(efuse_shadow_read, "", "");
KSYMTAB_FUNC(rtl_efuse_shadow_map_update, "", "");
KSYMTAB_FUNC(efuse_one_byte_read, "", "");
KSYMTAB_FUNC(efuse_power_switch, "", "");
KSYMTAB_FUNC(rtl_get_hwinfo, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_block_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_page_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fill_dummy, "_gpl", "");
KSYMTAB_FUNC(rtl_efuse_ops_init, "_gpl", "");
KSYMTAB_FUNC(rtl_ps_enable_nic, "", "");
KSYMTAB_FUNC(rtl_ps_disable_nic, "", "");
KSYMTAB_FUNC(rtl_ips_nic_on, "_gpl", "");
KSYMTAB_FUNC(rtl_swlps_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_change_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_enter, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_leave, "_gpl", "");
KSYMTAB_FUNC(rtl_p2p_info, "_gpl", "");
KSYMTAB_FUNC(rtl_query_rxpwrpercentage, "", "");
KSYMTAB_FUNC(rtl_evm_db_to_percentage, "", "");
KSYMTAB_FUNC(rtl_signal_scale_mapping, "", "");
KSYMTAB_FUNC(rtl_process_phyinfo, "", "");

SYMBOL_CRC(rtl_tid_to_ac, 0x97e05663, "_gpl");
SYMBOL_CRC(rtl_deinit_deferred_work, 0x5c390c66, "_gpl");
SYMBOL_CRC(rtl_init_rfkill, 0x9928e303, "");
SYMBOL_CRC(rtl_deinit_rfkill, 0x619370d3, "_gpl");
SYMBOL_CRC(rtl_init_core, 0xd6c111c5, "_gpl");
SYMBOL_CRC(rtl_deinit_core, 0x106ff1e0, "_gpl");
SYMBOL_CRC(rtl_init_rx_config, 0xfdae40ee, "_gpl");
SYMBOL_CRC(rtl_mrate_idx_to_arfr_id, 0x4e54c876, "");
SYMBOL_CRC(rtlwifi_rate_mapping, 0x89350574, "");
SYMBOL_CRC(rtl_get_tcb_desc, 0x1aeaff94, "");
SYMBOL_CRC(rtl_tx_mgmt_proc, 0x663f5f24, "_gpl");
SYMBOL_CRC(rtl_action_proc, 0xe46b615f, "_gpl");
SYMBOL_CRC(rtl_is_special_data, 0x3db2ead1, "_gpl");
SYMBOL_CRC(rtl_tx_ackqueue, 0x5dfd98ab, "_gpl");
SYMBOL_CRC(rtl_set_tx_report, 0xba982e63, "_gpl");
SYMBOL_CRC(rtl_tx_report_handler, 0xb4483c24, "_gpl");
SYMBOL_CRC(rtl_get_hal_edca_param, 0x62d46d7e, "_gpl");
SYMBOL_CRC(rtl_rx_ampdu_apply, 0xb69d1807, "");
SYMBOL_CRC(rtl_beacon_statistic, 0xe4d5d2b3, "_gpl");
SYMBOL_CRC(rtl_collect_scan_list, 0xf567ed81, "");
SYMBOL_CRC(rtl_c2hcmd_enqueue, 0x88c5a637, "");
SYMBOL_CRC(rtl_send_smps_action, 0x9e59585c, "");
SYMBOL_CRC(rtl_phy_scan_operation_backup, 0x0f490da4, "");
SYMBOL_CRC(rtl_recognize_peer, 0x9d97607b, "_gpl");
SYMBOL_CRC(rtl_global_var, 0x4e94cd48, "_gpl");
SYMBOL_CRC(rtl_cam_add_one_entry, 0x3a5d6869, "");
SYMBOL_CRC(rtl_cam_delete_one_entry, 0x7fccfdf9, "");
SYMBOL_CRC(rtl_cam_reset_all_entry, 0x1d23e33a, "");
SYMBOL_CRC(rtl_cam_mark_invalid, 0x256d4469, "");
SYMBOL_CRC(rtl_cam_empty_entry, 0xfc59f2e4, "");
SYMBOL_CRC(rtl_cam_get_free_entry, 0x8a255059, "");
SYMBOL_CRC(rtl_cam_del_entry, 0xe0b98499, "");
SYMBOL_CRC(channel5g, 0x54824f58, "");
SYMBOL_CRC(channel5g_80m, 0x0b038e24, "");
SYMBOL_CRC(rtl_addr_delay, 0x1b945315, "");
SYMBOL_CRC(rtl_rfreg_delay, 0xa05331a2, "");
SYMBOL_CRC(rtl_bb_delay, 0x004ba085, "");
SYMBOL_CRC(rtl_fw_cb, 0xd5873508, "");
SYMBOL_CRC(rtl_wowlan_fw_cb, 0x1c7277f6, "");
SYMBOL_CRC(rtl_update_beacon_work_callback, 0x29b96918, "_gpl");
SYMBOL_CRC(rtl_hal_pwrseqcmdparsing, 0x53eee674, "");
SYMBOL_CRC(rtl_cmd_send_packet, 0x28c1dbea, "");
SYMBOL_CRC(rtl_init_sw_leds, 0xbf10f9bd, "");
SYMBOL_CRC(rtl_ops, 0x2833c212, "_gpl");
SYMBOL_CRC(rtl_btc_status_false, 0x2921a4d4, "_gpl");
SYMBOL_CRC(rtl_dm_diginit, 0x43eca424, "");
SYMBOL_CRC(_rtl_dbg_print, 0x85094d3d, "_gpl");
SYMBOL_CRC(_rtl_dbg_print_data, 0x5bac62b1, "_gpl");
SYMBOL_CRC(rtl_debug_add_one, 0x15222104, "_gpl");
SYMBOL_CRC(rtl_debug_remove_one, 0x0b3f998a, "_gpl");
SYMBOL_CRC(efuse_read_1byte, 0xf0b6e486, "");
SYMBOL_CRC(read_efuse_byte, 0xb52ac85f, "_gpl");
SYMBOL_CRC(efuse_shadow_read, 0xdbfbc76e, "");
SYMBOL_CRC(rtl_efuse_shadow_map_update, 0x32d2acb8, "");
SYMBOL_CRC(efuse_one_byte_read, 0xe328c243, "");
SYMBOL_CRC(efuse_power_switch, 0x12d6753b, "");
SYMBOL_CRC(rtl_get_hwinfo, 0xc4825676, "_gpl");
SYMBOL_CRC(rtl_fw_block_write, 0xe65a3fa8, "_gpl");
SYMBOL_CRC(rtl_fw_page_write, 0x12bb2112, "_gpl");
SYMBOL_CRC(rtl_fill_dummy, 0x2e5382f9, "_gpl");
SYMBOL_CRC(rtl_efuse_ops_init, 0x8d1bce49, "_gpl");
SYMBOL_CRC(rtl_ps_enable_nic, 0x1252ccc5, "");
SYMBOL_CRC(rtl_ps_disable_nic, 0x94d6320e, "");
SYMBOL_CRC(rtl_ips_nic_on, 0x0ef1efa6, "_gpl");
SYMBOL_CRC(rtl_swlps_beacon, 0x3acb3902, "_gpl");
SYMBOL_CRC(rtl_lps_change_work_callback, 0xf8ff6add, "_gpl");
SYMBOL_CRC(rtl_lps_enter, 0x888b0cd1, "_gpl");
SYMBOL_CRC(rtl_lps_leave, 0x12815af3, "_gpl");
SYMBOL_CRC(rtl_p2p_info, 0x2084eaf1, "_gpl");
SYMBOL_CRC(rtl_query_rxpwrpercentage, 0x30a956d7, "");
SYMBOL_CRC(rtl_evm_db_to_percentage, 0xed7c8cf2, "");
SYMBOL_CRC(rtl_signal_scale_mapping, 0x4b9620cd, "");
SYMBOL_CRC(rtl_process_phyinfo, 0xd8e2033a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf856cf39, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xb2951093, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x88473697, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x94c8fa35, "dev_kfree_skb_irq_reason" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe873673d, "ieee80211_rate_control_unregister" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9c3f04b, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4fb6c233, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5442483d, "cfg80211_put_bss" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe4c2df3e, "wiphy_to_ieee80211_hw" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc523b09f, "wiphy_apply_custom_regulatory" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6f19f661, "ieee80211_rate_control_register" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xe7c5a67b, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x955d134c, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x354f0aff, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7418e6df, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x53e705fc, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1cdf06d8, "wiphy_rfkill_start_polling" },
	{ 0x1e0738b5, "freq_reg_info" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaa0f08dd, "ieee80211_resume_disconnect" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xb769ff7b, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac25594b, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x5f2f81dc, "single_open" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc0f214f3, "ieee80211_emulate_remove_chanctx" },
	{ 0x9afc268f, "cfg80211_unlink_bss" },
	{ 0x9ace5047, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x5e0a87d3, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "FF2B66BA4F76057CAC2DD76");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
