#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x3198b3ad, "");
SYMBOL_CRC(rtw_pci_probe, 0x10c59469, "");
SYMBOL_CRC(rtw_pci_remove, 0x09b8eb18, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xfb15aa79, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d379b2e, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc88b41c4, "rtw_tx_queue_mapping" },
	{ 0xf4bb1116, "pcie_capability_read_word" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0x554c17a1, "skb_put" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xd58a1eaf, "pci_iomap" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xb08d8325, "netif_napi_add_weight" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0xf93f3e9d, "ieee80211_free_hw" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x94c8fa35, "dev_kfree_skb_irq_reason" },
	{ 0xe2707ca7, "pci_set_power_state" },
	{ 0xce8b6203, "__netif_napi_del" },
	{ 0x1cbb6f21, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x1d576c79, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4fb6c233, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x580ca18a, "devm_free_irq" },
	{ 0xda29aa07, "__napi_schedule" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0xd5b49173, "rtw_chip_info_setup" },
	{ 0x1c34f700, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0x1ba4679b, "rtw_unregister_hw" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0xc0eac736, "rtw_tx_fill_tx_desc" },
	{ 0x420eabe4, "mem_section" },
	{ 0x8af1193f, "skb_push" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x4f73d756, "napi_enable" },
	{ 0x9547e28f, "rtw_core_init" },
	{ 0x65248ca5, "free_netdev" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1e1e6c7f, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9e14fcf, "pci_iounmap" },
	{ 0x5fb248f6, "rtw_update_rx_freq_from_ie" },
	{ 0x27675165, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xefda6691, "ieee80211_stop_queue" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0xd825b35f, "rtw_rx_stats" },
	{ 0x119e4dda, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x6f76b10, "rtw_register_hw" },
	{ 0x8f1943d5, "alloc_netdev_dummy" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x4af0db81, "pci_release_regions" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc424b0c3, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x22ab96a9, "rtw_core_deinit" },
	{ 0x73ebb39, "rtw_ops" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8a28dfa1, "napi_schedule_prep" },
	{ 0x69f142e9, "napi_disable" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0xd3a5487e, "rtw_power_mode_change" },
	{ 0x21f57f16, "rtw_tx_write_data_h2c_get" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf168c54e, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xb1e390a8, "rtw_rx_query_rx_desc" },
	{ 0x9a3f4a5b, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "CD6F1815BD37EEBEF6A8A00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
