#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x88b123e4, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x17eda780, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x7d5352cd, "_gpl");
SYMBOL_CRC(wlcore_probe, 0xfb983925, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x2a2915f1, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xe2cff8e7, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x10a2d096, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x5d06ed29, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x28f60fd7, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xc382ea93, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0xa7c22ae9, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x3d64fbe8, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x181e047a, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x8d29e5a6, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xf6bd4e90, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xa89ca638, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x97e52789, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x120de422, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x0bde1d2b, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xb9f08468, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0xbf7f5928, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0xfa8ea85c, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xf2dd08b4, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xc16afd3b, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0xf982c581, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x6ad078b8, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x0d97f92a, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xb14386e2, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x5eecaddf, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x63a48326, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x2fa086bd, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xe29a446d, "");
SYMBOL_CRC(wlcore_tx_complete, 0x1b5f36a9, "");
SYMBOL_CRC(wl1271_tx_flush, 0xbd7b9c3a, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x0787dc9e, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x57ecce73, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0xf1c5b1f3, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x04f00f02, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x6ea69ebb, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0xc518dab7, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xbdd329a9, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xa1090b41, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xbefa354f, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0xc1db71fa, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x340da3ce, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x200c3c76, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xc0a1c0de, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x9cda05da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf66c60aa, "ieee80211_iterate_interfaces" },
	{ 0x5d96cca7, "ieee80211_sched_scan_stopped" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa076efbc, "ieee80211_chswitch_done" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf93f3e9d, "ieee80211_free_hw" },
	{ 0x703ddded, "ieee80211_probereq_get" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6e3ae1bd, "ieee80211_ap_probereq_get" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe01252e2, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xd339fe39, "ieee80211_pspoll_get" },
	{ 0xf47bfb86, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb7ed62a0, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x958a008a, "ieee80211_get_hdrlen_from_skb" },
	{ 0x4b3a18ff, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8af6c452, "ieee80211_stop_rx_ba_session" },
	{ 0x1cbb6f21, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x55557a2a, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x2f9fceaa, "ieee80211_tx_status_skb" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9c3f04b, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0xf6e4f1b3, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x71785685, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x64dc1bf8, "device_create_file" },
	{ 0xe4c2df3e, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x611caf6f, "ieee80211_queue_delayed_work" },
	{ 0xe3cc6c3, "ieee80211_proberesp_get" },
	{ 0x7e3ea8a9, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc8195ddd, "request_firmware_nowait" },
	{ 0xcd0ae02c, "simple_open" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x78d3b77b, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x12abf140, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x91a2c853, "no_seek_end_llseek" },
	{ 0x8dc2befa, "ieee80211_wake_queues" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2e750209, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x330f51d4, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x1e1e6c7f, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x97f230aa, "default_llseek" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xefda6691, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc72802a0, "ieee80211_ready_on_channel" },
	{ 0x63f670, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x279e2017, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x999e8297, "vfree" },
	{ 0x8077dc00, "ieee80211_sched_scan_results" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0xff327d97, "ieee80211_scan_completed" },
	{ 0x78f34a2f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xf71583a3, "dev_pm_clear_wake_irq" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6c2fb2d, "pm_runtime_force_resume" },
	{ 0xc424b0c3, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb769ff7b, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x8b8852f, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xbd5c592c, "ieee80211_queue_work" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0xb67e7d9, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xef1c3b36, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xd2612b06, "pm_runtime_force_suspend" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x8538f849, "device_remove_bin_file" },
	{ 0x14e390e5, "device_remove_file" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0x9a3f4a5b, "ieee80211_rx_napi" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "B6F3672737CE7537ADB0092");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
