#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x31b9e971, "");
SYMBOL_CRC(ndlc_close, 0xbbe4dd13, "");
SYMBOL_CRC(ndlc_send, 0xdd6868a5, "");
SYMBOL_CRC(ndlc_recv, 0xaa123955, "");
SYMBOL_CRC(ndlc_probe, 0x16c6dca0, "");
SYMBOL_CRC(ndlc_remove, 0x1e8ea184, "");
SYMBOL_CRC(st_nci_probe, 0x549a9754, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x3ea6802f, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x0896ee16, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xf0d71cd6, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x70383276, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x12400cd2, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xc1f69d67, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x8077a2e5, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x2a97d7af, "");
SYMBOL_CRC(st_nci_se_init, 0xfe58484c, "");
SYMBOL_CRC(st_nci_se_deinit, 0x9e325869, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x45ca68a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x355731e3, "nci_free_device" },
	{ 0x7a1a0e21, "nci_allocate_device" },
	{ 0xd8f1c302, "nci_register_device" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x15561ed, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd0d0775e, "nfc_add_se" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6fb5cb09, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0x78794fe, "nci_nfcee_mode_set" },
	{ 0x3ad00bdd, "nci_hci_get_param" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x9a7cfa5f, "nfc_se_transaction" },
	{ 0xca963c27, "_dev_err" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x763e8036, "nci_hci_connect_gate" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8af1193f, "skb_push" },
	{ 0x51813ef6, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x209f0215, "nci_prop_cmd" },
	{ 0x341bd9f7, "nci_core_conn_create" },
	{ 0x1ec7249c, "nci_nfcc_loopback" },
	{ 0x45639582, "nci_unregister_device" },
	{ 0x6665e98e, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7981d412, "nci_hci_send_event" },
	{ 0x5a584714, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x99812ece, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd6ca813e, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x3490d03b, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x906e3ffd, "nci_recv_frame" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x59592974, "nci_hci_dev_session_init" },
	{ 0x6df4d51e, "nci_hci_set_param" },
	{ 0x436a56da, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
