#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x29a0f8b9, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f1917ce, "nvme_remove_admin_tag_set" },
	{ 0x7af6fe7b, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf51858a8, "nvme_uninit_ctrl" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf4615bb0, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xde42bad7, "nvmf_free_options" },
	{ 0x8e087cbe, "nvmf_subsystem_reset" },
	{ 0x57c91f93, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8b74dee0, "nvme_stop_keep_alive" },
	{ 0xb5909125, "blk_mq_complete_request_remote" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x41a4b571, "nvme_setup_cmd" },
	{ 0x586672f, "nvme_start_ctrl" },
	{ 0x3da78e46, "nvme_alloc_admin_tag_set" },
	{ 0x917eadef, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x10e8f209, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x15efc84, "nvme_delete_ctrl" },
	{ 0x82c80d65, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf51ad479, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x359bf082, "nvmf_get_address" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xc8954613, "nvme_remove_io_tag_set" },
	{ 0x337c11f1, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9f8c4dce, "nvme_mpath_start_request" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x13da72fe, "nvmf_unregister_transport" },
	{ 0x5d5e0558, "blkcg_get_fc_appid" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x717cd56c, "nvme_change_ctrl_state" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x4a346e45, "nvme_init_ctrl" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x8ed8424b, "nvme_alloc_io_tag_set" },
	{ 0x111cd1d8, "nvme_fail_nonready_command" },
	{ 0x4e59fac0, "kobject_uevent_env" },
	{ 0xd354f663, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5d580a0a, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0xf429ee1a, "blk_sync_queue" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcc56519e, "blkcg_set_fc_appid" },
	{ 0x6663aa62, "__blk_rq_map_sg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x559d839e, "nvmf_reg_read64" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe883a19e, "nvmf_connect_admin_queue" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x933fef42, "nvme_enable_ctrl" },
	{ 0x72a20f70, "nvme_unquiesce_admin_queue" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa1f44ea4, "nvme_unquiesce_io_queues" },
	{ 0x14287ee6, "blk_mq_update_nr_hw_queues" },
	{ 0xa2f8bbe4, "nvmf_reg_write32" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4836faf, "nvmf_should_reconnect" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xd87b22, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x950aa96e, "device_destroy" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x8955fa96, "nvme_set_queue_count" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x3a70342f, "nvmf_register_transport" },
	{ 0x1969186e, "blk_mq_start_request" },
	{ 0x74527e44, "nvme_quiesce_io_queues" },
	{ 0xe6f82e66, "blk_mq_tagset_busy_iter" },
	{ 0x91818d01, "nvme_stop_ctrl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0x4c119dec, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xfa6b2edf, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xa051996, "nvme_quiesce_admin_queue" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x2e690565, "__nvme_check_ready" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb17dedbf, "nvme_add_ctrl" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "D06B96223D6EBD06EE7A951");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
