#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(parport_pc_probe_port, "", "");
KSYMTAB_FUNC(parport_pc_unregister_port, "", "");

SYMBOL_CRC(parport_pc_probe_port, 0x625a7111, "");
SYMBOL_CRC(parport_pc_unregister_port, 0x836f4a5a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70f7896, "_printk" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x85bd1608, "__request_region" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d6a9d4e, "parport_remove_port" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72b243d4, "free_dma" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x15b385c8, "parport_del_port" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0x92786bfe, "pnp_unregister_driver" },
	{ 0xfb3145e2, "platform_driver_unregister" },
	{ 0x2829d9c8, "platform_bus_type" },
	{ 0xe5d2362, "platform_device_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb121390a, "probe_irq_on" },
	{ 0xab600421, "probe_irq_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd241a36b, "parport_wait_event" },
	{ 0x4292364c, "schedule" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x420eabe4, "mem_section" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x2e60bace, "memcpy" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xcbe3ab5b, "parport_wait_peripheral" },
	{ 0x3ee45544, "parport_ieee1284_ecp_write_data" },
	{ 0xdbc6342f, "parport_ieee1284_write_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x6cc6550a, "parport_register_port" },
	{ 0x61a9c4af, "platform_device_register_full" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x5e3a3912, "parport_irq_handler" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xca963c27, "_dev_err" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfe5d4224, "parport_announce_port" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9134aef0, "pnp_get_resource" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0x9f8260bb, "pci_write_config_byte" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf13ea40, "__platform_driver_register" },
	{ 0xf488f5fd, "pci_get_device" },
	{ 0x114ffa9d, "pci_match_id" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3faa79c5, "pnp_register_driver" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0xa8580d80, "parport_ieee1284_epp_write_data" },
	{ 0xcbefa40, "parport_ieee1284_epp_read_data" },
	{ 0x65016a83, "parport_ieee1284_epp_write_addr" },
	{ 0xc631dcad, "parport_ieee1284_epp_read_addr" },
	{ 0x52ac7ac3, "parport_ieee1284_ecp_read_data" },
	{ 0xf3bd3247, "parport_ieee1284_ecp_write_addr" },
	{ 0x9f19634d, "parport_ieee1284_read_nibble" },
	{ 0xc39de010, "parport_ieee1284_read_byte" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "parport");

MODULE_ALIAS("pnp:dPNP0400*");
MODULE_ALIAS("acpi*:PNP0400:*");
MODULE_ALIAS("pnp:dPNP0401*");
MODULE_ALIAS("acpi*:PNP0401:*");
MODULE_ALIAS("pci:v00001106d00000686sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00008231sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001283d00008872sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009050sv0000D84Dsd00004014bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000101bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000102bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000103bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000104bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00009018bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000782sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000783sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014D2d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009523sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009513sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00008403sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C110sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C114sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C11Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000416Cd00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014F2d00000121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009900sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009705sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009715sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009815sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009901sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00001000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000125Bd00009100sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000135Cd00000278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C00d00003050sv00001C00sd00003050bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000402Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00004007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7C6BF636F086679C04EF1B0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
