#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ideapad_laptop_register_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_unregister_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_call_notifier, "_gpl", "IDEAPAD_LAPTOP");

SYMBOL_CRC(ideapad_laptop_register_notifier, 0xcae1d210, "_gpl");
SYMBOL_CRC(ideapad_laptop_unregister_notifier, 0x4c65bf10, "_gpl");
SYMBOL_CRC(ideapad_laptop_call_notifier, 0x98c23494, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x5121170a, "seq_printf" },
	{ 0x167eb898, "seq_write" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0xb82b9093, "__wmi_driver_register" },
	{ 0xf13ea40, "__platform_driver_register" },
	{ 0x48b9da2d, "wmi_driver_unregister" },
	{ 0xfb3145e2, "platform_driver_unregister" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x123b9174, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x55cc47fc, "led_classdev_unregister" },
	{ 0x84d0f2ac, "input_unregister_device" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0xbbc48b3c, "device_remove_groups" },
	{ 0x583a198c, "led_classdev_notify_brightness_hw_changed" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xb3b4763d, "sparse_keymap_report_event" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4292364c, "schedule" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x4fdee897, "i8042_command" },
	{ 0xa0e4ddca, "sysfs_notify" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0xf64c7624, "backlight_force_update" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xa95905ee, "device_add_groups" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0xf513ab34, "input_allocate_device" },
	{ 0xe8f79f66, "sparse_keymap_setup" },
	{ 0xa0e87df6, "input_register_device" },
	{ 0x4638a8cc, "led_classdev_register_ext" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x653d1f7f, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xd3a48d77, "backlight_device_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xca963c27, "_dev_err" },
	{ 0x70138302, "input_free_device" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x7418e6df, "seq_read" },
	{ 0xac25594b, "single_release" },
	{ 0xa81242, "param_ops_bool" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,sparse-keymap,video");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "0DDFFE7A6E5D545B21A18E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
