#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_put, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_on, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_off, "_gpl", "");

SYMBOL_CRC(pwrseq_device_register, 0xe7c0a174, "_gpl");
SYMBOL_CRC(pwrseq_device_unregister, 0x74730198, "_gpl");
SYMBOL_CRC(devm_pwrseq_device_register, 0x091d9021, "_gpl");
SYMBOL_CRC(pwrseq_device_get_drvdata, 0xc6650d5c, "_gpl");
SYMBOL_CRC(pwrseq_get, 0xb59fbbf3, "_gpl");
SYMBOL_CRC(pwrseq_put, 0xdb61449c, "_gpl");
SYMBOL_CRC(devm_pwrseq_get, 0x9884fb46, "_gpl");
SYMBOL_CRC(pwrseq_power_on, 0x809bb19b, "_gpl");
SYMBOL_CRC(pwrseq_power_off, 0xca3fe8c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x4f8a7bbd, "seq_release" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x82c80d65, "get_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8aa3c9f4, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xf0c301ac, "bus_for_each_dev" },
	{ 0x2a93471d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xca963c27, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0x9170b6e8, "bus_find_device" },
	{ 0xa9997954, "device_add" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x80f59da4, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7418e6df, "seq_read" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x167eb898, "seq_write" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x5eb138b8, "device_match_any" },
	{ 0x6defe1cf, "seq_open" },
	{ 0xd012af0d, "__devm_add_action" },
	{ 0x29f3a126, "up_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E8E63B0329A24A5B9E22C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
