#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x67f47fbb, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xb1d1159b, "");
SYMBOL_CRC(rio_alloc_net, 0x3310c75a, "_gpl");
SYMBOL_CRC(rio_add_net, 0xa71e99a1, "_gpl");
SYMBOL_CRC(rio_free_net, 0x1f492dd1, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x500f5320, "_gpl");
SYMBOL_CRC(rio_add_device, 0x3c72335e, "_gpl");
SYMBOL_CRC(rio_del_device, 0x7e28c5e1, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x8fd4f3bd, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x7b8827d4, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x2fd6896a, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xf9340caa, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x9f88fbca, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x4eaee14c, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x11fe1e5f, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xabdc556e, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x9c73d213, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xcd7bec6b, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0xf9b92709, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x2d727ae8, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x13731e6d, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x214f8bac, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x393aee57, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x745e3219, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x92af8037, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xbd710ef7, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x8dbc6911, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x979c97ea, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x3eeffc23, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0xace0ed7a, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0xb3097031, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xc912a092, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xc66776db, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x770cba4a, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x8411db93, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x95fbdd92, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xf14bee21, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xdc6f3a7a, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xa33bfa66, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x1646953e, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x668313f9, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xb2ee8b18, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x87305730, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x8af5cd27, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xa353ed51, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x4a9ef36a, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x699b4f7a, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x9befb195, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x8781401c, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x898ee8eb, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x21bb5149, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x12c0ee99, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xa92a24bd, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xa73fbf0e, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x9053e5f3, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x8a2a72ae, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x3604b703, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x9415298e, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x71db065b, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x855afcfc, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x7144afad, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x52a59aea, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xcdde635c, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x757c212c, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xab161b1d, "_gpl");
SYMBOL_CRC(rio_bus_type, 0xfdf3a17f, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x3c8bd578, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x9df1a9cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x581095c0, "device_unregister" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xc519b0ef, "dma_release_channel" },
	{ 0x63b7a19f, "device_for_each_child" },
	{ 0x82c80d65, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x70cf93d9, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49315f63, "device_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc5e74216, "release_resource" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9f084f41, "driver_register" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
