#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x91f7f92e, "");
SYMBOL_CRC(rpmsg_create_channel, 0xdc1798f7, "");
SYMBOL_CRC(rpmsg_release_channel, 0x31071dd2, "");
SYMBOL_CRC(rpmsg_create_ept, 0xe0b1597d, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x7b288791, "");
SYMBOL_CRC(rpmsg_send, 0xee347253, "");
SYMBOL_CRC(rpmsg_sendto, 0x3bb1cce7, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0xc528cbb4, "");
SYMBOL_CRC(rpmsg_trysend, 0x0b7a1ae7, "");
SYMBOL_CRC(rpmsg_trysendto, 0x0432358b, "");
SYMBOL_CRC(rpmsg_poll, 0xde30d719, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0x7eb464f8, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x97fedf34, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0xbf4d4a9e, "");
SYMBOL_CRC(rpmsg_find_device, 0x0df5d008, "");
SYMBOL_CRC(rpmsg_register_device_override, 0x5402e5dc, "");
SYMBOL_CRC(rpmsg_register_device, 0x6f22c226, "");
SYMBOL_CRC(rpmsg_unregister_device, 0xcce30c37, "");
SYMBOL_CRC(__register_rpmsg_driver, 0x5b055832, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x8dca1cf2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xca963c27, "_dev_err" },
	{ 0x1de729b8, "device_find_child" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xe5a9ceda, "of_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x49f26466, "kstrndup" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0xaa6e11e5, "driver_set_override" },
	{ 0xa9997954, "device_add" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x581095c0, "device_unregister" },
	{ 0x9f084f41, "driver_register" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x70f7896, "_printk" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0xd9d60326, "class_destroy" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xa67590ed, "of_device_uevent_modalias" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8ff2ddba, "of_device_modalias" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1041a729, "dev_pm_domain_attach" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaa7b6f16, "dev_pm_domain_detach" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6B950788EA1B7C82C3DBF18");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
