#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(fc_lport_notifier_head, "", "");
KSYMTAB_FUNC(fc_fill_hdr, "", "");
KSYMTAB_FUNC(fc_fill_reply_hdr, "", "");
KSYMTAB_FUNC(fc_lport_iterate, "", "");
KSYMTAB_FUNC(fc_fc4_register_provider, "", "");
KSYMTAB_FUNC(fc_fc4_deregister_provider, "", "");
KSYMTAB_FUNC(fc_disc_config, "", "");
KSYMTAB_FUNC(fc_disc_init, "", "");
KSYMTAB_DATA(fc_cpu_mask, "", "");
KSYMTAB_FUNC(fc_seq_send, "", "");
KSYMTAB_FUNC(fc_seq_start_next, "", "");
KSYMTAB_FUNC(fc_seq_set_resp, "", "");
KSYMTAB_FUNC(fc_exch_done, "", "");
KSYMTAB_FUNC(fc_seq_els_rsp_send, "_gpl", "");
KSYMTAB_FUNC(fc_seq_assign, "", "");
KSYMTAB_FUNC(fc_seq_release, "", "");
KSYMTAB_FUNC(fc_exch_mgr_reset, "", "");
KSYMTAB_FUNC(fc_exch_seq_send, "", "");
KSYMTAB_FUNC(fc_exch_update_stats, "", "");
KSYMTAB_FUNC(fc_exch_mgr_add, "", "");
KSYMTAB_FUNC(fc_exch_mgr_del, "", "");
KSYMTAB_FUNC(fc_exch_mgr_list_clone, "", "");
KSYMTAB_FUNC(fc_exch_mgr_alloc, "", "");
KSYMTAB_FUNC(fc_exch_mgr_free, "", "");
KSYMTAB_FUNC(fc_exch_recv, "", "");
KSYMTAB_FUNC(fc_exch_init, "", "");
KSYMTAB_FUNC(fc_elsct_send, "", "");
KSYMTAB_FUNC(fc_elsct_init, "", "");
KSYMTAB_FUNC(fc_frame_crc_check, "", "");
KSYMTAB_FUNC(_fc_frame_alloc, "", "");
KSYMTAB_FUNC(fc_frame_alloc_fill, "", "");
KSYMTAB_FUNC(fc_get_host_port_state, "", "");
KSYMTAB_FUNC(fc_get_host_speed, "", "");
KSYMTAB_FUNC(fc_get_host_stats, "", "");
KSYMTAB_FUNC(fc_fabric_login, "", "");
KSYMTAB_FUNC(fc_linkup, "", "");
KSYMTAB_FUNC(fc_linkdown, "", "");
KSYMTAB_FUNC(fc_fabric_logoff, "", "");
KSYMTAB_FUNC(fc_lport_destroy, "", "");
KSYMTAB_FUNC(fc_set_mfs, "", "");
KSYMTAB_FUNC(fc_lport_set_local_id, "", "");
KSYMTAB_FUNC(fc_lport_recv, "", "");
KSYMTAB_FUNC(fc_lport_reset, "", "");
KSYMTAB_FUNC(fc_lport_logo_resp, "", "");
KSYMTAB_FUNC(fc_lport_flogi_resp, "", "");
KSYMTAB_FUNC(fc_lport_config, "", "");
KSYMTAB_FUNC(fc_lport_init, "", "");
KSYMTAB_FUNC(fc_lport_bsg_request, "", "");
KSYMTAB_FUNC(fc_rport_lookup, "", "");
KSYMTAB_FUNC(fc_rport_create, "", "");
KSYMTAB_FUNC(fc_rport_destroy, "", "");
KSYMTAB_FUNC(fc_set_rport_loss_tmo, "", "");
KSYMTAB_FUNC(fc_rport_login, "", "");
KSYMTAB_FUNC(fc_rport_logoff, "", "");
KSYMTAB_FUNC(fc_rport_recv_req, "", "");
KSYMTAB_FUNC(fc_rport_flush_queue, "", "");
KSYMTAB_FUNC(fc_rport_terminate_io, "", "");
KSYMTAB_FUNC(fc_queuecommand, "", "");
KSYMTAB_FUNC(fc_eh_abort, "", "");
KSYMTAB_FUNC(fc_eh_device_reset, "", "");
KSYMTAB_FUNC(fc_eh_host_reset, "", "");
KSYMTAB_FUNC(fc_slave_alloc, "", "");
KSYMTAB_FUNC(fc_fcp_destroy, "", "");
KSYMTAB_FUNC(fc_fcp_init, "", "");
KSYMTAB_FUNC(libfc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_id_lookup, "", "");
KSYMTAB_FUNC(fc_vport_setlink, "", "");

SYMBOL_CRC(fc_lport_notifier_head, 0x0c6ea1a3, "");
SYMBOL_CRC(fc_fill_hdr, 0xa452d6ac, "");
SYMBOL_CRC(fc_fill_reply_hdr, 0xa01ea4e4, "");
SYMBOL_CRC(fc_lport_iterate, 0x8e4b5e4d, "");
SYMBOL_CRC(fc_fc4_register_provider, 0x07309e6c, "");
SYMBOL_CRC(fc_fc4_deregister_provider, 0xbaa5a8c9, "");
SYMBOL_CRC(fc_disc_config, 0x6dfc49e9, "");
SYMBOL_CRC(fc_disc_init, 0x7183f11d, "");
SYMBOL_CRC(fc_cpu_mask, 0xa1bcd198, "");
SYMBOL_CRC(fc_seq_send, 0x4b21c79b, "");
SYMBOL_CRC(fc_seq_start_next, 0x7f3407a7, "");
SYMBOL_CRC(fc_seq_set_resp, 0xdc2d64ac, "");
SYMBOL_CRC(fc_exch_done, 0x811811e0, "");
SYMBOL_CRC(fc_seq_els_rsp_send, 0x7c494fc2, "_gpl");
SYMBOL_CRC(fc_seq_assign, 0xaa1b3d38, "");
SYMBOL_CRC(fc_seq_release, 0xfa4667d1, "");
SYMBOL_CRC(fc_exch_mgr_reset, 0x63b2a77a, "");
SYMBOL_CRC(fc_exch_seq_send, 0x7cd6c1c9, "");
SYMBOL_CRC(fc_exch_update_stats, 0x9a3e0201, "");
SYMBOL_CRC(fc_exch_mgr_add, 0xa0c28a65, "");
SYMBOL_CRC(fc_exch_mgr_del, 0x22b90986, "");
SYMBOL_CRC(fc_exch_mgr_list_clone, 0x31251ae9, "");
SYMBOL_CRC(fc_exch_mgr_alloc, 0x1dca9190, "");
SYMBOL_CRC(fc_exch_mgr_free, 0x37cec0ff, "");
SYMBOL_CRC(fc_exch_recv, 0xc1cf190f, "");
SYMBOL_CRC(fc_exch_init, 0x80551e06, "");
SYMBOL_CRC(fc_elsct_send, 0x33091f17, "");
SYMBOL_CRC(fc_elsct_init, 0x6a2375b8, "");
SYMBOL_CRC(fc_frame_crc_check, 0x83a065f6, "");
SYMBOL_CRC(_fc_frame_alloc, 0x9d51fbbe, "");
SYMBOL_CRC(fc_frame_alloc_fill, 0x10db1a95, "");
SYMBOL_CRC(fc_get_host_port_state, 0x3098b891, "");
SYMBOL_CRC(fc_get_host_speed, 0x82785410, "");
SYMBOL_CRC(fc_get_host_stats, 0x1aff9523, "");
SYMBOL_CRC(fc_fabric_login, 0x33566153, "");
SYMBOL_CRC(fc_linkup, 0xc43ea507, "");
SYMBOL_CRC(fc_linkdown, 0x1fe7267a, "");
SYMBOL_CRC(fc_fabric_logoff, 0xd43a36e3, "");
SYMBOL_CRC(fc_lport_destroy, 0x2f95de50, "");
SYMBOL_CRC(fc_set_mfs, 0x22a72325, "");
SYMBOL_CRC(fc_lport_set_local_id, 0xaa824405, "");
SYMBOL_CRC(fc_lport_recv, 0xf7a47d8c, "");
SYMBOL_CRC(fc_lport_reset, 0x414a30da, "");
SYMBOL_CRC(fc_lport_logo_resp, 0x2a05de8b, "");
SYMBOL_CRC(fc_lport_flogi_resp, 0x3686edcf, "");
SYMBOL_CRC(fc_lport_config, 0x6748689d, "");
SYMBOL_CRC(fc_lport_init, 0xee4bfd88, "");
SYMBOL_CRC(fc_lport_bsg_request, 0x6fc48ec4, "");
SYMBOL_CRC(fc_rport_lookup, 0xbf83ea57, "");
SYMBOL_CRC(fc_rport_create, 0x96ee5514, "");
SYMBOL_CRC(fc_rport_destroy, 0x9d50ed7e, "");
SYMBOL_CRC(fc_set_rport_loss_tmo, 0x12049787, "");
SYMBOL_CRC(fc_rport_login, 0xb19edbbd, "");
SYMBOL_CRC(fc_rport_logoff, 0x29105e93, "");
SYMBOL_CRC(fc_rport_recv_req, 0x427695ab, "");
SYMBOL_CRC(fc_rport_flush_queue, 0xb0ddd5a1, "");
SYMBOL_CRC(fc_rport_terminate_io, 0x31662f00, "");
SYMBOL_CRC(fc_queuecommand, 0x8ca79621, "");
SYMBOL_CRC(fc_eh_abort, 0xdf50042b, "");
SYMBOL_CRC(fc_eh_device_reset, 0xa8e71095, "");
SYMBOL_CRC(fc_eh_host_reset, 0x98913cfd, "");
SYMBOL_CRC(fc_slave_alloc, 0x921a5189, "");
SYMBOL_CRC(fc_fcp_destroy, 0x3c381972, "");
SYMBOL_CRC(fc_fcp_init, 0x42caeb4e, "");
SYMBOL_CRC(libfc_vport_create, 0x4b65a7b4, "");
SYMBOL_CRC(fc_vport_id_lookup, 0x37ffeec4, "");
SYMBOL_CRC(fc_vport_setlink, 0x915037cf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12fc4024, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x9fe5c864, "bsg_job_done" },
	{ 0x6877226d, "fc_remote_port_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x922926fe, "fc_block_scsi_eh" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xc0fa4ef, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x37df14f, "fc_host_post_event" },
	{ 0x2a93471d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbbdc2189, "init_uts_ns" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0xd5be87ed, "scsi_is_host_device" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc1c39a48, "scsi_is_fc_rport" },
	{ 0x7256e2f0, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xe166a84f, "_dev_printk" },
	{ 0xed2315a9, "scsi_host_alloc" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0xd3997af6, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_common,scsi_mod");


MODULE_INFO(srcversion, "3EB7492A2982146C9F7CDFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
