#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x6b4cec38, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x8d39ec04, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x02543bbd, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xdcb97ff5, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xea66c696, "");
SYMBOL_CRC(sas_resume_ha, 0x074b1f56, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x483c1d6c, "");
SYMBOL_CRC(sas_suspend_ha, 0x9bddb050, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x4ae19a0d, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x397a977a, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x247f8eca, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x1463abe4, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x7afee9c3, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x41f0f91d, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x20d88caf, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x560ca740, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x8c3113f8, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x527fdb0e, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x1e683997, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xb8be6d0a, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x778957f1, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x958c2a5d, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x63ca9757, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xf6479477, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x7873fbec, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x7a62aaf3, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x84285f56, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x1cb104ac, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x8cd8c53b, "_gpl");
SYMBOL_CRC(sas_query_task, 0x5c75e913, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xb5825874, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x6610297f, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x55e8c955, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xe3b63c29, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x54f65e40, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x5e6d2c8b, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x91a101eb, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x12dc26be, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0xd47240b5, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x4cc39b79, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0x4ac556e5, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75e1789d, "ata_qc_complete" },
	{ 0x7d1fb461, "ata_sas_scsi_ioctl" },
	{ 0x5c5953f8, "ata_tport_add" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc1a165b0, "sas_rphy_remove" },
	{ 0x24c9dbd0, "ata_sas_device_configure" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x9fe5c864, "bsg_job_done" },
	{ 0xf09fb532, "ata_sas_queuecmd" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2e7d859d, "sas_rphy_unlink" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb33ee5e1, "scsi_schedule_eh" },
	{ 0x25e6d167, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x84f43788, "ata_ncq_prio_enabled" },
	{ 0x170091d6, "ata_host_init" },
	{ 0xadf84649, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x73e5c847, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x31faeb9, "sas_port_get_phy" },
	{ 0x3b995928, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x82c80d65, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4c632461, "ata_wait_after_reset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x558ca92a, "sas_phy_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x2a2c3364, "sas_phy_free" },
	{ 0xc4fea6e9, "scsi_eh_finish_cmd" },
	{ 0x2d33b6f, "ata_port_schedule_eh" },
	{ 0x28c4530e, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6313fd0e, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2823c9f6, "sas_port_mark_backlink" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x5436e0a8, "ata_link_abort" },
	{ 0x504f4f8c, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4e16bd6, "ata_scsi_port_error_handler" },
	{ 0xbfa97b44, "ata_change_queue_depth" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8ba277d0, "ata_port_probe" },
	{ 0x1ee7895, "ata_std_error_handler" },
	{ 0x712850b6, "ata_port_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x541caeee, "sas_end_device_alloc" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x7b22611c, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xac5e281a, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x8b6e8b06, "sas_rphy_delete" },
	{ 0xd5be87ed, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3bcbb011, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x3321efa8, "scsi_host_busy" },
	{ 0x7ae16c92, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9549a123, "ata_sas_port_suspend" },
	{ 0xe8b2d609, "sas_rphy_add" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x17180434, "sas_port_delete_phy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeaa63a71, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc688a8ad, "sas_port_add_phy" },
	{ 0x7cff21a, "ata_scsi_cmd_error_handler" },
	{ 0x265f9a0c, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xe6f82e66, "blk_mq_tagset_busy_iter" },
	{ 0x7256e2f0, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x26e3c2af, "scsi_unblock_requests" },
	{ 0x27597714, "sas_phy_add" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0xfc0add9a, "ata_host_put" },
	{ 0x47dc322f, "sas_port_free" },
	{ 0xf66b599a, "ata_std_sched_eh" },
	{ 0xeb7f61d4, "ata_port_alloc" },
	{ 0xc658138c, "scsi_block_requests" },
	{ 0x263184d4, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe4187805, "ata_ncq_prio_supported" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x8d22d93e, "sas_remove_children" },
	{ 0xd3997af6, "scsi_change_queue_depth" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7f3a94e5, "ata_port_wait_eh" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "EF8AD598F69A0EB14546BAD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
