#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x086e79e0, "");
SYMBOL_CRC(qlt_stop_phase1, 0xbe0c7eb3, "");
SYMBOL_CRC(qlt_stop_phase2, 0x11110b7b, "");
SYMBOL_CRC(qlt_free_mcmd, 0x40574fcc, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xd3ca9699, "");
SYMBOL_CRC(qlt_xmit_response, 0x41f2867e, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xd6fb6235, "");
SYMBOL_CRC(qlt_abort_cmd, 0xbc63e12c, "");
SYMBOL_CRC(qlt_free_cmd, 0x81ad2d93, "");
SYMBOL_CRC(qlt_lport_register, 0x046701a2, "");
SYMBOL_CRC(qlt_lport_deregister, 0xdaa91b43, "");
SYMBOL_CRC(qlt_enable_vha, 0xc224713d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a01362a, "param_ops_ullong" },
	{ 0x679929ae, "pci_save_state" },
	{ 0xef92ef33, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf4bb1116, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xcce37d97, "fc_attach_transport" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3441d39e, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xd3a9c5fd, "debugfs_attr_write" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x2c8ce60, "dma_pool_create" },
	{ 0x81235b97, "pci_request_selected_regions" },
	{ 0x5042dc5c, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x804bb71a, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x7fcb82cb, "pci_enable_device_mem" },
	{ 0x9fe5c864, "bsg_job_done" },
	{ 0x50df94f5, "btree_insert" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0x6877226d, "fc_remote_port_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x18aa93cf, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x908994b9, "scsi_build_sense" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6c864b31, "fc_remove_host" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x5ad26009, "set_user_nice" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x3f987ad6, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x18106f2, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x97412ac4, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x52fb6c04, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf3b95d79, "btree_remove" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xc414f598, "pci_try_set_mwi" },
	{ 0x82c80d65, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54039633, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x61e46caa, "trace_array_put" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0x67f31ed5, "irq_set_affinity_notifier" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x75732019, "blk_mq_pci_map_queues" },
	{ 0x922926fe, "fc_block_scsi_eh" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc0fa4ef, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xfced04e7, "scsi_host_get" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x37df14f, "fc_host_post_event" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1fc7f89e, "pci_select_bars" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x98cb6226, "fc_release_transport" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x1814a08, "pci_set_mwi" },
	{ 0xede9a09a, "btree_lookup" },
	{ 0xac068e47, "pci_find_capability" },
	{ 0xf0e8531, "debugfs_attr_read" },
	{ 0xf7afb369, "btree_init" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x4e59fac0, "kobject_uevent_env" },
	{ 0x57ac4d05, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0x30b1b338, "fc_vport_create" },
	{ 0x83156178, "scsi_host_put" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8b285763, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x758607f7, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x20f8b4f2, "fc_remote_port_rolechg" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0xc2b1797f, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x250113b4, "memory_read_from_buffer" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1b5a492e, "fc_vport_terminate" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2929d362, "fc_block_rport" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2e5b4b63, "trace_array_get_by_name" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbfca4256, "sg_copy_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3ac37294, "pci_restore_state" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc3a53b58, "pci_alloc_irq_vectors_affinity" },
	{ 0xd5be87ed, "scsi_is_host_device" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x736a71e6, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb6d9215a, "blk_mq_unique_tag" },
	{ 0xb081b639, "vmalloc_array_noprof" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x3b5a1120, "device_show_string" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x7418e6df, "seq_read" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb1eef89c, "trace_array_set_clr_event" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x879f918a, "fc_host_fpin_rcv" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x759bfe36, "btree_destroy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c4e6dc, "scmd_printk" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x4f2593f0, "btree_update" },
	{ 0x827a2afa, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f8260bb, "pci_write_config_byte" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x76408bba, "__register_chrdev" },
	{ 0x167eb898, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x84f8431a, "fc_eh_should_retry_cmd" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xf03da2e2, "pcie_capability_read_dword" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc1c39a48, "scsi_is_fc_rport" },
	{ 0xb1a8089f, "pci_disable_device" },
	{ 0x7256e2f0, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x890fa0fa, "btree_get_prev" },
	{ 0xac25594b, "single_release" },
	{ 0x26e3c2af, "scsi_unblock_requests" },
	{ 0x374ebf52, "pcie_set_readrq" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x24050f94, "pci_disable_rom" },
	{ 0xc6d470cf, "dma_unmap_sg_attrs" },
	{ 0xe8ba96b4, "pci_irq_get_affinity" },
	{ 0xc658138c, "scsi_block_requests" },
	{ 0xd57abc59, "page_address" },
	{ 0x8f502df1, "scsi_add_host_with_dma" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x59219e, "pci_read_config_byte" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5f2f81dc, "single_open" },
	{ 0xed2315a9, "scsi_host_alloc" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xe7101d3b, "pci_write_config_word" },
	{ 0x4537abde, "sysfs_remove_bin_file" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x29a0f8b9, "nvme_fc_register_localport" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd3997af6, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x954b3956, "pcix_set_mmrbc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x20ede601, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc,scsi_mod,scsi_common");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CB177AE72F6AB57A7AC2652");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
