#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0xbfb3f8c9, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x900bb850, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x8cf2c3ba, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x66b4cf37, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x287b0228, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xd27bc9e3, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xdbfa3b40, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x08091f42, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x685e07f9, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x0f07c853, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xeba3074e, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x6b4dfed6, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x1f9e4989, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x2bd4a208, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x592fdb65, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0xb48dbcbd, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x779c7d0d, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0xb7d5d129, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0xc5ce8577, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x3e61b5c4, "bpf_trace_run6" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xa9997954, "device_add" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xca963c27, "_dev_err" },
	{ 0x581095c0, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0xa67590ed, "of_device_uevent_modalias" },
	{ 0xcffafb73, "device_match_of_node" },
	{ 0x9170b6e8, "bus_find_device" },
	{ 0x9f084f41, "driver_register" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x63b7a19f, "device_for_each_child" },
	{ 0x80f59da4, "device_del" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xe5a9ceda, "of_match_device" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x6d5f794c, "of_get_next_available_child" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "459AB680E85BBB4CC3319F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
