#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x699a49cb, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xe96f0f3b, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x63657536, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xadf9950c, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x90557e27, "_gpl");
SYMBOL_CRC(tb_ring_start, 0xaecbb98f, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x9eff766a, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x2eb3d8e9, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xe2697cd4, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x6ceee74b, "_gpl");
SYMBOL_CRC(tb_property_find, 0xc64da6ae, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x86166e8c, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x0a11b040, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x960fc149, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x36521060, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0x21a31526, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0xf2e26629, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0xd1a5dfee, "_gpl");
SYMBOL_CRC(tb_service_type, 0x4071b407, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0xae2e5e32, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xde10c39b, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xb34393b9, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x8a21405e, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x9444e9d3, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x2165aee0, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xb83633b6, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x5d182b80, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x13c49cfd, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x97b16fb8, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xbe6dea20, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdd9edbba, "pci_find_ext_capability" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x2c8ce60, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x581095c0, "device_unregister" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x50c822a, "nvmem_unregister" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb8a8c669, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x263a4310, "acpi_find_child_by_adr" },
	{ 0x63b7a19f, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0x82c80d65, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x89e2271a, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0x43abdbe8, "pci_read_config_dword" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf6e4f1b3, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x47136eb3, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0xd7a41716, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xf0b79be4, "debugfs_lookup_and_remove" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x580ca18a, "devm_free_irq" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0xdb34d9b4, "device_for_each_child_reverse" },
	{ 0x738803e6, "strnlen" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xf0c301ac, "bus_for_each_dev" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x49f26466, "kstrndup" },
	{ 0x4e59fac0, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7e3ea8a9, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x69624d8c, "crypto_shash_setkey" },
	{ 0x9170b6e8, "bus_find_device" },
	{ 0xa9997954, "device_add" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7148d63d, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe6b0762, "pci_device_is_present" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x94f5368, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1de729b8, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x34220a57, "pcim_iomap_region" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49315f63, "device_register" },
	{ 0x80f59da4, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x39b8e9e5, "unregister_acpi_bus_type" },
	{ 0x772d44cb, "acpi_get_first_physical_node" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x5cbd8e69, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x5026ba35, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7418e6df, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf11637d1, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x55c8407f, "pm_runtime_forbid" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x8781ec01, "pm_runtime_allow" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d3b6566, "acpi_fetch_acpi_dev" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x167eb898, "seq_write" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb281a349, "kobject_uevent" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x36c34b07, "device_iommu_capable" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac25594b, "single_release" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xefc22b26, "pci_walk_bus" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xf24939a, "nvmem_register" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x21d1ef4a, "component_add" },
	{ 0xd0d8621b, "strlen" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x62c46941, "pcim_enable_device" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x77765035, "crypto_alloc_shash" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x70e67a9d, "device_link_add" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x9f084f41, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xff5d128e, "__dev_fwnode" },
	{ 0xa3b1e0, "pci_bus_type" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "C656B6EE90312FB8E300919");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
