#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_stop_endpoint_sync, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_initialize_ring_info, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_remove_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_create_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0x7791a5b9, "_gpl");
SYMBOL_CRC(xhci_stop, 0x8a054422, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0xb7819085, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xb1a62cf0, "_gpl");
SYMBOL_CRC(xhci_resume, 0x48c8bae1, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x632e889b, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0xfe6ea598, "_gpl");
SYMBOL_CRC(xhci_stop_endpoint_sync, 0xcc960b9b, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0xa9cea042, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0x487def0e, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x36e727d2, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x1878a8e5, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0x04ff7ff6, "_gpl");
SYMBOL_CRC(xhci_initialize_ring_info, 0x2dbe32d0, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x7c271424, "_gpl");
SYMBOL_CRC(xhci_remove_secondary_interrupter, 0xdd02ebc2, "_gpl");
SYMBOL_CRC(xhci_create_secondary_interrupter, 0x9f6ad2f0, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x21b69aad, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0xb7ca1fee, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0xca2c7612, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0xd2f1f79c, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0xd7dccd23, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0xced62b04, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0xa19561fb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x6a01362a, "param_ops_ullong" },
	{ 0xbf4ca96d, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x23cb9f79, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2c8ce60, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5b8c7966, "usb_hcd_resume_root_hub" },
	{ 0xa22daa76, "usb_hcd_unlink_urb_from_ep" },
	{ 0x5b8499c6, "usb_hcd_start_port_resume" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x139061a9, "usb_amd_pt_check_port" },
	{ 0xf31f4be4, "usb_hc_died" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xe871aaf8, "__kmalloc_node_noprof" },
	{ 0x81ba9197, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa2681762, "usb_wakeup_notification" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf3eb1323, "kstrtou16_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xcf0411e9, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8625c5a6, "usb_hcd_map_urb_for_dma" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33fc68e, "debugfs_create_regset32" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x96f0daf4, "platform_device_add_resources" },
	{ 0x147d6f23, "usb_hcd_check_unlink_urb" },
	{ 0xb9073e0f, "iommu_get_domain_for_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x8d1b21c0, "device_create_managed_software_node" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab98624b, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xe5d2362, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x91f05825, "dma_alloc_attrs" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4acb9efd, "platform_device_add" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xfe857e00, "platform_device_alloc" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x52d198c, "usb_hcd_link_urb_to_ep" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xa5b735e, "__kmalloc_cache_node_noprof" },
	{ 0xfbb9d228, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd083a2d4, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1dea32ad, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0xe9301c09, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x7418e6df, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x55c8407f, "pm_runtime_forbid" },
	{ 0xf2da38e5, "dma_free_attrs" },
	{ 0x8781ec01, "pm_runtime_allow" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0xbf3a5b5, "usb_hcd_giveback_urb" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa8ffa2ab, "usb_hcd_poll_rh_status" },
	{ 0x7d5f0977, "usb_acpi_set_power_state" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x83ce7d6, "usb_disable_xhci_ports" },
	{ 0xac25594b, "single_release" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x2cb69f90, "usb_debug_root" },
	{ 0xd012af0d, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x7893f162, "usb_hcd_unmap_urb_for_dma" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x2343e466, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "93FBA45E92CE03CDA80B420");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
