#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0x55f60df8, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0x756c11c7, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0x4360fa1f, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0xecac5243, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2e60bace, "memcpy" },
	{ 0x714cf55c, "usb_autopm_get_interface" },
	{ 0xa051fa4f, "usb_bulk_msg" },
	{ 0xe8dbb4ff, "usb_autopm_put_interface" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe09d06f2, "usb_register_driver" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0xc8616f13, "usb_kill_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6257a2f, "complete" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xca963c27, "_dev_err" },
	{ 0x1df01b76, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcb7cec1a, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x9f5e2b87, "auxiliary_device_init" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2f58acd5, "acpi_dev_for_each_child" },
	{ 0xa9ad7bc, "set_primary_fwnode" },
	{ 0x193b0369, "__auxiliary_device_add" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7c0b7c97, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0x80f59da4, "device_del" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x89bd96e7, "usb_put_intf" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0xf2233225, "usb_enable_autosuspend" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "789F573277A06897F17664C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
