#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0xded45283, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0xe59d1b9a, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x57a0d937, "_gpl");
SYMBOL_CRC(musb_interrupt, 0xea682994, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0xb2b5ac24, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0xc1ed5e87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x41386484, "devm_platform_ioremap_resource" },
	{ 0x316a43a, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x5b8c7966, "usb_hcd_resume_root_hub" },
	{ 0xa22daa76, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfb3145e2, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x19d23b22, "param_ops_ushort" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xa2e47e51, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7236b5fb, "usb_get_dr_mode" },
	{ 0xfa807a29, "dev_driver_string" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xa0e4ddca, "sysfs_notify" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x93a5d920, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x147d6f23, "usb_hcd_check_unlink_urb" },
	{ 0x71785685, "device_wakeup_disable" },
	{ 0xc9ed7d43, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0x4437e317, "devm_kfree" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7e3ea8a9, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9e98c41e, "sg_miter_stop" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xa0d0abc7, "sg_miter_start" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x52d198c, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8de1bccf, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf13ea40, "__platform_driver_register" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x7418e6df, "seq_read" },
	{ 0xff0e1f17, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xbf3a5b5, "usb_hcd_giveback_urb" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2829d9c8, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa8ffa2ab, "usb_hcd_poll_rh_status" },
	{ 0xc45b30be, "debugfs_create_file_full" },
	{ 0x327adaf4, "usb_create_hcd" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac25594b, "single_release" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x2cb69f90, "usb_debug_root" },
	{ 0xd0d8621b, "strlen" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0x674eefa7, "usb_remove_hcd" },
	{ 0xe166a84f, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5f2f81dc, "single_open" },
	{ 0x7893f162, "usb_hcd_unmap_urb_for_dma" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0x1d00100e, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "4B2F4671675F6E3D2711A0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
