#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x40ef86d2, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x2631e6a3, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x10f7002d, "");
SYMBOL_CRC(usb_serial_resume, 0x5c3a0de6, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0xc76e1d90, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x94498178, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x871a5c82, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x53bee1d4, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x64214409, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x03e30418, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x9b25446e, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x17836942, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xf8d9d633, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xc02a7321, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0xcea8a5cb, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x072f2841, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x0a87b420, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x2f3de1c0, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x9263056c, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xd7f9534b, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xf0ed55cf, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xee6dd8f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89bd96e7, "usb_put_intf" },
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0xe8dbb4ff, "usb_autopm_put_interface" },
	{ 0x12fc4024, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x19d23b22, "param_ops_ushort" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x8e898a2d, "tty_flip_buffer_push" },
	{ 0x9473e25e, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb90e944, "tty_kref_put" },
	{ 0xe09d06f2, "usb_register_driver" },
	{ 0xec220410, "usb_match_one_id" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xa721d35c, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc24797b5, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0x390c0aba, "usb_show_dynids" },
	{ 0x54f27f0e, "tty_hangup" },
	{ 0x79987c01, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x7c0b7c97, "usb_get_intf" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x59d80ee2, "usb_driver_release_interface" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x33fccd54, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x79085161, "usb_get_dev" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xc0d5c093, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0xac91aa94, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x37094251, "usb_match_id" },
	{ 0xa3094af4, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9997954, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb9cd670f, "tty_ldisc_ref" },
	{ 0x87032c6f, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xeb487767, "__tty_insert_flip_string_flags" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe7a45868, "tty_port_destroy" },
	{ 0xf67256e6, "tty_port_init" },
	{ 0x570973e6, "usb_driver_claim_interface" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x40fdc764, "usb_poison_urb" },
	{ 0xf513e9f1, "usb_unpoison_urb" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0xf7c46786, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x72dc0b67, "tty_ldisc_deref" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xcb7cec1a, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x80f59da4, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb5a0932d, "tty_port_close" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x714cf55c, "usb_autopm_get_interface" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3059777, "tty_register_driver" },
	{ 0x167eb898, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xc8616f13, "usb_kill_urb" },
	{ 0xffa6129a, "usb_dynids_lock" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xa16d1b08, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0x768ac8ff, "tty_port_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x9f084f41, "driver_register" },
	{ 0x4056f0a3, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfcc544f8, "tty_port_tty_get" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "EA806393B45A62B7E3C325D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
