#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x35508510, "");
SYMBOL_CRC(w1_remove_master_device, 0x8ccf6ced, "");
SYMBOL_CRC(w1_register_family, 0xeac85dfb, "");
SYMBOL_CRC(w1_unregister_family, 0x4567bba5, "");
SYMBOL_CRC(w1_touch_bit, 0x5dc84073, "_gpl");
SYMBOL_CRC(w1_write_8, 0xd1401d77, "_gpl");
SYMBOL_CRC(w1_triplet, 0xb626b0b5, "_gpl");
SYMBOL_CRC(w1_read_8, 0x88aaaca0, "_gpl");
SYMBOL_CRC(w1_write_block, 0x020bfac7, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x6ddf2bc0, "_gpl");
SYMBOL_CRC(w1_read_block, 0xcad8ccfe, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x6689b819, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x944a56f7, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x54d2e46c, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x7051875a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdcbb4edd, "of_node_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x581095c0, "device_unregister" },
	{ 0x38974679, "sysfs_remove_groups" },
	{ 0x3b80be23, "sysfs_create_groups" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54039633, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d61e8fa, "cn_netlink_send_mult" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xa364939a, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x46a66b1f, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xff137f49, "sysfs_create_group" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x49315f63, "device_register" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0x5b5c52f9, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb281a349, "kobject_uevent" },
	{ 0xd171f5b7, "hwmon_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2baf1aa, "of_find_matching_node_and_match" },
	{ 0x9f084f41, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbaad4580, "cn_add_callback" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
