#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0x7bc70694, "");
SYMBOL_CRC(configfs_depend_item, 0xf7c3b2cb, "");
SYMBOL_CRC(configfs_undepend_item, 0x31c50a96, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0xd07ba6a3, "");
SYMBOL_CRC(configfs_register_group, 0x8b8c606f, "");
SYMBOL_CRC(configfs_unregister_group, 0xd1add60f, "");
SYMBOL_CRC(configfs_register_default_group, 0x25883549, "");
SYMBOL_CRC(configfs_unregister_default_group, 0x9025ac98, "");
SYMBOL_CRC(configfs_register_subsystem, 0x0b84b276, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0x36dd41e5, "");
SYMBOL_CRC(config_item_set_name, 0xed938395, "");
SYMBOL_CRC(config_item_init_type_name, 0x39f11537, "");
SYMBOL_CRC(config_group_init_type_name, 0x98e472aa, "");
SYMBOL_CRC(config_item_get, 0xcc542b0f, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x59eb0b24, "");
SYMBOL_CRC(config_item_put, 0xc99b36d7, "");
SYMBOL_CRC(config_group_init, 0x87929130, "");
SYMBOL_CRC(config_group_find_item, 0x2deeca72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f01c21e, "__d_drop" },
	{ 0xc063041b, "simple_rmdir" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x51bada4e, "d_instantiate" },
	{ 0xce80e66a, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb4f2f8db, "free_inode_nonrcu" },
	{ 0xec9e9f, "new_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x86b315c0, "unregister_filesystem" },
	{ 0xdfc5c1ac, "d_alloc_name" },
	{ 0xee392a93, "simple_statfs" },
	{ 0x9db05561, "d_make_root" },
	{ 0xd4658b3c, "always_delete_dentry" },
	{ 0x56e6a785, "fsnotify" },
	{ 0x8d97e1e4, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0xddae5923, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7d6ba16, "iput" },
	{ 0x32e5623, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x867aa656, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x4e4a54ba, "register_filesystem" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe9aa1c65, "path_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8e2ef584, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4f0087e5, "simple_inode_init_ts" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5516f57c, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71ee2a0e, "simple_setattr" },
	{ 0x3aaa2d5, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a93471d, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x53555f45, "kill_litter_super" },
	{ 0x2bc95bd4, "memset" },
	{ 0x35712b51, "kern_path" },
	{ 0x971653b4, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0xd96bf236, "ram_aops" },
	{ 0x47d651c2, "d_delete" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x999e8297, "vfree" },
	{ 0x7eb93eef, "generic_read_dir" },
	{ 0x8adee151, "d_add" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0x1699ef40, "inode_set_ctime_current" },
	{ 0x1170806e, "inc_nlink" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xa9133f8e, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xc73cd115, "generic_delete_inode" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb4634b0f, "simple_release_fs" },
	{ 0x73ae1cf2, "d_parent_ino" },
	{ 0x61430c30, "get_tree_single" },
	{ 0xd0d8621b, "strlen" },
	{ 0xeaa07580, "inode_permission" },
	{ 0xef1c3b36, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x22132840, "inode_set_ctime_to_ts" },
	{ 0xdaa27c92, "simple_pin_fs" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5C5B221D48AABB201A9E77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
