#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xecc6a38d, "inode_init_owner" },
	{ 0x5fca7ce0, "generic_fillattr" },
	{ 0xdcde127d, "setattr_prepare" },
	{ 0xe2365a42, "iget_locked" },
	{ 0xe9d53dc1, "clear_nlink" },
	{ 0x72fcadc8, "generic_block_bmap" },
	{ 0x51bada4e, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8a8634af, "clear_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6e1aed3a, "fs_param_is_string" },
	{ 0x8235805b, "memmove" },
	{ 0xec9e9f, "new_inode" },
	{ 0x54b0f012, "init_special_inode" },
	{ 0x86b315c0, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa2bd8891, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1a0ce132, "__blockdev_direct_IO" },
	{ 0x9db05561, "d_make_root" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xc8905f1a, "sb_set_blocksize" },
	{ 0xeed0b233, "sync_filesystem" },
	{ 0x56820852, "d_splice_alias" },
	{ 0x427103c2, "load_nls_default" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4144774, "ihold" },
	{ 0xa4420cb1, "inode_dio_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x5179fe64, "read_cache_page" },
	{ 0x8174195d, "cont_write_begin" },
	{ 0xa7d6ba16, "iput" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xeca05d91, "generic_file_write_iter" },
	{ 0x4e4a54ba, "register_filesystem" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xa97c0c3f, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4f0087e5, "simple_inode_init_ts" },
	{ 0xad465e32, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xaef79346, "fs_param_is_u32" },
	{ 0x8b4165b9, "kill_block_super" },
	{ 0x1377e350, "unlock_new_inode" },
	{ 0x70f7896, "_printk" },
	{ 0xa4713c77, "block_invalidate_folio" },
	{ 0xca9a68fa, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xa1e777e5, "load_nls" },
	{ 0xa71df09c, "generic_cont_expand_simple" },
	{ 0xb5f3dc1, "make_kuid" },
	{ 0x22547bd1, "try_to_free_buffers" },
	{ 0xa60a2142, "truncate_inode_pages_final" },
	{ 0xc369d4ae, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xbda7a619, "inode_init_once" },
	{ 0x5b8169f5, "file_write_and_wait_range" },
	{ 0xb25f84ee, "__kmap_local_page_prot" },
	{ 0xeced8796, "mark_page_accessed" },
	{ 0x5d170e1b, "cdrom_read_tocentry" },
	{ 0x67c78d59, "seq_escape_mem" },
	{ 0xdbcc3b5c, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb9141014, "inode_nohighmem" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa78e9a91, "generic_file_read_iter" },
	{ 0xb65eb509, "truncate_pagecache" },
	{ 0x2dc49820, "page_symlink" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3173efda, "setattr_copy" },
	{ 0x420eabe4, "mem_section" },
	{ 0xf525e5f3, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x35cb31f4, "kmem_cache_alloc_lru_noprof" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x1b3f2a3, "security_inode_init_security" },
	{ 0xfe8dfc5f, "seq_putc" },
	{ 0x5f17d5b7, "from_kgid" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x6bea07b8, "cdrom_multisession" },
	{ 0x93a4680, "blkdev_issue_zeroout" },
	{ 0x2df1f3e3, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc5d35c98, "bio_add_page" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x2d8cf53d, "block_dirty_folio" },
	{ 0x2f9dfb82, "inode_add_bytes" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x97b96a, "from_kuid" },
	{ 0x2bc95bd4, "memset" },
	{ 0x3d8fc658, "__insert_inode_hash" },
	{ 0xb9c3400e, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x626f1706, "make_kgid" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x1e405171, "from_kgid_munged" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7f1997e, "truncate_setsize" },
	{ 0xa80bb1c2, "set_page_dirty" },
	{ 0x1f760bed, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7eb93eef, "generic_read_dir" },
	{ 0xc768384b, "page_symlink_inode_operations" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a494646, "init_user_ns" },
	{ 0x1699ef40, "inode_set_ctime_current" },
	{ 0x1170806e, "inc_nlink" },
	{ 0x167eb898, "seq_write" },
	{ 0xd779fe5, "__folio_put" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xe3b36bd3, "get_tree_bdev" },
	{ 0x5121170a, "seq_printf" },
	{ 0xa9133f8e, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb5e9e665, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x64348e1a, "__fs_parse" },
	{ 0xcc254815, "filemap_splice_read" },
	{ 0x830b267f, "from_kuid_munged" },
	{ 0x73ae1cf2, "d_parent_ino" },
	{ 0x1f75f55c, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x89be0a0, "__mark_inode_dirty" },
	{ 0xef1c3b36, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8191fb9e, "bio_alloc_bioset" },
	{ 0x53c1e5bb, "unload_nls" },
	{ 0x81262fdd, "submit_bio_wait" },
	{ 0xd49785b1, "sb_min_blocksize" },
	{ 0x960dd99e, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x22132840, "inode_set_ctime_to_ts" },
	{ 0x4fec5662, "iget_failed" },
	{ 0xf5810de9, "fs_bio_set" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "1A08BB2F211352E5EF4E3CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
