#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xecc6a38d, "inode_init_owner" },
	{ 0xb38fc680, "iomap_readahead" },
	{ 0xeadfe4b, "vfs_fsync_range" },
	{ 0xdcde127d, "setattr_prepare" },
	{ 0xe3976e7e, "filemap_migrate_folio" },
	{ 0xe2365a42, "iget_locked" },
	{ 0x48baead, "__bio_add_page" },
	{ 0xa4c9012a, "iocb_bio_iopoll" },
	{ 0xec9e9f, "new_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x190a2f86, "filemap_map_pages" },
	{ 0xbdc6bf0b, "iomap_file_buffered_write" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x86b315c0, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x404c391a, "generic_error_remove_folio" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x9db05561, "d_make_root" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc8905f1a, "sb_set_blocksize" },
	{ 0xeed0b233, "sync_filesystem" },
	{ 0x56820852, "d_splice_alias" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0xa4420cb1, "inode_dio_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7d6ba16, "iput" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x1ff83683, "fs_param_is_enum" },
	{ 0x8451fc15, "iter_file_splice_write" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x4e4a54ba, "register_filesystem" },
	{ 0xe924e449, "dquot_transfer" },
	{ 0x36c64457, "iomap_dirty_folio" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x4f0087e5, "simple_inode_init_ts" },
	{ 0xb275592a, "iomap_invalidate_folio" },
	{ 0xef77b9e7, "iomap_dio_rw" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8b4165b9, "kill_block_super" },
	{ 0x1377e350, "unlock_new_inode" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xda145f8, "blkdev_zone_mgmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb5f3dc1, "make_kuid" },
	{ 0xa47d50c, "fs_kobj" },
	{ 0x738803e6, "strnlen" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x5aa91c9, "__free_pages" },
	{ 0xca1f472a, "iomap_page_mkwrite" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xbda7a619, "inode_init_once" },
	{ 0x5b8169f5, "file_write_and_wait_range" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa78e9a91, "generic_file_read_iter" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3173efda, "setattr_copy" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x39f6138d, "file_update_time" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf525e5f3, "set_nlink" },
	{ 0x35cb31f4, "kmem_cache_alloc_lru_noprof" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x8338391c, "iomap_swapfile_activate" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0xe71c2b28, "kobject_init_and_add" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xc1e8298c, "bio_init" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x626f1706, "make_kgid" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0x3efe0d7d, "kobject_create_and_add" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xf7f1997e, "truncate_setsize" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x4a87c878, "iomap_read_folio" },
	{ 0x7eb93eef, "generic_read_dir" },
	{ 0xa59c1bb0, "kobject_del" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb6640da0, "iomap_writepages" },
	{ 0x1170806e, "inc_nlink" },
	{ 0x167eb898, "seq_write" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xe3b36bd3, "get_tree_bdev" },
	{ 0x4830417a, "touch_atime" },
	{ 0x5ce7b7e6, "blk_op_str" },
	{ 0xcdc4030, "__percpu_down_read" },
	{ 0x6ca50d8, "generic_file_open" },
	{ 0xec6f3440, "alloc_pages_noprof" },
	{ 0xb5e9e665, "blkdev_issue_flush" },
	{ 0x7b9ef494, "rcuwait_wake_up" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7335bd15, "send_sig" },
	{ 0x64348e1a, "__fs_parse" },
	{ 0xcc254815, "filemap_splice_read" },
	{ 0x73ae1cf2, "d_parent_ino" },
	{ 0xd57abc59, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4124810f, "generic_file_llseek_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1ea60f7b, "filemap_fault" },
	{ 0xef1c3b36, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3069c77e, "iomap_release_folio" },
	{ 0xa2f8194b, "iomap_is_partially_uptodate" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x81262fdd, "submit_bio_wait" },
	{ 0xaed01cd3, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x22132840, "inode_set_ctime_to_ts" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x56d8d8b7, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7811697D983F4E28D38EA89");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
