#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x2e019b15, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0xd7626000, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x4c1a4da8, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x5ecb92ac, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xfa5d24c0, "_gpl");
SYMBOL_CRC(dccp_check_req, 0xb4417952, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x73c307dc, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xd3b45263, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x631b742b, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xbd3c6f5d, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x1492f4a5, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xf880a017, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x632d129a, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x28ca93d4, "_gpl");
SYMBOL_CRC(dccp_connect, 0xf06a2b08, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x8a75789c, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0xf0337de5, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xbd10c85d, "_gpl");
SYMBOL_CRC(dccp_done, 0xf18073ba, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x8a41ac42, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x9162f3e7, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x02e3d9ae, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x5bcbf00f, "_gpl");
SYMBOL_CRC(dccp_poll, 0x662963bb, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x7d7829ec, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x1f66bcee, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x650b656c, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x438ce7ea, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xff938ec7, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xe81d4fab, "_gpl");
SYMBOL_CRC(dccp_close, 0x30a702af, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x70befd14, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0xe3281588, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x554c17a1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x96240ba8, "sock_wmalloc" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8ae2d226, "__kmalloc_node_track_caller_noprof" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x327b3f4b, "proc_dointvec_ms_jiffies" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5d5ec85, "inet_csk_clear_xmit_timers" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x1fe125a1, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca495dbc, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x301ae74f, "register_net_sysctl_sz" },
	{ 0xb185117b, "inet_sock_destruct" },
	{ 0x81206ae0, "inet_put_port" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0x3a3337da, "inet_csk_init_xmit_timers" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x3dc4b477, "sk_reset_timer" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0xf5fc6310, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0d265df, "ip6_mtu" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x420e3911, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8af1193f, "skb_push" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0x1a809868, "tcp_stream_memory_free" },
	{ 0xe0486dd8, "skb_checksum" },
	{ 0x2bc95bd4, "memset" },
	{ 0xfc9bab78, "sk_wait_data" },
	{ 0x3185a9d, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb9bf69b4, "inet_twsk_hashdance_schedule" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x354f0aff, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3960e8a, "inet_csk_listen_start" },
	{ 0x7d416c64, "sk_free_unlock_clone" },
	{ 0xfc676221, "sock_rfree" },
	{ 0x68c7cc50, "ipv4_mtu" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xb7c505eb, "skb_set_owner_w" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xbf4a0321, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xe286383e, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x583524db, "sk_stream_wait_connect" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0x6f93663a, "inet_csk_destroy_sock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x65bebc20, "sk_stop_timer" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0x33e866fc, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x4fc7a674, "inet_csk_listen_stop" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xa229d952, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x44ece53a, "inet_csk_complete_hashdance" },
	{ 0x4b835230, "release_sock" },
	{ 0x6a9b7a21, "inet_csk_reqsk_queue_drop" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C4A0F686D56AE1D6DAE0AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
