#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x072fd573, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x63151f96, "");
SYMBOL_CRC(nfc_find_se, 0xb8976549, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0xc13dcbc5, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x008f98b4, "");
SYMBOL_CRC(nfc_tm_data_received, 0xf5214c87, "");
SYMBOL_CRC(nfc_tm_activated, 0x40c2d93b, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x0f761514, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0xc4b9ab74, "");
SYMBOL_CRC(nfc_targets_found, 0xc83641cc, "");
SYMBOL_CRC(nfc_target_lost, 0x84bf131e, "");
SYMBOL_CRC(nfc_driver_failure, 0xadac8ff3, "");
SYMBOL_CRC(nfc_add_se, 0xd0d0775e, "");
SYMBOL_CRC(nfc_remove_se, 0x6fb5cb09, "");
SYMBOL_CRC(nfc_se_transaction, 0x9a7cfa5f, "");
SYMBOL_CRC(nfc_se_connectivity, 0x99812ece, "");
SYMBOL_CRC(nfc_class, 0x9b6b2096, "");
SYMBOL_CRC(nfc_allocate_device, 0x3957a3fc, "");
SYMBOL_CRC(nfc_register_device, 0xe978b431, "");
SYMBOL_CRC(nfc_unregister_device, 0xb5dca525, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x015561ed, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x3490d03b, "");
SYMBOL_CRC(nfc_proto_register, 0x75012feb, "");
SYMBOL_CRC(nfc_proto_unregister, 0xe1c4ff4f, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0xecda2ccb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5f5d13, "security_sock_graft" },
	{ 0x90be896b, "skb_free_datagram" },
	{ 0xd3d9a569, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb5892cda, "class_dev_iter_next" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x554c17a1, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0xeb6a7740, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xbbb50505, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x533759b9, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc93991b6, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc77e64d6, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca495dbc, "sk_error_report" },
	{ 0x2e2deb5c, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x66adc80, "class_dev_iter_exit" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf47566b1, "sock_register" },
	{ 0xe769bd52, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x53383605, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x2a93471d, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xc742b983, "__sock_recv_timestamp" },
	{ 0x82b5296, "sock_no_shutdown" },
	{ 0x4437e317, "devm_kfree" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0xa9997954, "device_add" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x261fd497, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3e1974b, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x9b9e08d3, "sock_no_listen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x51813ef6, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xb7aab8b4, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0x91739bce, "sock_no_bind" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0x653d1f7f, "rfkill_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xdebdfff8, "class_dev_iter_init" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x80f59da4, "device_del" },
	{ 0x1be0abf5, "__sock_recv_wifi_status" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x354f0aff, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x1267881e, "skb_recv_datagram" },
	{ 0xbf4a0321, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x68dcaae6, "sock_no_getname" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46294119, "skb_copy" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb3432f19, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x6fdf8b3, "genl_unregister_family" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x286f3c70, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd2bf8c18, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x68b4b2de, "sock_init_data" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x4b835230, "release_sock" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x11db3e78, "class_find_device" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "EB67B394E5E36DFE5372C7C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
