#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xd53490d3, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x2fa170ec, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x7a79c887, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x5d8ddd7a, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x28db5e03, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x7a88da43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4e8693e, "nf_ct_ext_add" },
	{ 0xe1a8871, "nsh_pop" },
	{ 0x609193e6, "nf_conntrack_find_get" },
	{ 0x7f7038ef, "nf_ct_set_timeout" },
	{ 0xc2859061, "dev_get_stats" },
	{ 0x3d501fb8, "__nla_put" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x63af59a4, "dev_fill_metadata_dst" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x92cdd254, "nf_ct_handle_fragments" },
	{ 0x34005f98, "eth_mac_addr" },
	{ 0x554c17a1, "skb_put" },
	{ 0xfff47fe1, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x80e89c1a, "nsh_push" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xa7bdb0dc, "nf_ct_nat" },
	{ 0x9d1bf168, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x430f4309, "skb_eth_pop" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x9078d2c8, "skb_gso_validate_mac_len" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x46562c54, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xbac01554, "nf_ct_helper" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0xad3f4203, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1eaf51dc, "rtnl_link_register" },
	{ 0xa52549a4, "nf_connlabels_put" },
	{ 0xbbb50505, "genlmsg_put" },
	{ 0x9a80e6d8, "___pskb_trim" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1ff3017e, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x3beb5d67, "dev_set_promiscuity" },
	{ 0x2ad8d081, "nf_ct_destroy_timeout" },
	{ 0x673c0103, "nf_ct_add_helper" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xcf5cf0a0, "nf_conntrack_helper_put" },
	{ 0x6ca4842c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1b04dccb, "nf_ct_skb_network_trim" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0xc3874673, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8f75a3, "node_states" },
	{ 0xc2205851, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc77e64d6, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa74727c, "pskb_expand_head" },
	{ 0x30c01aba, "skb_csum_hwoffload_help" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0xd75e4b71, "dev_addr_mod" },
	{ 0x3fff101c, "nf_connlabels_replace" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc897b8d, "alloc_netdev_mqs" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x30c5c8f1, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xcd73e9a8, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x54f1467c, "skb_eth_push" },
	{ 0x71fcf0e4, "nf_conncount_count" },
	{ 0x738803e6, "strnlen" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd7da79e2, "skb_mpls_pop" },
	{ 0x1e780a05, "skb_vlan_pop" },
	{ 0x1ec30731, "dst_init" },
	{ 0x2a93471d, "module_put" },
	{ 0x9b6eb137, "ksize" },
	{ 0x4c609d60, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x224f67ed, "rtnl_link_unregister" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xb26053df, "init_net" },
	{ 0xaacc9e27, "sort" },
	{ 0xb5c5685d, "ipv6_stub" },
	{ 0x34c850ff, "skb_mpls_update_lse" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x1656b3ee, "__skb_get_hash_symmetric_net" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x261fd497, "netlink_unicast" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6682015, "dev_get_by_index_rcu" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0xac5c567e, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x9c62e310, "skb_ensure_writable" },
	{ 0x65248ca5, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcc9d7001, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3acabde1, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18b9ceab, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x77a2a817, "__nf_conntrack_confirm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2bc95bd4, "memset" },
	{ 0xfb284492, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x6606b393, "nf_ct_delete" },
	{ 0x1dfc5114, "nf_conncount_init" },
	{ 0x53345365, "skb_vlan_push" },
	{ 0x176fc762, "netif_rx" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0x1ef77b69, "netdev_master_upper_dev_link" },
	{ 0x6fa2f3b6, "skb_zerocopy_headlen" },
	{ 0x48800a5b, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x6f04ba1b, "inet_proto_csum_replace16" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb207f4, "skb_scrub_packet" },
	{ 0xc5aa3d7, "nf_ct_deliver_cached_events" },
	{ 0xcefcf0d9, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7999daac, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf3adade, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x261cb4b3, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9734278c, "inet_proto_csum_replace4" },
	{ 0x430a1fd2, "nf_conncount_destroy" },
	{ 0xc74d445d, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xa8c0d9cc, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf3029e6f, "dev_get_by_name" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xd4c7f9c, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6d8ca902, "peernet2id_alloc" },
	{ 0x8fe2f468, "nf_ct_get_tuplepr" },
	{ 0x2606e177, "netdev_rx_handler_register" },
	{ 0xf1d49acc, "ip_do_fragment" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x6fdf8b3, "genl_unregister_family" },
	{ 0xfc535517, "dev_disable_lro" },
	{ 0x9b5feb90, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xbb3f8406, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x286f3c70, "genl_register_family" },
	{ 0x4b10f9a, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc11a35dd, "netlink_has_listeners" },
	{ 0x6ebf9bd9, "kmalloc_size_roundup" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x47ba8ab8, "__skb_gso_segment" },
	{ 0x29f3a126, "up_read" },
	{ 0x7ec35d5c, "skb_mpls_push" },
	{ 0x45963f79, "register_pernet_device" },
	{ 0x7f192fcd, "nf_conntrack_in" },
	{ 0x74ace58d, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0xa22ee764, "__skb_vlan_pop" },
	{ 0x23f819a0, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "E8C8A7C907722A8CEF98EBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
