#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x31bc9823, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xdd925c71, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x2b249740, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xa720ff7b, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x90aa3357, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x8af7f24a, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x52258295, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xcf25a076, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x480b288b, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xeaa88f95, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x01197d25, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xfffcbc5d, "");
SYMBOL_CRC(key_type_rxrpc, 0xc64db95e, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x211eed50, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x377c70b8, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xae42744d, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xbe86d1b3, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x4b1d61ac, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0xe8f4388b, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x9e627775, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xa7540729, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xb1349a0b, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x07572f18, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x47046e96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x511adcd8, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd178453b, "key_alloc" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x74daf462, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa80316ed, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0xa52f7abf, "udp_sock_create4" },
	{ 0x3e61b5c4, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xceb8d34f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x5ad26009, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x5d9ae61b, "udpv6_sendmsg" },
	{ 0x12b47b59, "unregister_key_type" },
	{ 0x8ae2d226, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1605b7a3, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4444210a, "crypto_skcipher_setkey" },
	{ 0xa2948dfc, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6258fb43, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x65107961, "register_key_type" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa26bf56a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9693563c, "put_cmsg" },
	{ 0x54039633, "wake_up_process" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x301ae74f, "register_net_sysctl_sz" },
	{ 0x7889ccf6, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa9aba511, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x8c158615, "ipv6_icmp_error" },
	{ 0xf47566b1, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd47490c0, "crypto_skcipher_decrypt" },
	{ 0xb5f3dc1, "make_kuid" },
	{ 0x2bdc2683, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x3f11f0e5, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x1436bcfc, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x632780, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc742b983, "__sock_recv_timestamp" },
	{ 0x80c2136a, "key_put" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0xb293b20e, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x764b73e4, "sock_enable_timestamps" },
	{ 0xfc496e96, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0d265df, "ip6_mtu" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0xd97c3ca1, "sk_free" },
	{ 0x420e3911, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2aa3a79, "kernel_sock_shutdown" },
	{ 0x3e1974b, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9266f278, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb5cee892, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3acabde1, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0xf80a6b96, "lock_sock_nested" },
	{ 0x3c2a34b0, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd7590159, "skb_copy_datagram_iter" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x20541213, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x229e586a, "sk_alloc" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x1be0abf5, "__sock_recv_wifi_status" },
	{ 0x814781a3, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcf941267, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef0a309e, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa2b2d346, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x3046a613, "key_validate" },
	{ 0x98de3e1c, "crypto_alloc_sync_skcipher" },
	{ 0x6496b32b, "__kmem_cache_create_args" },
	{ 0xe4f08391, "setup_udp_tunnel_sock" },
	{ 0xbd3ab3c7, "proc_remove" },
	{ 0x86703a17, "udp_sock_create6" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23511d49, "kthread_create_on_node" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x68c7cc50, "ipv4_mtu" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0xac9dc8d, "keyring_search" },
	{ 0x73b9968, "ip_sock_set_recverr" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa4711a24, "request_key_tag" },
	{ 0x94475155, "generic_key_instantiate" },
	{ 0x167eb898, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x68dcaae6, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x46294119, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa07b1124, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf9579d0, "dst_release" },
	{ 0x33bbc7b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x7caef28f, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb3432f19, "sock_no_ioctl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf7d520c7, "_proc_mkdir" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x12733e87, "__seq_puts" },
	{ 0x3bf818d3, "page_frag_cache_drain" },
	{ 0x9dd0f5cd, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8d975279, "bpf_trace_run7" },
	{ 0x597082f5, "ip_icmp_error" },
	{ 0x5a978ef5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc912fee9, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6adf1c45, "skb_to_sgvec" },
	{ 0x45963f79, "register_pernet_device" },
	{ 0x12deb7e1, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x68b4b2de, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x6224e1cf, "kmem_cache_destroy" },
	{ 0x4b835230, "release_sock" },
	{ 0xff157d9f, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2d758940, "proc_create_net_single_write" },
	{ 0xe14c1f25, "crypto_alloc_skcipher" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "55CE2B2ADF4AE3B1FDF8A74");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
