#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_pending, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_wdev_channel_allowed, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x1a00cb63, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x66db5f94, "");
SYMBOL_CRC(wiphy_register, 0xb2961017, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x1cdf06d8, "");
SYMBOL_CRC(wiphy_unregister, 0xc954318c, "");
SYMBOL_CRC(wiphy_free, 0x4cfcb259, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x53e705fc, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x44042ff8, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x48b31b77, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x716eeb9a, "");
SYMBOL_CRC(wiphy_work_queue, 0xc8ce9320, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x15907469, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x1d9e1306, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x91289692, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x7a49a995, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x80bff9d0, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_pending, 0x61b5f434, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0xb3f40e25, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x57e81fc4, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x61a123be, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x958a008a, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0xf36c7d53, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0xdac9be7f, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xc3c2d9ab, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x83201983, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x9fe9243a, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x38cb594a, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x59a7f0c4, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x4012be02, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x977f68ee, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xaf1f54c8, "");
SYMBOL_CRC(cfg80211_get_station, 0x18c76f6f, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x07a6333d, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0xcb3e4035, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x534f42d0, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xee69a6fe, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0xe281e5d8, "");
SYMBOL_CRC(cfg80211_wdev_channel_allowed, 0x111168bf, "");
SYMBOL_CRC(get_wiphy_regdom, 0x6fcabbbf, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x1e0738b5, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xc523b09f, "");
SYMBOL_CRC(regulatory_hint, 0xca46525e, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x60f876df, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x825a6bc0, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x3d48fa41, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0xbd9bc7cc, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x401f758a, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x7a78626c, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x9048a371, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x1de4738f, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xd11ac25b, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x9ace5047, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x83408773, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x8b24e88f, "");
SYMBOL_CRC(cfg80211_defragment_element, 0x53351a48, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x8f3acbc8, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x2200f7cd, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x47dc031d, "");
SYMBOL_CRC(cfg80211_put_bss, 0x5442483d, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x9afc268f, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x2d6ea093, "");
SYMBOL_CRC(nl80211_send_chandef, 0x39fe62bb, "");
SYMBOL_CRC(cfg80211_check_station_change, 0xc157a283, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xc63fc1ce, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xb023aff7, "");
SYMBOL_CRC(cfg80211_nan_match, 0x24b9c7fc, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x40eb636b, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x03365cd6, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0xe81a680f, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x390e4e69, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xc5e52060, "");
SYMBOL_CRC(cfg80211_links_removed, 0x3d43381b, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xf9e151bc, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xd183f138, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x8b9fc8be, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x3c3b392b, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0xa988bdd4, "");
SYMBOL_CRC(cfg80211_new_sta, 0x0a405026, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x6d5cc61d, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x071ec36a, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x7456b785, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0xaec98ffd, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x87706b87, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xc952b2e7, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xee2e0893, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xbe0875ec, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x7c724ff1, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xa3ee34a8, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x57306771, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x2215089e, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xe0b5108d, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x16a9567c, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x72e78ea7, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xf6415227, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x8955507e, "");
SYMBOL_CRC(cfg80211_probe_status, 0x7326e934, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xaf95b4ac, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xb9982e92, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x86bb9225, "");
SYMBOL_CRC(cfg80211_ft_event, 0x2a5baf38, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x53418814, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x796516cd, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xa59f769e, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0xcfd55ad1, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x21609b4b, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xee09919c, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x936c46dd, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xdea7be9e, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xa78934b5, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xf0c5ea15, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x03540267, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x8ed2e49f, "");
SYMBOL_CRC(cfg80211_cac_event, 0x626ea4c1, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x03a9f81a, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x5bfaa7d7, "");
SYMBOL_CRC(cfg80211_connect_done, 0x233ef137, "");
SYMBOL_CRC(cfg80211_roamed, 0x4c754507, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xcdd6a67b, "");
SYMBOL_CRC(cfg80211_disconnected, 0xb6f27545, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x3a832fc6, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xa2b49582, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x5be8730c, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xaa584621, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0x1cd1d4cb, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x54d12c90, "");
SYMBOL_CRC(wdev_chandef, 0x2f7b8c11, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x85ebacd0, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xf87d07e5, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x2bb00d4c, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0xb8a3cae2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e420fc4, "trace_print_array_seq" },
	{ 0xbe51d7e2, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9da11c55, "verify_pkcs7_signature" },
	{ 0x27c8a1e7, "bpf_trace_run4" },
	{ 0x933c11f7, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x554c17a1, "skb_put" },
	{ 0xfab2c787, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0xa80316ed, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9d1bf168, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x3e61b5c4, "bpf_trace_run6" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x25e6d167, "request_firmware" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0xbbb50505, "genlmsg_put" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3ffd98d8, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0xea1c64bc, "unregister_netdevice_queue" },
	{ 0x2101c89f, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc77e64d6, "netlink_broadcast_filtered" },
	{ 0x9caa1ff9, "keyring_alloc" },
	{ 0x9c063e58, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x536c911f, "device_rename" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x1c0d4061, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xeeb25594, "net_ns_type_operations" },
	{ 0x738803e6, "strnlen" },
	{ 0x53383605, "__alloc_skb" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x3002b263, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbe2c0683, "inet_csk_get_port" },
	{ 0x80c2136a, "key_put" },
	{ 0x4e59fac0, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7c040d8d, "__dev_get_by_index" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xca963c27, "_dev_err" },
	{ 0xb26053df, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc8195ddd, "request_firmware_nowait" },
	{ 0xa82be1f2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa9997954, "device_add" },
	{ 0x43c728df, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbbdc2189, "init_uts_ns" },
	{ 0xe5d2362, "platform_device_unregister" },
	{ 0xcb65108d, "sk_skb_reason_drop" },
	{ 0x261fd497, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa3de4c5c, "dev_get_by_index" },
	{ 0x519e2e85, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdeea2e81, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8af1193f, "skb_push" },
	{ 0x5b222cb3, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb1f03113, "wireless_send_event" },
	{ 0x51813ef6, "nla_put" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x29e2a0df, "of_find_property" },
	{ 0x9dc0ff36, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3acabde1, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x653d1f7f, "rfkill_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5e595da3, "bpf_trace_run1" },
	{ 0x80f59da4, "device_del" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x84d1a115, "__pskb_pull_tail" },
	{ 0x176fc762, "netif_rx" },
	{ 0xdb26ec7a, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0bf6ebe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc80cba17, "of_prop_next_u32" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0xdc25947e, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x558b971, "get_net_ns_by_pid" },
	{ 0xf44337f3, "debugfs_rename" },
	{ 0x61a9c4af, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457fdc75, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7caef28f, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x6fdf8b3, "genl_unregister_family" },
	{ 0x616c12ac, "skb_add_rx_frag_netmem" },
	{ 0xd57abc59, "page_address" },
	{ 0xea124bd1, "gcd" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8d975279, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda8305fe, "debugfs_create_dir" },
	{ 0x286f3c70, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8d246e7, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x45963f79, "register_pernet_device" },
	{ 0x463808eb, "get_net_ns_by_fd" },
	{ 0xd2bf8c18, "class_register" },
	{ 0x55f52332, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb7a9caba, "register_netdevice" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "C43A75E0FCD1698CD65985C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
