#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x7cedad19, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xde685022, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xcebaf08a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x8f221207, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x0179a466, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x7a9867f0, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xb3b32921, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x4cc1e906, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x9739d24b, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xbeaa41d5, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xdc268a49, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xfa6aa5a9, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x6dfeb6c4, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x179266ff, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x8712033d, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x61d43afa, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xc95f528e, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x41f082a0, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x0e196458, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xfe2102f4, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x8dc03c1c, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x93f90528, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x9cb22919, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xee5161f9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xe88c4f85, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x7592c3f5, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xb8170b6d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x8517ee93, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0xf9ec6674, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x4459721e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x4e1f8a49, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x632b5281, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x4d7e861a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x98e74838, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xdcc14b1a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x73043649, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x1a756721, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x95ac9924, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x56afbfa4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xf7d4de0f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xf61ef2dc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x2523e77d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xd2ca431d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xbdb77752, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xcce40407, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x0fe61ad3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xad06ee8b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xbc174571, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xda7b7ad0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xf032e7fd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xca7e8a8b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xd58b9a91, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x38ac33d2, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x100cec6e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x5ebf24d1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x6ee9758b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x1d323970, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xfdd88db9, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xb4b4e42f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x7488e044, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xe0aa07b7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0xe4817d86, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x492d2dcd, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x76b248e9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x88a8e9c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x6d70706c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x54588438, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x310af1f8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x9b3b5d57, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xc026cb37, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xcf7be943, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xe3cc5d0b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x9554cbb8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xc66d8ee4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xe7e3d4a0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x8998fa54, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x1a3c92b8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xc4e1fc5c, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x57b53240, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xf1be5792, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xc23e3205, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0xe077f8d1, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xd312feee, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x0f4de1ef, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x3f73c628, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x375b52fd, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x87798836, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0xa4a4a6f2, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x066bbc03, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x164bab53, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x967642fd, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0xf0f76e21, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x4de79434, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xb723645e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x12fc4024, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x51c1f364, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0x3a2e1d7b, "snd_dma_alloc_dir_pages" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x3388624b, "component_master_add_with_match" },
	{ 0x1e15e394, "trace_raw_output_prep" },
	{ 0x515e62b4, "snd_pcm_add_chmap_ctls" },
	{ 0x704b64f0, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd99c83c0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf488f5fd, "pci_get_device" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb2694816, "trace_event_printf" },
	{ 0x12557cae, "devres_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf8e416d8, "pm_runtime_get_if_active" },
	{ 0x78f4a90c, "kobject_init" },
	{ 0xd7fb1b53, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7d562dc4, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x1c4dfa00, "regcache_reg_cached" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4ecb7ab, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb4ea465b, "snd_sgbuf_get_addr" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xa897a3cd, "snd_sgbuf_get_chunk_size" },
	{ 0xb13ba4d1, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x639b67cb, "trace_event_buffer_commit" },
	{ 0x9513bd50, "snd_dma_free_pages" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x2a93471d, "module_put" },
	{ 0xd341b2c3, "component_match_add_typed" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x5e289bd6, "perf_trace_run_bpf_submit" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xca963c27, "_dev_err" },
	{ 0x440e0f92, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9997954, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7bb0891b, "__devres_alloc_node" },
	{ 0xe422b17d, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xff137f49, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xffda94e9, "__regmap_init" },
	{ 0x80f59da4, "device_del" },
	{ 0x2bc95bd4, "memset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3efe0d7d, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5b5c52f9, "sysfs_remove_group" },
	{ 0xeea24472, "bpf_trace_run3" },
	{ 0xf2f67f1, "component_master_del" },
	{ 0x993fa434, "regmap_read" },
	{ 0xbb0906c9, "trace_event_buffer_reserve" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9e4ae028, "component_bind_all" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0xb281a349, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x114ffa9d, "pci_match_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbeac7d19, "devres_find" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0xbe78532a, "regmap_exit" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x521b4eba, "component_unbind_all" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3b1e0, "pci_bus_type" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x56d8d8b7, "kobject_put" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "5DB94B74966C5289F2EAEBD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
