#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0x82e0c097, "");
SYMBOL_CRC(snd_ac97_read, 0x31cf1f8f, "");
SYMBOL_CRC(snd_ac97_write_cache, 0xa8c5a43a, "");
SYMBOL_CRC(snd_ac97_update, 0xebe92c78, "");
SYMBOL_CRC(snd_ac97_update_bits, 0x75be5811, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0xd6805e6b, "");
SYMBOL_CRC(snd_ac97_bus, 0xc94da139, "");
SYMBOL_CRC(snd_ac97_mixer, 0x6f895028, "");
SYMBOL_CRC(snd_ac97_update_power, 0xec063622, "");
SYMBOL_CRC(snd_ac97_suspend, 0xd4fa6632, "");
SYMBOL_CRC(snd_ac97_resume, 0x88c958ef, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x7a4fdfc6, "");
SYMBOL_CRC(snd_ac97_set_rate, 0xe42bf09b, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x2d25c1f0, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0xa3e6f176, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0xe8cf4667, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xb189a87d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x679c202e, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe1c892ad, "dev_set_name" },
	{ 0x9b4a737d, "snd_ctl_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x581095c0, "device_unregister" },
	{ 0xe6174828, "snd_info_free_entry" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x5ad5325d, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x896cbc97, "snd_ctl_new1" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x9f2483c4, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xdc7da313, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xca98976f, "snd_ctl_make_virtual_master" },
	{ 0x96868389, "snd_pcm_hw_rule_add" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xa2e51fd, "snd_ctl_boolean_mono_info" },
	{ 0xca963c27, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3fc0ce6, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5e59d431, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xe46fc655, "snd_ctl_rename" },
	{ 0x49315f63, "device_register" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x1954841c, "snd_device_new" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x5121170a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfd3a8b60, "snd_info_create_card_entry" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
