#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52667af0, "snd_hda_add_new_ctls" },
	{ 0x21524b6a, "snd_hda_gen_build_controls" },
	{ 0xfea958b9, "snd_hda_gen_mic_autoswitch" },
	{ 0x4e948f56, "query_amp_caps" },
	{ 0x27d2f92d, "snd_hda_mixer_amp_volume_info" },
	{ 0xdcc14b1a, "snd_hdac_regmap_read_raw" },
	{ 0x8e62fe0f, "snd_hda_jack_detect_state_mst" },
	{ 0xa3cf990f, "snd_hda_gen_spec_init" },
	{ 0xab905c5a, "snd_hda_mixer_amp_switch_info" },
	{ 0xf8093a7e, "hda_codec_driver_unregister" },
	{ 0x5bbcfcca, "snd_hda_add_new_path" },
	{ 0x8517ee93, "snd_hdac_codec_write" },
	{ 0x8f8ce675, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x28e6a34d, "snd_hda_gen_add_kctl" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xceb0b852, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8712033d, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xa2e51fd, "snd_ctl_boolean_mono_info" },
	{ 0xe06a4a68, "snd_hda_override_amp_caps" },
	{ 0xc2a7943f, "__hda_codec_driver_register" },
	{ 0x3fab653f, "snd_hda_jack_set_gating_jack" },
	{ 0x55c6a397, "snd_hda_parse_pin_defcfg" },
	{ 0xe19bd7ab, "snd_hda_gen_init" },
	{ 0x7b50889c, "snd_hda_activate_path" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcef41f7e, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x4d7e861a, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x786e0742, "snd_hda_codec_set_pin_target" },
	{ 0xcf5c82d3, "snd_hda_gen_check_power_status" },
	{ 0x936b2979, "_snd_hda_set_pin_ctl" },
	{ 0x98e74838, "snd_hdac_regmap_write_raw" },
	{ 0x73e4295c, "snd_hda_mixer_amp_volume_get" },
	{ 0x9eab3a92, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa75fc3b9, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7f04a91d, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x65a8a2c, "snd_hda_jack_unsol_event" },
	{ 0xebdafb5d, "snd_hda_gen_build_pcms" },
	{ 0x6c8e767e, "snd_hda_mixer_amp_tlv" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x14ed37b1, "snd_hda_pick_fixup" },
	{ 0xd6d60e07, "snd_hda_apply_fixup" },
	{ 0x439cb521, "snd_hda_gen_parse_auto_config" },
	{ 0xb8170b6d, "snd_hdac_codec_read" },
	{ 0x47a106d0, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xbece648f, "snd_hda_codec_get_pin_target" },
	{ 0xf78bb31c, "snd_hda_gen_free" },
	{ 0x63fbbd1, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "0B00CB5339104835AEE99FB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
