#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x3e5cc1ad, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0xf74edb2a, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xbb483a6d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64ec3a1f, "acpi_dev_get_first_match_dev" },
	{ 0x6f42d26a, "gpiod_get_value_cansleep" },
	{ 0xf4628f44, "cs35l41_global_enable" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x1ca65743, "regcache_cache_only" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0xe590891f, "gpiod_put" },
	{ 0x51c1f364, "regcache_sync" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x55c0c8ec, "cs_amp_get_efi_calibration_data" },
	{ 0xb39dfca1, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x9b4a737d, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xcaced72, "gpiod_count" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x53595c57, "cs_dsp_stop" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0xcd4ff335, "cs35l41_register_errata_patch" },
	{ 0x8117bdc7, "gpiod_set_value_cansleep" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x63d5744, "gpiod_get_index" },
	{ 0xb8a8c669, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d094b41, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x670c9e73, "cs35l41_init_boost" },
	{ 0xfd6e5a03, "cs35l41_enter_hibernate" },
	{ 0x82c80d65, "get_device" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0008f48, "hda_cs_dsp_read_ctl" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0x896cbc97, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x5978a929, "fwnode_gpiod_get_index" },
	{ 0x95fd0516, "device_property_read_u32_array" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xa2e51fd, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x11ecb3c3, "devm_acpi_dev_add_driver_gpios" },
	{ 0x4437e317, "devm_kfree" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7645bc96, "cs_dsp_halo_init" },
	{ 0xfe1ae177, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc043fce0, "device_link_remove" },
	{ 0xcd0d769b, "cs35l41_test_key_unlock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbe3850ed, "cs35l41_test_key_lock" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x107e39eb, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x772d44cb, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36738559, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6b20016d, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0x43ed721e, "devm_regmap_add_irq_chip" },
	{ 0x7afb1388, "cs35l41_exit_hibernate" },
	{ 0x64bd58d, "spi_setup" },
	{ 0x993fa434, "regmap_read" },
	{ 0xd6835751, "cs_dsp_run" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2a9b3e7e, "cs_amp_write_cal_coeffs" },
	{ 0xc796721c, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xfc7087a6, "cs35l41_write_fs_errata" },
	{ 0xa6c2fb2d, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xf287d802, "cs35l41_configure_cs_dsp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4bc10af6, "_dev_crit" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xf8019a69, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x21d1ef4a, "component_add" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0xd0d8317a, "cs35l41_set_channels" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x70e67a9d, "device_link_add" },
	{ 0xd2612b06, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-cs-amp-lib,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "8D3849B68A9B3ABDABED8CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
