#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0x5f2e07ed, "");
SYMBOL_CRC(snd_trident_stop_voice, 0xee941bd8, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0x10626e8d, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x4fdc65c1, "");
SYMBOL_CRC(snd_trident_free_voice, 0x66533cd4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0x9b4a737d, "snd_ctl_add" },
	{ 0x88c958ef, "snd_ac97_resume" },
	{ 0xe1ddb416, "snd_pcm_new" },
	{ 0x2f65f2cb, "snd_card_register" },
	{ 0x71661968, "snd_devm_alloc_dir_pages" },
	{ 0xecdd6825, "__pci_register_driver" },
	{ 0x7227b36b, "snd_pcm_hw_constraint_minmax" },
	{ 0x39ed9f12, "param_array_ops" },
	{ 0x237077a9, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x40f084e9, "snd_card_rw_proc_new" },
	{ 0x6f895028, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb4ea465b, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc94da139, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4295e655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x896cbc97, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xd4fa6632, "snd_ac97_suspend" },
	{ 0xa2e51fd, "snd_ctl_boolean_mono_info" },
	{ 0xca963c27, "_dev_err" },
	{ 0xadd4d890, "snd_util_memhdr_new" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa646f48, "snd_ctl_notify" },
	{ 0xa7394e6b, "snd_pcm_set_ops" },
	{ 0x8b155d2a, "snd_pcm_set_managed_buffer" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7117f4b, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6a224c83, "__snd_util_mem_free" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa81242, "param_ops_bool" },
	{ 0xc9c8b56d, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f8260bb, "pci_write_config_byte" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5121170a, "seq_printf" },
	{ 0x9e06c0b1, "snd_util_memhdr_free" },
	{ 0x4e8a94e, "snd_mpu401_uart_new" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x23330c5d, "snd_pcm_period_elapsed" },
	{ 0x3936370b, "__snd_util_memblk_new" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x62c46941, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcd2d743c, "pci_write_config_dword" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0xbac39ad8, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-ac97-codec,snd-pcm,snd-util-mem,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5E695201FC2A5D668D0D91E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
