#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x610f6295, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x56230a39, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xb875350e, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x7bbc4b2f, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x0ea3eded, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xb4f2ed18, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x756931ab, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xd20d8767, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x178628e9, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x47cf7fa8, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xaea3cc12, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x5e64d8a3, "_gpl");
SYMBOL_CRC(cs42l42_init, 0xfc69cc6d, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xc51b0048, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x9b052c9c, "device_property_present" },
	{ 0x1ca65743, "regcache_cache_only" },
	{ 0x51c1f364, "regcache_sync" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5bd70623, "snd_soc_jack_report" },
	{ 0x8117bdc7, "gpiod_set_value_cansleep" },
	{ 0x7227b36b, "snd_pcm_hw_constraint_minmax" },
	{ 0x34620d55, "regcache_sync_region" },
	{ 0x94a63ba1, "snd_soc_put_enum_double" },
	{ 0x2d094b41, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cc10afa, "devm_gpiod_get_optional" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd29e6d38, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1cd6438c, "regulator_bulk_disable" },
	{ 0x95fd0516, "device_property_read_u32_array" },
	{ 0xe571005c, "snd_soc_get_enum_double" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x51317353, "snd_soc_info_volsw" },
	{ 0x674094ed, "regcache_drop_region" },
	{ 0xca963c27, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x570e44d2, "snd_soc_info_enum_double" },
	{ 0x36eddcef, "regulator_bulk_enable" },
	{ 0x7f37573f, "devm_regulator_bulk_get" },
	{ 0x6fcd3ffc, "snd_soc_get_volsw" },
	{ 0x993fa434, "regmap_read" },
	{ 0x3750c34d, "snd_soc_put_volsw" },
	{ 0x955c0300, "snd_soc_component_update_bits" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4c53929a, "regmap_bulk_read" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0xf8019a69, "regmap_multi_reg_write" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "8DB77C8760919CA0536D6C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
