#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(max98090_mic_detect, "_gpl", "");

SYMBOL_CRC(max98090_mic_detect, 0xaa316ef5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4241bf38, "snd_soc_dapm_put_enum_double" },
	{ 0x1ca65743, "regcache_cache_only" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x51c1f364, "regcache_sync" },
	{ 0xe2d59b2e, "regmap_write" },
	{ 0xb11043a9, "devm_request_threaded_irq" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x5bd70623, "snd_soc_jack_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x20ac0d6e, "snd_soc_bytes_put" },
	{ 0x8a41c391, "snd_soc_component_read" },
	{ 0x6bbb7ddf, "i2c_match_id" },
	{ 0x2b3a7db7, "snd_soc_bytes_get" },
	{ 0x94a63ba1, "snd_soc_put_enum_double" },
	{ 0x2d094b41, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x94a26782, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa4757042, "snd_soc_component_write" },
	{ 0xd29e6d38, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf6e4f1b3, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x90d3ebbb, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x95fd0516, "device_property_read_u32_array" },
	{ 0xe571005c, "snd_soc_get_enum_double" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xe59991d6, "i2c_register_driver" },
	{ 0x51317353, "snd_soc_info_volsw" },
	{ 0xca963c27, "_dev_err" },
	{ 0x7ab57b47, "snd_soc_get_volsw_range" },
	{ 0x8bce137d, "snd_soc_dapm_put_volsw" },
	{ 0x9700924a, "snd_soc_bytes_info" },
	{ 0x2c91fa94, "snd_soc_info_volsw_range" },
	{ 0x221cfd20, "snd_soc_add_component_controls" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xb6240ba, "snd_soc_put_volsw_range" },
	{ 0xb6f5ac32, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe9c31fb, "acpi_match_device" },
	{ 0x570e44d2, "snd_soc_info_enum_double" },
	{ 0x6fcd3ffc, "snd_soc_get_volsw" },
	{ 0x993fa434, "regmap_read" },
	{ 0x3750c34d, "snd_soc_put_volsw" },
	{ 0x955c0300, "snd_soc_component_update_bits" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8643cfc2, "snd_soc_dapm_new_controls" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8ec74b81, "snd_pcm_hw_constraint_msbits" },
	{ 0xab62e813, "regmap_update_bits_base" },
	{ 0x7dd14f2d, "snd_soc_dapm_get_volsw" },
	{ 0x8e3db7b8, "i2c_del_driver" },
	{ 0xa1fddae, "snd_soc_dapm_get_enum_double" },
	{ 0x3f44f2d8, "snd_soc_dai_active" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2acda8a0, "snd_soc_params_to_bclk" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "A038C51223052BA5766A9C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
