#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_mf_sdca_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x6780bd65, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x0b0fc28d, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0x9584c8f4, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x53680a82, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0xfb7b65e2, "");
SYMBOL_CRC(asoc_sdw_startup, 0x464bfe06, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x63a9e669, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x0703b3c3, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x798656c3, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0xab9cac62, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0xbf0689b8, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0xddb3d676, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x71f147cd, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0xca92aaba, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0x00b9331f, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0xace5e38c, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x57cba49b, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0xf3161daa, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x4883ee71, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0xa0e61265, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0xa799d618, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x740012fe, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x483e85e4, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0xe4241ce9, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x07bb316a, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0xf95cb496, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x831fbad8, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x56492924, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x63e2e189, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x537c7d44, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0x77e762c1, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0x1bcb52f1, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x2c7e4bd4, "");
SYMBOL_CRC(asoc_sdw_rt_mf_sdca_spk_rtd_init, 0x0a748c76, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0x2bb28ee1, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0xedf64bc2, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0x4c245ad5, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0xcde90cb3, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xf2a434e3, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0x7ef30fff, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0xb532a9c1, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0xd45af148, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0xdd20702c, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0xff97c386, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x58fb1453, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x135aa44a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8783d96, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x887837a0, "to_software_node" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x4ef37268, "snd_soc_dai_set_tdm_slot" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcdcbccde, "snd_soc_dapm_enable_pin" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb0ca21dc, "snd_soc_dapm_disable_pin" },
	{ 0xd2fbde8d, "snd_soc_component_set_sysclk" },
	{ 0x77b53f4, "snd_soc_dai_set_sysclk" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf3107456, "snd_soc_dapm_sync" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd111b301, "snd_soc_component_set_jack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b794b36, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e5bf1e9, "put_device" },
	{ 0x31990c36, "fwnode_create_software_node" },
	{ 0xdb498bc5, "snd_soc_dapm_get_pin_switch" },
	{ 0x9542f962, "sdw_disable_stream" },
	{ 0xca963c27, "_dev_err" },
	{ 0x9170b6e8, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0xa8156c84, "sdw_deprepare_stream" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0xb6f5ac32, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x188b4d39, "device_remove_software_node" },
	{ 0x6e1cb01b, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0xa2745210, "snd_soc_card_jack_new_pins" },
	{ 0xcdc9c40f, "snd_soc_dai_set_pll" },
	{ 0x8643cfc2, "snd_soc_dapm_new_controls" },
	{ 0x62705df3, "sdw_enable_stream" },
	{ 0x371d5662, "snd_soc_dapm_put_pin_switch" },
	{ 0xaec2e990, "device_match_name" },
	{ 0xa747f733, "snd_soc_dapm_info_pin_switch" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9ee8001f, "snd_soc_add_card_controls" },
	{ 0x4f553d9b, "device_add_software_node" },
	{ 0xcf4d01b6, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,snd-soc-core,snd");


MODULE_INFO(srcversion, "66140113F3308BE7302AD98");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
