#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x9570e4ed, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x3e9202c8, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x438ade21, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x66a114dc, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x2e3582e7, "");
SYMBOL_CRC(hda_dsp_probe_early, 0xc345a6bc, "");
SYMBOL_CRC(hda_dsp_probe, 0xdd4706c1, "");
SYMBOL_CRC(hda_dsp_remove, 0xb15c27f3, "");
SYMBOL_CRC(hda_power_down_dsp, 0x67616a18, "");
SYMBOL_CRC(hda_pci_intel_probe, 0xe72d122e, "");
SYMBOL_CRC(sof_hda_common_ops, 0x2de7c60c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc1ad65c, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xdf2b5bd8, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x95ec34da, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x50b831b6, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x36c623af, "hda_get_interface_mask" },
	{ 0x6ccc623, "hda_codec_i915_display_power" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0xe16b0e55, "hda_dsp_pcm_trigger" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0xbbd4229f, "hda_dsp_d0i3_work" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0xa03d0e8a, "pci_alloc_irq_vectors" },
	{ 0xa60535b5, "intel_nhlt_get_dmic_geo" },
	{ 0x5c0445a7, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x52d3f8e2, "hda_dsp_ctrl_ppcap_enable" },
	{ 0xc5b1cb5e, "hda_sdw_process_wakeen" },
	{ 0x7b431c17, "hda_sdw_int_enable" },
	{ 0x77faf9fb, "hda_bus_ml_init" },
	{ 0x9de3d8c1, "hda_codec_probe_bus" },
	{ 0x579e2e59, "sof_hda_bus_exit" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x153db148, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0xc921f300, "sdw_intel_exit" },
	{ 0x291de17, "hda_codec_check_for_state_change" },
	{ 0xabb57221, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xa8707c51, "sdw_hda_dai_trigger" },
	{ 0xb669c5c2, "hda_bus_ml_free" },
	{ 0x919e3ac8, "pcpu_hot" },
	{ 0x2581520, "hda_dsp_cl_boot_firmware" },
	{ 0xbcc2d8c9, "hda_dsp_pcm_hw_params" },
	{ 0x426f3892, "hda_sdw_check_lcount" },
	{ 0xcbc158d3, "snd_intel_dsp_driver_probe" },
	{ 0x1b614dd8, "pci_irq_vector" },
	{ 0x1aba0fd4, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0x2c1d3153, "pci_ioremap_bar" },
	{ 0x5a987f4f, "hda_dsp_ctrl_init_chip" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xe8ac047c, "sdw_hda_dai_hw_free" },
	{ 0x99f307c4, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb169a41, "hda_dsp_suspend" },
	{ 0x33e7cff5, "hda_dsp_runtime_suspend" },
	{ 0x9622b9ce, "hda_codec_i915_exit" },
	{ 0x9513bd50, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6019e028, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xa16ca9c8, "hda_dai_config" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc500618a, "hda_probes_unregister" },
	{ 0xb4408453, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd60a7e20, "hda_dsp_pcm_ack" },
	{ 0x552b7cdb, "hda_dsp_trace_release" },
	{ 0x967ede1a, "_dev_info" },
	{ 0x5bc9a009, "hda_dsp_dump" },
	{ 0x1533925b, "sdw_intel_startup" },
	{ 0x4a3010c0, "hda_dsp_pcm_pointer" },
	{ 0x5857d941, "sdw_intel_process_wakeen_event" },
	{ 0x318e2608, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8c6a72d, "sof_mailbox_read" },
	{ 0xb1dcaa84, "hda_bus_ml_put_all" },
	{ 0xca963c27, "_dev_err" },
	{ 0xba888b50, "debugfs_create_bool" },
	{ 0x5efa4f6b, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe71c3357, "__tracepoint_sof_intel_hda_irq" },
	{ 0xe5d2362, "platform_device_unregister" },
	{ 0xc3a8b3e7, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0xce9e4281, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0xa895f4a4, "hda_codec_device_remove" },
	{ 0xdaf48e83, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x29667ac7, "snd_sof_dsp_update_bits" },
	{ 0xc5850a65, "snd_sof_pci_update_bits" },
	{ 0xb5102075, "sof_hda_bus_init" },
	{ 0x53cfcd79, "hda_dsp_runtime_idle" },
	{ 0xe611c435, "hda_dsp_pcm_open" },
	{ 0x14af0a51, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x1758682, "sdw_intel_lnl_hw_ops" },
	{ 0x81ba7073, "pci_set_master" },
	{ 0x441eec43, "param_ops_charp" },
	{ 0xfb1812b9, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x1081e332, "hda_dsp_pcm_close" },
	{ 0x64d25860, "dma_set_coherent_mask" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8be76813, "hda_check_ipc_irq" },
	{ 0x61a9c4af, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe5a7bcd5, "hda_dsp_runtime_resume" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x300ede15, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc3b7170e, "sof_machine_unregister" },
	{ 0x1c4964d9, "skl_dai" },
	{ 0x8f7e44d1, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf99261a7, "sdw_intel_probe" },
	{ 0xbecf8f42, "snd_sof_load_firmware_raw" },
	{ 0x62716112, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x9b23bf6e, "hda_is_chain_dma_supported" },
	{ 0x2ff1b7c0, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xe6e3c64a, "dma_set_mask" },
	{ 0x381488f7, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x624709b2, "dev_err_probe" },
	{ 0x7188d9c9, "hda_dsp_stream_init" },
	{ 0xe8e94a4, "hda_dsp_get_stream_ldp" },
	{ 0xc3abcfb9, "hda_dsp_stream_free" },
	{ 0x2169811a, "hda_dsp_ctrl_get_caps" },
	{ 0xa7e71911, "param_ops_int" },
	{ 0x5075c45e, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1ed3d092, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xd1521d03, "hda_codec_i915_init" },
	{ 0xc87c78a3, "pci_free_irq_vectors" },
	{ 0x1acab23d, "hda_dsp_check_stream_irq" },
	{ 0x9c5acf6a, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xb397d618, "hda_dsp_ipc_get_window_offset" },
	{ 0xc264febe, "hda_ipc_msg_data" },
	{ 0xec59430e, "sof_machine_register" },
	{ 0x44f0ecf0, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-soc-acpi,snd-sof,snd-sof-intel-hda,soundwire-intel,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "CE986CD3E961BDE0D3D7D55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
