#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x77faf9fb, "");
SYMBOL_CRC(hda_bus_ml_free, 0xb669c5c2, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x442bb459, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt_unlocked, 0x797b3570, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x21c0b976, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xf50bacbe, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xc4a7475b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x2d7406f6, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x49f2df78, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xc8fa4080, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0xfef33bf5, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0xcd5a8a32, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0xa997339c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0xa6f87858, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0xf4f1b7d9, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x1766d625, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x11313737, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x3b4520c3, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xe6651af2, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x746bf546, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xaa633a12, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x86a3f1af, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0xfeb940b8, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xed115af5, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xec807f15, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0xb1dcaa84, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x69da470c, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x0a175478, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x6a1b7de3, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x44f0ecf0, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xb3c2b454, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x75144231, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x00fe2a26, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xf66374ba, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x55e7222e, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44339049, "snd_hdac_ext_bus_link_power_down" },
	{ 0xca963c27, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0x3605e5b1, "snd_hdac_ext_bus_link_put" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "DE685653B24AD0A49EC9BDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
