#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0xd7c1f20d, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0xb141da44, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xe8d07095, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x79c6ca90, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0xd2ff2ae8, "_gpl");
SYMBOL_CRC(line6_read_data, 0xa73c904d, "_gpl");
SYMBOL_CRC(line6_write_data, 0x6ec46b04, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x48c09d06, "_gpl");
SYMBOL_CRC(line6_probe, 0x99ba01d9, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x55eb37ac, "_gpl");
SYMBOL_CRC(line6_suspend, 0xdd0d6aed, "_gpl");
SYMBOL_CRC(line6_resume, 0xc9890791, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x5c854aa6, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x0546030d, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x59974733, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x93b948cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2aad4ba6, "usb_alloc_urb" },
	{ 0x4190c63f, "snd_rawmidi_receive" },
	{ 0x3bf368df, "usb_free_urb" },
	{ 0x6cb95ef, "usb_control_msg_send" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x9b4a737d, "snd_ctl_add" },
	{ 0xe1ddb416, "snd_pcm_new" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x2eec74d4, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde79d8f4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4a916942, "usb_interrupt_msg" },
	{ 0x2ec524ad, "__kfifo_in_r" },
	{ 0x896cbc97, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x33fccd54, "usb_put_dev" },
	{ 0xa051fa4f, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2138dada, "snd_rawmidi_transmit_ack" },
	{ 0x79085161, "usb_get_dev" },
	{ 0x1b70607c, "const_pcpu_hot" },
	{ 0x90871b18, "usb_submit_urb" },
	{ 0x967ede1a, "_dev_info" },
	{ 0xacc64a44, "snd_pcm_hw_constraint_ratdens" },
	{ 0x91b9b2a8, "snd_card_new" },
	{ 0x6afc04e6, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca963c27, "_dev_err" },
	{ 0xe496b882, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc9b412a1, "snd_rawmidi_transmit_peek" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x53e58062, "snd_card_free_when_closed" },
	{ 0x501e310b, "usb_set_interface" },
	{ 0xa7394e6b, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7117f4b, "snd_pcm_set_managed_buffer_all" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xeb55a931, "__kfifo_max_r" },
	{ 0xc65b2391, "snd_rawmidi_new" },
	{ 0x11becac5, "snd_card_disconnect" },
	{ 0x6f529c12, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x81d07acf, "snd_rawmidi_set_ops" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6970398, "__kfifo_to_user_r" },
	{ 0xf605022a, "__kmalloc_cache_noprof" },
	{ 0xc8616f13, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x23330c5d, "snd_pcm_period_elapsed" },
	{ 0x37f614b7, "__kfifo_len_r" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x39375793, "kmalloc_caches" },
	{ 0x9ba0e248, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
